/* ConnectServerDialog.c generated by valac 0.56.14, the Vala compiler
 * generated from ConnectServerDialog.vala, do not modify */

/*
 * SPDX-License-Identifier: GPL-3.0
 * SPDX-FileCopyrightText: 2015-2023 elementary, Inc. (https://elementary.io)
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "pantheon-files-core.h"
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gtk/gtk.h>
#include <granite.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>

#define PF_CONNECT_SERVER_DIALOG_TYPE_METHOD_INFO (pf_connect_server_dialog_method_info_get_type ())
typedef struct _PFConnectServerDialogMethodInfo PFConnectServerDialogMethodInfo;
typedef enum  {
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_NONE = 1 << 0,
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DEFAULT = 1 << 1,
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE = 1 << 2,
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT = 1 << 3,
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER = 1 << 4,
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN = 1 << 5,
	PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_ANONYMOUS = 1 << 6
} PFConnectServerDialogWidgetsFlag;

#define PF_CONNECT_SERVER_DIALOG_TYPE_WIDGETS_FLAG (pf_connect_server_dialog_widgets_flag_get_type ())
enum  {
	PF_CONNECT_SERVER_DIALOG_0_PROPERTY,
	PF_CONNECT_SERVER_DIALOG_SERVER_URI_PROPERTY,
	PF_CONNECT_SERVER_DIALOG_NUM_PROPERTIES
};
static GParamSpec* pf_connect_server_dialog_properties[PF_CONNECT_SERVER_DIALOG_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_main_loop_unref0(var) ((var == NULL) ? NULL : (var = (g_main_loop_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _PfConnectServerDialogConnectToServerData PfConnectServerDialogConnectToServerData;
typedef struct _PfConnectServerDialogFillDetailsAsyncData PfConnectServerDialogFillDetailsAsyncData;

struct _PFConnectServerDialogMethodInfo {
	gchar* scheme;
	PFConnectServerDialogWidgetsFlag flags;
	gushort port;
	gchar* description;
};

struct _PFConnectServerDialogPrivate {
	PFConnectServerDialogMethodInfo* methods;
	gint methods_length1;
	gint _methods_size_;
	GtkInfoBar* info_bar;
	GraniteValidatedEntry* server_entry;
	GtkSpinButton* port_spinbutton;
	GtkRevealer* port_revealer;
	GtkRevealer* remember_revealer;
	GtkEntry* share_entry;
	GtkComboBox* type_combobox;
	GtkEntry* folder_entry;
	GraniteValidatedEntry* domain_entry;
	GraniteValidatedEntry* user_entry;
	GraniteValidatedEntry* password_entry;
	GtkCheckButton* remember_checkbutton;
	GtkButton* connect_button;
	GtkButton* continue_button;
	GtkButton* cancel_button;
	GraniteHeaderLabel* user_header_label;
	GtkLabel* info_label;
	GtkStack* stack;
	GCancellable* mount_cancellable;
	gboolean needs_password;
	gchar* _server_uri;
};

struct _PfConnectServerDialogConnectToServerData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	PFConnectServerDialog* self;
	GtkTreeIter iter;
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_;
	gboolean _tmp2_;
	GValue val;
	GtkComboBox* _tmp3_;
	GtkTreeModel* _tmp4_;
	GtkTreeIter _tmp5_;
	GValue _tmp6_;
	PFConnectServerDialogMethodInfo* method_info;
	void* _tmp7_;
	gchar* scheme;
	PFConnectServerDialogMethodInfo* _tmp8_;
	const gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* server;
	GraniteValidatedEntry* _tmp11_;
	const gchar* _tmp12_;
	const gchar* _tmp13_;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* user;
	PFConnectServerDialogMethodInfo* _tmp16_;
	gchar* _tmp17_;
	GraniteValidatedEntry* _tmp18_;
	const gchar* _tmp19_;
	const gchar* _tmp20_;
	gchar* _tmp21_;
	PFConnectServerDialogMethodInfo* _tmp22_;
	GraniteValidatedEntry* _tmp23_;
	const gchar* _tmp24_;
	const gchar* _tmp25_;
	const gchar* _tmp26_;
	gchar* _tmp27_;
	gchar* initial_path;
	PFConnectServerDialogMethodInfo* _tmp28_;
	GtkEntry* _tmp29_;
	const gchar* _tmp30_;
	const gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_;
	gchar* folder;
	const gchar* _tmp34_;
	GtkEntry* _tmp35_;
	const gchar* _tmp36_;
	const gchar* _tmp37_;
	gchar* _tmp38_;
	const gchar* _tmp39_;
	gchar* _tmp40_;
	gchar* uri;
	const gchar* _tmp41_;
	gchar* _tmp42_;
	const gchar* _tmp43_;
	const gchar* _tmp44_;
	const gchar* _tmp45_;
	gchar* _tmp46_;
	gchar* _tmp47_;
	gchar* _tmp48_;
	const gchar* _tmp49_;
	const gchar* _tmp50_;
	gchar* _tmp51_;
	GtkSpinButton* _tmp52_;
	gdouble _tmp53_;
	gdouble _tmp54_;
	const gchar* _tmp55_;
	GtkSpinButton* _tmp56_;
	gdouble _tmp57_;
	gdouble _tmp58_;
	gchar* _tmp59_;
	gchar* _tmp60_;
	gchar* _tmp61_;
	const gchar* _tmp62_;
	const gchar* _tmp63_;
	gchar* _tmp64_;
	GFile* location;
	const gchar* _tmp65_;
	GFile* _tmp66_;
	FilesConnectServerOperation* operation;
	FilesConnectServerOperation* _tmp67_;
	GCancellable* _tmp68_;
	const gchar* _tmp69_;
	GFile* _tmp70_;
	FilesConnectServerOperation* _tmp71_;
	GCancellable* _tmp72_;
	GError* e;
	GtkInfoBar* _tmp73_;
	GtkLabel* _tmp74_;
	GError* _tmp75_;
	const gchar* _tmp76_;
	GError* _inner_error1_;
	GError* _inner_error0_;
};

struct _PfConnectServerDialogFillDetailsAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	PFConnectServerDialog* self;
	GMountOperation* mount_operation;
	gchar* default_user;
	gchar* default_domain;
	GAskPasswordFlags askpassword_flags;
	gboolean result;
	GAskPasswordFlags set_flags;
	gchar* password;
	GraniteValidatedEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	gchar* username;
	GraniteValidatedEntry* _tmp8_;
	const gchar* _tmp9_;
	const gchar* _tmp10_;
	gchar* _tmp11_;
	gboolean _tmp12_;
	const gchar* _tmp13_;
	const gchar* _tmp14_;
	const gchar* _tmp15_;
	gchar* domain;
	GraniteValidatedEntry* _tmp16_;
	const gchar* _tmp17_;
	const gchar* _tmp18_;
	gchar* _tmp19_;
	gboolean _tmp20_;
	const gchar* _tmp21_;
	const gchar* _tmp22_;
	const gchar* _tmp23_;
	GAskPasswordFlags need_mask;
	GraniteValidatedEntry* _tmp24_;
	gboolean _tmp25_;
	GraniteValidatedEntry* _tmp26_;
	GraniteValidatedEntry* _tmp27_;
	gboolean _tmp28_;
	GraniteValidatedEntry* _tmp29_;
	GraniteValidatedEntry* _tmp30_;
	GtkCheckButton* _tmp31_;
	GtkCheckButton* _tmp32_;
	GCancellable* _tmp33_;
	GraniteValidatedEntry* _tmp34_;
	const gchar* _tmp35_;
	const gchar* _tmp36_;
	GraniteValidatedEntry* _tmp37_;
	const gchar* _tmp38_;
	const gchar* _tmp39_;
	GraniteValidatedEntry* _tmp40_;
	const gchar* _tmp41_;
	const gchar* _tmp42_;
	gboolean _tmp43_;
	GraniteValidatedEntry* _tmp44_;
	const gchar* _tmp45_;
	const gchar* _tmp46_;
	GtkCheckButton* _tmp47_;
	gboolean _tmp48_;
	gboolean _tmp49_;
	gboolean should_save;
	GPasswordSave _tmp50_;
	GtkButton* _tmp51_;
};

static gint PFConnectServerDialog_private_offset;
static gpointer pf_connect_server_dialog_parent_class = NULL;

static GType pf_connect_server_dialog_method_info_get_type (void) G_GNUC_CONST  G_GNUC_UNUSED ;
static GType pf_connect_server_dialog_widgets_flag_get_type (void) G_GNUC_CONST  G_GNUC_UNUSED ;
static PFConnectServerDialogMethodInfo* pf_connect_server_dialog_method_info_dup (const PFConnectServerDialogMethodInfo* self);
static void pf_connect_server_dialog_method_info_free (PFConnectServerDialogMethodInfo* self);
static void pf_connect_server_dialog_method_info_copy (const PFConnectServerDialogMethodInfo* self,
                                                PFConnectServerDialogMethodInfo* dest);
static void pf_connect_server_dialog_method_info_destroy (PFConnectServerDialogMethodInfo* self);
static void _vala_PFConnectServerDialogMethodInfo_array_free (PFConnectServerDialogMethodInfo * array,
                                                       gssize array_length);
static void pf_connect_server_dialog_set_button_sensitivity (PFConnectServerDialog* self);
static gboolean pf_connect_server_dialog_valid_entries (PFConnectServerDialog* self);
static void pf_connect_server_dialog_type_changed (PFConnectServerDialog* self);
static void pf_connect_server_dialog_show_connect_button (PFConnectServerDialog* self);
static void pf_connect_server_dialog_dismiss_info (PFConnectServerDialog* self);
static void pf_connect_server_dialog_verify_details (PFConnectServerDialog* self);
static void pf_connect_server_dialog_show_info (PFConnectServerDialog* self);
static void pf_connect_server_dialog_connect_to_server_data_free (gpointer _data);
static void pf_connect_server_dialog_connect_to_server (PFConnectServerDialog* self,
                                                 GAsyncReadyCallback _callback_,
                                                 gpointer _user_data_);
static void pf_connect_server_dialog_connect_to_server_finish (PFConnectServerDialog* self,
                                                        GAsyncResult* _res_);
static gboolean pf_connect_server_dialog_connect_to_server_co (PfConnectServerDialogConnectToServerData* _data_);
static void pf_connect_server_dialog_set_server_uri (PFConnectServerDialog* self,
                                              const gchar* value);
static void pf_connect_server_dialog_connect_to_server_ready (GObject* source_object,
                                                       GAsyncResult* _res_,
                                                       gpointer _user_data_);
static void pf_connect_server_dialog_fill_details_async_data_free (gpointer _data);
static gboolean pf_connect_server_dialog_fill_details_async_co (PfConnectServerDialogFillDetailsAsyncData* _data_);
static void pf_connect_server_dialog_on_connect_clicked (PFConnectServerDialog* self);
static void pf_connect_server_dialog_on_cancel_clicked (PFConnectServerDialog* self);
static void pf_connect_server_dialog_on_continue_clicked (PFConnectServerDialog* self);
static GtkLabel* pf_connect_server_dialog_new_detailed_label (PFConnectServerDialog* self,
                                                       const gchar* label,
                                                       GtkWidget* linked_widget);
static GObject * pf_connect_server_dialog_constructor (GType type,
                                                guint n_construct_properties,
                                                GObjectConstructParam * construct_properties);
static void _pf_connect_server_dialog_on_cancel_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                     gpointer self);
static void _pf_connect_server_dialog_on_connect_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                      gpointer self);
static void _pf_connect_server_dialog_on_continue_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                       gpointer self);
static gboolean _vala_string_array_contains (gchar* * stack,
                                      gssize stack_length,
                                      const gchar* needle);
static void _pf_connect_server_dialog___lambda25_ (PFConnectServerDialog* self);
static void __pf_connect_server_dialog___lambda25__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                   gpointer self);
static void _pf_connect_server_dialog___lambda26_ (PFConnectServerDialog* self);
static void __pf_connect_server_dialog___lambda26__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _pf_connect_server_dialog___lambda27_ (PFConnectServerDialog* self);
static void __pf_connect_server_dialog___lambda27__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _pf_connect_server_dialog___lambda28_ (PFConnectServerDialog* self);
static void __pf_connect_server_dialog___lambda28__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _pf_connect_server_dialog___lambda29_ (PFConnectServerDialog* self);
static void __pf_connect_server_dialog___lambda29__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void pf_connect_server_dialog_finalize (GObject * obj);
static GType pf_connect_server_dialog_get_type_once (void);
static void _vala_pf_connect_server_dialog_get_property (GObject * object,
                                                  guint property_id,
                                                  GValue * value,
                                                  GParamSpec * pspec);
static void _vala_pf_connect_server_dialog_set_property (GObject * object,
                                                  guint property_id,
                                                  const GValue * value,
                                                  GParamSpec * pspec);
static gssize _vala_array_length (gpointer array);

static inline gpointer
pf_connect_server_dialog_get_instance_private (PFConnectServerDialog* self)
{
	return G_STRUCT_MEMBER_P (self, PFConnectServerDialog_private_offset);
}

 G_GNUC_NO_INLINE static GType
pf_connect_server_dialog_widgets_flag_get_type_once (void)
{
	static const GFlagsValue values[] = {{PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_NONE, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_NONE", "none"}, {PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DEFAULT, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DEFAULT", "default"}, {PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE", "share"}, {PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT", "port"}, {PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER", "user"}, {PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN", "domain"}, {PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_ANONYMOUS, "PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_ANONYMOUS", "anonymous"}, {0, NULL, NULL}};
	GType pf_connect_server_dialog_widgets_flag_type_id;
	pf_connect_server_dialog_widgets_flag_type_id = g_flags_register_static ("PFConnectServerDialogWidgetsFlag", values);
	return pf_connect_server_dialog_widgets_flag_type_id;
}

static GType
pf_connect_server_dialog_widgets_flag_get_type (void)
{
	static volatile gsize pf_connect_server_dialog_widgets_flag_type_id__once = 0;
	if (g_once_init_enter (&pf_connect_server_dialog_widgets_flag_type_id__once)) {
		GType pf_connect_server_dialog_widgets_flag_type_id;
		pf_connect_server_dialog_widgets_flag_type_id = pf_connect_server_dialog_widgets_flag_get_type_once ();
		g_once_init_leave (&pf_connect_server_dialog_widgets_flag_type_id__once, pf_connect_server_dialog_widgets_flag_type_id);
	}
	return pf_connect_server_dialog_widgets_flag_type_id__once;
}

static void
_vala_PFConnectServerDialogMethodInfo_array_free (PFConnectServerDialogMethodInfo * array,
                                                  gssize array_length)
{
#line 27 "../libcore/ConnectServerDialog.vala"
	if (array != NULL) {
#line 372 "ConnectServerDialog.c"
		gssize i;
#line 27 "../libcore/ConnectServerDialog.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 27 "../libcore/ConnectServerDialog.vala"
			pf_connect_server_dialog_method_info_destroy (&array[i]);
#line 378 "ConnectServerDialog.c"
		}
	}
#line 27 "../libcore/ConnectServerDialog.vala"
	g_free (array);
#line 383 "ConnectServerDialog.c"
}

PFConnectServerDialog*
pf_connect_server_dialog_construct (GType object_type,
                                    GtkWindow* window)
{
	PFConnectServerDialog * self = NULL;
#line 98 "../libcore/ConnectServerDialog.vala"
	g_return_val_if_fail (window != NULL, NULL);
#line 99 "../libcore/ConnectServerDialog.vala"
	self = (PFConnectServerDialog*) g_object_new (object_type, "transient-for", window, NULL);
#line 98 "../libcore/ConnectServerDialog.vala"
	return self;
#line 397 "ConnectServerDialog.c"
}

PFConnectServerDialog*
pf_connect_server_dialog_new (GtkWindow* window)
{
#line 98 "../libcore/ConnectServerDialog.vala"
	return pf_connect_server_dialog_construct (PF_TYPE_CONNECT_SERVER_DIALOG, window);
#line 405 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_set_button_sensitivity (PFConnectServerDialog* self)
{
	gboolean valid = FALSE;
	GtkButton* _tmp0_;
	GtkButton* _tmp1_;
#line 329 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 330 "../libcore/ConnectServerDialog.vala"
	valid = pf_connect_server_dialog_valid_entries (self);
#line 331 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->connect_button;
#line 331 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->continue_button;
#line 331 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp1_, valid);
#line 331 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, valid);
#line 426 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_type_changed (PFConnectServerDialog* self)
{
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_;
	GValue val = {0};
	GtkComboBox* _tmp3_;
	GtkTreeModel* _tmp4_;
	GtkTreeIter _tmp5_;
	GValue _tmp6_ = {0};
	PFConnectServerDialogMethodInfo* method_info = NULL;
	void* _tmp7_;
	GtkRevealer* _tmp8_;
	PFConnectServerDialogMethodInfo* _tmp9_;
	GtkSpinButton* _tmp10_;
	PFConnectServerDialogMethodInfo* _tmp11_;
	GtkEntry* _tmp12_;
	PFConnectServerDialogMethodInfo* _tmp13_;
	gboolean _tmp14_ = FALSE;
	PFConnectServerDialogMethodInfo* _tmp15_;
	GraniteHeaderLabel* _tmp17_;
	GraniteValidatedEntry* _tmp18_;
	PFConnectServerDialogMethodInfo* _tmp19_;
	GraniteValidatedEntry* _tmp20_;
	PFConnectServerDialogMethodInfo* _tmp21_;
	GraniteValidatedEntry* _tmp22_;
	PFConnectServerDialogMethodInfo* _tmp23_;
	GraniteValidatedEntry* _tmp24_;
	GraniteValidatedEntry* _tmp25_;
	gboolean _tmp26_;
	gboolean _tmp27_;
	gboolean _tmp28_ = FALSE;
	GraniteValidatedEntry* _tmp29_;
	gboolean _tmp30_;
	gboolean _tmp31_;
	GraniteValidatedEntry* _tmp35_;
	GraniteValidatedEntry* _tmp36_;
	GraniteValidatedEntry* _tmp37_;
	gboolean _tmp38_;
	gboolean _tmp39_;
	GtkEntry* _tmp40_;
	GraniteValidatedEntry* _tmp41_;
	gboolean _tmp42_;
	gboolean _tmp43_;
#line 334 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 336 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->type_combobox;
#line 336 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 336 "../libcore/ConnectServerDialog.vala"
	iter = _tmp1_;
#line 336 "../libcore/ConnectServerDialog.vala"
	if (!_tmp2_) {
#line 337 "../libcore/ConnectServerDialog.vala"
		g_critical ("ConnectServerDialog.vala:337: Error with GVFS");
#line 487 "ConnectServerDialog.c"
	}
#line 341 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = self->priv->type_combobox;
#line 341 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = gtk_combo_box_get_model (_tmp3_);
#line 341 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = iter;
#line 341 "../libcore/ConnectServerDialog.vala"
	gtk_tree_model_get_value (_tmp4_, &_tmp5_, 0, &_tmp6_);
#line 341 "../libcore/ConnectServerDialog.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 341 "../libcore/ConnectServerDialog.vala"
	val = _tmp6_;
#line 342 "../libcore/ConnectServerDialog.vala"
	_tmp7_ = g_value_get_boxed (&val);
#line 342 "../libcore/ConnectServerDialog.vala"
	method_info = (PFConnectServerDialogMethodInfo*) _tmp7_;
#line 343 "../libcore/ConnectServerDialog.vala"
	_tmp8_ = self->priv->port_revealer;
#line 343 "../libcore/ConnectServerDialog.vala"
	_tmp9_ = method_info;
#line 343 "../libcore/ConnectServerDialog.vala"
	gtk_revealer_set_reveal_child (_tmp8_, ((*_tmp9_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT);
#line 344 "../libcore/ConnectServerDialog.vala"
	_tmp10_ = self->priv->port_spinbutton;
#line 344 "../libcore/ConnectServerDialog.vala"
	_tmp11_ = method_info;
#line 344 "../libcore/ConnectServerDialog.vala"
	gtk_spin_button_set_value (_tmp10_, (gdouble) (*_tmp11_).port);
#line 345 "../libcore/ConnectServerDialog.vala"
	_tmp12_ = self->priv->share_entry;
#line 345 "../libcore/ConnectServerDialog.vala"
	_tmp13_ = method_info;
#line 345 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp12_, ((*_tmp13_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE);
#line 346 "../libcore/ConnectServerDialog.vala"
	_tmp15_ = method_info;
#line 346 "../libcore/ConnectServerDialog.vala"
	if (((*_tmp15_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER) {
#line 346 "../libcore/ConnectServerDialog.vala"
		_tmp14_ = TRUE;
#line 529 "ConnectServerDialog.c"
	} else {
		PFConnectServerDialogMethodInfo* _tmp16_;
#line 346 "../libcore/ConnectServerDialog.vala"
		_tmp16_ = method_info;
#line 346 "../libcore/ConnectServerDialog.vala"
		_tmp14_ = ((*_tmp16_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN;
#line 536 "ConnectServerDialog.c"
	}
#line 346 "../libcore/ConnectServerDialog.vala"
	_tmp17_ = self->priv->user_header_label;
#line 346 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp17_, _tmp14_);
#line 347 "../libcore/ConnectServerDialog.vala"
	_tmp18_ = self->priv->user_entry;
#line 347 "../libcore/ConnectServerDialog.vala"
	_tmp19_ = method_info;
#line 347 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp18_, ((*_tmp19_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER);
#line 348 "../libcore/ConnectServerDialog.vala"
	_tmp20_ = self->priv->password_entry;
#line 348 "../libcore/ConnectServerDialog.vala"
	_tmp21_ = method_info;
#line 348 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp20_, ((*_tmp21_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER);
#line 349 "../libcore/ConnectServerDialog.vala"
	_tmp22_ = self->priv->domain_entry;
#line 349 "../libcore/ConnectServerDialog.vala"
	_tmp23_ = method_info;
#line 349 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp22_, ((*_tmp23_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN);
#line 351 "../libcore/ConnectServerDialog.vala"
	_tmp24_ = self->priv->password_entry;
#line 351 "../libcore/ConnectServerDialog.vala"
	_tmp25_ = self->priv->password_entry;
#line 351 "../libcore/ConnectServerDialog.vala"
	_tmp26_ = gtk_widget_get_visible ((GtkWidget*) _tmp25_);
#line 351 "../libcore/ConnectServerDialog.vala"
	_tmp27_ = _tmp26_;
#line 351 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_activates_default ((GtkEntry*) _tmp24_, _tmp27_);
#line 352 "../libcore/ConnectServerDialog.vala"
	_tmp29_ = self->priv->user_entry;
#line 352 "../libcore/ConnectServerDialog.vala"
	_tmp30_ = gtk_widget_get_visible ((GtkWidget*) _tmp29_);
#line 352 "../libcore/ConnectServerDialog.vala"
	_tmp31_ = _tmp30_;
#line 352 "../libcore/ConnectServerDialog.vala"
	if (_tmp31_) {
#line 578 "ConnectServerDialog.c"
		GraniteValidatedEntry* _tmp32_;
		gboolean _tmp33_;
		gboolean _tmp34_;
#line 352 "../libcore/ConnectServerDialog.vala"
		_tmp32_ = self->priv->password_entry;
#line 352 "../libcore/ConnectServerDialog.vala"
		_tmp33_ = gtk_widget_get_visible ((GtkWidget*) _tmp32_);
#line 352 "../libcore/ConnectServerDialog.vala"
		_tmp34_ = _tmp33_;
#line 352 "../libcore/ConnectServerDialog.vala"
		_tmp28_ = !_tmp34_;
#line 590 "ConnectServerDialog.c"
	} else {
#line 352 "../libcore/ConnectServerDialog.vala"
		_tmp28_ = FALSE;
#line 594 "ConnectServerDialog.c"
	}
#line 352 "../libcore/ConnectServerDialog.vala"
	_tmp35_ = self->priv->user_entry;
#line 352 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_activates_default ((GtkEntry*) _tmp35_, _tmp28_);
#line 353 "../libcore/ConnectServerDialog.vala"
	_tmp36_ = self->priv->server_entry;
#line 353 "../libcore/ConnectServerDialog.vala"
	_tmp37_ = self->priv->user_entry;
#line 353 "../libcore/ConnectServerDialog.vala"
	_tmp38_ = gtk_widget_get_visible ((GtkWidget*) _tmp37_);
#line 353 "../libcore/ConnectServerDialog.vala"
	_tmp39_ = _tmp38_;
#line 353 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_activates_default ((GtkEntry*) _tmp36_, !_tmp39_);
#line 354 "../libcore/ConnectServerDialog.vala"
	_tmp40_ = self->priv->share_entry;
#line 354 "../libcore/ConnectServerDialog.vala"
	_tmp41_ = self->priv->server_entry;
#line 354 "../libcore/ConnectServerDialog.vala"
	_tmp42_ = gtk_entry_get_activates_default ((GtkEntry*) _tmp41_);
#line 354 "../libcore/ConnectServerDialog.vala"
	_tmp43_ = _tmp42_;
#line 354 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_activates_default (_tmp40_, _tmp43_);
#line 356 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_show_connect_button (self);
#line 358 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_dismiss_info (self);
#line 334 "../libcore/ConnectServerDialog.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 626 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_show_connect_button (PFConnectServerDialog* self)
{
	GtkButton* _tmp0_;
	GtkButton* _tmp1_;
	GtkButton* _tmp2_;
	GtkButton* _tmp3_;
#line 361 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 362 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->connect_button;
#line 362 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp0_, TRUE);
#line 363 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->continue_button;
#line 363 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp1_, FALSE);
#line 364 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = self->priv->connect_button;
#line 364 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, pf_connect_server_dialog_valid_entries (self));
#line 365 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = self->priv->connect_button;
#line 365 "../libcore/ConnectServerDialog.vala"
	gtk_widget_grab_default ((GtkWidget*) _tmp3_);
#line 654 "ConnectServerDialog.c"
}

static gpointer
_g_main_loop_ref0 (gpointer self)
{
#line 370 "../libcore/ConnectServerDialog.vala"
	return self ? g_main_loop_ref (self) : NULL;
#line 662 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_verify_details (PFConnectServerDialog* self)
{
	GMainLoop* loop = NULL;
	GMainLoop* _tmp0_;
	GtkButton* _tmp1_;
	GMainLoop* _tmp2_;
	GtkComboBox* _tmp3_;
	GtkInfoBar* _tmp4_;
	GtkLabel* _tmp5_;
	GtkButton* _tmp6_;
	GtkButton* _tmp7_;
	GtkButton* _tmp8_;
	GtkButton* _tmp9_;
	GtkButton* _tmp10_;
#line 368 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 369 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = g_main_loop_new (NULL, FALSE);
#line 369 "../libcore/ConnectServerDialog.vala"
	loop = _tmp0_;
#line 370 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->continue_button;
#line 370 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = _g_main_loop_ref0 (loop);
#line 370 "../libcore/ConnectServerDialog.vala"
	g_object_set_data_full ((GObject*) _tmp1_, "loop", _tmp2_, g_main_loop_unref);
#line 371 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = self->priv->type_combobox;
#line 371 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, FALSE);
#line 372 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = self->priv->info_bar;
#line 372 "../libcore/ConnectServerDialog.vala"
	gtk_info_bar_set_message_type (_tmp4_, GTK_MESSAGE_WARNING);
#line 373 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = self->priv->info_label;
#line 373 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_label (_tmp5_, _ ("Please verify your user details."));
#line 374 "../libcore/ConnectServerDialog.vala"
	_tmp6_ = self->priv->connect_button;
#line 374 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp6_, FALSE);
#line 376 "../libcore/ConnectServerDialog.vala"
	_tmp7_ = self->priv->continue_button;
#line 376 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp7_, TRUE);
#line 377 "../libcore/ConnectServerDialog.vala"
	_tmp8_ = self->priv->continue_button;
#line 377 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, FALSE);
#line 378 "../libcore/ConnectServerDialog.vala"
	_tmp9_ = self->priv->continue_button;
#line 378 "../libcore/ConnectServerDialog.vala"
	gtk_widget_grab_default ((GtkWidget*) _tmp9_);
#line 380 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_show_info (self);
#line 381 "../libcore/ConnectServerDialog.vala"
	g_main_loop_run (loop);
#line 382 "../libcore/ConnectServerDialog.vala"
	_tmp10_ = self->priv->continue_button;
#line 382 "../libcore/ConnectServerDialog.vala"
	g_object_set_data_full ((GObject*) _tmp10_, "loop", NULL, NULL);
#line 383 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_show_connect_button (self);
#line 368 "../libcore/ConnectServerDialog.vala"
	_g_main_loop_unref0 (loop);
#line 732 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_show_info (PFConnectServerDialog* self)
{
	GtkStack* _tmp0_;
	GtkInfoBar* _tmp1_;
#line 386 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 387 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->stack;
#line 387 "../libcore/ConnectServerDialog.vala"
	gtk_stack_set_visible_child_name (_tmp0_, "content");
#line 388 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->info_bar;
#line 388 "../libcore/ConnectServerDialog.vala"
	gtk_info_bar_set_revealed (_tmp1_, TRUE);
#line 750 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_dismiss_info (PFConnectServerDialog* self)
{
	GtkLabel* _tmp0_;
	GtkInfoBar* _tmp1_;
#line 391 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 392 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->info_label;
#line 392 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_label (_tmp0_, "");
#line 393 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->info_bar;
#line 393 "../libcore/ConnectServerDialog.vala"
	gtk_info_bar_set_revealed (_tmp1_, FALSE);
#line 768 "ConnectServerDialog.c"
}

static gboolean
pf_connect_server_dialog_valid_entries (PFConnectServerDialog* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	GraniteValidatedEntry* _tmp3_;
	gboolean _tmp4_;
	gboolean _tmp5_;
	gboolean valid = FALSE;
	gboolean _tmp27_ = FALSE;
	GtkInfoBar* _tmp33_;
	gboolean result;
#line 396 "../libcore/ConnectServerDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 397 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = self->priv->server_entry;
#line 397 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = granite_validated_entry_get_is_valid (_tmp3_);
#line 397 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = _tmp4_;
#line 397 "../libcore/ConnectServerDialog.vala"
	if (_tmp5_) {
#line 794 "ConnectServerDialog.c"
		gboolean _tmp6_ = FALSE;
		GraniteValidatedEntry* _tmp7_;
		gboolean _tmp8_;
		gboolean _tmp9_;
#line 398 "../libcore/ConnectServerDialog.vala"
		_tmp7_ = self->priv->user_entry;
#line 398 "../libcore/ConnectServerDialog.vala"
		_tmp8_ = granite_validated_entry_get_is_valid (_tmp7_);
#line 398 "../libcore/ConnectServerDialog.vala"
		_tmp9_ = _tmp8_;
#line 398 "../libcore/ConnectServerDialog.vala"
		if (_tmp9_) {
#line 398 "../libcore/ConnectServerDialog.vala"
			_tmp6_ = TRUE;
#line 809 "ConnectServerDialog.c"
		} else {
			GraniteValidatedEntry* _tmp10_;
			gboolean _tmp11_;
			gboolean _tmp12_;
#line 398 "../libcore/ConnectServerDialog.vala"
			_tmp10_ = self->priv->user_entry;
#line 398 "../libcore/ConnectServerDialog.vala"
			_tmp11_ = gtk_widget_get_visible ((GtkWidget*) _tmp10_);
#line 398 "../libcore/ConnectServerDialog.vala"
			_tmp12_ = _tmp11_;
#line 398 "../libcore/ConnectServerDialog.vala"
			_tmp6_ = !_tmp12_;
#line 822 "ConnectServerDialog.c"
		}
#line 398 "../libcore/ConnectServerDialog.vala"
		_tmp2_ = _tmp6_;
#line 826 "ConnectServerDialog.c"
	} else {
#line 397 "../libcore/ConnectServerDialog.vala"
		_tmp2_ = FALSE;
#line 830 "ConnectServerDialog.c"
	}
#line 397 "../libcore/ConnectServerDialog.vala"
	if (_tmp2_) {
#line 834 "ConnectServerDialog.c"
		gboolean _tmp13_ = FALSE;
		GraniteValidatedEntry* _tmp14_;
		gboolean _tmp15_;
		gboolean _tmp16_;
#line 399 "../libcore/ConnectServerDialog.vala"
		_tmp14_ = self->priv->domain_entry;
#line 399 "../libcore/ConnectServerDialog.vala"
		_tmp15_ = granite_validated_entry_get_is_valid (_tmp14_);
#line 399 "../libcore/ConnectServerDialog.vala"
		_tmp16_ = _tmp15_;
#line 399 "../libcore/ConnectServerDialog.vala"
		if (_tmp16_) {
#line 399 "../libcore/ConnectServerDialog.vala"
			_tmp13_ = TRUE;
#line 849 "ConnectServerDialog.c"
		} else {
			GraniteValidatedEntry* _tmp17_;
			gboolean _tmp18_;
			gboolean _tmp19_;
#line 399 "../libcore/ConnectServerDialog.vala"
			_tmp17_ = self->priv->domain_entry;
#line 399 "../libcore/ConnectServerDialog.vala"
			_tmp18_ = gtk_widget_get_visible ((GtkWidget*) _tmp17_);
#line 399 "../libcore/ConnectServerDialog.vala"
			_tmp19_ = _tmp18_;
#line 399 "../libcore/ConnectServerDialog.vala"
			_tmp13_ = !_tmp19_;
#line 862 "ConnectServerDialog.c"
		}
#line 399 "../libcore/ConnectServerDialog.vala"
		_tmp1_ = _tmp13_;
#line 866 "ConnectServerDialog.c"
	} else {
#line 397 "../libcore/ConnectServerDialog.vala"
		_tmp1_ = FALSE;
#line 870 "ConnectServerDialog.c"
	}
#line 397 "../libcore/ConnectServerDialog.vala"
	if (_tmp1_) {
#line 874 "ConnectServerDialog.c"
		gboolean _tmp20_ = FALSE;
		GraniteValidatedEntry* _tmp21_;
		gboolean _tmp22_;
		gboolean _tmp23_;
#line 400 "../libcore/ConnectServerDialog.vala"
		_tmp21_ = self->priv->password_entry;
#line 400 "../libcore/ConnectServerDialog.vala"
		_tmp22_ = granite_validated_entry_get_is_valid (_tmp21_);
#line 400 "../libcore/ConnectServerDialog.vala"
		_tmp23_ = _tmp22_;
#line 400 "../libcore/ConnectServerDialog.vala"
		if (_tmp23_) {
#line 400 "../libcore/ConnectServerDialog.vala"
			_tmp20_ = TRUE;
#line 889 "ConnectServerDialog.c"
		} else {
			GraniteValidatedEntry* _tmp24_;
			gboolean _tmp25_;
			gboolean _tmp26_;
#line 400 "../libcore/ConnectServerDialog.vala"
			_tmp24_ = self->priv->password_entry;
#line 400 "../libcore/ConnectServerDialog.vala"
			_tmp25_ = gtk_widget_get_visible ((GtkWidget*) _tmp24_);
#line 400 "../libcore/ConnectServerDialog.vala"
			_tmp26_ = _tmp25_;
#line 400 "../libcore/ConnectServerDialog.vala"
			_tmp20_ = !_tmp26_;
#line 902 "ConnectServerDialog.c"
		}
#line 400 "../libcore/ConnectServerDialog.vala"
		_tmp0_ = _tmp20_;
#line 906 "ConnectServerDialog.c"
	} else {
#line 397 "../libcore/ConnectServerDialog.vala"
		_tmp0_ = FALSE;
#line 910 "ConnectServerDialog.c"
	}
#line 397 "../libcore/ConnectServerDialog.vala"
	valid = _tmp0_;
#line 402 "../libcore/ConnectServerDialog.vala"
	if (!valid) {
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp27_ = TRUE;
#line 918 "ConnectServerDialog.c"
	} else {
		GtkLabel* _tmp28_;
		const gchar* _tmp29_;
		const gchar* _tmp30_;
		gint _tmp31_;
		gint _tmp32_;
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp28_ = self->priv->info_label;
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp29_ = gtk_label_get_label (_tmp28_);
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp30_ = _tmp29_;
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp31_ = strlen (_tmp30_);
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp32_ = _tmp31_;
#line 402 "../libcore/ConnectServerDialog.vala"
		_tmp27_ = _tmp32_ > 0;
#line 937 "ConnectServerDialog.c"
	}
#line 402 "../libcore/ConnectServerDialog.vala"
	_tmp33_ = self->priv->info_bar;
#line 402 "../libcore/ConnectServerDialog.vala"
	gtk_info_bar_set_revealed (_tmp33_, _tmp27_);
#line 403 "../libcore/ConnectServerDialog.vala"
	result = valid;
#line 403 "../libcore/ConnectServerDialog.vala"
	return result;
#line 947 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_connect_to_server_data_free (gpointer _data)
{
	PfConnectServerDialogConnectToServerData* _data_;
	_data_ = _data;
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->self);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_slice_free (PfConnectServerDialogConnectToServerData, _data_);
#line 959 "ConnectServerDialog.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 8 "../libcore/ConnectServerDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 967 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_connect_to_server (PFConnectServerDialog* self,
                                            GAsyncReadyCallback _callback_,
                                            gpointer _user_data_)
{
	PfConnectServerDialogConnectToServerData* _data_;
	PFConnectServerDialog* _tmp0_;
#line 8 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_ = g_slice_new0 (PfConnectServerDialogConnectToServerData);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_task_set_task_data (_data_->_async_result, _data_, pf_connect_server_dialog_connect_to_server_data_free);
#line 8 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->self = _tmp0_;
#line 8 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_connect_to_server_co (_data_);
#line 991 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_connect_to_server_finish (PFConnectServerDialog* self,
                                                   GAsyncResult* _res_)
{
	PfConnectServerDialogConnectToServerData* _data_;
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 1001 "ConnectServerDialog.c"
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1546 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1546 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 1023 "ConnectServerDialog.c"
	} else {
#line 1546 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 1027 "ConnectServerDialog.c"
	}
#line 1546 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1546 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 1033 "ConnectServerDialog.c"
	} else {
#line 1546 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 1037 "ConnectServerDialog.c"
	}
#line 1546 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1041 "ConnectServerDialog.c"
		gchar* _tmp2_;
#line 1547 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1547 "glib-2.0.vapi"
		result = _tmp2_;
#line 1547 "glib-2.0.vapi"
		return result;
#line 1049 "ConnectServerDialog.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1550 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1550 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1550 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1550 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1550 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1550 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1550 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1550 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 1077 "ConnectServerDialog.c"
				goto __catch0_g_regex_error;
			}
#line 1550 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1550 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1550 "glib-2.0.vapi"
			return NULL;
#line 1086 "ConnectServerDialog.c"
		}
#line 1551 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1551 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1551 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1551 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1551 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1551 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 1100 "ConnectServerDialog.c"
				goto __catch0_g_regex_error;
			}
#line 1551 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1551 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1551 "glib-2.0.vapi"
			return NULL;
#line 1109 "ConnectServerDialog.c"
		}
#line 1551 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1551 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1551 "glib-2.0.vapi"
		result = _tmp10_;
#line 1551 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1551 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1551 "glib-2.0.vapi"
		return result;
#line 1123 "ConnectServerDialog.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1549 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1553 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 1132 "ConnectServerDialog.c"
	}
	__finally0:
#line 1549 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1549 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1549 "glib-2.0.vapi"
	return NULL;
#line 1141 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_connect_to_server_ready (GObject* source_object,
                                                  GAsyncResult* _res_,
                                                  gpointer _user_data_)
{
	PfConnectServerDialogConnectToServerData* _data_;
#line 455 "../libcore/ConnectServerDialog.vala"
	_data_ = _user_data_;
#line 455 "../libcore/ConnectServerDialog.vala"
	_data_->_source_object_ = source_object;
#line 455 "../libcore/ConnectServerDialog.vala"
	_data_->_res_ = _res_;
#line 455 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_connect_to_server_co (_data_);
#line 1158 "ConnectServerDialog.c"
}

static gboolean
pf_connect_server_dialog_connect_to_server_co (PfConnectServerDialogConnectToServerData* _data_)
{
#line 406 "../libcore/ConnectServerDialog.vala"
	switch (_data_->_state_) {
#line 406 "../libcore/ConnectServerDialog.vala"
		case 0:
#line 1168 "ConnectServerDialog.c"
		goto _state_0;
#line 406 "../libcore/ConnectServerDialog.vala"
		case 1:
#line 1172 "ConnectServerDialog.c"
		goto _state_1;
		default:
#line 406 "../libcore/ConnectServerDialog.vala"
		g_assert_not_reached ();
#line 1177 "ConnectServerDialog.c"
	}
	_state_0:
#line 408 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp0_ = _data_->self->priv->type_combobox;
#line 408 "../libcore/ConnectServerDialog.vala"
	memset (&_data_->_tmp1_, 0, sizeof (GtkTreeIter));
#line 408 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp2_ = gtk_combo_box_get_active_iter (_data_->_tmp0_, &_data_->_tmp1_);
#line 408 "../libcore/ConnectServerDialog.vala"
	_data_->iter = _data_->_tmp1_;
#line 408 "../libcore/ConnectServerDialog.vala"
	if (!_data_->_tmp2_) {
#line 409 "../libcore/ConnectServerDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 409 "../libcore/ConnectServerDialog.vala"
		if (_data_->_state_ != 0) {
#line 409 "../libcore/ConnectServerDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 409 "../libcore/ConnectServerDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1198 "ConnectServerDialog.c"
			}
		}
#line 409 "../libcore/ConnectServerDialog.vala"
		g_object_unref (_data_->_async_result);
#line 409 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 1205 "ConnectServerDialog.c"
	}
#line 413 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp3_ = _data_->self->priv->type_combobox;
#line 413 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp4_ = gtk_combo_box_get_model (_data_->_tmp3_);
#line 413 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp5_ = _data_->iter;
#line 413 "../libcore/ConnectServerDialog.vala"
	memset (&_data_->_tmp6_, 0, sizeof (GValue));
#line 413 "../libcore/ConnectServerDialog.vala"
	gtk_tree_model_get_value (_data_->_tmp4_, &_data_->_tmp5_, 0, &_data_->_tmp6_);
#line 413 "../libcore/ConnectServerDialog.vala"
	G_IS_VALUE (&_data_->val) ? (g_value_unset (&_data_->val), NULL) : NULL;
#line 413 "../libcore/ConnectServerDialog.vala"
	_data_->val = _data_->_tmp6_;
#line 414 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp7_ = g_value_get_boxed (&_data_->val);
#line 414 "../libcore/ConnectServerDialog.vala"
	_data_->method_info = (PFConnectServerDialogMethodInfo*) _data_->_tmp7_;
#line 415 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp8_ = _data_->method_info;
#line 415 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp9_ = (*_data_->_tmp8_).scheme;
#line 415 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp10_ = g_strconcat (_data_->_tmp9_, "://", NULL);
#line 415 "../libcore/ConnectServerDialog.vala"
	_data_->scheme = _data_->_tmp10_;
#line 416 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp11_ = _data_->self->priv->server_entry;
#line 416 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp12_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp11_);
#line 416 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp13_ = _data_->_tmp12_;
#line 416 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp14_ = _data_->scheme;
#line 416 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp15_ = string_replace (_data_->_tmp13_, _data_->_tmp14_, "");
#line 416 "../libcore/ConnectServerDialog.vala"
	_data_->server = _data_->_tmp15_;
#line 418 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp16_ = _data_->method_info;
#line 418 "../libcore/ConnectServerDialog.vala"
	if (((*_data_->_tmp16_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_ANONYMOUS) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_ANONYMOUS) {
#line 419 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp17_ = g_strdup ("anonymous");
#line 419 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->user);
#line 419 "../libcore/ConnectServerDialog.vala"
		_data_->user = _data_->_tmp17_;
#line 1255 "ConnectServerDialog.c"
	} else {
#line 421 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp18_ = _data_->self->priv->user_entry;
#line 421 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp19_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp18_);
#line 421 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp20_ = _data_->_tmp19_;
#line 421 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp21_ = g_strdup (_data_->_tmp20_);
#line 421 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->user);
#line 421 "../libcore/ConnectServerDialog.vala"
		_data_->user = _data_->_tmp21_;
#line 1269 "ConnectServerDialog.c"
	}
#line 424 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp22_ = _data_->method_info;
#line 424 "../libcore/ConnectServerDialog.vala"
	if (((*_data_->_tmp22_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN) {
#line 425 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp23_ = _data_->self->priv->domain_entry;
#line 425 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp24_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp23_);
#line 425 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp25_ = _data_->_tmp24_;
#line 425 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp26_ = _data_->user;
#line 425 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp27_ = g_strjoin (";", _data_->_tmp25_, _data_->_tmp26_, NULL);
#line 425 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->user);
#line 425 "../libcore/ConnectServerDialog.vala"
		_data_->user = _data_->_tmp27_;
#line 1289 "ConnectServerDialog.c"
	}
#line 429 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp28_ = _data_->method_info;
#line 429 "../libcore/ConnectServerDialog.vala"
	if (((*_data_->_tmp28_).flags & PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE) == PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE) {
#line 430 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp29_ = _data_->self->priv->share_entry;
#line 430 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp30_ = gtk_entry_get_text (_data_->_tmp29_);
#line 430 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp31_ = _data_->_tmp30_;
#line 430 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp32_ = g_build_filename ("/", _data_->_tmp31_, NULL);
#line 430 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->initial_path);
#line 430 "../libcore/ConnectServerDialog.vala"
		_data_->initial_path = _data_->_tmp32_;
#line 1307 "ConnectServerDialog.c"
	} else {
#line 432 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp33_ = g_strdup ("");
#line 432 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->initial_path);
#line 432 "../libcore/ConnectServerDialog.vala"
		_data_->initial_path = _data_->_tmp33_;
#line 1315 "ConnectServerDialog.c"
	}
#line 435 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp34_ = _data_->initial_path;
#line 435 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp35_ = _data_->self->priv->folder_entry;
#line 435 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp36_ = gtk_entry_get_text (_data_->_tmp35_);
#line 435 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp37_ = _data_->_tmp36_;
#line 435 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp38_ = g_build_filename (_data_->_tmp34_, _data_->_tmp37_, NULL);
#line 435 "../libcore/ConnectServerDialog.vala"
	_data_->folder = _data_->_tmp38_;
#line 436 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp39_ = _data_->folder;
#line 436 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp40_ = g_uri_escape_string (_data_->_tmp39_, G_URI_RESERVED_CHARS_ALLOWED_IN_PATH, FALSE);
#line 436 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->folder);
#line 436 "../libcore/ConnectServerDialog.vala"
	_data_->folder = _data_->_tmp40_;
#line 438 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp41_ = _data_->scheme;
#line 438 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp42_ = g_strdup (_data_->_tmp41_);
#line 438 "../libcore/ConnectServerDialog.vala"
	_data_->uri = _data_->_tmp42_;
#line 439 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp43_ = _data_->user;
#line 439 "../libcore/ConnectServerDialog.vala"
	if (g_strcmp0 (_data_->_tmp43_, "") != 0) {
#line 440 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp44_ = _data_->uri;
#line 440 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp45_ = _data_->user;
#line 440 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp46_ = g_strconcat (_data_->_tmp45_, "@", NULL);
#line 440 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp47_ = _data_->_tmp46_;
#line 440 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp48_ = g_strconcat (_data_->_tmp44_, _data_->_tmp47_, NULL);
#line 440 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->uri);
#line 440 "../libcore/ConnectServerDialog.vala"
		_data_->uri = _data_->_tmp48_;
#line 440 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->_tmp47_);
#line 1363 "ConnectServerDialog.c"
	}
#line 443 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp49_ = _data_->uri;
#line 443 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp50_ = _data_->server;
#line 443 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp51_ = g_strconcat (_data_->_tmp49_, _data_->_tmp50_, NULL);
#line 443 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->uri);
#line 443 "../libcore/ConnectServerDialog.vala"
	_data_->uri = _data_->_tmp51_;
#line 444 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp52_ = _data_->self->priv->port_spinbutton;
#line 444 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp53_ = gtk_spin_button_get_value (_data_->_tmp52_);
#line 444 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp54_ = _data_->_tmp53_;
#line 444 "../libcore/ConnectServerDialog.vala"
	if (_data_->_tmp54_ > ((gdouble) 0)) {
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp55_ = _data_->uri;
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp56_ = _data_->self->priv->port_spinbutton;
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp57_ = gtk_spin_button_get_value (_data_->_tmp56_);
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp58_ = _data_->_tmp57_;
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp59_ = g_strdup_printf (":%u", (guint) _data_->_tmp58_);
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp60_ = _data_->_tmp59_;
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp61_ = g_strconcat (_data_->_tmp55_, _data_->_tmp60_, NULL);
#line 445 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->uri);
#line 445 "../libcore/ConnectServerDialog.vala"
		_data_->uri = _data_->_tmp61_;
#line 445 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->_tmp60_);
#line 1403 "ConnectServerDialog.c"
	}
#line 448 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp62_ = _data_->uri;
#line 448 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp63_ = _data_->folder;
#line 448 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp64_ = g_strconcat (_data_->_tmp62_, _data_->_tmp63_, NULL);
#line 448 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->uri);
#line 448 "../libcore/ConnectServerDialog.vala"
	_data_->uri = _data_->_tmp64_;
#line 449 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp65_ = _data_->uri;
#line 449 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp66_ = g_file_new_for_uri (_data_->_tmp65_);
#line 449 "../libcore/ConnectServerDialog.vala"
	_data_->location = _data_->_tmp66_;
#line 451 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp67_ = files_connect_server_operation_new (_data_->self);
#line 451 "../libcore/ConnectServerDialog.vala"
	_data_->operation = _data_->_tmp67_;
#line 452 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp68_ = g_cancellable_new ();
#line 452 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->self->priv->mount_cancellable);
#line 452 "../libcore/ConnectServerDialog.vala"
	_data_->self->priv->mount_cancellable = _data_->_tmp68_;
#line 1431 "ConnectServerDialog.c"
	{
#line 454 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp69_ = _data_->uri;
#line 454 "../libcore/ConnectServerDialog.vala"
		pf_connect_server_dialog_set_server_uri (_data_->self, _data_->_tmp69_);
#line 455 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp70_ = _data_->location;
#line 455 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp71_ = _data_->operation;
#line 455 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp72_ = _data_->self->priv->mount_cancellable;
#line 455 "../libcore/ConnectServerDialog.vala"
		_data_->_state_ = 1;
#line 455 "../libcore/ConnectServerDialog.vala"
		g_file_mount_enclosing_volume (_data_->_tmp70_, G_MOUNT_MOUNT_NONE, (GMountOperation*) _data_->_tmp71_, _data_->_tmp72_, pf_connect_server_dialog_connect_to_server_ready, _data_);
#line 455 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 1449 "ConnectServerDialog.c"
		_state_1:
#line 455 "../libcore/ConnectServerDialog.vala"
		g_file_mount_enclosing_volume_finish (_data_->_tmp70_, _data_->_res_, &_data_->_inner_error0_);
#line 455 "../libcore/ConnectServerDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 455 "../libcore/ConnectServerDialog.vala"
			if (g_error_matches (_data_->_inner_error0_, G_IO_ERROR, G_IO_ERROR_ALREADY_MOUNTED)) {
#line 1457 "ConnectServerDialog.c"
				goto __catch0_g_io_error_already_mounted;
			}
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_io_error_already_mounted:
	{
#line 453 "../libcore/ConnectServerDialog.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 1468 "ConnectServerDialog.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 453 "../libcore/ConnectServerDialog.vala"
		_data_->e = _data_->_inner_error0_;
#line 453 "../libcore/ConnectServerDialog.vala"
		_data_->_inner_error0_ = NULL;
#line 459 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp73_ = _data_->self->priv->info_bar;
#line 459 "../libcore/ConnectServerDialog.vala"
		gtk_info_bar_set_message_type (_data_->_tmp73_, GTK_MESSAGE_ERROR);
#line 460 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp74_ = _data_->self->priv->info_label;
#line 460 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp75_ = _data_->e;
#line 460 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp76_ = _data_->_tmp75_->message;
#line 460 "../libcore/ConnectServerDialog.vala"
		gtk_label_set_label (_data_->_tmp74_, _data_->_tmp76_);
#line 461 "../libcore/ConnectServerDialog.vala"
		pf_connect_server_dialog_show_info (_data_->self);
#line 462 "../libcore/ConnectServerDialog.vala"
		pf_connect_server_dialog_show_connect_button (_data_->self);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_error_free0 (_data_->e);
#line 1495 "ConnectServerDialog.c"
		{
#line 465 "../libcore/ConnectServerDialog.vala"
			_g_object_unref0 (_data_->self->priv->mount_cancellable);
#line 465 "../libcore/ConnectServerDialog.vala"
			_data_->self->priv->mount_cancellable = NULL;
#line 1501 "ConnectServerDialog.c"
		}
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_object_unref0 (_data_->operation);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_object_unref0 (_data_->location);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->uri);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->folder);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->initial_path);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->user);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->server);
#line 463 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->scheme);
#line 463 "../libcore/ConnectServerDialog.vala"
		G_IS_VALUE (&_data_->val) ? (g_value_unset (&_data_->val), NULL) : NULL;
#line 463 "../libcore/ConnectServerDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 463 "../libcore/ConnectServerDialog.vala"
		if (_data_->_state_ != 0) {
#line 463 "../libcore/ConnectServerDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 463 "../libcore/ConnectServerDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1529 "ConnectServerDialog.c"
			}
		}
#line 463 "../libcore/ConnectServerDialog.vala"
		g_object_unref (_data_->_async_result);
#line 463 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 1536 "ConnectServerDialog.c"
	}
	__finally0:
	{
#line 465 "../libcore/ConnectServerDialog.vala"
		_g_object_unref0 (_data_->self->priv->mount_cancellable);
#line 465 "../libcore/ConnectServerDialog.vala"
		_data_->self->priv->mount_cancellable = NULL;
#line 1544 "ConnectServerDialog.c"
	}
#line 453 "../libcore/ConnectServerDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_object_unref0 (_data_->operation);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_object_unref0 (_data_->location);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->uri);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->folder);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->initial_path);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->user);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->server);
#line 453 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->scheme);
#line 453 "../libcore/ConnectServerDialog.vala"
		G_IS_VALUE (&_data_->val) ? (g_value_unset (&_data_->val), NULL) : NULL;
#line 453 "../libcore/ConnectServerDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 453 "../libcore/ConnectServerDialog.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 453 "../libcore/ConnectServerDialog.vala"
		g_object_unref (_data_->_async_result);
#line 453 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 1574 "ConnectServerDialog.c"
	}
#line 468 "../libcore/ConnectServerDialog.vala"
	gtk_dialog_response ((GtkDialog*) _data_->self, (gint) GTK_RESPONSE_OK);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->operation);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->location);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->uri);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->folder);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->initial_path);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->user);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->server);
#line 469 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->scheme);
#line 469 "../libcore/ConnectServerDialog.vala"
	G_IS_VALUE (&_data_->val) ? (g_value_unset (&_data_->val), NULL) : NULL;
#line 469 "../libcore/ConnectServerDialog.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 469 "../libcore/ConnectServerDialog.vala"
	if (_data_->_state_ != 0) {
#line 469 "../libcore/ConnectServerDialog.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 469 "../libcore/ConnectServerDialog.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1604 "ConnectServerDialog.c"
		}
	}
#line 469 "../libcore/ConnectServerDialog.vala"
	g_object_unref (_data_->_async_result);
#line 469 "../libcore/ConnectServerDialog.vala"
	return FALSE;
#line 406 "../libcore/ConnectServerDialog.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 406 "../libcore/ConnectServerDialog.vala"
	if (_data_->_state_ != 0) {
#line 406 "../libcore/ConnectServerDialog.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 406 "../libcore/ConnectServerDialog.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1619 "ConnectServerDialog.c"
		}
	}
#line 406 "../libcore/ConnectServerDialog.vala"
	g_object_unref (_data_->_async_result);
#line 406 "../libcore/ConnectServerDialog.vala"
	return FALSE;
#line 1626 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_fill_details_async_data_free (gpointer _data)
{
	PfConnectServerDialogFillDetailsAsyncData* _data_;
	_data_ = _data;
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->mount_operation);
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->default_user);
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->default_domain);
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->self);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_slice_free (PfConnectServerDialogFillDetailsAsyncData, _data_);
#line 1644 "ConnectServerDialog.c"
}

void
pf_connect_server_dialog_fill_details_async (PFConnectServerDialog* self,
                                             GMountOperation* mount_operation,
                                             const gchar* default_user,
                                             const gchar* default_domain,
                                             GAskPasswordFlags askpassword_flags,
                                             GAsyncReadyCallback _callback_,
                                             gpointer _user_data_)
{
	PfConnectServerDialogFillDetailsAsyncData* _data_;
	PFConnectServerDialog* _tmp0_;
	GMountOperation* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 8 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (mount_operation != NULL);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (default_user != NULL);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (default_domain != NULL);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_ = g_slice_new0 (PfConnectServerDialogFillDetailsAsyncData);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_task_set_task_data (_data_->_async_result, _data_, pf_connect_server_dialog_fill_details_async_data_free);
#line 8 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->self = _tmp0_;
#line 8 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = _g_object_ref0 (mount_operation);
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_data_->mount_operation);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->mount_operation = _tmp1_;
#line 8 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = g_strdup (default_user);
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->default_user);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->default_user = _tmp2_;
#line 8 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = g_strdup (default_domain);
#line 8 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_data_->default_domain);
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->default_domain = _tmp3_;
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_->askpassword_flags = askpassword_flags;
#line 8 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_fill_details_async_co (_data_);
#line 1701 "ConnectServerDialog.c"
}

gboolean
pf_connect_server_dialog_fill_details_finish (PFConnectServerDialog* self,
                                              GAsyncResult* _res_)
{
	gboolean result;
	PfConnectServerDialogFillDetailsAsyncData* _data_;
#line 8 "../libcore/ConnectServerDialog.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 8 "../libcore/ConnectServerDialog.vala"
	result = _data_->result;
#line 8 "../libcore/ConnectServerDialog.vala"
	return result;
#line 1716 "ConnectServerDialog.c"
}

static gboolean
pf_connect_server_dialog_fill_details_async_co (PfConnectServerDialogFillDetailsAsyncData* _data_)
{
#line 473 "../libcore/ConnectServerDialog.vala"
	switch (_data_->_state_) {
#line 473 "../libcore/ConnectServerDialog.vala"
		case 0:
#line 1726 "ConnectServerDialog.c"
		goto _state_0;
		default:
#line 473 "../libcore/ConnectServerDialog.vala"
		g_assert_not_reached ();
#line 1731 "ConnectServerDialog.c"
	}
	_state_0:
#line 477 "../libcore/ConnectServerDialog.vala"
	_data_->set_flags = _data_->askpassword_flags;
#line 478 "../libcore/ConnectServerDialog.vala"
	if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_PASSWORD) == G_ASK_PASSWORD_NEED_PASSWORD) {
#line 479 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp0_ = _data_->self->priv->password_entry;
#line 479 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp1_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp0_);
#line 479 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp2_ = _data_->_tmp1_;
#line 479 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp3_ = g_strdup (_data_->_tmp2_);
#line 479 "../libcore/ConnectServerDialog.vala"
		_data_->password = _data_->_tmp3_;
#line 480 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp5_ = _data_->password;
#line 480 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp5_ != NULL) {
#line 480 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp6_ = _data_->password;
#line 480 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp4_ = g_strcmp0 (_data_->_tmp6_, "") != 0;
#line 1756 "ConnectServerDialog.c"
		} else {
#line 480 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp4_ = FALSE;
#line 1760 "ConnectServerDialog.c"
		}
#line 480 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp4_) {
#line 481 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp7_ = _data_->password;
#line 481 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_password (_data_->mount_operation, _data_->_tmp7_);
#line 482 "../libcore/ConnectServerDialog.vala"
			_data_->set_flags ^= G_ASK_PASSWORD_NEED_PASSWORD;
#line 1770 "ConnectServerDialog.c"
		} else {
#line 484 "../libcore/ConnectServerDialog.vala"
			_data_->self->priv->needs_password = TRUE;
#line 1774 "ConnectServerDialog.c"
		}
#line 478 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->password);
#line 1778 "ConnectServerDialog.c"
	}
#line 488 "../libcore/ConnectServerDialog.vala"
	if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_USERNAME) == G_ASK_PASSWORD_NEED_USERNAME) {
#line 489 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp8_ = _data_->self->priv->user_entry;
#line 489 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp9_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp8_);
#line 489 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp10_ = _data_->_tmp9_;
#line 489 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp11_ = g_strdup (_data_->_tmp10_);
#line 489 "../libcore/ConnectServerDialog.vala"
		_data_->username = _data_->_tmp11_;
#line 490 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp13_ = _data_->username;
#line 490 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp13_ != NULL) {
#line 490 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp14_ = _data_->username;
#line 490 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp12_ = g_strcmp0 (_data_->_tmp14_, "") != 0;
#line 1800 "ConnectServerDialog.c"
		} else {
#line 490 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp12_ = FALSE;
#line 1804 "ConnectServerDialog.c"
		}
#line 490 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp12_) {
#line 491 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp15_ = _data_->username;
#line 491 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_username (_data_->mount_operation, _data_->_tmp15_);
#line 492 "../libcore/ConnectServerDialog.vala"
			_data_->set_flags ^= G_ASK_PASSWORD_NEED_USERNAME;
#line 1814 "ConnectServerDialog.c"
		}
#line 488 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->username);
#line 1818 "ConnectServerDialog.c"
	}
#line 496 "../libcore/ConnectServerDialog.vala"
	if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_DOMAIN) == G_ASK_PASSWORD_NEED_DOMAIN) {
#line 497 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp16_ = _data_->self->priv->domain_entry;
#line 497 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp17_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp16_);
#line 497 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp18_ = _data_->_tmp17_;
#line 497 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp19_ = g_strdup (_data_->_tmp18_);
#line 497 "../libcore/ConnectServerDialog.vala"
		_data_->domain = _data_->_tmp19_;
#line 498 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp21_ = _data_->domain;
#line 498 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp21_ != NULL) {
#line 498 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp22_ = _data_->domain;
#line 498 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp20_ = g_strcmp0 (_data_->_tmp22_, "") != 0;
#line 1840 "ConnectServerDialog.c"
		} else {
#line 498 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp20_ = FALSE;
#line 1844 "ConnectServerDialog.c"
		}
#line 498 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp20_) {
#line 499 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp23_ = _data_->domain;
#line 499 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_domain (_data_->mount_operation, _data_->_tmp23_);
#line 500 "../libcore/ConnectServerDialog.vala"
			_data_->set_flags ^= G_ASK_PASSWORD_NEED_DOMAIN;
#line 1854 "ConnectServerDialog.c"
		}
#line 496 "../libcore/ConnectServerDialog.vala"
		_g_free0 (_data_->domain);
#line 1858 "ConnectServerDialog.c"
	}
#line 504 "../libcore/ConnectServerDialog.vala"
	_data_->need_mask = (G_ASK_PASSWORD_NEED_PASSWORD | G_ASK_PASSWORD_NEED_USERNAME) | G_ASK_PASSWORD_NEED_DOMAIN;
#line 508 "../libcore/ConnectServerDialog.vala"
	if ((_data_->set_flags & _data_->need_mask) == 0) {
#line 509 "../libcore/ConnectServerDialog.vala"
		_data_->result = TRUE;
#line 509 "../libcore/ConnectServerDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 509 "../libcore/ConnectServerDialog.vala"
		if (_data_->_state_ != 0) {
#line 509 "../libcore/ConnectServerDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 509 "../libcore/ConnectServerDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1874 "ConnectServerDialog.c"
			}
		}
#line 509 "../libcore/ConnectServerDialog.vala"
		g_object_unref (_data_->_async_result);
#line 509 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 1881 "ConnectServerDialog.c"
	}
#line 512 "../libcore/ConnectServerDialog.vala"
	if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_PASSWORD) == G_ASK_PASSWORD_NEED_PASSWORD) {
#line 513 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp24_ = _data_->self->priv->password_entry;
#line 513 "../libcore/ConnectServerDialog.vala"
		granite_validated_entry_set_is_valid (_data_->_tmp24_, FALSE);
#line 1889 "ConnectServerDialog.c"
	}
#line 516 "../libcore/ConnectServerDialog.vala"
	if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_USERNAME) == G_ASK_PASSWORD_NEED_USERNAME) {
#line 517 "../libcore/ConnectServerDialog.vala"
		if (_data_->default_user != NULL) {
#line 517 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp25_ = g_strcmp0 (_data_->default_user, "") != 0;
#line 1897 "ConnectServerDialog.c"
		} else {
#line 517 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp25_ = FALSE;
#line 1901 "ConnectServerDialog.c"
		}
#line 517 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp25_) {
#line 518 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp26_ = _data_->self->priv->user_entry;
#line 518 "../libcore/ConnectServerDialog.vala"
			gtk_entry_set_text ((GtkEntry*) _data_->_tmp26_, _data_->default_user);
#line 1909 "ConnectServerDialog.c"
		} else {
#line 520 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp27_ = _data_->self->priv->user_entry;
#line 520 "../libcore/ConnectServerDialog.vala"
			granite_validated_entry_set_is_valid (_data_->_tmp27_, FALSE);
#line 1915 "ConnectServerDialog.c"
		}
	}
#line 524 "../libcore/ConnectServerDialog.vala"
	if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_DOMAIN) == G_ASK_PASSWORD_NEED_DOMAIN) {
#line 525 "../libcore/ConnectServerDialog.vala"
		if (_data_->default_domain != NULL) {
#line 525 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp28_ = g_strcmp0 (_data_->default_domain, "") != 0;
#line 1924 "ConnectServerDialog.c"
		} else {
#line 525 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp28_ = FALSE;
#line 1928 "ConnectServerDialog.c"
		}
#line 525 "../libcore/ConnectServerDialog.vala"
		if (_data_->_tmp28_) {
#line 526 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp29_ = _data_->self->priv->domain_entry;
#line 526 "../libcore/ConnectServerDialog.vala"
			gtk_entry_set_text ((GtkEntry*) _data_->_tmp29_, _data_->default_domain);
#line 1936 "ConnectServerDialog.c"
		} else {
#line 528 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp30_ = _data_->self->priv->domain_entry;
#line 528 "../libcore/ConnectServerDialog.vala"
			granite_validated_entry_set_is_valid (_data_->_tmp30_, FALSE);
#line 1942 "ConnectServerDialog.c"
		}
	}
#line 532 "../libcore/ConnectServerDialog.vala"
	if (!((_data_->askpassword_flags & G_ASK_PASSWORD_SAVING_SUPPORTED) == G_ASK_PASSWORD_SAVING_SUPPORTED)) {
#line 533 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp31_ = _data_->self->priv->remember_checkbutton;
#line 533 "../libcore/ConnectServerDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _data_->_tmp31_, FALSE);
#line 534 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp32_ = _data_->self->priv->remember_checkbutton;
#line 534 "../libcore/ConnectServerDialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _data_->_tmp32_, FALSE);
#line 1955 "ConnectServerDialog.c"
	}
#line 537 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_verify_details (_data_->self);
#line 539 "../libcore/ConnectServerDialog.vala"
	_data_->_tmp33_ = _data_->self->priv->mount_cancellable;
#line 539 "../libcore/ConnectServerDialog.vala"
	if (g_cancellable_is_cancelled (_data_->_tmp33_)) {
#line 540 "../libcore/ConnectServerDialog.vala"
		_data_->result = FALSE;
#line 540 "../libcore/ConnectServerDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 540 "../libcore/ConnectServerDialog.vala"
		if (_data_->_state_ != 0) {
#line 540 "../libcore/ConnectServerDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 540 "../libcore/ConnectServerDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1973 "ConnectServerDialog.c"
			}
		}
#line 540 "../libcore/ConnectServerDialog.vala"
		g_object_unref (_data_->_async_result);
#line 540 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 1980 "ConnectServerDialog.c"
	} else {
#line 542 "../libcore/ConnectServerDialog.vala"
		if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_PASSWORD) == G_ASK_PASSWORD_NEED_PASSWORD) {
#line 543 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp34_ = _data_->self->priv->password_entry;
#line 543 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp35_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp34_);
#line 543 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp36_ = _data_->_tmp35_;
#line 543 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_password (_data_->mount_operation, _data_->_tmp36_);
#line 1992 "ConnectServerDialog.c"
		}
#line 546 "../libcore/ConnectServerDialog.vala"
		if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_USERNAME) == G_ASK_PASSWORD_NEED_USERNAME) {
#line 547 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp37_ = _data_->self->priv->user_entry;
#line 547 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp38_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp37_);
#line 547 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp39_ = _data_->_tmp38_;
#line 547 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_username (_data_->mount_operation, _data_->_tmp39_);
#line 2004 "ConnectServerDialog.c"
		}
#line 550 "../libcore/ConnectServerDialog.vala"
		if ((_data_->askpassword_flags & G_ASK_PASSWORD_NEED_DOMAIN) == G_ASK_PASSWORD_NEED_DOMAIN) {
#line 551 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp40_ = _data_->self->priv->domain_entry;
#line 551 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp41_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp40_);
#line 551 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp42_ = _data_->_tmp41_;
#line 551 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_domain (_data_->mount_operation, _data_->_tmp42_);
#line 2016 "ConnectServerDialog.c"
		}
#line 554 "../libcore/ConnectServerDialog.vala"
		if ((_data_->askpassword_flags & G_ASK_PASSWORD_SAVING_SUPPORTED) == G_ASK_PASSWORD_SAVING_SUPPORTED) {
#line 555 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp44_ = _data_->self->priv->password_entry;
#line 555 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp45_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp44_);
#line 555 "../libcore/ConnectServerDialog.vala"
			_data_->_tmp46_ = _data_->_tmp45_;
#line 555 "../libcore/ConnectServerDialog.vala"
			if (g_strcmp0 (_data_->_tmp46_, "") != 0) {
#line 555 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp47_ = _data_->self->priv->remember_checkbutton;
#line 555 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp48_ = gtk_toggle_button_get_active ((GtkToggleButton*) _data_->_tmp47_);
#line 555 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp49_ = _data_->_tmp48_;
#line 555 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp43_ = _data_->_tmp49_;
#line 2036 "ConnectServerDialog.c"
			} else {
#line 555 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp43_ = FALSE;
#line 2040 "ConnectServerDialog.c"
			}
#line 555 "../libcore/ConnectServerDialog.vala"
			_data_->should_save = _data_->_tmp43_;
#line 556 "../libcore/ConnectServerDialog.vala"
			if (_data_->should_save) {
#line 556 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp50_ = G_PASSWORD_SAVE_PERMANENTLY;
#line 2048 "ConnectServerDialog.c"
			} else {
#line 556 "../libcore/ConnectServerDialog.vala"
				_data_->_tmp50_ = G_PASSWORD_SAVE_NEVER;
#line 2052 "ConnectServerDialog.c"
			}
#line 556 "../libcore/ConnectServerDialog.vala"
			g_mount_operation_set_password_save (_data_->mount_operation, _data_->_tmp50_);
#line 2056 "ConnectServerDialog.c"
		}
#line 559 "../libcore/ConnectServerDialog.vala"
		_data_->_tmp51_ = _data_->self->priv->connect_button;
#line 559 "../libcore/ConnectServerDialog.vala"
		gtk_button_clicked (_data_->_tmp51_);
#line 560 "../libcore/ConnectServerDialog.vala"
		_data_->result = TRUE;
#line 560 "../libcore/ConnectServerDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 560 "../libcore/ConnectServerDialog.vala"
		if (_data_->_state_ != 0) {
#line 560 "../libcore/ConnectServerDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 560 "../libcore/ConnectServerDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 2072 "ConnectServerDialog.c"
			}
		}
#line 560 "../libcore/ConnectServerDialog.vala"
		g_object_unref (_data_->_async_result);
#line 560 "../libcore/ConnectServerDialog.vala"
		return FALSE;
#line 2079 "ConnectServerDialog.c"
	}
}

static void
pf_connect_server_dialog_on_connect_clicked (PFConnectServerDialog* self)
{
	GtkStack* _tmp0_;
	GtkButton* _tmp1_;
	GtkButton* _tmp2_;
#line 564 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 565 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_dismiss_info (self);
#line 566 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->stack;
#line 566 "../libcore/ConnectServerDialog.vala"
	gtk_stack_set_visible_child_name (_tmp0_, "connecting");
#line 567 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->connect_button;
#line 567 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp1_, FALSE);
#line 568 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = self->priv->continue_button;
#line 568 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp2_, FALSE);
#line 569 "../libcore/ConnectServerDialog.vala"
	self->priv->needs_password = FALSE;
#line 570 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_connect_to_server (self, NULL, NULL);
#line 2109 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_on_cancel_clicked (PFConnectServerDialog* self)
{
	void* loop = NULL;
	GtkButton* _tmp0_;
	gconstpointer _tmp1_;
	void* _tmp2_;
	gboolean _tmp5_ = FALSE;
	GCancellable* _tmp6_;
#line 573 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 574 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->continue_button;
#line 574 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = g_object_get_data ((GObject*) _tmp0_, "loop");
#line 574 "../libcore/ConnectServerDialog.vala"
	loop = _tmp1_;
#line 575 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = loop;
#line 575 "../libcore/ConnectServerDialog.vala"
	if (_tmp2_ != NULL) {
#line 2133 "ConnectServerDialog.c"
		GtkComboBox* _tmp3_;
		void* _tmp4_;
#line 576 "../libcore/ConnectServerDialog.vala"
		_tmp3_ = self->priv->type_combobox;
#line 576 "../libcore/ConnectServerDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, TRUE);
#line 577 "../libcore/ConnectServerDialog.vala"
		_tmp4_ = loop;
#line 577 "../libcore/ConnectServerDialog.vala"
		g_main_loop_quit ((GMainLoop*) _tmp4_);
#line 2144 "ConnectServerDialog.c"
	}
#line 580 "../libcore/ConnectServerDialog.vala"
	_tmp6_ = self->priv->mount_cancellable;
#line 580 "../libcore/ConnectServerDialog.vala"
	if (_tmp6_ != NULL) {
#line 2150 "ConnectServerDialog.c"
		GCancellable* _tmp7_;
#line 580 "../libcore/ConnectServerDialog.vala"
		_tmp7_ = self->priv->mount_cancellable;
#line 580 "../libcore/ConnectServerDialog.vala"
		_tmp5_ = !g_cancellable_is_cancelled (_tmp7_);
#line 2156 "ConnectServerDialog.c"
	} else {
#line 580 "../libcore/ConnectServerDialog.vala"
		_tmp5_ = FALSE;
#line 2160 "ConnectServerDialog.c"
	}
#line 580 "../libcore/ConnectServerDialog.vala"
	if (_tmp5_) {
#line 2164 "ConnectServerDialog.c"
		GCancellable* _tmp8_;
#line 581 "../libcore/ConnectServerDialog.vala"
		_tmp8_ = self->priv->mount_cancellable;
#line 581 "../libcore/ConnectServerDialog.vala"
		g_cancellable_cancel (_tmp8_);
#line 2170 "ConnectServerDialog.c"
	} else {
#line 583 "../libcore/ConnectServerDialog.vala"
		gtk_dialog_response ((GtkDialog*) self, (gint) GTK_RESPONSE_CANCEL);
#line 2174 "ConnectServerDialog.c"
	}
}

static void
pf_connect_server_dialog_on_continue_clicked (PFConnectServerDialog* self)
{
	void* loop = NULL;
	GtkButton* _tmp0_;
	gconstpointer _tmp1_;
	void* _tmp2_;
#line 587 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 588 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->continue_button;
#line 588 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = g_object_get_data ((GObject*) _tmp0_, "loop");
#line 588 "../libcore/ConnectServerDialog.vala"
	loop = _tmp1_;
#line 589 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = loop;
#line 589 "../libcore/ConnectServerDialog.vala"
	if (_tmp2_ != NULL) {
#line 2197 "ConnectServerDialog.c"
		void* _tmp3_;
#line 590 "../libcore/ConnectServerDialog.vala"
		_tmp3_ = loop;
#line 590 "../libcore/ConnectServerDialog.vala"
		g_main_loop_quit ((GMainLoop*) _tmp3_);
#line 2203 "ConnectServerDialog.c"
	} else {
#line 592 "../libcore/ConnectServerDialog.vala"
		g_critical ("ConnectServerDialog.vala:592: unexpected continue button click without" \
" associated mainloop");
#line 2207 "ConnectServerDialog.c"
	}
}

static GtkLabel*
pf_connect_server_dialog_new_detailed_label (PFConnectServerDialog* self,
                                             const gchar* label,
                                             GtkWidget* linked_widget)
{
	GtkLabel* _label = NULL;
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* result;
#line 596 "../libcore/ConnectServerDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 596 "../libcore/ConnectServerDialog.vala"
	g_return_val_if_fail (label != NULL, NULL);
#line 596 "../libcore/ConnectServerDialog.vala"
	g_return_val_if_fail (linked_widget != NULL, NULL);
#line 597 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new (label);
#line 597 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_xalign (_tmp0_, (gfloat) 1);
#line 597 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 597 "../libcore/ConnectServerDialog.vala"
	_label = _tmp0_;
#line 601 "../libcore/ConnectServerDialog.vala"
	g_object_bind_property_with_closures ((GObject*) linked_widget, "visible", (GObject*) _label, "visible", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 603 "../libcore/ConnectServerDialog.vala"
	result = _label;
#line 603 "../libcore/ConnectServerDialog.vala"
	return result;
#line 2239 "ConnectServerDialog.c"
}

const gchar*
pf_connect_server_dialog_get_server_uri (PFConnectServerDialog* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 96 "../libcore/ConnectServerDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 96 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->_server_uri;
#line 96 "../libcore/ConnectServerDialog.vala"
	result = _tmp0_;
#line 96 "../libcore/ConnectServerDialog.vala"
	return result;
#line 2255 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_set_server_uri (PFConnectServerDialog* self,
                                         const gchar* value)
{
	gchar* old_value;
#line 96 "../libcore/ConnectServerDialog.vala"
	g_return_if_fail (self != NULL);
#line 96 "../libcore/ConnectServerDialog.vala"
	old_value = pf_connect_server_dialog_get_server_uri (self);
#line 96 "../libcore/ConnectServerDialog.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 2269 "ConnectServerDialog.c"
		gchar* _tmp0_;
#line 96 "../libcore/ConnectServerDialog.vala"
		_tmp0_ = g_strdup (value);
#line 96 "../libcore/ConnectServerDialog.vala"
		_g_free0 (self->priv->_server_uri);
#line 96 "../libcore/ConnectServerDialog.vala"
		self->priv->_server_uri = _tmp0_;
#line 96 "../libcore/ConnectServerDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_connect_server_dialog_properties[PF_CONNECT_SERVER_DIALOG_SERVER_URI_PROPERTY]);
#line 2279 "ConnectServerDialog.c"
	}
}

static void
pf_connect_server_dialog_method_info_copy (const PFConnectServerDialogMethodInfo* self,
                                           PFConnectServerDialogMethodInfo* dest)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
#line 20 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = (*self).scheme;
#line 20 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 20 "../libcore/ConnectServerDialog.vala"
	_g_free0 ((*dest).scheme);
#line 20 "../libcore/ConnectServerDialog.vala"
	(*dest).scheme = _tmp1_;
#line 20 "../libcore/ConnectServerDialog.vala"
	(*dest).flags = (*self).flags;
#line 20 "../libcore/ConnectServerDialog.vala"
	(*dest).port = (*self).port;
#line 20 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = (*self).description;
#line 20 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 20 "../libcore/ConnectServerDialog.vala"
	_g_free0 ((*dest).description);
#line 20 "../libcore/ConnectServerDialog.vala"
	(*dest).description = _tmp3_;
#line 2311 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_method_info_destroy (PFConnectServerDialogMethodInfo* self)
{
#line 21 "../libcore/ConnectServerDialog.vala"
	_g_free0 ((*self).scheme);
#line 24 "../libcore/ConnectServerDialog.vala"
	_g_free0 ((*self).description);
#line 2321 "ConnectServerDialog.c"
}

static PFConnectServerDialogMethodInfo*
pf_connect_server_dialog_method_info_dup (const PFConnectServerDialogMethodInfo* self)
{
	PFConnectServerDialogMethodInfo* dup;
#line 20 "../libcore/ConnectServerDialog.vala"
	dup = g_new0 (PFConnectServerDialogMethodInfo, 1);
#line 20 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_method_info_copy (self, dup);
#line 20 "../libcore/ConnectServerDialog.vala"
	return dup;
#line 2334 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_method_info_free (PFConnectServerDialogMethodInfo* self)
{
#line 20 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_method_info_destroy (self);
#line 20 "../libcore/ConnectServerDialog.vala"
	g_free (self);
#line 2344 "ConnectServerDialog.c"
}

 G_GNUC_NO_INLINE static GType
pf_connect_server_dialog_method_info_get_type_once (void)
{
	GType pf_connect_server_dialog_method_info_type_id;
	pf_connect_server_dialog_method_info_type_id = g_boxed_type_register_static ("PFConnectServerDialogMethodInfo", (GBoxedCopyFunc) pf_connect_server_dialog_method_info_dup, (GBoxedFreeFunc) pf_connect_server_dialog_method_info_free);
	return pf_connect_server_dialog_method_info_type_id;
}

static GType
pf_connect_server_dialog_method_info_get_type (void)
{
	static volatile gsize pf_connect_server_dialog_method_info_type_id__once = 0;
	if (g_once_init_enter (&pf_connect_server_dialog_method_info_type_id__once)) {
		GType pf_connect_server_dialog_method_info_type_id;
		pf_connect_server_dialog_method_info_type_id = pf_connect_server_dialog_method_info_get_type_once ();
		g_once_init_leave (&pf_connect_server_dialog_method_info_type_id__once, pf_connect_server_dialog_method_info_type_id);
	}
	return pf_connect_server_dialog_method_info_type_id__once;
}

static void
_pf_connect_server_dialog_on_cancel_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self)
{
#line 207 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_on_cancel_clicked ((PFConnectServerDialog*) self);
#line 2373 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog_on_connect_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                 gpointer self)
{
#line 214 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_on_connect_clicked ((PFConnectServerDialog*) self);
#line 2382 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog_on_continue_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                  gpointer self)
{
#line 221 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_on_continue_clicked ((PFConnectServerDialog*) self);
#line 2391 "ConnectServerDialog.c"
}

static gboolean
_vala_string_array_contains (gchar* * stack,
                             gssize stack_length,
                             const gchar* needle)
{
	gssize i;
#line 295 "../libcore/ConnectServerDialog.vala"
	for (i = 0; i < stack_length; i++) {
#line 295 "../libcore/ConnectServerDialog.vala"
		if (g_strcmp0 (stack[i], needle) == 0) {
#line 295 "../libcore/ConnectServerDialog.vala"
			return TRUE;
#line 2406 "ConnectServerDialog.c"
		}
	}
#line 295 "../libcore/ConnectServerDialog.vala"
	return FALSE;
#line 2411 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog___lambda25_ (PFConnectServerDialog* self)
{
#line 304 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_type_changed (self);
#line 2419 "ConnectServerDialog.c"
}

static void
__pf_connect_server_dialog___lambda25__gtk_combo_box_changed (GtkComboBox* _sender,
                                                              gpointer self)
{
#line 304 "../libcore/ConnectServerDialog.vala"
	_pf_connect_server_dialog___lambda25_ ((PFConnectServerDialog*) self);
#line 2428 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog___lambda26_ (PFConnectServerDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 308 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->server_entry;
#line 308 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->server_entry;
#line 308 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 308 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = _tmp2_;
#line 308 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 308 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = _tmp4_;
#line 308 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ > 3);
#line 309 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_set_button_sensitivity (self);
#line 2456 "ConnectServerDialog.c"
}

static void
__pf_connect_server_dialog___lambda26__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 307 "../libcore/ConnectServerDialog.vala"
	_pf_connect_server_dialog___lambda26_ ((PFConnectServerDialog*) self);
#line 2465 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog___lambda27_ (PFConnectServerDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 313 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->user_entry;
#line 313 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->user_entry;
#line 313 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 313 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = _tmp2_;
#line 313 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 313 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = _tmp4_;
#line 313 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ > 0);
#line 314 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_set_button_sensitivity (self);
#line 2493 "ConnectServerDialog.c"
}

static void
__pf_connect_server_dialog___lambda27__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 312 "../libcore/ConnectServerDialog.vala"
	_pf_connect_server_dialog___lambda27_ ((PFConnectServerDialog*) self);
#line 2502 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog___lambda28_ (PFConnectServerDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 318 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = self->priv->domain_entry;
#line 318 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->domain_entry;
#line 318 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 318 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = _tmp2_;
#line 318 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 318 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = _tmp4_;
#line 318 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ > 0);
#line 319 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_set_button_sensitivity (self);
#line 2530 "ConnectServerDialog.c"
}

static void
__pf_connect_server_dialog___lambda28__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 317 "../libcore/ConnectServerDialog.vala"
	_pf_connect_server_dialog___lambda28_ ((PFConnectServerDialog*) self);
#line 2539 "ConnectServerDialog.c"
}

static void
_pf_connect_server_dialog___lambda29_ (PFConnectServerDialog* self)
{
	gboolean _tmp0_ = FALSE;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	GraniteValidatedEntry* _tmp6_;
	GtkRevealer* _tmp7_;
	GraniteValidatedEntry* _tmp8_;
	const gchar* _tmp9_;
	const gchar* _tmp10_;
	gint _tmp11_;
	gint _tmp12_;
#line 323 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = self->priv->password_entry;
#line 323 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 323 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = _tmp2_;
#line 323 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 323 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = _tmp4_;
#line 323 "../libcore/ConnectServerDialog.vala"
	if (_tmp5_ > 0) {
#line 323 "../libcore/ConnectServerDialog.vala"
		_tmp0_ = TRUE;
#line 2572 "ConnectServerDialog.c"
	} else {
#line 323 "../libcore/ConnectServerDialog.vala"
		_tmp0_ = !self->priv->needs_password;
#line 2576 "ConnectServerDialog.c"
	}
#line 323 "../libcore/ConnectServerDialog.vala"
	_tmp6_ = self->priv->password_entry;
#line 323 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp6_, _tmp0_);
#line 324 "../libcore/ConnectServerDialog.vala"
	_tmp7_ = self->priv->remember_revealer;
#line 324 "../libcore/ConnectServerDialog.vala"
	_tmp8_ = self->priv->password_entry;
#line 324 "../libcore/ConnectServerDialog.vala"
	_tmp9_ = gtk_entry_get_text ((GtkEntry*) _tmp8_);
#line 324 "../libcore/ConnectServerDialog.vala"
	_tmp10_ = _tmp9_;
#line 324 "../libcore/ConnectServerDialog.vala"
	_tmp11_ = strlen (_tmp10_);
#line 324 "../libcore/ConnectServerDialog.vala"
	_tmp12_ = _tmp11_;
#line 324 "../libcore/ConnectServerDialog.vala"
	gtk_revealer_set_reveal_child (_tmp7_, _tmp12_ > 0);
#line 325 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_set_button_sensitivity (self);
#line 2598 "ConnectServerDialog.c"
}

static void
__pf_connect_server_dialog___lambda29__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 322 "../libcore/ConnectServerDialog.vala"
	_pf_connect_server_dialog___lambda29_ ((PFConnectServerDialog*) self);
#line 2607 "ConnectServerDialog.c"
}

static GObject *
pf_connect_server_dialog_constructor (GType type,
                                      guint n_construct_properties,
                                      GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	PFConnectServerDialog * self;
	GtkLabel* _tmp0_;
	GtkInfoBar* _tmp1_ = NULL;
	GtkInfoBar* _tmp2_;
	GtkStyleContext* _tmp3_;
	GtkInfoBar* _tmp4_;
	GtkContainer* _tmp5_;
	GtkLabel* _tmp6_;
	GraniteHeaderLabel* server_header_label = NULL;
	GraniteHeaderLabel* _tmp7_;
	gchar* _tmp8_;
	GraniteValidatedEntry* _tmp9_ = NULL;
	GtkLabel* server_label = NULL;
	GtkLabel* _tmp10_ = NULL;
	GtkSpinButton* _tmp11_ = NULL;
	GtkLabel* port_label = NULL;
	GtkLabel* _tmp12_ = NULL;
	GtkBox* port_box = NULL;
	GtkBox* _tmp13_ = NULL;
	GtkBox* _tmp14_;
	GtkLabel* _tmp15_;
	GtkBox* _tmp16_;
	GtkSpinButton* _tmp17_;
	GtkBox* _tmp18_;
	GtkWidget* _tmp19_;
	GtkRevealer* _tmp20_ = NULL;
	GtkBox* server_port_box = NULL;
	GtkBox* _tmp21_;
	GtkBox* _tmp22_;
	GraniteValidatedEntry* _tmp23_;
	GtkBox* _tmp24_;
	GtkRevealer* _tmp25_;
	GtkListStore* type_store = NULL;
	GtkListStore* _tmp26_;
	GtkListStore* _tmp27_;
	GtkComboBox* _tmp28_;
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp29_;
	GtkComboBox* _tmp30_;
	GtkCellRendererText* _tmp31_;
	GtkComboBox* _tmp32_;
	GtkCellRendererText* _tmp33_;
	GtkLabel* type_label = NULL;
	GtkLabel* _tmp34_ = NULL;
	gchar* _tmp35_;
	GtkEntry* _tmp36_ = NULL;
	GtkLabel* share_label = NULL;
	GtkEntry* _tmp37_;
	GtkLabel* _tmp38_;
	gchar* _tmp39_;
	gchar* _tmp40_;
	GtkEntry* _tmp41_ = NULL;
	GtkLabel* folder_label = NULL;
	GtkLabel* _tmp42_ = NULL;
	GraniteHeaderLabel* _tmp43_;
	gchar* _tmp44_;
	gchar* _tmp45_;
	GraniteValidatedEntry* _tmp46_ = NULL;
	GtkLabel* domain_label = NULL;
	GraniteValidatedEntry* _tmp47_;
	GtkLabel* _tmp48_;
	const gchar* _tmp49_;
	gchar* _tmp50_;
	gchar* _tmp51_;
	GraniteValidatedEntry* _tmp52_ = NULL;
	GtkLabel* user_label = NULL;
	GraniteValidatedEntry* _tmp53_;
	GtkLabel* _tmp54_;
	GraniteValidatedEntry* _tmp55_ = NULL;
	GtkLabel* password_label = NULL;
	GraniteValidatedEntry* _tmp56_;
	GtkLabel* _tmp57_;
	GtkCheckButton* _tmp58_;
	GtkCheckButton* _tmp59_;
	GtkWidget* _tmp60_;
	GtkRevealer* _tmp61_ = NULL;
	GtkButton* _tmp62_;
	GtkButton* _tmp63_;
	GtkButton* _tmp64_ = NULL;
	GtkButton* _tmp65_;
	GtkStyleContext* _tmp66_;
	GtkButton* _tmp67_;
	GtkButton* _tmp68_ = NULL;
	GtkButton* _tmp69_;
	GtkStyleContext* _tmp70_;
	GtkButton* _tmp71_;
	GtkBox* button_box = NULL;
	GtkBox* _tmp72_ = NULL;
	GtkBox* _tmp73_;
	GtkButton* _tmp74_;
	GtkBox* _tmp75_;
	GtkButton* _tmp76_;
	GtkBox* _tmp77_;
	GtkButton* _tmp78_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp79_ = NULL;
	GtkGrid* _tmp80_;
	GtkInfoBar* _tmp81_;
	GtkGrid* _tmp82_;
	GraniteHeaderLabel* _tmp83_;
	GtkGrid* _tmp84_;
	GtkLabel* _tmp85_;
	GtkGrid* _tmp86_;
	GtkComboBox* _tmp87_;
	GtkGrid* _tmp88_;
	GtkLabel* _tmp89_;
	GtkGrid* _tmp90_;
	GtkBox* _tmp91_;
	GtkGrid* _tmp92_;
	GtkLabel* _tmp93_;
	GtkGrid* _tmp94_;
	GtkEntry* _tmp95_;
	GtkGrid* _tmp96_;
	GtkLabel* _tmp97_;
	GtkGrid* _tmp98_;
	GtkEntry* _tmp99_;
	GtkGrid* _tmp100_;
	GraniteHeaderLabel* _tmp101_;
	GtkGrid* _tmp102_;
	GtkLabel* _tmp103_;
	GtkGrid* _tmp104_;
	GraniteValidatedEntry* _tmp105_;
	GtkGrid* _tmp106_;
	GtkLabel* _tmp107_;
	GtkGrid* _tmp108_;
	GraniteValidatedEntry* _tmp109_;
	GtkGrid* _tmp110_;
	GtkLabel* _tmp111_;
	GtkGrid* _tmp112_;
	GraniteValidatedEntry* _tmp113_;
	GtkGrid* _tmp114_;
	GtkRevealer* _tmp115_;
	GtkSpinner* connecting_spinner = NULL;
	GtkSpinner* _tmp116_;
	GtkSpinner* _tmp117_;
	GtkLabel* connecting_label = NULL;
	GtkLabel* _tmp118_;
	GtkBox* connecting_box = NULL;
	GtkBox* _tmp119_ = NULL;
	GtkBox* _tmp120_;
	GtkLabel* _tmp121_;
	GtkBox* _tmp122_;
	GtkSpinner* _tmp123_;
	GtkStack* _tmp124_ = NULL;
	GtkStack* _tmp125_;
	GtkGrid* _tmp126_;
	GtkStack* _tmp127_;
	GtkBox* _tmp128_;
	GtkBox* content_area = NULL;
	GtkBox* _tmp129_;
	GtkBox* _tmp130_;
	GtkBox* _tmp131_;
	GtkBox* _tmp132_;
	GtkBox* _tmp133_;
	GtkBox* _tmp134_;
	GtkBox* _tmp135_;
	GtkStack* _tmp136_;
	GtkBox* _tmp137_;
	GtkBox* _tmp138_;
	GtkBox* _tmp139_;
	gchar** supported_schemes = NULL;
	GVfs* _tmp140_;
	gchar** _tmp141_;
	gchar** _tmp142_;
	gint supported_schemes_length1;
	gint _supported_schemes_size_;
	PFConnectServerDialogMethodInfo* _tmp143_;
	gint _tmp143__length1;
	GtkComboBox* _tmp156_;
	GtkComboBox* _tmp157_;
	GraniteValidatedEntry* _tmp158_;
	GraniteValidatedEntry* _tmp159_;
	GraniteValidatedEntry* _tmp160_;
	GraniteValidatedEntry* _tmp161_;
#line 102 "../libcore/ConnectServerDialog.vala"
	parent_class = G_OBJECT_CLASS (pf_connect_server_dialog_parent_class);
#line 102 "../libcore/ConnectServerDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 102 "../libcore/ConnectServerDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PF_TYPE_CONNECT_SERVER_DIALOG, PFConnectServerDialog);
#line 103 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new (NULL);
#line 103 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 103 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->info_label);
#line 103 "../libcore/ConnectServerDialog.vala"
	self->priv->info_label = _tmp0_;
#line 105 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = (GtkInfoBar*) gtk_info_bar_new ();
#line 105 "../libcore/ConnectServerDialog.vala"
	gtk_info_bar_set_message_type (_tmp1_, GTK_MESSAGE_INFO);
#line 105 "../libcore/ConnectServerDialog.vala"
	gtk_info_bar_set_revealed (_tmp1_, FALSE);
#line 105 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 105 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->info_bar);
#line 105 "../libcore/ConnectServerDialog.vala"
	self->priv->info_bar = _tmp1_;
#line 109 "../libcore/ConnectServerDialog.vala"
	_tmp2_ = self->priv->info_bar;
#line 109 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = gtk_widget_get_style_context ((GtkWidget*) _tmp2_);
#line 109 "../libcore/ConnectServerDialog.vala"
	gtk_style_context_add_class (_tmp3_, GTK_STYLE_CLASS_FRAME);
#line 110 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = self->priv->info_bar;
#line 110 "../libcore/ConnectServerDialog.vala"
	_tmp5_ = gtk_info_bar_get_content_area (_tmp4_);
#line 110 "../libcore/ConnectServerDialog.vala"
	_tmp6_ = self->priv->info_label;
#line 110 "../libcore/ConnectServerDialog.vala"
	gtk_container_add (_tmp5_, (GtkWidget*) _tmp6_);
#line 112 "../libcore/ConnectServerDialog.vala"
	_tmp7_ = granite_header_label_new (_ ("Server Details"));
#line 112 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp7_);
#line 112 "../libcore/ConnectServerDialog.vala"
	server_header_label = _tmp7_;
#line 114 "../libcore/ConnectServerDialog.vala"
	_tmp8_ = g_strdup (_ ("Server name or IP address"));
#line 114 "../libcore/ConnectServerDialog.vala"
	_tmp9_ = granite_validated_entry_new ();
#line 114 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 114 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_placeholder_text ((GtkEntry*) _tmp9_, _tmp8_);
#line 114 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp8_);
#line 114 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 114 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->server_entry);
#line 114 "../libcore/ConnectServerDialog.vala"
	self->priv->server_entry = _tmp9_;
#line 119 "../libcore/ConnectServerDialog.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new (_ ("Server:"));
#line 119 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_xalign (_tmp10_, (gfloat) 1);
#line 119 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 119 "../libcore/ConnectServerDialog.vala"
	server_label = _tmp10_;
#line 123 "../libcore/ConnectServerDialog.vala"
	_tmp11_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) G_MAXUSHORT, (gdouble) 1);
#line 123 "../libcore/ConnectServerDialog.vala"
	gtk_spin_button_set_digits (_tmp11_, (guint) 0);
#line 123 "../libcore/ConnectServerDialog.vala"
	gtk_spin_button_set_numeric (_tmp11_, TRUE);
#line 123 "../libcore/ConnectServerDialog.vala"
	gtk_spin_button_set_update_policy (_tmp11_, GTK_UPDATE_IF_VALID);
#line 123 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp11_);
#line 123 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->port_spinbutton);
#line 123 "../libcore/ConnectServerDialog.vala"
	self->priv->port_spinbutton = _tmp11_;
#line 129 "../libcore/ConnectServerDialog.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("Port:"));
#line 129 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_xalign (_tmp12_, (gfloat) 1);
#line 129 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 129 "../libcore/ConnectServerDialog.vala"
	port_label = _tmp12_;
#line 133 "../libcore/ConnectServerDialog.vala"
	_tmp13_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 133 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp13_, 6);
#line 133 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp13_);
#line 133 "../libcore/ConnectServerDialog.vala"
	port_box = _tmp13_;
#line 136 "../libcore/ConnectServerDialog.vala"
	_tmp14_ = port_box;
#line 136 "../libcore/ConnectServerDialog.vala"
	_tmp15_ = port_label;
#line 136 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp14_, (GtkWidget*) _tmp15_);
#line 137 "../libcore/ConnectServerDialog.vala"
	_tmp16_ = port_box;
#line 137 "../libcore/ConnectServerDialog.vala"
	_tmp17_ = self->priv->port_spinbutton;
#line 137 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp16_, (GtkWidget*) _tmp17_);
#line 139 "../libcore/ConnectServerDialog.vala"
	_tmp18_ = port_box;
#line 139 "../libcore/ConnectServerDialog.vala"
	_tmp19_ = _g_object_ref0 ((GtkWidget*) _tmp18_);
#line 139 "../libcore/ConnectServerDialog.vala"
	_tmp20_ = (GtkRevealer*) gtk_revealer_new ();
#line 139 "../libcore/ConnectServerDialog.vala"
	g_object_set ((GtkContainer*) _tmp20_, "child", _tmp19_, NULL);
#line 139 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_tmp19_);
#line 139 "../libcore/ConnectServerDialog.vala"
	gtk_revealer_set_transition_type (_tmp20_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT);
#line 139 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 139 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->port_revealer);
#line 139 "../libcore/ConnectServerDialog.vala"
	self->priv->port_revealer = _tmp20_;
#line 144 "../libcore/ConnectServerDialog.vala"
	_tmp21_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 144 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp21_);
#line 144 "../libcore/ConnectServerDialog.vala"
	server_port_box = _tmp21_;
#line 145 "../libcore/ConnectServerDialog.vala"
	_tmp22_ = server_port_box;
#line 145 "../libcore/ConnectServerDialog.vala"
	_tmp23_ = self->priv->server_entry;
#line 145 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp22_, (GtkWidget*) _tmp23_);
#line 146 "../libcore/ConnectServerDialog.vala"
	_tmp24_ = server_port_box;
#line 146 "../libcore/ConnectServerDialog.vala"
	_tmp25_ = self->priv->port_revealer;
#line 146 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 148 "../libcore/ConnectServerDialog.vala"
	_tmp26_ = gtk_list_store_new (2, PF_CONNECT_SERVER_DIALOG_TYPE_METHOD_INFO, G_TYPE_STRING, -1);
#line 148 "../libcore/ConnectServerDialog.vala"
	type_store = _tmp26_;
#line 150 "../libcore/ConnectServerDialog.vala"
	_tmp27_ = type_store;
#line 150 "../libcore/ConnectServerDialog.vala"
	_tmp28_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp27_);
#line 150 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp28_);
#line 150 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 150 "../libcore/ConnectServerDialog.vala"
	self->priv->type_combobox = _tmp28_;
#line 152 "../libcore/ConnectServerDialog.vala"
	_tmp29_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 152 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp29_);
#line 152 "../libcore/ConnectServerDialog.vala"
	renderer = _tmp29_;
#line 153 "../libcore/ConnectServerDialog.vala"
	_tmp30_ = self->priv->type_combobox;
#line 153 "../libcore/ConnectServerDialog.vala"
	_tmp31_ = renderer;
#line 153 "../libcore/ConnectServerDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp30_, (GtkCellRenderer*) _tmp31_, TRUE);
#line 154 "../libcore/ConnectServerDialog.vala"
	_tmp32_ = self->priv->type_combobox;
#line 154 "../libcore/ConnectServerDialog.vala"
	_tmp33_ = renderer;
#line 154 "../libcore/ConnectServerDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp32_, (GtkCellRenderer*) _tmp33_, "text", 1);
#line 156 "../libcore/ConnectServerDialog.vala"
	_tmp34_ = (GtkLabel*) gtk_label_new (_ ("Type:"));
#line 156 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_xalign (_tmp34_, (gfloat) 1);
#line 156 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp34_);
#line 156 "../libcore/ConnectServerDialog.vala"
	type_label = _tmp34_;
#line 160 "../libcore/ConnectServerDialog.vala"
	_tmp35_ = g_strdup (_ ("Name of share on server (Optional)"));
#line 160 "../libcore/ConnectServerDialog.vala"
	_tmp36_ = (GtkEntry*) gtk_entry_new ();
#line 160 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_placeholder_text (_tmp36_, _tmp35_);
#line 160 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp35_);
#line 160 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp36_);
#line 160 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->share_entry);
#line 160 "../libcore/ConnectServerDialog.vala"
	self->priv->share_entry = _tmp36_;
#line 164 "../libcore/ConnectServerDialog.vala"
	_tmp37_ = self->priv->share_entry;
#line 164 "../libcore/ConnectServerDialog.vala"
	_tmp38_ = pf_connect_server_dialog_new_detailed_label (self, _ ("Share:"), (GtkWidget*) _tmp37_);
#line 164 "../libcore/ConnectServerDialog.vala"
	share_label = _tmp38_;
#line 166 "../libcore/ConnectServerDialog.vala"
	_tmp39_ = g_strdup (_ ("Path of shared folder on server (Optional)"));
#line 166 "../libcore/ConnectServerDialog.vala"
	_tmp40_ = g_strdup ("/");
#line 166 "../libcore/ConnectServerDialog.vala"
	_tmp41_ = (GtkEntry*) gtk_entry_new ();
#line 166 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_placeholder_text (_tmp41_, _tmp39_);
#line 166 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp39_);
#line 166 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_text (_tmp41_, _tmp40_);
#line 166 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp40_);
#line 166 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp41_);
#line 166 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->folder_entry);
#line 166 "../libcore/ConnectServerDialog.vala"
	self->priv->folder_entry = _tmp41_;
#line 171 "../libcore/ConnectServerDialog.vala"
	_tmp42_ = (GtkLabel*) gtk_label_new (_ ("Folder:"));
#line 171 "../libcore/ConnectServerDialog.vala"
	gtk_label_set_xalign (_tmp42_, (gfloat) 1);
#line 171 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp42_);
#line 171 "../libcore/ConnectServerDialog.vala"
	folder_label = _tmp42_;
#line 175 "../libcore/ConnectServerDialog.vala"
	_tmp43_ = granite_header_label_new (_ ("User Details"));
#line 175 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp43_);
#line 175 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->user_header_label);
#line 175 "../libcore/ConnectServerDialog.vala"
	self->priv->user_header_label = _tmp43_;
#line 177 "../libcore/ConnectServerDialog.vala"
	_tmp44_ = g_strdup ("WORKGROUP");
#line 177 "../libcore/ConnectServerDialog.vala"
	_tmp45_ = g_strdup (_ ("Name of Windows domain"));
#line 177 "../libcore/ConnectServerDialog.vala"
	_tmp46_ = granite_validated_entry_new ();
#line 177 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp46_, TRUE);
#line 177 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_text ((GtkEntry*) _tmp46_, _tmp44_);
#line 177 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp44_);
#line 177 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_placeholder_text ((GtkEntry*) _tmp46_, _tmp45_);
#line 177 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp45_);
#line 177 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp46_);
#line 177 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->domain_entry);
#line 177 "../libcore/ConnectServerDialog.vala"
	self->priv->domain_entry = _tmp46_;
#line 182 "../libcore/ConnectServerDialog.vala"
	_tmp47_ = self->priv->domain_entry;
#line 182 "../libcore/ConnectServerDialog.vala"
	_tmp48_ = pf_connect_server_dialog_new_detailed_label (self, _ ("Domain name:"), (GtkWidget*) _tmp47_);
#line 182 "../libcore/ConnectServerDialog.vala"
	domain_label = _tmp48_;
#line 184 "../libcore/ConnectServerDialog.vala"
	_tmp49_ = g_get_user_name ();
#line 184 "../libcore/ConnectServerDialog.vala"
	_tmp50_ = g_strdup (_tmp49_);
#line 184 "../libcore/ConnectServerDialog.vala"
	_tmp51_ = g_strdup (_ ("Name of user on server"));
#line 184 "../libcore/ConnectServerDialog.vala"
	_tmp52_ = granite_validated_entry_new ();
#line 184 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp52_, TRUE);
#line 184 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_text ((GtkEntry*) _tmp52_, _tmp50_);
#line 184 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp50_);
#line 184 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_placeholder_text ((GtkEntry*) _tmp52_, _tmp51_);
#line 184 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp51_);
#line 184 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp52_);
#line 184 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->user_entry);
#line 184 "../libcore/ConnectServerDialog.vala"
	self->priv->user_entry = _tmp52_;
#line 189 "../libcore/ConnectServerDialog.vala"
	_tmp53_ = self->priv->user_entry;
#line 189 "../libcore/ConnectServerDialog.vala"
	_tmp54_ = pf_connect_server_dialog_new_detailed_label (self, _ ("User name:"), (GtkWidget*) _tmp53_);
#line 189 "../libcore/ConnectServerDialog.vala"
	user_label = _tmp54_;
#line 191 "../libcore/ConnectServerDialog.vala"
	_tmp55_ = granite_validated_entry_new ();
#line 191 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_input_purpose ((GtkEntry*) _tmp55_, GTK_INPUT_PURPOSE_PASSWORD);
#line 191 "../libcore/ConnectServerDialog.vala"
	gtk_entry_set_visibility ((GtkEntry*) _tmp55_, FALSE);
#line 191 "../libcore/ConnectServerDialog.vala"
	granite_validated_entry_set_is_valid (_tmp55_, TRUE);
#line 191 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp55_);
#line 191 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 191 "../libcore/ConnectServerDialog.vala"
	self->priv->password_entry = _tmp55_;
#line 197 "../libcore/ConnectServerDialog.vala"
	_tmp56_ = self->priv->password_entry;
#line 197 "../libcore/ConnectServerDialog.vala"
	_tmp57_ = pf_connect_server_dialog_new_detailed_label (self, _ ("Password:"), (GtkWidget*) _tmp56_);
#line 197 "../libcore/ConnectServerDialog.vala"
	password_label = _tmp57_;
#line 199 "../libcore/ConnectServerDialog.vala"
	_tmp58_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Remember this password"));
#line 199 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp58_);
#line 199 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->remember_checkbutton);
#line 199 "../libcore/ConnectServerDialog.vala"
	self->priv->remember_checkbutton = _tmp58_;
#line 201 "../libcore/ConnectServerDialog.vala"
	_tmp59_ = self->priv->remember_checkbutton;
#line 201 "../libcore/ConnectServerDialog.vala"
	_tmp60_ = _g_object_ref0 ((GtkWidget*) _tmp59_);
#line 201 "../libcore/ConnectServerDialog.vala"
	_tmp61_ = (GtkRevealer*) gtk_revealer_new ();
#line 201 "../libcore/ConnectServerDialog.vala"
	g_object_set ((GtkContainer*) _tmp61_, "child", _tmp60_, NULL);
#line 201 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (_tmp60_);
#line 201 "../libcore/ConnectServerDialog.vala"
	gtk_revealer_set_transition_type (_tmp61_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN);
#line 201 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 201 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->remember_revealer);
#line 201 "../libcore/ConnectServerDialog.vala"
	self->priv->remember_revealer = _tmp61_;
#line 206 "../libcore/ConnectServerDialog.vala"
	_tmp62_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 206 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp62_);
#line 206 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 206 "../libcore/ConnectServerDialog.vala"
	self->priv->cancel_button = _tmp62_;
#line 207 "../libcore/ConnectServerDialog.vala"
	_tmp63_ = self->priv->cancel_button;
#line 207 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object (_tmp63_, "clicked", (GCallback) _pf_connect_server_dialog_on_cancel_clicked_gtk_button_clicked, self, 0);
#line 209 "../libcore/ConnectServerDialog.vala"
	_tmp64_ = (GtkButton*) gtk_button_new_with_label (_ ("Connect"));
#line 209 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_can_default ((GtkWidget*) _tmp64_, TRUE);
#line 209 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp64_, TRUE);
#line 209 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp64_);
#line 209 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->connect_button);
#line 209 "../libcore/ConnectServerDialog.vala"
	self->priv->connect_button = _tmp64_;
#line 213 "../libcore/ConnectServerDialog.vala"
	_tmp65_ = self->priv->connect_button;
#line 213 "../libcore/ConnectServerDialog.vala"
	_tmp66_ = gtk_widget_get_style_context ((GtkWidget*) _tmp65_);
#line 213 "../libcore/ConnectServerDialog.vala"
	gtk_style_context_add_class (_tmp66_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 214 "../libcore/ConnectServerDialog.vala"
	_tmp67_ = self->priv->connect_button;
#line 214 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object (_tmp67_, "clicked", (GCallback) _pf_connect_server_dialog_on_connect_clicked_gtk_button_clicked, self, 0);
#line 216 "../libcore/ConnectServerDialog.vala"
	_tmp68_ = (GtkButton*) gtk_button_new_with_label (_ ("Continue"));
#line 216 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_can_default ((GtkWidget*) _tmp68_, TRUE);
#line 216 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp68_, TRUE);
#line 216 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp68_);
#line 216 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->continue_button);
#line 216 "../libcore/ConnectServerDialog.vala"
	self->priv->continue_button = _tmp68_;
#line 220 "../libcore/ConnectServerDialog.vala"
	_tmp69_ = self->priv->continue_button;
#line 220 "../libcore/ConnectServerDialog.vala"
	_tmp70_ = gtk_widget_get_style_context ((GtkWidget*) _tmp69_);
#line 220 "../libcore/ConnectServerDialog.vala"
	gtk_style_context_add_class (_tmp70_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 221 "../libcore/ConnectServerDialog.vala"
	_tmp71_ = self->priv->continue_button;
#line 221 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object (_tmp71_, "clicked", (GCallback) _pf_connect_server_dialog_on_continue_clicked_gtk_button_clicked, self, 0);
#line 223 "../libcore/ConnectServerDialog.vala"
	_tmp72_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 223 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp72_, GTK_ALIGN_END);
#line 223 "../libcore/ConnectServerDialog.vala"
	gtk_box_set_homogeneous (_tmp72_, TRUE);
#line 223 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp72_, 24);
#line 223 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp72_);
#line 223 "../libcore/ConnectServerDialog.vala"
	button_box = _tmp72_;
#line 228 "../libcore/ConnectServerDialog.vala"
	_tmp73_ = button_box;
#line 228 "../libcore/ConnectServerDialog.vala"
	_tmp74_ = self->priv->cancel_button;
#line 228 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp73_, (GtkWidget*) _tmp74_);
#line 229 "../libcore/ConnectServerDialog.vala"
	_tmp75_ = button_box;
#line 229 "../libcore/ConnectServerDialog.vala"
	_tmp76_ = self->priv->connect_button;
#line 229 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp75_, (GtkWidget*) _tmp76_);
#line 230 "../libcore/ConnectServerDialog.vala"
	_tmp77_ = button_box;
#line 230 "../libcore/ConnectServerDialog.vala"
	_tmp78_ = self->priv->continue_button;
#line 230 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp77_, (GtkWidget*) _tmp78_);
#line 232 "../libcore/ConnectServerDialog.vala"
	_tmp79_ = (GtkGrid*) gtk_grid_new ();
#line 232 "../libcore/ConnectServerDialog.vala"
	gtk_grid_set_row_spacing (_tmp79_, 6);
#line 232 "../libcore/ConnectServerDialog.vala"
	gtk_grid_set_column_spacing (_tmp79_, 6);
#line 232 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp79_, TRUE);
#line 232 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp79_);
#line 232 "../libcore/ConnectServerDialog.vala"
	grid = _tmp79_;
#line 238 "../libcore/ConnectServerDialog.vala"
	_tmp80_ = grid;
#line 238 "../libcore/ConnectServerDialog.vala"
	_tmp81_ = self->priv->info_bar;
#line 238 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp80_, (GtkWidget*) _tmp81_, 0, 0, 2, 1);
#line 240 "../libcore/ConnectServerDialog.vala"
	_tmp82_ = grid;
#line 240 "../libcore/ConnectServerDialog.vala"
	_tmp83_ = server_header_label;
#line 240 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp82_, (GtkWidget*) _tmp83_, 0, 1, 2, 1);
#line 242 "../libcore/ConnectServerDialog.vala"
	_tmp84_ = grid;
#line 242 "../libcore/ConnectServerDialog.vala"
	_tmp85_ = type_label;
#line 242 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp84_, (GtkWidget*) _tmp85_, 0, 2, 1, 1);
#line 243 "../libcore/ConnectServerDialog.vala"
	_tmp86_ = grid;
#line 243 "../libcore/ConnectServerDialog.vala"
	_tmp87_ = self->priv->type_combobox;
#line 243 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp86_, (GtkWidget*) _tmp87_, 1, 2, 1, 1);
#line 244 "../libcore/ConnectServerDialog.vala"
	_tmp88_ = grid;
#line 244 "../libcore/ConnectServerDialog.vala"
	_tmp89_ = server_label;
#line 244 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp88_, (GtkWidget*) _tmp89_, 0, 3, 1, 1);
#line 245 "../libcore/ConnectServerDialog.vala"
	_tmp90_ = grid;
#line 245 "../libcore/ConnectServerDialog.vala"
	_tmp91_ = server_port_box;
#line 245 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp90_, (GtkWidget*) _tmp91_, 1, 3, 1, 1);
#line 247 "../libcore/ConnectServerDialog.vala"
	_tmp92_ = grid;
#line 247 "../libcore/ConnectServerDialog.vala"
	_tmp93_ = share_label;
#line 247 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp92_, (GtkWidget*) _tmp93_, 0, 4, 1, 1);
#line 248 "../libcore/ConnectServerDialog.vala"
	_tmp94_ = grid;
#line 248 "../libcore/ConnectServerDialog.vala"
	_tmp95_ = self->priv->share_entry;
#line 248 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp94_, (GtkWidget*) _tmp95_, 1, 4, 1, 1);
#line 249 "../libcore/ConnectServerDialog.vala"
	_tmp96_ = grid;
#line 249 "../libcore/ConnectServerDialog.vala"
	_tmp97_ = folder_label;
#line 249 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp96_, (GtkWidget*) _tmp97_, 0, 5, 1, 1);
#line 250 "../libcore/ConnectServerDialog.vala"
	_tmp98_ = grid;
#line 250 "../libcore/ConnectServerDialog.vala"
	_tmp99_ = self->priv->folder_entry;
#line 250 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp98_, (GtkWidget*) _tmp99_, 1, 5, 1, 1);
#line 252 "../libcore/ConnectServerDialog.vala"
	_tmp100_ = grid;
#line 252 "../libcore/ConnectServerDialog.vala"
	_tmp101_ = self->priv->user_header_label;
#line 252 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp100_, (GtkWidget*) _tmp101_, 0, 6, 2, 1);
#line 254 "../libcore/ConnectServerDialog.vala"
	_tmp102_ = grid;
#line 254 "../libcore/ConnectServerDialog.vala"
	_tmp103_ = domain_label;
#line 254 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp102_, (GtkWidget*) _tmp103_, 0, 7, 1, 1);
#line 255 "../libcore/ConnectServerDialog.vala"
	_tmp104_ = grid;
#line 255 "../libcore/ConnectServerDialog.vala"
	_tmp105_ = self->priv->domain_entry;
#line 255 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp104_, (GtkWidget*) _tmp105_, 1, 7, 1, 1);
#line 256 "../libcore/ConnectServerDialog.vala"
	_tmp106_ = grid;
#line 256 "../libcore/ConnectServerDialog.vala"
	_tmp107_ = user_label;
#line 256 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp106_, (GtkWidget*) _tmp107_, 0, 8, 1, 1);
#line 257 "../libcore/ConnectServerDialog.vala"
	_tmp108_ = grid;
#line 257 "../libcore/ConnectServerDialog.vala"
	_tmp109_ = self->priv->user_entry;
#line 257 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp108_, (GtkWidget*) _tmp109_, 1, 8, 1, 1);
#line 258 "../libcore/ConnectServerDialog.vala"
	_tmp110_ = grid;
#line 258 "../libcore/ConnectServerDialog.vala"
	_tmp111_ = password_label;
#line 258 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp110_, (GtkWidget*) _tmp111_, 0, 9, 1, 1);
#line 259 "../libcore/ConnectServerDialog.vala"
	_tmp112_ = grid;
#line 259 "../libcore/ConnectServerDialog.vala"
	_tmp113_ = self->priv->password_entry;
#line 259 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp112_, (GtkWidget*) _tmp113_, 1, 9, 1, 1);
#line 261 "../libcore/ConnectServerDialog.vala"
	_tmp114_ = grid;
#line 261 "../libcore/ConnectServerDialog.vala"
	_tmp115_ = self->priv->remember_revealer;
#line 261 "../libcore/ConnectServerDialog.vala"
	gtk_grid_attach (_tmp114_, (GtkWidget*) _tmp115_, 1, 10, 1, 1);
#line 263 "../libcore/ConnectServerDialog.vala"
	_tmp116_ = (GtkSpinner*) gtk_spinner_new ();
#line 263 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp116_);
#line 263 "../libcore/ConnectServerDialog.vala"
	connecting_spinner = _tmp116_;
#line 264 "../libcore/ConnectServerDialog.vala"
	_tmp117_ = connecting_spinner;
#line 264 "../libcore/ConnectServerDialog.vala"
	gtk_spinner_start (_tmp117_);
#line 266 "../libcore/ConnectServerDialog.vala"
	_tmp118_ = (GtkLabel*) gtk_label_new (_ ("Connecting…"));
#line 266 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp118_);
#line 266 "../libcore/ConnectServerDialog.vala"
	connecting_label = _tmp118_;
#line 268 "../libcore/ConnectServerDialog.vala"
	_tmp119_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 268 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp119_, GTK_ALIGN_CENTER);
#line 268 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp119_, GTK_ALIGN_CENTER);
#line 268 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp119_);
#line 268 "../libcore/ConnectServerDialog.vala"
	connecting_box = _tmp119_;
#line 272 "../libcore/ConnectServerDialog.vala"
	_tmp120_ = connecting_box;
#line 272 "../libcore/ConnectServerDialog.vala"
	_tmp121_ = connecting_label;
#line 272 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp120_, (GtkWidget*) _tmp121_);
#line 273 "../libcore/ConnectServerDialog.vala"
	_tmp122_ = connecting_box;
#line 273 "../libcore/ConnectServerDialog.vala"
	_tmp123_ = connecting_spinner;
#line 273 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp122_, (GtkWidget*) _tmp123_);
#line 275 "../libcore/ConnectServerDialog.vala"
	_tmp124_ = (GtkStack*) gtk_stack_new ();
#line 275 "../libcore/ConnectServerDialog.vala"
	gtk_stack_set_transition_type (_tmp124_, GTK_STACK_TRANSITION_TYPE_SLIDE_LEFT_RIGHT);
#line 275 "../libcore/ConnectServerDialog.vala"
	g_object_ref_sink (_tmp124_);
#line 275 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->stack);
#line 275 "../libcore/ConnectServerDialog.vala"
	self->priv->stack = _tmp124_;
#line 279 "../libcore/ConnectServerDialog.vala"
	_tmp125_ = self->priv->stack;
#line 279 "../libcore/ConnectServerDialog.vala"
	_tmp126_ = grid;
#line 279 "../libcore/ConnectServerDialog.vala"
	gtk_stack_add_named (_tmp125_, (GtkWidget*) _tmp126_, "content");
#line 280 "../libcore/ConnectServerDialog.vala"
	_tmp127_ = self->priv->stack;
#line 280 "../libcore/ConnectServerDialog.vala"
	_tmp128_ = connecting_box;
#line 280 "../libcore/ConnectServerDialog.vala"
	gtk_stack_add_named (_tmp127_, (GtkWidget*) _tmp128_, "connecting");
#line 282 "../libcore/ConnectServerDialog.vala"
	_tmp129_ = gtk_dialog_get_content_area ((GtkDialog*) self);
#line 282 "../libcore/ConnectServerDialog.vala"
	_tmp130_ = _g_object_ref0 (_tmp129_);
#line 282 "../libcore/ConnectServerDialog.vala"
	content_area = _tmp130_;
#line 283 "../libcore/ConnectServerDialog.vala"
	_tmp131_ = content_area;
#line 283 "../libcore/ConnectServerDialog.vala"
	gtk_container_set_border_width ((GtkContainer*) _tmp131_, (guint) 0);
#line 284 "../libcore/ConnectServerDialog.vala"
	_tmp132_ = content_area;
#line 284 "../libcore/ConnectServerDialog.vala"
	_tmp133_ = content_area;
#line 284 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp133_, 12);
#line 284 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp132_, 12);
#line 285 "../libcore/ConnectServerDialog.vala"
	_tmp134_ = content_area;
#line 285 "../libcore/ConnectServerDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp134_, 2);
#line 286 "../libcore/ConnectServerDialog.vala"
	_tmp135_ = content_area;
#line 286 "../libcore/ConnectServerDialog.vala"
	_tmp136_ = self->priv->stack;
#line 286 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp135_, (GtkWidget*) _tmp136_);
#line 287 "../libcore/ConnectServerDialog.vala"
	_tmp137_ = content_area;
#line 287 "../libcore/ConnectServerDialog.vala"
	_tmp138_ = button_box;
#line 287 "../libcore/ConnectServerDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp137_, (GtkWidget*) _tmp138_);
#line 288 "../libcore/ConnectServerDialog.vala"
	_tmp139_ = content_area;
#line 288 "../libcore/ConnectServerDialog.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp139_);
#line 290 "../libcore/ConnectServerDialog.vala"
	g_object_set ((GtkWindow*) self, "default-width", 400, NULL);
#line 293 "../libcore/ConnectServerDialog.vala"
	_tmp140_ = g_vfs_get_default ();
#line 293 "../libcore/ConnectServerDialog.vala"
	_tmp142_ = _tmp141_ = g_vfs_get_supported_uri_schemes (_tmp140_);
#line 293 "../libcore/ConnectServerDialog.vala"
	supported_schemes = _tmp142_;
#line 293 "../libcore/ConnectServerDialog.vala"
	supported_schemes_length1 = _vala_array_length (_tmp141_);
#line 293 "../libcore/ConnectServerDialog.vala"
	_supported_schemes_size_ = supported_schemes_length1;
#line 294 "../libcore/ConnectServerDialog.vala"
	_tmp143_ = self->priv->methods;
#line 294 "../libcore/ConnectServerDialog.vala"
	_tmp143__length1 = self->priv->methods_length1;
#line 3459 "ConnectServerDialog.c"
	{
		PFConnectServerDialogMethodInfo* method_collection = NULL;
		gint method_collection_length1 = 0;
		gint _method_collection_size_ = 0;
		gint method_it = 0;
#line 294 "../libcore/ConnectServerDialog.vala"
		method_collection = _tmp143_;
#line 294 "../libcore/ConnectServerDialog.vala"
		method_collection_length1 = _tmp143__length1;
#line 294 "../libcore/ConnectServerDialog.vala"
		for (method_it = 0; method_it < method_collection_length1; method_it = method_it + 1) {
#line 3471 "ConnectServerDialog.c"
			PFConnectServerDialogMethodInfo _tmp144_;
			PFConnectServerDialogMethodInfo _tmp145_ = {0};
			PFConnectServerDialogMethodInfo method = {0};
#line 294 "../libcore/ConnectServerDialog.vala"
			_tmp144_ = method_collection[method_it];
#line 294 "../libcore/ConnectServerDialog.vala"
			pf_connect_server_dialog_method_info_copy (&_tmp144_, &_tmp145_);
#line 294 "../libcore/ConnectServerDialog.vala"
			method = _tmp145_;
#line 3481 "ConnectServerDialog.c"
			{
				PFConnectServerDialogMethodInfo _tmp146_;
				const gchar* _tmp147_;
				gchar** _tmp148_;
				gint _tmp148__length1;
				GtkTreeIter iter = {0};
				GtkListStore* _tmp149_;
				GtkTreeIter _tmp150_ = {0};
				GtkListStore* _tmp151_;
				GtkTreeIter _tmp152_;
				PFConnectServerDialogMethodInfo _tmp153_;
				PFConnectServerDialogMethodInfo _tmp154_;
				const gchar* _tmp155_;
#line 295 "../libcore/ConnectServerDialog.vala"
				_tmp146_ = method;
#line 295 "../libcore/ConnectServerDialog.vala"
				_tmp147_ = _tmp146_.scheme;
#line 295 "../libcore/ConnectServerDialog.vala"
				_tmp148_ = supported_schemes;
#line 295 "../libcore/ConnectServerDialog.vala"
				_tmp148__length1 = supported_schemes_length1;
#line 295 "../libcore/ConnectServerDialog.vala"
				if (!_vala_string_array_contains (_tmp148_, _tmp148__length1, _tmp147_)) {
#line 296 "../libcore/ConnectServerDialog.vala"
					pf_connect_server_dialog_method_info_destroy (&method);
#line 296 "../libcore/ConnectServerDialog.vala"
					continue;
#line 3509 "ConnectServerDialog.c"
				}
#line 300 "../libcore/ConnectServerDialog.vala"
				_tmp149_ = type_store;
#line 300 "../libcore/ConnectServerDialog.vala"
				gtk_list_store_append (_tmp149_, &_tmp150_);
#line 300 "../libcore/ConnectServerDialog.vala"
				iter = _tmp150_;
#line 301 "../libcore/ConnectServerDialog.vala"
				_tmp151_ = type_store;
#line 301 "../libcore/ConnectServerDialog.vala"
				_tmp152_ = iter;
#line 301 "../libcore/ConnectServerDialog.vala"
				_tmp153_ = method;
#line 301 "../libcore/ConnectServerDialog.vala"
				_tmp154_ = method;
#line 301 "../libcore/ConnectServerDialog.vala"
				_tmp155_ = _tmp154_.description;
#line 301 "../libcore/ConnectServerDialog.vala"
				gtk_list_store_set (_tmp151_, &_tmp152_, 0, &_tmp153_, 1, _tmp155_, -1);
#line 294 "../libcore/ConnectServerDialog.vala"
				pf_connect_server_dialog_method_info_destroy (&method);
#line 3531 "ConnectServerDialog.c"
			}
		}
	}
#line 304 "../libcore/ConnectServerDialog.vala"
	_tmp156_ = self->priv->type_combobox;
#line 304 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object (_tmp156_, "changed", (GCallback) __pf_connect_server_dialog___lambda25__gtk_combo_box_changed, self, 0);
#line 305 "../libcore/ConnectServerDialog.vala"
	_tmp157_ = self->priv->type_combobox;
#line 305 "../libcore/ConnectServerDialog.vala"
	gtk_combo_box_set_active (_tmp157_, 0);
#line 307 "../libcore/ConnectServerDialog.vala"
	_tmp158_ = self->priv->server_entry;
#line 307 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp158_, "changed", (GCallback) __pf_connect_server_dialog___lambda26__gtk_editable_changed, self, 0);
#line 312 "../libcore/ConnectServerDialog.vala"
	_tmp159_ = self->priv->user_entry;
#line 312 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp159_, "changed", (GCallback) __pf_connect_server_dialog___lambda27__gtk_editable_changed, self, 0);
#line 317 "../libcore/ConnectServerDialog.vala"
	_tmp160_ = self->priv->domain_entry;
#line 317 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp160_, "changed", (GCallback) __pf_connect_server_dialog___lambda28__gtk_editable_changed, self, 0);
#line 322 "../libcore/ConnectServerDialog.vala"
	_tmp161_ = self->priv->password_entry;
#line 322 "../libcore/ConnectServerDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp161_, "changed", (GCallback) __pf_connect_server_dialog___lambda29__gtk_editable_changed, self, 0);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (content_area);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (connecting_box);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (connecting_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (connecting_spinner);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (grid);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (button_box);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (password_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (user_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (domain_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (folder_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (share_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (type_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (renderer);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (type_store);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (server_port_box);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (port_box);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (port_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (server_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (server_header_label);
#line 102 "../libcore/ConnectServerDialog.vala"
	return obj;
#line 3599 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_class_init (PFConnectServerDialogClass * klass,
                                     gpointer klass_data)
{
#line 8 "../libcore/ConnectServerDialog.vala"
	pf_connect_server_dialog_parent_class = g_type_class_peek_parent (klass);
#line 8 "../libcore/ConnectServerDialog.vala"
	g_type_class_adjust_private_offset (klass, &PFConnectServerDialog_private_offset);
#line 8 "../libcore/ConnectServerDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_pf_connect_server_dialog_get_property;
#line 8 "../libcore/ConnectServerDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_pf_connect_server_dialog_set_property;
#line 8 "../libcore/ConnectServerDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = pf_connect_server_dialog_constructor;
#line 8 "../libcore/ConnectServerDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = pf_connect_server_dialog_finalize;
#line 8 "../libcore/ConnectServerDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_CONNECT_SERVER_DIALOG_SERVER_URI_PROPERTY, pf_connect_server_dialog_properties[PF_CONNECT_SERVER_DIALOG_SERVER_URI_PROPERTY] = g_param_spec_string ("server-uri", "server-uri", "server-uri", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 3620 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_instance_init (PFConnectServerDialog * self,
                                        gpointer klass)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	PFConnectServerDialogMethodInfo _tmp2_ = {0};
	gchar* _tmp3_;
	gchar* _tmp4_;
	PFConnectServerDialogMethodInfo _tmp5_ = {0};
	gchar* _tmp6_;
	gchar* _tmp7_;
	PFConnectServerDialogMethodInfo _tmp8_ = {0};
	gchar* _tmp9_;
	gchar* _tmp10_;
	PFConnectServerDialogMethodInfo _tmp11_ = {0};
	gchar* _tmp12_;
	gchar* _tmp13_;
	PFConnectServerDialogMethodInfo _tmp14_ = {0};
	gchar* _tmp15_;
	gchar* _tmp16_;
	PFConnectServerDialogMethodInfo _tmp17_ = {0};
	gchar* _tmp18_;
	gchar* _tmp19_;
	PFConnectServerDialogMethodInfo _tmp20_ = {0};
	PFConnectServerDialogMethodInfo* _tmp21_;
	gchar* _tmp22_;
#line 8 "../libcore/ConnectServerDialog.vala"
	self->priv = pf_connect_server_dialog_get_instance_private (self);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp0_ = g_strdup ("ftp");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp1_ = g_strdup (_ ("Public FTP"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp2_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp2_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp2_.scheme = _tmp0_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp2_.flags = PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_ANONYMOUS | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp2_.port = (gushort) 21;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp2_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp2_.description = _tmp1_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp3_ = g_strdup ("ftp");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp4_ = g_strdup (_ ("FTP (with login)"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp5_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp5_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp5_.scheme = _tmp3_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp5_.flags = PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp5_.port = (gushort) 21;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp5_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp5_.description = _tmp4_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp6_ = g_strdup ("sftp");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp7_ = g_strdup (_ ("SSH"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp8_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp8_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp8_.scheme = _tmp6_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp8_.flags = PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp8_.port = (gushort) 22;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp8_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp8_.description = _tmp7_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp9_ = g_strdup ("afp");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp10_ = g_strdup (_ ("AFP (Apple Filing Protocol)"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp11_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp11_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp11_.scheme = _tmp9_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp11_.flags = PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp11_.port = (gushort) 548;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp11_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp11_.description = _tmp10_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp12_ = g_strdup ("smb");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp13_ = g_strdup (_ ("Windows share"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp14_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp14_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp14_.scheme = _tmp12_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp14_.flags = (PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_SHARE | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER) | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_DOMAIN;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp14_.port = (gushort) 0;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp14_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp14_.description = _tmp13_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp15_ = g_strdup ("dav");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp16_ = g_strdup (_ ("WebDAV (HTTP)"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp17_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp17_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp17_.scheme = _tmp15_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp17_.flags = PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp17_.port = (gushort) 80;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp17_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp17_.description = _tmp16_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp18_ = g_strdup ("davs");
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp19_ = g_strdup (_ ("Secure WebDAV (HTTPS)"));
#line 27 "../libcore/ConnectServerDialog.vala"
	memset (&_tmp20_, 0, sizeof (PFConnectServerDialogMethodInfo));
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp20_.scheme);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp20_.scheme = _tmp18_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp20_.flags = PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_PORT | PF_CONNECT_SERVER_DIALOG_WIDGETS_FLAG_USER;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp20_.port = (gushort) 443;
#line 27 "../libcore/ConnectServerDialog.vala"
	_g_free0 (_tmp20_.description);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp20_.description = _tmp19_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_ = g_new0 (PFConnectServerDialogMethodInfo, 7);
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[0] = _tmp2_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[1] = _tmp5_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[2] = _tmp8_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[3] = _tmp11_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[4] = _tmp14_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[5] = _tmp17_;
#line 27 "../libcore/ConnectServerDialog.vala"
	_tmp21_[6] = _tmp20_;
#line 27 "../libcore/ConnectServerDialog.vala"
	self->priv->methods = _tmp21_;
#line 27 "../libcore/ConnectServerDialog.vala"
	self->priv->methods_length1 = 7;
#line 27 "../libcore/ConnectServerDialog.vala"
	self->priv->_methods_size_ = self->priv->methods_length1;
#line 94 "../libcore/ConnectServerDialog.vala"
	self->priv->needs_password = FALSE;
#line 96 "../libcore/ConnectServerDialog.vala"
	_tmp22_ = g_strdup ("");
#line 96 "../libcore/ConnectServerDialog.vala"
	self->priv->_server_uri = _tmp22_;
#line 3806 "ConnectServerDialog.c"
}

static void
pf_connect_server_dialog_finalize (GObject * obj)
{
	PFConnectServerDialog * self;
#line 8 "../libcore/ConnectServerDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PF_TYPE_CONNECT_SERVER_DIALOG, PFConnectServerDialog);
#line 27 "../libcore/ConnectServerDialog.vala"
	self->priv->methods = (_vala_PFConnectServerDialogMethodInfo_array_free (self->priv->methods, self->priv->methods_length1), NULL);
#line 74 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->info_bar);
#line 75 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->server_entry);
#line 76 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->port_spinbutton);
#line 77 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->port_revealer);
#line 78 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->remember_revealer);
#line 79 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->share_entry);
#line 80 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 81 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->folder_entry);
#line 82 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->domain_entry);
#line 83 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->user_entry);
#line 84 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 85 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->remember_checkbutton);
#line 86 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->connect_button);
#line 87 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->continue_button);
#line 88 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 89 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->user_header_label);
#line 90 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->info_label);
#line 91 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->stack);
#line 92 "../libcore/ConnectServerDialog.vala"
	_g_object_unref0 (self->priv->mount_cancellable);
#line 96 "../libcore/ConnectServerDialog.vala"
	_g_free0 (self->priv->_server_uri);
#line 8 "../libcore/ConnectServerDialog.vala"
	G_OBJECT_CLASS (pf_connect_server_dialog_parent_class)->finalize (obj);
#line 3859 "ConnectServerDialog.c"
}

 G_GNUC_NO_INLINE static GType
pf_connect_server_dialog_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (PFConnectServerDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) pf_connect_server_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PFConnectServerDialog), 0, (GInstanceInitFunc) pf_connect_server_dialog_instance_init, NULL };
	GType pf_connect_server_dialog_type_id;
	pf_connect_server_dialog_type_id = g_type_register_static (GRANITE_TYPE_DIALOG, "PFConnectServerDialog", &g_define_type_info, 0);
	PFConnectServerDialog_private_offset = g_type_add_instance_private (pf_connect_server_dialog_type_id, sizeof (PFConnectServerDialogPrivate));
	return pf_connect_server_dialog_type_id;
}

GType
pf_connect_server_dialog_get_type (void)
{
	static volatile gsize pf_connect_server_dialog_type_id__once = 0;
	if (g_once_init_enter (&pf_connect_server_dialog_type_id__once)) {
		GType pf_connect_server_dialog_type_id;
		pf_connect_server_dialog_type_id = pf_connect_server_dialog_get_type_once ();
		g_once_init_leave (&pf_connect_server_dialog_type_id__once, pf_connect_server_dialog_type_id);
	}
	return pf_connect_server_dialog_type_id__once;
}

static void
_vala_pf_connect_server_dialog_get_property (GObject * object,
                                             guint property_id,
                                             GValue * value,
                                             GParamSpec * pspec)
{
	PFConnectServerDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PF_TYPE_CONNECT_SERVER_DIALOG, PFConnectServerDialog);
#line 8 "../libcore/ConnectServerDialog.vala"
	switch (property_id) {
#line 8 "../libcore/ConnectServerDialog.vala"
		case PF_CONNECT_SERVER_DIALOG_SERVER_URI_PROPERTY:
#line 8 "../libcore/ConnectServerDialog.vala"
		g_value_set_string (value, pf_connect_server_dialog_get_server_uri (self));
#line 8 "../libcore/ConnectServerDialog.vala"
		break;
#line 3900 "ConnectServerDialog.c"
		default:
#line 8 "../libcore/ConnectServerDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 8 "../libcore/ConnectServerDialog.vala"
		break;
#line 3906 "ConnectServerDialog.c"
	}
}

static void
_vala_pf_connect_server_dialog_set_property (GObject * object,
                                             guint property_id,
                                             const GValue * value,
                                             GParamSpec * pspec)
{
	PFConnectServerDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PF_TYPE_CONNECT_SERVER_DIALOG, PFConnectServerDialog);
#line 8 "../libcore/ConnectServerDialog.vala"
	switch (property_id) {
#line 8 "../libcore/ConnectServerDialog.vala"
		case PF_CONNECT_SERVER_DIALOG_SERVER_URI_PROPERTY:
#line 8 "../libcore/ConnectServerDialog.vala"
		pf_connect_server_dialog_set_server_uri (self, g_value_get_string (value));
#line 8 "../libcore/ConnectServerDialog.vala"
		break;
#line 3926 "ConnectServerDialog.c"
		default:
#line 8 "../libcore/ConnectServerDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 8 "../libcore/ConnectServerDialog.vala"
		break;
#line 3932 "ConnectServerDialog.c"
	}
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

