/* SidebarListInterface.c generated by valac 0.56.14, the Vala compiler
 * generated from SidebarListInterface.vala, do not modify */

/*
 * SPDX-License-Identifier: GPL-2.0+
 * SPDX-FileCopyrightText: 2020-2023 elementary, Inc. (https://elementary.io)
 *
 * Authors : Jeremy Wootten <jeremy@elementaryos.org>
 */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "pantheon-files-core.h"
#include <gtk/gtk.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>

#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

static void sidebar_sidebar_list_interface_real_open_item (SidebarSidebarListInterface* self,
                                                    SidebarSidebarItemInterface* item,
                                                    FilesOpenFlag flag);
static void sidebar_sidebar_list_interface_real_refresh_info (SidebarSidebarListInterface* self);
static guint32 sidebar_sidebar_list_interface_real_add_plugin_item (SidebarSidebarListInterface* self,
                                                             FilesSidebarPluginItem* plugin_item);
static void sidebar_sidebar_list_interface_real_clear (SidebarSidebarListInterface* self);
static void sidebar_sidebar_list_interface_real_rename_bookmark_by_uri (SidebarSidebarListInterface* self,
                                                                 const gchar* uri,
                                                                 const gchar* new_name);
static gboolean sidebar_sidebar_list_interface_real_has_uri (SidebarSidebarListInterface* self,
                                                      const gchar* uri,
                                                      GtkListBoxRow** row);
static gboolean sidebar_sidebar_list_interface_real_select_uri (SidebarSidebarListInterface* self,
                                                         const gchar* uri);
static gboolean sidebar_sidebar_list_interface_real_remove_item_by_id (SidebarSidebarListInterface* self,
                                                                guint32 id);
static gboolean sidebar_sidebar_list_interface_real_add_favorite (SidebarSidebarListInterface* self,
                                                           const gchar* uri,
                                                           const gchar* label,
                                                           gint index);
static SidebarSidebarItemInterface* sidebar_sidebar_list_interface_real_get_item_at_index (SidebarSidebarListInterface* self,
                                                                                    gint index);
static gboolean sidebar_sidebar_list_interface_real_move_item_after (SidebarSidebarListInterface* self,
                                                              SidebarSidebarItemInterface* item,
                                                              gint target_index);
static gboolean sidebar_sidebar_list_interface_real_is_drop_target (SidebarSidebarListInterface* self);
VALA_EXTERN void sidebar_sidebar_list_interface_set_list_box (SidebarSidebarListInterface* self,
                                                  GtkListBox* value);
static GType sidebar_sidebar_list_interface_get_type_once (void);
static inline gpointer _vala_memdup2 (gconstpointer mem,
                        gsize byte_size);

void
sidebar_sidebar_list_interface_select_item (SidebarSidebarListInterface* self,
                                            GtkListBoxRow* item)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 12 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 12 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 12 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->select_item) {
#line 12 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->select_item (self, item);
#line 72 "SidebarListInterface.c"
	}
}

void
sidebar_sidebar_list_interface_unselect_all_items (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 13 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 13 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 13 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->unselect_all_items) {
#line 13 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->unselect_all_items (self);
#line 88 "SidebarListInterface.c"
	}
}

static void
sidebar_sidebar_list_interface_real_open_item (SidebarSidebarListInterface* self,
                                               SidebarSidebarItemInterface* item,
                                               FilesOpenFlag flag)
{
	FilesSidebarInterface* _tmp0_;
	FilesSidebarInterface* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
#line 15 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (item != NULL);
#line 16 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp0_ = sidebar_sidebar_list_interface_get_sidebar (self);
#line 16 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp1_ = _tmp0_;
#line 16 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp2_ = sidebar_sidebar_item_interface_get_uri (item);
#line 16 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp3_ = _tmp2_;
#line 16 "../libcore/Interfaces/SidebarListInterface.vala"
	g_signal_emit_by_name (_tmp1_, "path-change-request", _tmp3_, flag);
#line 113 "SidebarListInterface.c"
}

void
sidebar_sidebar_list_interface_open_item (SidebarSidebarListInterface* self,
                                          SidebarSidebarItemInterface* item,
                                          FilesOpenFlag flag)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 15 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 15 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 15 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->open_item) {
#line 15 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->open_item (self, item, flag);
#line 130 "SidebarListInterface.c"
	}
}

void
sidebar_sidebar_list_interface_refresh (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 19 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 19 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 19 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->refresh) {
#line 19 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->refresh (self);
#line 146 "SidebarListInterface.c"
	}
}

static void
sidebar_sidebar_list_interface_real_refresh_info (SidebarSidebarListInterface* self)
{
}

void
sidebar_sidebar_list_interface_refresh_info (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 20 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 20 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 20 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->refresh_info) {
#line 20 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->refresh_info (self);
#line 167 "SidebarListInterface.c"
	}
}

static guint32
sidebar_sidebar_list_interface_real_add_plugin_item (SidebarSidebarListInterface* self,
                                                     FilesSidebarPluginItem* plugin_item)
{
	guint32 result;
#line 22 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (plugin_item != NULL, 0U);
#line 23 "../libcore/Interfaces/SidebarListInterface.vala"
	result = (guint32) 0;
#line 23 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 182 "SidebarListInterface.c"
}

guint32
sidebar_sidebar_list_interface_add_plugin_item (SidebarSidebarListInterface* self,
                                                FilesSidebarPluginItem* plugin_item)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 22 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 22 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 22 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->add_plugin_item) {
#line 22 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->add_plugin_item (self, plugin_item);
#line 198 "SidebarListInterface.c"
	}
#line 22 "../libcore/Interfaces/SidebarListInterface.vala"
	return 0U;
#line 202 "SidebarListInterface.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
	return self ? g_object_ref (self) : NULL;
#line 210 "SidebarListInterface.c"
}

static void
sidebar_sidebar_list_interface_real_clear (SidebarSidebarListInterface* self)
{
	GtkListBox* _tmp0_;
	GtkListBox* _tmp1_;
	GList* _tmp2_;
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp0_ = sidebar_sidebar_list_interface_get_list_box (self);
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp1_ = _tmp0_;
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp2_ = gtk_container_get_children ((GtkContainer*) _tmp1_);
#line 225 "SidebarListInterface.c"
	{
		GList* child_collection = NULL;
		GList* child_it = NULL;
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
		child_collection = _tmp2_;
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
		for (child_it = child_collection; child_it != NULL; child_it = child_it->next) {
#line 233 "SidebarListInterface.c"
			GtkWidget* _tmp3_;
			GtkWidget* child = NULL;
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
			_tmp3_ = _g_object_ref0 ((GtkWidget*) child_it->data);
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
			child = _tmp3_;
#line 240 "SidebarListInterface.c"
			{
				GtkListBox* _tmp4_;
				GtkListBox* _tmp5_;
				GtkWidget* _tmp6_;
				GtkWidget* _tmp7_;
#line 28 "../libcore/Interfaces/SidebarListInterface.vala"
				_tmp4_ = sidebar_sidebar_list_interface_get_list_box (self);
#line 28 "../libcore/Interfaces/SidebarListInterface.vala"
				_tmp5_ = _tmp4_;
#line 28 "../libcore/Interfaces/SidebarListInterface.vala"
				_tmp6_ = child;
#line 28 "../libcore/Interfaces/SidebarListInterface.vala"
				gtk_container_remove ((GtkContainer*) _tmp5_, _tmp6_);
#line 29 "../libcore/Interfaces/SidebarListInterface.vala"
				_tmp7_ = child;
#line 29 "../libcore/Interfaces/SidebarListInterface.vala"
				if (SIDEBAR_IS_SIDEBAR_ITEM_INTERFACE (_tmp7_)) {
#line 258 "SidebarListInterface.c"
					GtkWidget* _tmp8_;
#line 30 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp8_ = child;
#line 30 "../libcore/Interfaces/SidebarListInterface.vala"
					sidebar_sidebar_item_interface_destroy_bookmark (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, SIDEBAR_TYPE_SIDEBAR_ITEM_INTERFACE, SidebarSidebarItemInterface));
#line 264 "SidebarListInterface.c"
				}
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
				_g_object_unref0 (child);
#line 268 "SidebarListInterface.c"
			}
		}
#line 27 "../libcore/Interfaces/SidebarListInterface.vala"
		(child_collection == NULL) ? NULL : (child_collection = (g_list_free (child_collection), NULL));
#line 273 "SidebarListInterface.c"
	}
}

void
sidebar_sidebar_list_interface_clear (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 26 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 26 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 26 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->clear) {
#line 26 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->clear (self);
#line 289 "SidebarListInterface.c"
	}
}

static void
sidebar_sidebar_list_interface_real_rename_bookmark_by_uri (SidebarSidebarListInterface* self,
                                                            const gchar* uri,
                                                            const gchar* new_name)
{
#line 35 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (uri != NULL);
#line 35 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (new_name != NULL);
#line 302 "SidebarListInterface.c"
}

void
sidebar_sidebar_list_interface_rename_bookmark_by_uri (SidebarSidebarListInterface* self,
                                                       const gchar* uri,
                                                       const gchar* new_name)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 35 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 35 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 35 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->rename_bookmark_by_uri) {
#line 35 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->rename_bookmark_by_uri (self, uri, new_name);
#line 319 "SidebarListInterface.c"
	}
}

static gboolean
sidebar_sidebar_list_interface_real_has_uri (SidebarSidebarListInterface* self,
                                             const gchar* uri,
                                             GtkListBoxRow** row)
{
	GtkListBoxRow* _vala_row = NULL;
	GtkListBox* _tmp0_;
	GtkListBox* _tmp1_;
	GList* _tmp2_;
	gboolean result;
#line 37 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 38 "../libcore/Interfaces/SidebarListInterface.vala"
	_vala_row = NULL;
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp0_ = sidebar_sidebar_list_interface_get_list_box (self);
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp1_ = _tmp0_;
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp2_ = gtk_container_get_children ((GtkContainer*) _tmp1_);
#line 343 "SidebarListInterface.c"
	{
		GList* child_collection = NULL;
		GList* child_it = NULL;
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
		child_collection = _tmp2_;
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
		for (child_it = child_collection; child_it != NULL; child_it = child_it->next) {
#line 351 "SidebarListInterface.c"
			GtkWidget* child = NULL;
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
			child = (GtkWidget*) child_it->data;
#line 355 "SidebarListInterface.c"
			{
				GtkWidget* _tmp3_;
#line 40 "../libcore/Interfaces/SidebarListInterface.vala"
				_tmp3_ = child;
#line 40 "../libcore/Interfaces/SidebarListInterface.vala"
				if (SIDEBAR_IS_SIDEBAR_ITEM_INTERFACE (_tmp3_)) {
#line 362 "SidebarListInterface.c"
					GtkWidget* _tmp4_;
					const gchar* _tmp5_;
					const gchar* _tmp6_;
#line 41 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp4_ = child;
#line 41 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp5_ = sidebar_sidebar_item_interface_get_uri (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, SIDEBAR_TYPE_SIDEBAR_ITEM_INTERFACE, SidebarSidebarItemInterface));
#line 41 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp6_ = _tmp5_;
#line 41 "../libcore/Interfaces/SidebarListInterface.vala"
					if (g_strcmp0 (_tmp6_, uri) == 0) {
#line 374 "SidebarListInterface.c"
						GtkWidget* _tmp7_;
#line 42 "../libcore/Interfaces/SidebarListInterface.vala"
						_tmp7_ = child;
#line 42 "../libcore/Interfaces/SidebarListInterface.vala"
						_vala_row = G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, gtk_list_box_row_get_type (), GtkListBoxRow);
#line 43 "../libcore/Interfaces/SidebarListInterface.vala"
						result = TRUE;
#line 43 "../libcore/Interfaces/SidebarListInterface.vala"
						(child_collection == NULL) ? NULL : (child_collection = (g_list_free (child_collection), NULL));
#line 43 "../libcore/Interfaces/SidebarListInterface.vala"
						if (row) {
#line 43 "../libcore/Interfaces/SidebarListInterface.vala"
							*row = _vala_row;
#line 388 "SidebarListInterface.c"
						}
#line 43 "../libcore/Interfaces/SidebarListInterface.vala"
						return result;
#line 392 "SidebarListInterface.c"
					}
				}
			}
		}
#line 39 "../libcore/Interfaces/SidebarListInterface.vala"
		(child_collection == NULL) ? NULL : (child_collection = (g_list_free (child_collection), NULL));
#line 399 "SidebarListInterface.c"
	}
#line 48 "../libcore/Interfaces/SidebarListInterface.vala"
	result = FALSE;
#line 48 "../libcore/Interfaces/SidebarListInterface.vala"
	if (row) {
#line 48 "../libcore/Interfaces/SidebarListInterface.vala"
		*row = _vala_row;
#line 407 "SidebarListInterface.c"
	}
#line 48 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 411 "SidebarListInterface.c"
}

gboolean
sidebar_sidebar_list_interface_has_uri (SidebarSidebarListInterface* self,
                                        const gchar* uri,
                                        GtkListBoxRow** row)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 37 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 37 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 37 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->has_uri) {
#line 37 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->has_uri (self, uri, row);
#line 428 "SidebarListInterface.c"
	}
#line 37 "../libcore/Interfaces/SidebarListInterface.vala"
	return FALSE;
#line 432 "SidebarListInterface.c"
}

static gboolean
sidebar_sidebar_list_interface_real_select_uri (SidebarSidebarListInterface* self,
                                                const gchar* uri)
{
	GtkListBoxRow* row = NULL;
	GtkListBoxRow* _tmp0_ = NULL;
	gboolean _tmp1_;
	GtkListBoxRow* _tmp2_;
	gboolean result;
#line 51 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 52 "../libcore/Interfaces/SidebarListInterface.vala"
	sidebar_sidebar_list_interface_unselect_all_items (self);
#line 53 "../libcore/Interfaces/SidebarListInterface.vala"
	row = NULL;
#line 54 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp1_ = sidebar_sidebar_list_interface_has_uri (self, uri, &_tmp0_);
#line 54 "../libcore/Interfaces/SidebarListInterface.vala"
	_g_object_unref0 (row);
#line 54 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp2_ = _g_object_ref0 (_tmp0_);
#line 54 "../libcore/Interfaces/SidebarListInterface.vala"
	row = _tmp2_;
#line 54 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_tmp1_) {
#line 460 "SidebarListInterface.c"
		GtkListBoxRow* _tmp3_;
#line 55 "../libcore/Interfaces/SidebarListInterface.vala"
		_tmp3_ = row;
#line 55 "../libcore/Interfaces/SidebarListInterface.vala"
		sidebar_sidebar_list_interface_select_item (self, _tmp3_);
#line 56 "../libcore/Interfaces/SidebarListInterface.vala"
		result = TRUE;
#line 56 "../libcore/Interfaces/SidebarListInterface.vala"
		_g_object_unref0 (row);
#line 56 "../libcore/Interfaces/SidebarListInterface.vala"
		return result;
#line 472 "SidebarListInterface.c"
	}
#line 59 "../libcore/Interfaces/SidebarListInterface.vala"
	result = FALSE;
#line 59 "../libcore/Interfaces/SidebarListInterface.vala"
	_g_object_unref0 (row);
#line 59 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 480 "SidebarListInterface.c"
}

gboolean
sidebar_sidebar_list_interface_select_uri (SidebarSidebarListInterface* self,
                                           const gchar* uri)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 51 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 51 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 51 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->select_uri) {
#line 51 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->select_uri (self, uri);
#line 496 "SidebarListInterface.c"
	}
#line 51 "../libcore/Interfaces/SidebarListInterface.vala"
	return FALSE;
#line 500 "SidebarListInterface.c"
}

static gboolean
sidebar_sidebar_list_interface_real_remove_item_by_id (SidebarSidebarListInterface* self,
                                                       guint32 id)
{
	GtkListBox* _tmp0_;
	GtkListBox* _tmp1_;
	GList* _tmp2_;
	gboolean result;
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp0_ = sidebar_sidebar_list_interface_get_list_box (self);
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp1_ = _tmp0_;
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
	_tmp2_ = gtk_container_get_children ((GtkContainer*) _tmp1_);
#line 517 "SidebarListInterface.c"
	{
		GList* child_collection = NULL;
		GList* child_it = NULL;
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
		child_collection = _tmp2_;
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
		for (child_it = child_collection; child_it != NULL; child_it = child_it->next) {
#line 525 "SidebarListInterface.c"
			GtkWidget* child = NULL;
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
			child = (GtkWidget*) child_it->data;
#line 529 "SidebarListInterface.c"
			{
				GtkWidget* _tmp3_;
#line 64 "../libcore/Interfaces/SidebarListInterface.vala"
				_tmp3_ = child;
#line 64 "../libcore/Interfaces/SidebarListInterface.vala"
				if (SIDEBAR_IS_SIDEBAR_ITEM_INTERFACE (_tmp3_)) {
#line 536 "SidebarListInterface.c"
					SidebarSidebarItemInterface* row = NULL;
					GtkWidget* _tmp4_;
					SidebarSidebarItemInterface* _tmp5_;
					gboolean _tmp6_;
					gboolean _tmp7_;
					SidebarSidebarItemInterface* _tmp8_;
					guint32 _tmp9_;
					guint32 _tmp10_;
#line 65 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp4_ = child;
#line 65 "../libcore/Interfaces/SidebarListInterface.vala"
					row = G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, SIDEBAR_TYPE_SIDEBAR_ITEM_INTERFACE, SidebarSidebarItemInterface);
#line 66 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp5_ = row;
#line 66 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp6_ = sidebar_sidebar_item_interface_get_permanent (_tmp5_);
#line 66 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp7_ = _tmp6_;
#line 66 "../libcore/Interfaces/SidebarListInterface.vala"
					if (_tmp7_) {
#line 67 "../libcore/Interfaces/SidebarListInterface.vala"
						continue;
#line 559 "SidebarListInterface.c"
					}
#line 70 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp8_ = row;
#line 70 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp9_ = sidebar_sidebar_item_interface_get_id (_tmp8_);
#line 70 "../libcore/Interfaces/SidebarListInterface.vala"
					_tmp10_ = _tmp9_;
#line 70 "../libcore/Interfaces/SidebarListInterface.vala"
					if (_tmp10_ == id) {
#line 569 "SidebarListInterface.c"
						GtkListBox* _tmp11_;
						GtkListBox* _tmp12_;
						GtkWidget* _tmp13_;
						SidebarSidebarItemInterface* _tmp14_;
#line 71 "../libcore/Interfaces/SidebarListInterface.vala"
						_tmp11_ = sidebar_sidebar_list_interface_get_list_box (self);
#line 71 "../libcore/Interfaces/SidebarListInterface.vala"
						_tmp12_ = _tmp11_;
#line 71 "../libcore/Interfaces/SidebarListInterface.vala"
						_tmp13_ = child;
#line 71 "../libcore/Interfaces/SidebarListInterface.vala"
						gtk_container_remove ((GtkContainer*) _tmp12_, _tmp13_);
#line 72 "../libcore/Interfaces/SidebarListInterface.vala"
						_tmp14_ = row;
#line 72 "../libcore/Interfaces/SidebarListInterface.vala"
						sidebar_sidebar_item_interface_destroy_bookmark (_tmp14_);
#line 73 "../libcore/Interfaces/SidebarListInterface.vala"
						result = TRUE;
#line 73 "../libcore/Interfaces/SidebarListInterface.vala"
						(child_collection == NULL) ? NULL : (child_collection = (g_list_free (child_collection), NULL));
#line 73 "../libcore/Interfaces/SidebarListInterface.vala"
						return result;
#line 592 "SidebarListInterface.c"
					}
				}
			}
		}
#line 63 "../libcore/Interfaces/SidebarListInterface.vala"
		(child_collection == NULL) ? NULL : (child_collection = (g_list_free (child_collection), NULL));
#line 599 "SidebarListInterface.c"
	}
#line 78 "../libcore/Interfaces/SidebarListInterface.vala"
	result = FALSE;
#line 78 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 605 "SidebarListInterface.c"
}

gboolean
sidebar_sidebar_list_interface_remove_item_by_id (SidebarSidebarListInterface* self,
                                                  guint32 id)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 62 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 62 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 62 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->remove_item_by_id) {
#line 62 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->remove_item_by_id (self, id);
#line 621 "SidebarListInterface.c"
	}
#line 62 "../libcore/Interfaces/SidebarListInterface.vala"
	return FALSE;
#line 625 "SidebarListInterface.c"
}

static gboolean
sidebar_sidebar_list_interface_real_add_favorite (SidebarSidebarListInterface* self,
                                                  const gchar* uri,
                                                  const gchar* label,
                                                  gint index)
{
	gboolean result;
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (label != NULL, FALSE);
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	result = FALSE;
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 643 "SidebarListInterface.c"
}

gboolean
sidebar_sidebar_list_interface_add_favorite (SidebarSidebarListInterface* self,
                                             const gchar* uri,
                                             const gchar* label,
                                             gint index)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->add_favorite) {
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->add_favorite (self, uri, label, index);
#line 661 "SidebarListInterface.c"
	}
#line 82 "../libcore/Interfaces/SidebarListInterface.vala"
	return FALSE;
#line 665 "SidebarListInterface.c"
}

static SidebarSidebarItemInterface*
sidebar_sidebar_list_interface_real_get_item_at_index (SidebarSidebarListInterface* self,
                                                       gint index)
{
	SidebarSidebarItemInterface* result;
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
	result = NULL;
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 677 "SidebarListInterface.c"
}

SidebarSidebarItemInterface*
sidebar_sidebar_list_interface_get_item_at_index (SidebarSidebarListInterface* self,
                                                  gint index)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->get_item_at_index) {
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->get_item_at_index (self, index);
#line 693 "SidebarListInterface.c"
	}
#line 84 "../libcore/Interfaces/SidebarListInterface.vala"
	return NULL;
#line 697 "SidebarListInterface.c"
}

static gboolean
sidebar_sidebar_list_interface_real_move_item_after (SidebarSidebarListInterface* self,
                                                     SidebarSidebarItemInterface* item,
                                                     gint target_index)
{
	gboolean result;
#line 87 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (item != NULL, FALSE);
#line 88 "../libcore/Interfaces/SidebarListInterface.vala"
	result = FALSE;
#line 88 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 712 "SidebarListInterface.c"
}

gboolean
sidebar_sidebar_list_interface_move_item_after (SidebarSidebarListInterface* self,
                                                SidebarSidebarItemInterface* item,
                                                gint target_index)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 87 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 87 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 87 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->move_item_after) {
#line 87 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->move_item_after (self, item, target_index);
#line 729 "SidebarListInterface.c"
	}
#line 87 "../libcore/Interfaces/SidebarListInterface.vala"
	return FALSE;
#line 733 "SidebarListInterface.c"
}

static gboolean
sidebar_sidebar_list_interface_real_is_drop_target (SidebarSidebarListInterface* self)
{
	gboolean result;
#line 93 "../libcore/Interfaces/SidebarListInterface.vala"
	result = FALSE;
#line 93 "../libcore/Interfaces/SidebarListInterface.vala"
	return result;
#line 744 "SidebarListInterface.c"
}

gboolean
sidebar_sidebar_list_interface_is_drop_target (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 92 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 92 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 92 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->is_drop_target) {
#line 92 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->is_drop_target (self);
#line 759 "SidebarListInterface.c"
	}
#line 92 "../libcore/Interfaces/SidebarListInterface.vala"
	return FALSE;
#line 763 "SidebarListInterface.c"
}

FilesSidebarInterface*
sidebar_sidebar_list_interface_get_sidebar (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->get_sidebar) {
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->get_sidebar (self);
#line 778 "SidebarListInterface.c"
	}
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	return NULL;
#line 782 "SidebarListInterface.c"
}

void
sidebar_sidebar_list_interface_set_sidebar (SidebarSidebarListInterface* self,
                                            FilesSidebarInterface* value)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->set_sidebar) {
#line 9 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->set_sidebar (self, value);
#line 798 "SidebarListInterface.c"
	}
}

GtkListBox*
sidebar_sidebar_list_interface_get_list_box (SidebarSidebarListInterface* self)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->get_list_box) {
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
		return _iface_->get_list_box (self);
#line 814 "SidebarListInterface.c"
	}
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	return NULL;
#line 818 "SidebarListInterface.c"
}

void
sidebar_sidebar_list_interface_set_list_box (SidebarSidebarListInterface* self,
                                             GtkListBox* value)
{
	SidebarSidebarListInterfaceIface* _iface_;
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	g_return_if_fail (self != NULL);
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	_iface_ = SIDEBAR_SIDEBAR_LIST_INTERFACE_GET_INTERFACE (self);
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
	if (_iface_->set_list_box) {
#line 10 "../libcore/Interfaces/SidebarListInterface.vala"
		_iface_->set_list_box (self, value);
#line 834 "SidebarListInterface.c"
	}
}

static void
sidebar_sidebar_list_interface_default_init (SidebarSidebarListInterfaceIface * iface,
                                             gpointer iface_data)
{
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	g_object_interface_install_property (iface, g_param_spec_object ("sidebar", "sidebar", "sidebar", FILES_TYPE_SIDEBAR_INTERFACE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	g_object_interface_install_property (iface, g_param_spec_object ("list-box", "list-box", "list-box", gtk_list_box_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->open_item = sidebar_sidebar_list_interface_real_open_item;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->refresh_info = sidebar_sidebar_list_interface_real_refresh_info;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->add_plugin_item = sidebar_sidebar_list_interface_real_add_plugin_item;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->clear = sidebar_sidebar_list_interface_real_clear;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->rename_bookmark_by_uri = sidebar_sidebar_list_interface_real_rename_bookmark_by_uri;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->has_uri = sidebar_sidebar_list_interface_real_has_uri;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->select_uri = sidebar_sidebar_list_interface_real_select_uri;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->remove_item_by_id = sidebar_sidebar_list_interface_real_remove_item_by_id;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->add_favorite = sidebar_sidebar_list_interface_real_add_favorite;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->get_item_at_index = sidebar_sidebar_list_interface_real_get_item_at_index;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->move_item_after = sidebar_sidebar_list_interface_real_move_item_after;
#line 8 "../libcore/Interfaces/SidebarListInterface.vala"
	iface->is_drop_target = sidebar_sidebar_list_interface_real_is_drop_target;
#line 870 "SidebarListInterface.c"
}

 G_GNUC_NO_INLINE static GType
sidebar_sidebar_list_interface_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SidebarSidebarListInterfaceIface), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sidebar_sidebar_list_interface_default_init, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
	GType sidebar_sidebar_list_interface_type_id;
	sidebar_sidebar_list_interface_type_id = g_type_register_static (G_TYPE_INTERFACE, "SidebarSidebarListInterface", &g_define_type_info, 0);
	g_type_interface_add_prerequisite (sidebar_sidebar_list_interface_type_id, G_TYPE_OBJECT);
	return sidebar_sidebar_list_interface_type_id;
}

GType
sidebar_sidebar_list_interface_get_type (void)
{
	static volatile gsize sidebar_sidebar_list_interface_type_id__once = 0;
	if (g_once_init_enter (&sidebar_sidebar_list_interface_type_id__once)) {
		GType sidebar_sidebar_list_interface_type_id;
		sidebar_sidebar_list_interface_type_id = sidebar_sidebar_list_interface_get_type_once ();
		g_once_init_leave (&sidebar_sidebar_list_interface_type_id__once, sidebar_sidebar_list_interface_type_id);
	}
	return sidebar_sidebar_list_interface_type_id__once;
}

static inline gpointer
_vala_memdup2 (gconstpointer mem,
               gsize byte_size)
{
	gpointer new_mem;
	if (mem && byte_size != 0) {
		new_mem = g_malloc (byte_size);
		memcpy (new_mem, mem, byte_size);
	} else {
		new_mem = NULL;
	}
	return new_mem;
}

