/* ProgressInfo.c generated by valac 0.56.14, the Vala compiler
 * generated from ProgressInfo.vala, do not modify */

/* Copyright (c) 2018 elementary LLC (https://elementary.io)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, Inc.,; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */
/* Intermediary between a FileOperation and the ProgressUIHandler allowing the UI to show the progress
 * of the operation and also to cancel that operation. */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "pantheon-files-core.h"
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <glib-object.h>

#define PF_PROGRESS_INFO_SIGNAL_DELAY_MSEC ((guint) 100)

enum  {
	PF_PROGRESS_INFO_0_PROPERTY,
	PF_PROGRESS_INFO_CANCELLABLE_PROPERTY,
	PF_PROGRESS_INFO_TITLE_PROPERTY,
	PF_PROGRESS_INFO_STATUS_PROPERTY,
	PF_PROGRESS_INFO_DETAILS_PROPERTY,
	PF_PROGRESS_INFO_PROGRESS_PROPERTY,
	PF_PROGRESS_INFO_CURRENT_PROPERTY,
	PF_PROGRESS_INFO_TOTAL_PROPERTY,
	PF_PROGRESS_INFO_ACTIVITY_MODE_PROPERTY,
	PF_PROGRESS_INFO_IS_STARTED_PROPERTY,
	PF_PROGRESS_INFO_IS_FINISHED_PROPERTY,
	PF_PROGRESS_INFO_IS_PAUSED_PROPERTY,
	PF_PROGRESS_INFO_IS_CANCELLED_PROPERTY,
	PF_PROGRESS_INFO_NUM_PROPERTIES
};
static GParamSpec* pf_progress_info_properties[PF_PROGRESS_INFO_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_source_unref0(var) ((var == NULL) ? NULL : (var = (g_source_unref (var), NULL)))
enum  {
	PF_PROGRESS_INFO_CHANGED_SIGNAL,
	PF_PROGRESS_INFO_PROGRESS_CHANGED_SIGNAL,
	PF_PROGRESS_INFO_STARTED_SIGNAL,
	PF_PROGRESS_INFO_FINISHED_SIGNAL,
	PF_PROGRESS_INFO_NUM_SIGNALS
};
static guint pf_progress_info_signals[PF_PROGRESS_INFO_NUM_SIGNALS] = {0};
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _PFProgressInfoPrivate {
	GCancellable* _cancellable;
	gchar* _title;
	gchar* _status;
	gchar* _details;
	gdouble _progress;
	gdouble _current;
	gdouble _total;
	gboolean _activity_mode;
	gboolean _is_started;
	gboolean _is_finished;
	gboolean _is_paused;
	GSource* idle_source;
	gboolean source_is_now;
	gboolean start_at_idle;
	gboolean finish_at_idle;
	gboolean changed_at_idle;
	gboolean progress_at_idle;
};

static gint PFProgressInfo_private_offset;
static gpointer pf_progress_info_parent_class = NULL;

static void pf_progress_info_set_is_started (PFProgressInfo* self,
                                      gboolean value);
static void pf_progress_info_queue_idle (PFProgressInfo* self,
                                  gboolean now);
static void pf_progress_info_set_is_finished (PFProgressInfo* self,
                                       gboolean value);
static void _pf_progress_info_finish_g_cancellable_cancelled (GCancellable* _sender,
                                                       gpointer self);
static void pf_progress_info_set_is_paused (PFProgressInfo* self,
                                     gboolean value);
static void pf_progress_info_set_status (PFProgressInfo* self,
                                  const gchar* value);
static void pf_progress_info_set_activity_mode (PFProgressInfo* self,
                                         gboolean value);
static void pf_progress_info_set_progress (PFProgressInfo* self,
                                    gdouble value);
static void pf_progress_info_set_current (PFProgressInfo* self,
                                   gdouble value);
static void pf_progress_info_set_total (PFProgressInfo* self,
                                 gdouble value);
static gboolean pf_progress_info_idle_callback (PFProgressInfo* self);
static gboolean _pf_progress_info_idle_callback_gsource_func (gpointer self);
static GObject * pf_progress_info_constructor (GType type,
                                        guint n_construct_properties,
                                        GObjectConstructParam * construct_properties);
static void pf_progress_info_finalize (GObject * obj);
static GType pf_progress_info_get_type_once (void);
static void _vala_pf_progress_info_get_property (GObject * object,
                                          guint property_id,
                                          GValue * value,
                                          GParamSpec * pspec);
static void _vala_pf_progress_info_set_property (GObject * object,
                                          guint property_id,
                                          const GValue * value,
                                          GParamSpec * pspec);

static inline gpointer
pf_progress_info_get_instance_private (PFProgressInfo* self)
{
	return G_STRUCT_MEMBER_P (self, PFProgressInfo_private_offset);
}

PFProgressInfo*
pf_progress_info_construct (GType object_type)
{
	PFProgressInfo * self = NULL;
#line 51 "../libcore/ProgressInfo.vala"
	self = (PFProgressInfo*) g_object_new (object_type, NULL);
#line 51 "../libcore/ProgressInfo.vala"
	return self;
#line 149 "ProgressInfo.c"
}

PFProgressInfo*
pf_progress_info_new (void)
{
#line 51 "../libcore/ProgressInfo.vala"
	return pf_progress_info_construct (PF_PROGRESS_TYPE_INFO);
#line 157 "ProgressInfo.c"
}

void
pf_progress_info_cancel (PFProgressInfo* self)
{
	GCancellable* _tmp0_;
#line 70 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 71 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_cancellable;
#line 71 "../libcore/ProgressInfo.vala"
	g_cancellable_cancel (_tmp0_);
#line 170 "ProgressInfo.c"
}

void
pf_progress_info_start (PFProgressInfo* self)
{
	gboolean _tmp0_;
#line 74 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 75 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_is_started;
#line 75 "../libcore/ProgressInfo.vala"
	if (!_tmp0_) {
#line 76 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_started (self, TRUE);
#line 77 "../libcore/ProgressInfo.vala"
		self->priv->start_at_idle = TRUE;
#line 79 "../libcore/ProgressInfo.vala"
		pf_progress_info_queue_idle (self, TRUE);
#line 189 "ProgressInfo.c"
	}
}

static void
_pf_progress_info_finish_g_cancellable_cancelled (GCancellable* _sender,
                                                  gpointer self)
{
#line 86 "../libcore/ProgressInfo.vala"
	pf_progress_info_finish ((PFProgressInfo*) self);
#line 199 "ProgressInfo.c"
}

void
pf_progress_info_finish (PFProgressInfo* self)
{
	gboolean _tmp0_;
#line 83 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 84 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_is_finished;
#line 84 "../libcore/ProgressInfo.vala"
	if (!_tmp0_) {
#line 212 "ProgressInfo.c"
		GCancellable* _tmp1_;
		guint _tmp2_;
#line 85 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_finished (self, TRUE);
#line 86 "../libcore/ProgressInfo.vala"
		_tmp1_ = self->priv->_cancellable;
#line 86 "../libcore/ProgressInfo.vala"
		g_signal_parse_name ("cancelled", g_cancellable_get_type (), &_tmp2_, NULL, FALSE);
#line 86 "../libcore/ProgressInfo.vala"
		g_signal_handlers_disconnect_matched (_tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, 0, NULL, (GCallback) _pf_progress_info_finish_g_cancellable_cancelled, self);
#line 87 "../libcore/ProgressInfo.vala"
		self->priv->finish_at_idle = TRUE;
#line 88 "../libcore/ProgressInfo.vala"
		pf_progress_info_queue_idle (self, TRUE);
#line 227 "ProgressInfo.c"
	}
}

void
pf_progress_info_pause (PFProgressInfo* self)
{
	gboolean _tmp0_;
#line 92 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 93 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_is_paused;
#line 93 "../libcore/ProgressInfo.vala"
	if (!_tmp0_) {
#line 94 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_paused (self, TRUE);
#line 243 "ProgressInfo.c"
	}
}

void
pf_progress_info_resume (PFProgressInfo* self)
{
	gboolean _tmp0_;
#line 98 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 99 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_is_paused;
#line 99 "../libcore/ProgressInfo.vala"
	if (_tmp0_) {
#line 100 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_paused (self, FALSE);
#line 259 "ProgressInfo.c"
	}
}

void
pf_progress_info_take_status (PFProgressInfo* self,
                              gchar* _status)
{
	const gchar* _tmp0_;
#line 104 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 104 "../libcore/ProgressInfo.vala"
	g_return_if_fail (_status != NULL);
#line 105 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_status;
#line 105 "../libcore/ProgressInfo.vala"
	if (g_strcmp0 (_tmp0_, _status) != 0) {
#line 106 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_status (self, _status);
#line 107 "../libcore/ProgressInfo.vala"
		self->priv->changed_at_idle = TRUE;
#line 108 "../libcore/ProgressInfo.vala"
		pf_progress_info_queue_idle (self, FALSE);
#line 282 "ProgressInfo.c"
	}
#line 104 "../libcore/ProgressInfo.vala"
	_g_free0 (_status);
#line 286 "ProgressInfo.c"
}

void
pf_progress_info_take_details (PFProgressInfo* self,
                               gchar* _details)
{
	const gchar* _tmp0_;
#line 112 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 112 "../libcore/ProgressInfo.vala"
	g_return_if_fail (_details != NULL);
#line 113 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_details;
#line 113 "../libcore/ProgressInfo.vala"
	if (g_strcmp0 (_tmp0_, _details) != 0) {
#line 114 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_details (self, _details);
#line 115 "../libcore/ProgressInfo.vala"
		self->priv->changed_at_idle = TRUE;
#line 116 "../libcore/ProgressInfo.vala"
		pf_progress_info_queue_idle (self, FALSE);
#line 308 "ProgressInfo.c"
	}
#line 112 "../libcore/ProgressInfo.vala"
	_g_free0 (_details);
#line 312 "ProgressInfo.c"
}

void
pf_progress_info_update_progress (PFProgressInfo* self,
                                  gdouble current,
                                  gdouble total)
{
	gdouble current_percent = 0.0;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
#line 120 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 121 "../libcore/ProgressInfo.vala"
	current_percent = 1.0;
#line 123 "../libcore/ProgressInfo.vala"
	if (total > ((gdouble) 0)) {
#line 124 "../libcore/ProgressInfo.vala"
		current_percent = MIN (current / total, (gdouble) 1);
#line 125 "../libcore/ProgressInfo.vala"
		current_percent = MAX (current_percent, (gdouble) 0);
#line 333 "ProgressInfo.c"
	}
#line 132 "../libcore/ProgressInfo.vala"
	_tmp1_ = self->priv->_activity_mode;
#line 132 "../libcore/ProgressInfo.vala"
	if (_tmp1_) {
#line 132 "../libcore/ProgressInfo.vala"
		_tmp0_ = TRUE;
#line 341 "ProgressInfo.c"
	} else {
		gdouble _tmp2_;
#line 132 "../libcore/ProgressInfo.vala"
		_tmp2_ = self->priv->_progress;
#line 132 "../libcore/ProgressInfo.vala"
		_tmp0_ = fabs (current_percent - _tmp2_) > 0.005;
#line 348 "ProgressInfo.c"
	}
#line 132 "../libcore/ProgressInfo.vala"
	if (_tmp0_) {
#line 133 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_activity_mode (self, FALSE);
#line 134 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_progress (self, current_percent);
#line 135 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_current (self, current);
#line 136 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_total (self, total);
#line 137 "../libcore/ProgressInfo.vala"
		self->priv->progress_at_idle = TRUE;
#line 138 "../libcore/ProgressInfo.vala"
		pf_progress_info_queue_idle (self, FALSE);
#line 364 "ProgressInfo.c"
	}
}

void
pf_progress_info_pulse_progress (PFProgressInfo* self)
{
#line 142 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 143 "../libcore/ProgressInfo.vala"
	pf_progress_info_set_activity_mode (self, TRUE);
#line 144 "../libcore/ProgressInfo.vala"
	pf_progress_info_set_progress (self, -1.0);
#line 145 "../libcore/ProgressInfo.vala"
	self->priv->progress_at_idle = TRUE;
#line 146 "../libcore/ProgressInfo.vala"
	pf_progress_info_queue_idle (self, FALSE);
#line 381 "ProgressInfo.c"
}

static gboolean
_pf_progress_info_idle_callback_gsource_func (gpointer self)
{
	gboolean result;
	result = pf_progress_info_idle_callback ((PFProgressInfo*) self);
#line 163 "../libcore/ProgressInfo.vala"
	return result;
#line 391 "ProgressInfo.c"
}

static void
pf_progress_info_queue_idle (PFProgressInfo* self,
                             gboolean now)
{
	gboolean _tmp0_ = FALSE;
	GSource* _tmp1_;
#line 149 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 150 "../libcore/ProgressInfo.vala"
	_tmp1_ = self->priv->idle_source;
#line 150 "../libcore/ProgressInfo.vala"
	if (_tmp1_ == NULL) {
#line 150 "../libcore/ProgressInfo.vala"
		_tmp0_ = TRUE;
#line 408 "ProgressInfo.c"
	} else {
		gboolean _tmp2_ = FALSE;
#line 150 "../libcore/ProgressInfo.vala"
		if (now) {
#line 150 "../libcore/ProgressInfo.vala"
			_tmp2_ = !self->priv->source_is_now;
#line 415 "ProgressInfo.c"
		} else {
#line 150 "../libcore/ProgressInfo.vala"
			_tmp2_ = FALSE;
#line 419 "ProgressInfo.c"
		}
#line 150 "../libcore/ProgressInfo.vala"
		_tmp0_ = _tmp2_;
#line 423 "ProgressInfo.c"
	}
#line 150 "../libcore/ProgressInfo.vala"
	if (_tmp0_) {
#line 427 "ProgressInfo.c"
		GSource* _tmp3_;
		GSource* _tmp7_;
		GSource* _tmp8_;
#line 151 "../libcore/ProgressInfo.vala"
		_tmp3_ = self->priv->idle_source;
#line 151 "../libcore/ProgressInfo.vala"
		if (_tmp3_ != NULL) {
#line 435 "ProgressInfo.c"
			GSource* _tmp4_;
#line 152 "../libcore/ProgressInfo.vala"
			_tmp4_ = self->priv->idle_source;
#line 152 "../libcore/ProgressInfo.vala"
			g_source_destroy (_tmp4_);
#line 153 "../libcore/ProgressInfo.vala"
			_g_source_unref0 (self->priv->idle_source);
#line 153 "../libcore/ProgressInfo.vala"
			self->priv->idle_source = NULL;
#line 445 "ProgressInfo.c"
		}
#line 156 "../libcore/ProgressInfo.vala"
		self->priv->source_is_now = now;
#line 157 "../libcore/ProgressInfo.vala"
		if (now) {
#line 451 "ProgressInfo.c"
			GSource* _tmp5_;
#line 158 "../libcore/ProgressInfo.vala"
			_tmp5_ = g_idle_source_new ();
#line 158 "../libcore/ProgressInfo.vala"
			_g_source_unref0 (self->priv->idle_source);
#line 158 "../libcore/ProgressInfo.vala"
			self->priv->idle_source = _tmp5_;
#line 459 "ProgressInfo.c"
		} else {
			GSource* _tmp6_;
#line 160 "../libcore/ProgressInfo.vala"
			_tmp6_ = g_timeout_source_new (PF_PROGRESS_INFO_SIGNAL_DELAY_MSEC);
#line 160 "../libcore/ProgressInfo.vala"
			_g_source_unref0 (self->priv->idle_source);
#line 160 "../libcore/ProgressInfo.vala"
			self->priv->idle_source = _tmp6_;
#line 468 "ProgressInfo.c"
		}
#line 163 "../libcore/ProgressInfo.vala"
		_tmp7_ = self->priv->idle_source;
#line 163 "../libcore/ProgressInfo.vala"
		g_source_set_callback (_tmp7_, _pf_progress_info_idle_callback_gsource_func, g_object_ref (self), g_object_unref);
#line 164 "../libcore/ProgressInfo.vala"
		_tmp8_ = self->priv->idle_source;
#line 164 "../libcore/ProgressInfo.vala"
		g_source_attach (_tmp8_, NULL);
#line 478 "ProgressInfo.c"
	}
}

static gboolean
pf_progress_info_idle_callback (PFProgressInfo* self)
{
	GSource* source = NULL;
	GSource* _tmp0_;
	GSource* _tmp1_;
	GSource* _tmp2_;
	GSource* _tmp3_;
	gboolean result;
#line 168 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 169 "../libcore/ProgressInfo.vala"
	_tmp0_ = g_main_current_source ();
#line 169 "../libcore/ProgressInfo.vala"
	source = _tmp0_;
#line 175 "../libcore/ProgressInfo.vala"
	_tmp1_ = source;
#line 175 "../libcore/ProgressInfo.vala"
	if (g_source_is_destroyed (_tmp1_)) {
#line 176 "../libcore/ProgressInfo.vala"
		result = G_SOURCE_REMOVE;
#line 176 "../libcore/ProgressInfo.vala"
		return result;
#line 505 "ProgressInfo.c"
	}
#line 179 "../libcore/ProgressInfo.vala"
	_tmp2_ = source;
#line 179 "../libcore/ProgressInfo.vala"
	_tmp3_ = self->priv->idle_source;
#line 179 "../libcore/ProgressInfo.vala"
	_vala_assert (_tmp2_ == _tmp3_, "source == idle_source");
#line 180 "../libcore/ProgressInfo.vala"
	_g_source_unref0 (self->priv->idle_source);
#line 180 "../libcore/ProgressInfo.vala"
	self->priv->idle_source = NULL;
#line 182 "../libcore/ProgressInfo.vala"
	if (self->priv->start_at_idle) {
#line 183 "../libcore/ProgressInfo.vala"
		self->priv->start_at_idle = FALSE;
#line 184 "../libcore/ProgressInfo.vala"
		g_signal_emit (self, pf_progress_info_signals[PF_PROGRESS_INFO_STARTED_SIGNAL], 0);
#line 523 "ProgressInfo.c"
	}
#line 187 "../libcore/ProgressInfo.vala"
	if (self->priv->finish_at_idle) {
#line 527 "ProgressInfo.c"
		PFProgressInfoManager* _tmp4_;
		PFProgressInfoManager* _tmp5_;
#line 188 "../libcore/ProgressInfo.vala"
		self->priv->finish_at_idle = FALSE;
#line 191 "../libcore/ProgressInfo.vala"
		g_signal_emit (self, pf_progress_info_signals[PF_PROGRESS_INFO_FINISHED_SIGNAL], 0);
#line 192 "../libcore/ProgressInfo.vala"
		_tmp4_ = pf_progress_info_manager_get_instance ();
#line 192 "../libcore/ProgressInfo.vala"
		_tmp5_ = _tmp4_;
#line 192 "../libcore/ProgressInfo.vala"
		pf_progress_info_manager_remove_finished_info (_tmp5_, self);
#line 192 "../libcore/ProgressInfo.vala"
		_g_object_unref0 (_tmp5_);
#line 542 "ProgressInfo.c"
	}
#line 195 "../libcore/ProgressInfo.vala"
	if (self->priv->changed_at_idle) {
#line 196 "../libcore/ProgressInfo.vala"
		g_signal_emit (self, pf_progress_info_signals[PF_PROGRESS_INFO_CHANGED_SIGNAL], 0);
#line 197 "../libcore/ProgressInfo.vala"
		self->priv->changed_at_idle = FALSE;
#line 550 "ProgressInfo.c"
	}
#line 200 "../libcore/ProgressInfo.vala"
	if (self->priv->progress_at_idle) {
#line 201 "../libcore/ProgressInfo.vala"
		g_signal_emit (self, pf_progress_info_signals[PF_PROGRESS_INFO_PROGRESS_CHANGED_SIGNAL], 0);
#line 202 "../libcore/ProgressInfo.vala"
		self->priv->progress_at_idle = FALSE;
#line 558 "ProgressInfo.c"
	}
#line 205 "../libcore/ProgressInfo.vala"
	result = G_SOURCE_REMOVE;
#line 205 "../libcore/ProgressInfo.vala"
	return result;
#line 564 "ProgressInfo.c"
}

GCancellable*
pf_progress_info_get_cancellable (PFProgressInfo* self)
{
	GCancellable* result;
	GCancellable* _tmp0_;
#line 29 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 29 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_cancellable;
#line 29 "../libcore/ProgressInfo.vala"
	result = _tmp0_;
#line 29 "../libcore/ProgressInfo.vala"
	return result;
#line 580 "ProgressInfo.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 29 "../libcore/ProgressInfo.vala"
	return self ? g_object_ref (self) : NULL;
#line 588 "ProgressInfo.c"
}

static void
pf_progress_info_set_cancellable (PFProgressInfo* self,
                                  GCancellable* value)
{
	GCancellable* old_value;
#line 29 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 29 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_cancellable (self);
#line 29 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 602 "ProgressInfo.c"
		GCancellable* _tmp0_;
#line 29 "../libcore/ProgressInfo.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 29 "../libcore/ProgressInfo.vala"
		_g_object_unref0 (self->priv->_cancellable);
#line 29 "../libcore/ProgressInfo.vala"
		self->priv->_cancellable = _tmp0_;
#line 29 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_CANCELLABLE_PROPERTY]);
#line 612 "ProgressInfo.c"
	}
}

const gchar*
pf_progress_info_get_title (PFProgressInfo* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 31 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_title;
#line 31 "../libcore/ProgressInfo.vala"
	result = _tmp0_;
#line 31 "../libcore/ProgressInfo.vala"
	return result;
#line 629 "ProgressInfo.c"
}

void
pf_progress_info_set_title (PFProgressInfo* self,
                            const gchar* value)
{
	gchar* old_value;
#line 31 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 31 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_title (self);
#line 31 "../libcore/ProgressInfo.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 643 "ProgressInfo.c"
		gchar* _tmp0_;
#line 31 "../libcore/ProgressInfo.vala"
		_tmp0_ = g_strdup (value);
#line 31 "../libcore/ProgressInfo.vala"
		_g_free0 (self->priv->_title);
#line 31 "../libcore/ProgressInfo.vala"
		self->priv->_title = _tmp0_;
#line 31 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_TITLE_PROPERTY]);
#line 653 "ProgressInfo.c"
	}
}

const gchar*
pf_progress_info_get_status (PFProgressInfo* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 32 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_status;
#line 32 "../libcore/ProgressInfo.vala"
	result = _tmp0_;
#line 32 "../libcore/ProgressInfo.vala"
	return result;
#line 670 "ProgressInfo.c"
}

static void
pf_progress_info_set_status (PFProgressInfo* self,
                             const gchar* value)
{
	gchar* old_value;
#line 32 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 32 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_status (self);
#line 32 "../libcore/ProgressInfo.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 684 "ProgressInfo.c"
		gchar* _tmp0_;
#line 32 "../libcore/ProgressInfo.vala"
		_tmp0_ = g_strdup (value);
#line 32 "../libcore/ProgressInfo.vala"
		_g_free0 (self->priv->_status);
#line 32 "../libcore/ProgressInfo.vala"
		self->priv->_status = _tmp0_;
#line 32 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_STATUS_PROPERTY]);
#line 694 "ProgressInfo.c"
	}
}

const gchar*
pf_progress_info_get_details (PFProgressInfo* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 33 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_details;
#line 33 "../libcore/ProgressInfo.vala"
	result = _tmp0_;
#line 33 "../libcore/ProgressInfo.vala"
	return result;
#line 711 "ProgressInfo.c"
}

void
pf_progress_info_set_details (PFProgressInfo* self,
                              const gchar* value)
{
	gchar* old_value;
#line 33 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 33 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_details (self);
#line 33 "../libcore/ProgressInfo.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 725 "ProgressInfo.c"
		gchar* _tmp0_;
#line 33 "../libcore/ProgressInfo.vala"
		_tmp0_ = g_strdup (value);
#line 33 "../libcore/ProgressInfo.vala"
		_g_free0 (self->priv->_details);
#line 33 "../libcore/ProgressInfo.vala"
		self->priv->_details = _tmp0_;
#line 33 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_DETAILS_PROPERTY]);
#line 735 "ProgressInfo.c"
	}
}

gdouble
pf_progress_info_get_progress (PFProgressInfo* self)
{
	gdouble result;
#line 34 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 34 "../libcore/ProgressInfo.vala"
	result = self->priv->_progress;
#line 34 "../libcore/ProgressInfo.vala"
	return result;
#line 749 "ProgressInfo.c"
}

static void
pf_progress_info_set_progress (PFProgressInfo* self,
                               gdouble value)
{
	gdouble old_value;
#line 34 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 34 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_progress (self);
#line 34 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 34 "../libcore/ProgressInfo.vala"
		self->priv->_progress = value;
#line 34 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_PROGRESS_PROPERTY]);
#line 767 "ProgressInfo.c"
	}
}

gdouble
pf_progress_info_get_current (PFProgressInfo* self)
{
	gdouble result;
#line 35 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 35 "../libcore/ProgressInfo.vala"
	result = self->priv->_current;
#line 35 "../libcore/ProgressInfo.vala"
	return result;
#line 781 "ProgressInfo.c"
}

static void
pf_progress_info_set_current (PFProgressInfo* self,
                              gdouble value)
{
	gdouble old_value;
#line 35 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 35 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_current (self);
#line 35 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 35 "../libcore/ProgressInfo.vala"
		self->priv->_current = value;
#line 35 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_CURRENT_PROPERTY]);
#line 799 "ProgressInfo.c"
	}
}

gdouble
pf_progress_info_get_total (PFProgressInfo* self)
{
	gdouble result;
#line 36 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 36 "../libcore/ProgressInfo.vala"
	result = self->priv->_total;
#line 36 "../libcore/ProgressInfo.vala"
	return result;
#line 813 "ProgressInfo.c"
}

static void
pf_progress_info_set_total (PFProgressInfo* self,
                            gdouble value)
{
	gdouble old_value;
#line 36 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 36 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_total (self);
#line 36 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 36 "../libcore/ProgressInfo.vala"
		self->priv->_total = value;
#line 36 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_TOTAL_PROPERTY]);
#line 831 "ProgressInfo.c"
	}
}

gboolean
pf_progress_info_get_activity_mode (PFProgressInfo* self)
{
	gboolean result;
#line 37 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 37 "../libcore/ProgressInfo.vala"
	result = self->priv->_activity_mode;
#line 37 "../libcore/ProgressInfo.vala"
	return result;
#line 845 "ProgressInfo.c"
}

static void
pf_progress_info_set_activity_mode (PFProgressInfo* self,
                                    gboolean value)
{
	gboolean old_value;
#line 37 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 37 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_activity_mode (self);
#line 37 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 37 "../libcore/ProgressInfo.vala"
		self->priv->_activity_mode = value;
#line 37 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_ACTIVITY_MODE_PROPERTY]);
#line 863 "ProgressInfo.c"
	}
}

gboolean
pf_progress_info_get_is_started (PFProgressInfo* self)
{
	gboolean result;
#line 38 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 38 "../libcore/ProgressInfo.vala"
	result = self->priv->_is_started;
#line 38 "../libcore/ProgressInfo.vala"
	return result;
#line 877 "ProgressInfo.c"
}

static void
pf_progress_info_set_is_started (PFProgressInfo* self,
                                 gboolean value)
{
	gboolean old_value;
#line 38 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 38 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_is_started (self);
#line 38 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 38 "../libcore/ProgressInfo.vala"
		self->priv->_is_started = value;
#line 38 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_IS_STARTED_PROPERTY]);
#line 895 "ProgressInfo.c"
	}
}

gboolean
pf_progress_info_get_is_finished (PFProgressInfo* self)
{
	gboolean result;
#line 39 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 39 "../libcore/ProgressInfo.vala"
	result = self->priv->_is_finished;
#line 39 "../libcore/ProgressInfo.vala"
	return result;
#line 909 "ProgressInfo.c"
}

static void
pf_progress_info_set_is_finished (PFProgressInfo* self,
                                  gboolean value)
{
	gboolean old_value;
#line 39 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 39 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_is_finished (self);
#line 39 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 39 "../libcore/ProgressInfo.vala"
		self->priv->_is_finished = value;
#line 39 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_IS_FINISHED_PROPERTY]);
#line 927 "ProgressInfo.c"
	}
}

gboolean
pf_progress_info_get_is_paused (PFProgressInfo* self)
{
	gboolean result;
#line 40 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 40 "../libcore/ProgressInfo.vala"
	result = self->priv->_is_paused;
#line 40 "../libcore/ProgressInfo.vala"
	return result;
#line 941 "ProgressInfo.c"
}

static void
pf_progress_info_set_is_paused (PFProgressInfo* self,
                                gboolean value)
{
	gboolean old_value;
#line 40 "../libcore/ProgressInfo.vala"
	g_return_if_fail (self != NULL);
#line 40 "../libcore/ProgressInfo.vala"
	old_value = pf_progress_info_get_is_paused (self);
#line 40 "../libcore/ProgressInfo.vala"
	if (old_value != value) {
#line 40 "../libcore/ProgressInfo.vala"
		self->priv->_is_paused = value;
#line 40 "../libcore/ProgressInfo.vala"
		g_object_notify_by_pspec ((GObject *) self, pf_progress_info_properties[PF_PROGRESS_INFO_IS_PAUSED_PROPERTY]);
#line 959 "ProgressInfo.c"
	}
}

gboolean
pf_progress_info_get_is_cancelled (PFProgressInfo* self)
{
	gboolean result;
	GCancellable* _tmp0_;
#line 41 "../libcore/ProgressInfo.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 41 "../libcore/ProgressInfo.vala"
	_tmp0_ = self->priv->_cancellable;
#line 41 "../libcore/ProgressInfo.vala"
	result = g_cancellable_is_cancelled (_tmp0_);
#line 41 "../libcore/ProgressInfo.vala"
	return result;
#line 976 "ProgressInfo.c"
}

static GObject *
pf_progress_info_constructor (GType type,
                              guint n_construct_properties,
                              GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	PFProgressInfo * self;
	GCancellable* _tmp0_;
	GCancellable* _tmp1_;
	GCancellable* _tmp2_;
	PFProgressInfoManager* _tmp3_;
	PFProgressInfoManager* _tmp4_;
	GApplication* _tmp5_;
#line 55 "../libcore/ProgressInfo.vala"
	parent_class = G_OBJECT_CLASS (pf_progress_info_parent_class);
#line 55 "../libcore/ProgressInfo.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 55 "../libcore/ProgressInfo.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PF_PROGRESS_TYPE_INFO, PFProgressInfo);
#line 56 "../libcore/ProgressInfo.vala"
	_tmp0_ = g_cancellable_new ();
#line 56 "../libcore/ProgressInfo.vala"
	_tmp1_ = _tmp0_;
#line 56 "../libcore/ProgressInfo.vala"
	pf_progress_info_set_cancellable (self, _tmp1_);
#line 56 "../libcore/ProgressInfo.vala"
	_g_object_unref0 (_tmp1_);
#line 59 "../libcore/ProgressInfo.vala"
	_tmp2_ = self->priv->_cancellable;
#line 59 "../libcore/ProgressInfo.vala"
	g_signal_connect_object (_tmp2_, "cancelled", (GCallback) _pf_progress_info_finish_g_cancellable_cancelled, self, 0);
#line 60 "../libcore/ProgressInfo.vala"
	_tmp3_ = pf_progress_info_manager_get_instance ();
#line 60 "../libcore/ProgressInfo.vala"
	_tmp4_ = _tmp3_;
#line 60 "../libcore/ProgressInfo.vala"
	pf_progress_info_manager_add_new_info (_tmp4_, self);
#line 60 "../libcore/ProgressInfo.vala"
	_g_object_unref0 (_tmp4_);
#line 61 "../libcore/ProgressInfo.vala"
	_tmp5_ = g_application_get_default ();
#line 61 "../libcore/ProgressInfo.vala"
	g_application_hold (_tmp5_);
#line 55 "../libcore/ProgressInfo.vala"
	return obj;
#line 1025 "ProgressInfo.c"
}

static void
pf_progress_info_class_init (PFProgressInfoClass * klass,
                             gpointer klass_data)
{
#line 21 "../libcore/ProgressInfo.vala"
	pf_progress_info_parent_class = g_type_class_peek_parent (klass);
#line 21 "../libcore/ProgressInfo.vala"
	g_type_class_adjust_private_offset (klass, &PFProgressInfo_private_offset);
#line 21 "../libcore/ProgressInfo.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_pf_progress_info_get_property;
#line 21 "../libcore/ProgressInfo.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_pf_progress_info_set_property;
#line 21 "../libcore/ProgressInfo.vala"
	G_OBJECT_CLASS (klass)->constructor = pf_progress_info_constructor;
#line 21 "../libcore/ProgressInfo.vala"
	G_OBJECT_CLASS (klass)->finalize = pf_progress_info_finalize;
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_CANCELLABLE_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_CANCELLABLE_PROPERTY] = g_param_spec_object ("cancellable", "cancellable", "cancellable", g_cancellable_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_TITLE_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_TITLE_PROPERTY] = g_param_spec_string ("title", "title", "title", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_STATUS_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_STATUS_PROPERTY] = g_param_spec_string ("status", "status", "status", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_DETAILS_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_DETAILS_PROPERTY] = g_param_spec_string ("details", "details", "details", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_PROGRESS_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_PROGRESS_PROPERTY] = g_param_spec_double ("progress", "progress", "progress", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_CURRENT_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_CURRENT_PROPERTY] = g_param_spec_double ("current", "current", "current", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_TOTAL_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_TOTAL_PROPERTY] = g_param_spec_double ("total", "total", "total", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_ACTIVITY_MODE_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_ACTIVITY_MODE_PROPERTY] = g_param_spec_boolean ("activity-mode", "activity-mode", "activity-mode", TRUE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_IS_STARTED_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_IS_STARTED_PROPERTY] = g_param_spec_boolean ("is-started", "is-started", "is-started", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_IS_FINISHED_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_IS_FINISHED_PROPERTY] = g_param_spec_boolean ("is-finished", "is-finished", "is-finished", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_IS_PAUSED_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_IS_PAUSED_PROPERTY] = g_param_spec_boolean ("is-paused", "is-paused", "is-paused", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PF_PROGRESS_INFO_IS_CANCELLED_PROPERTY, pf_progress_info_properties[PF_PROGRESS_INFO_IS_CANCELLED_PROPERTY] = g_param_spec_boolean ("is-cancelled", "is-cancelled", "is-cancelled", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 21 "../libcore/ProgressInfo.vala"
	pf_progress_info_signals[PF_PROGRESS_INFO_CHANGED_SIGNAL] = g_signal_new ("changed", PF_PROGRESS_TYPE_INFO, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 21 "../libcore/ProgressInfo.vala"
	pf_progress_info_signals[PF_PROGRESS_INFO_PROGRESS_CHANGED_SIGNAL] = g_signal_new ("progress-changed", PF_PROGRESS_TYPE_INFO, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 21 "../libcore/ProgressInfo.vala"
	pf_progress_info_signals[PF_PROGRESS_INFO_STARTED_SIGNAL] = g_signal_new ("started", PF_PROGRESS_TYPE_INFO, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 21 "../libcore/ProgressInfo.vala"
	pf_progress_info_signals[PF_PROGRESS_INFO_FINISHED_SIGNAL] = g_signal_new ("finished", PF_PROGRESS_TYPE_INFO, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1076 "ProgressInfo.c"
}

static void
pf_progress_info_instance_init (PFProgressInfo * self,
                                gpointer klass)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
#line 21 "../libcore/ProgressInfo.vala"
	self->priv = pf_progress_info_get_instance_private (self);
#line 31 "../libcore/ProgressInfo.vala"
	_tmp0_ = g_strdup (_ ("Preparing"));
#line 31 "../libcore/ProgressInfo.vala"
	self->priv->_title = _tmp0_;
#line 32 "../libcore/ProgressInfo.vala"
	_tmp1_ = g_strdup (_ ("Preparing"));
#line 32 "../libcore/ProgressInfo.vala"
	self->priv->_status = _tmp1_;
#line 33 "../libcore/ProgressInfo.vala"
	_tmp2_ = g_strdup (_ ("Preparing"));
#line 33 "../libcore/ProgressInfo.vala"
	self->priv->_details = _tmp2_;
#line 34 "../libcore/ProgressInfo.vala"
	self->priv->_progress = 0.0;
#line 35 "../libcore/ProgressInfo.vala"
	self->priv->_current = 0.0;
#line 36 "../libcore/ProgressInfo.vala"
	self->priv->_total = 0.0;
#line 37 "../libcore/ProgressInfo.vala"
	self->priv->_activity_mode = TRUE;
#line 1108 "ProgressInfo.c"
}

static void
pf_progress_info_finalize (GObject * obj)
{
	PFProgressInfo * self;
	GApplication* _tmp0_;
#line 21 "../libcore/ProgressInfo.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PF_PROGRESS_TYPE_INFO, PFProgressInfo);
#line 67 "../libcore/ProgressInfo.vala"
	_tmp0_ = g_application_get_default ();
#line 67 "../libcore/ProgressInfo.vala"
	g_application_release (_tmp0_);
#line 29 "../libcore/ProgressInfo.vala"
	_g_object_unref0 (self->priv->_cancellable);
#line 31 "../libcore/ProgressInfo.vala"
	_g_free0 (self->priv->_title);
#line 32 "../libcore/ProgressInfo.vala"
	_g_free0 (self->priv->_status);
#line 33 "../libcore/ProgressInfo.vala"
	_g_free0 (self->priv->_details);
#line 43 "../libcore/ProgressInfo.vala"
	_g_source_unref0 (self->priv->idle_source);
#line 21 "../libcore/ProgressInfo.vala"
	G_OBJECT_CLASS (pf_progress_info_parent_class)->finalize (obj);
#line 1134 "ProgressInfo.c"
}

 G_GNUC_NO_INLINE static GType
pf_progress_info_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (PFProgressInfoClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) pf_progress_info_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PFProgressInfo), 0, (GInstanceInitFunc) pf_progress_info_instance_init, NULL };
	GType pf_progress_info_type_id;
	pf_progress_info_type_id = g_type_register_static (G_TYPE_OBJECT, "PFProgressInfo", &g_define_type_info, 0);
	PFProgressInfo_private_offset = g_type_add_instance_private (pf_progress_info_type_id, sizeof (PFProgressInfoPrivate));
	return pf_progress_info_type_id;
}

GType
pf_progress_info_get_type (void)
{
	static volatile gsize pf_progress_info_type_id__once = 0;
	if (g_once_init_enter (&pf_progress_info_type_id__once)) {
		GType pf_progress_info_type_id;
		pf_progress_info_type_id = pf_progress_info_get_type_once ();
		g_once_init_leave (&pf_progress_info_type_id__once, pf_progress_info_type_id);
	}
	return pf_progress_info_type_id__once;
}

static void
_vala_pf_progress_info_get_property (GObject * object,
                                     guint property_id,
                                     GValue * value,
                                     GParamSpec * pspec)
{
	PFProgressInfo * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PF_PROGRESS_TYPE_INFO, PFProgressInfo);
#line 21 "../libcore/ProgressInfo.vala"
	switch (property_id) {
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_CANCELLABLE_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_object (value, pf_progress_info_get_cancellable (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_TITLE_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_string (value, pf_progress_info_get_title (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_STATUS_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_string (value, pf_progress_info_get_status (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_DETAILS_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_string (value, pf_progress_info_get_details (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_PROGRESS_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_double (value, pf_progress_info_get_progress (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_CURRENT_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_double (value, pf_progress_info_get_current (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_TOTAL_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_double (value, pf_progress_info_get_total (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_ACTIVITY_MODE_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_boolean (value, pf_progress_info_get_activity_mode (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_STARTED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_boolean (value, pf_progress_info_get_is_started (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_FINISHED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_boolean (value, pf_progress_info_get_is_finished (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_PAUSED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_boolean (value, pf_progress_info_get_is_paused (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_CANCELLED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		g_value_set_boolean (value, pf_progress_info_get_is_cancelled (self));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 1241 "ProgressInfo.c"
		default:
#line 21 "../libcore/ProgressInfo.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 1247 "ProgressInfo.c"
	}
}

static void
_vala_pf_progress_info_set_property (GObject * object,
                                     guint property_id,
                                     const GValue * value,
                                     GParamSpec * pspec)
{
	PFProgressInfo * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PF_PROGRESS_TYPE_INFO, PFProgressInfo);
#line 21 "../libcore/ProgressInfo.vala"
	switch (property_id) {
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_CANCELLABLE_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_cancellable (self, g_value_get_object (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_TITLE_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_title (self, g_value_get_string (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_STATUS_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_status (self, g_value_get_string (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_DETAILS_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_details (self, g_value_get_string (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_PROGRESS_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_progress (self, g_value_get_double (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_CURRENT_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_current (self, g_value_get_double (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_TOTAL_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_total (self, g_value_get_double (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_ACTIVITY_MODE_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_activity_mode (self, g_value_get_boolean (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_STARTED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_started (self, g_value_get_boolean (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_FINISHED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_finished (self, g_value_get_boolean (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 21 "../libcore/ProgressInfo.vala"
		case PF_PROGRESS_INFO_IS_PAUSED_PROPERTY:
#line 21 "../libcore/ProgressInfo.vala"
		pf_progress_info_set_is_paused (self, g_value_get_boolean (value));
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 1327 "ProgressInfo.c"
		default:
#line 21 "../libcore/ProgressInfo.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "../libcore/ProgressInfo.vala"
		break;
#line 1333 "ProgressInfo.c"
	}
}

