/* File.c generated by valac 0.56.14, the Vala compiler
 * generated from File.vala, do not modify */

/* Copyright (c) 2018-20 elementary LLC (https://elementary.io)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, Inc.,; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "pantheon-files-core.h"
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <glib/gi18n-lib.h>
#include <gio/gdesktopappinfo.h>

enum  {
	FILES_FILE_0_PROPERTY,
	FILES_FILE_LOCATION_PROPERTY,
	FILES_FILE_DIRECTORY_PROPERTY,
	FILES_FILE_BASENAME_PROPERTY,
	FILES_FILE_URI_PROPERTY,
	FILES_FILE_COLOR_PROPERTY,
	FILES_FILE_IS_HIDDEN_PROPERTY,
	FILES_FILE_NUM_PROPERTIES
};
static GParamSpec* files_file_properties[FILES_FILE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_key_file_unref0(var) ((var == NULL) ? NULL : (var = (g_key_file_unref (var), NULL)))
enum  {
	FILES_FILE_CHANGED_SIGNAL,
	FILES_FILE_ICON_CHANGED_SIGNAL,
	FILES_FILE_DESTROY_SIGNAL,
	FILES_FILE_NUM_SIGNALS
};
static guint files_file_signals[FILES_FILE_NUM_SIGNALS] = {0};

struct _FilesFilePrivate {
	GFile* _location;
	GFile* _directory;
	gchar* _basename;
	gchar* _uri;
	gint _color;
	gboolean _is_hidden;
};

static gint FilesFile_private_offset;
static gpointer files_file_parent_class = NULL;
static GHashTable* files_file_file_cache;
static GRecMutex __lock_files_file_files_file_file_cache = {0};
static GHashTable* files_file_file_cache = NULL;

static void _g_free0_ (gpointer var);
static inline void _g_list_free__g_free0_ (GList* self);
static guint _g_file_hash_ghash_func (gconstpointer key);
static gboolean _g_file_equal_gequal_func (gconstpointer a,
                                    gconstpointer b);
static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static guint files_file_get_number_of_uri_parts (FilesFile* self);
static gboolean files_file_is_location_uri_default (FilesFile* self);
static FilesIconInfo* files_file_get_special_icon (FilesFile* self,
                                            gint size,
                                            gint scale,
                                            FilesFileIconFlags flags);
static void files_file_clear_info (FilesFile* self);
static void files_file_target_location_update (FilesFile* self);
static void files_file_update_formated_type (FilesFile* self);
static void files_file_update_icon_internal (FilesFile* self,
                                      gint size,
                                      gint scale);
static GFileInfo* files_file_query_info (FilesFile* self);
static void files_file_ensure_item_count (FilesFile* self,
                                   gboolean recount);
static GObject * files_file_constructor (GType type,
                                  guint n_construct_properties,
                                  GObjectConstructParam * construct_properties);
static void _files_file___lambda9_ (FilesFile* self);
static void __files_file___lambda9__files_file_icon_changed (FilesFile* _sender,
                                                      gpointer self);
static void files_file_finalize (GObject * obj);
static GType files_file_get_type_once (void);
static void _vala_files_file_get_property (GObject * object,
                                    guint property_id,
                                    GValue * value,
                                    GParamSpec * pspec);
static void _vala_files_file_set_property (GObject * object,
                                    guint property_id,
                                    const GValue * value,
                                    GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);

static inline gpointer
files_file_get_instance_private (FilesFile* self)
{
	return G_STRUCT_MEMBER_P (self, FilesFile_private_offset);
}

 G_GNUC_NO_INLINE static GType
files_file_icon_flags_get_type_once (void)
{
	static const GEnumValue values[] = {{FILES_FILE_ICON_FLAGS_NONE, "FILES_FILE_ICON_FLAGS_NONE", "none"}, {FILES_FILE_ICON_FLAGS_USE_THUMBNAILS, "FILES_FILE_ICON_FLAGS_USE_THUMBNAILS", "use-thumbnails"}, {0, NULL, NULL}};
	GType files_file_icon_flags_type_id;
	files_file_icon_flags_type_id = g_enum_register_static ("FilesFileIconFlags", values);
	return files_file_icon_flags_type_id;
}

GType
files_file_icon_flags_get_type (void)
{
	static volatile gsize files_file_icon_flags_type_id__once = 0;
	if (g_once_init_enter (&files_file_icon_flags_type_id__once)) {
		GType files_file_icon_flags_type_id;
		files_file_icon_flags_type_id = files_file_icon_flags_get_type_once ();
		g_once_init_leave (&files_file_icon_flags_type_id__once, files_file_icon_flags_type_id);
	}
	return files_file_icon_flags_type_id__once;
}

 G_GNUC_NO_INLINE static GType
files_file_thumb_state_get_type_once (void)
{
	static const GEnumValue values[] = {{FILES_FILE_THUMB_STATE_UNKNOWN, "FILES_FILE_THUMB_STATE_UNKNOWN", "unknown"}, {FILES_FILE_THUMB_STATE_NONE, "FILES_FILE_THUMB_STATE_NONE", "none"}, {FILES_FILE_THUMB_STATE_READY, "FILES_FILE_THUMB_STATE_READY", "ready"}, {FILES_FILE_THUMB_STATE_LOADING, "FILES_FILE_THUMB_STATE_LOADING", "loading"}, {0, NULL, NULL}};
	GType files_file_thumb_state_type_id;
	files_file_thumb_state_type_id = g_enum_register_static ("FilesFileThumbState", values);
	return files_file_thumb_state_type_id;
}

GType
files_file_thumb_state_get_type (void)
{
	static volatile gsize files_file_thumb_state_type_id__once = 0;
	if (g_once_init_enter (&files_file_thumb_state_type_id__once)) {
		GType files_file_thumb_state_type_id;
		files_file_thumb_state_type_id = files_file_thumb_state_get_type_once ();
		g_once_init_leave (&files_file_thumb_state_type_id__once, files_file_thumb_state_type_id);
	}
	return files_file_thumb_state_type_id__once;
}

static void
_g_free0_ (gpointer var)
{
#line 53 "../libcore/File.vala"
	var = (g_free (var), NULL);
#line 181 "File.c"
}

static inline void
_g_list_free__g_free0_ (GList* self)
{
#line 53 "../libcore/File.vala"
	g_list_free_full (self, (GDestroyNotify) _g_free0_);
#line 189 "File.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 113 "../libcore/File.vala"
	return self ? g_object_ref (self) : NULL;
#line 197 "File.c"
}

FilesFile*
files_file_get (GFile* location)
{
	GFile* parent = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	FilesFile* file = NULL;
	FilesFile* _tmp8_;
	FilesFile* _tmp9_;
	GError* _inner_error0_ = NULL;
	FilesFile* result;
#line 97 "../libcore/File.vala"
	g_return_val_if_fail (location != NULL, NULL);
#line 98 "../libcore/File.vala"
	_tmp0_ = g_file_get_parent (location);
#line 98 "../libcore/File.vala"
	parent = _tmp0_;
#line 99 "../libcore/File.vala"
	_tmp1_ = parent;
#line 99 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 221 "File.c"
		FilesDirectory* dir = NULL;
		GFile* _tmp2_;
		FilesDirectory* _tmp3_;
		FilesDirectory* _tmp4_;
#line 100 "../libcore/File.vala"
		_tmp2_ = parent;
#line 100 "../libcore/File.vala"
		_tmp3_ = files_directory_cache_lookup (_tmp2_);
#line 100 "../libcore/File.vala"
		dir = _tmp3_;
#line 101 "../libcore/File.vala"
		_tmp4_ = dir;
#line 101 "../libcore/File.vala"
		if (_tmp4_ != NULL) {
#line 236 "File.c"
			FilesFile* file = NULL;
			FilesDirectory* _tmp5_;
			FilesFile* _tmp6_;
			FilesFile* _tmp7_;
#line 102 "../libcore/File.vala"
			_tmp5_ = dir;
#line 102 "../libcore/File.vala"
			_tmp6_ = files_directory_file_hash_lookup_location (_tmp5_, location);
#line 102 "../libcore/File.vala"
			file = _tmp6_;
#line 103 "../libcore/File.vala"
			_tmp7_ = file;
#line 103 "../libcore/File.vala"
			if (_tmp7_ != NULL) {
#line 104 "../libcore/File.vala"
				result = file;
#line 104 "../libcore/File.vala"
				_g_object_unref0 (dir);
#line 104 "../libcore/File.vala"
				_g_object_unref0 (parent);
#line 104 "../libcore/File.vala"
				return result;
#line 259 "File.c"
			}
#line 101 "../libcore/File.vala"
			_g_object_unref0 (file);
#line 263 "File.c"
		}
#line 99 "../libcore/File.vala"
		_g_object_unref0 (dir);
#line 267 "File.c"
	}
#line 109 "../libcore/File.vala"
	_tmp8_ = files_file_cache_lookup (location);
#line 109 "../libcore/File.vala"
	file = _tmp8_;
#line 110 "../libcore/File.vala"
	_tmp9_ = file;
#line 110 "../libcore/File.vala"
	if (_tmp9_ == NULL) {
#line 277 "File.c"
		GFile* _tmp10_;
		FilesFile* _tmp11_;
#line 111 "../libcore/File.vala"
		_tmp10_ = parent;
#line 111 "../libcore/File.vala"
		_tmp11_ = files_file_new (location, _tmp10_);
#line 111 "../libcore/File.vala"
		_g_object_unref0 (file);
#line 111 "../libcore/File.vala"
		file = _tmp11_;
#line 288 "File.c"
		{
			GHashTable* _tmp12_;
#line 112 "../libcore/File.vala"
			_tmp12_ = files_file_file_cache;
#line 112 "../libcore/File.vala"
			g_rec_mutex_lock (&__lock_files_file_files_file_file_cache);
#line 295 "File.c"
			{
				GHashTable* _tmp13_;
				GFile* _tmp14_;
				FilesFile* _tmp15_;
				FilesFile* _tmp16_;
#line 113 "../libcore/File.vala"
				_tmp13_ = files_file_file_cache;
#line 113 "../libcore/File.vala"
				_tmp14_ = _g_object_ref0 (location);
#line 113 "../libcore/File.vala"
				_tmp15_ = file;
#line 113 "../libcore/File.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 113 "../libcore/File.vala"
				g_hash_table_insert (_tmp13_, _tmp14_, _tmp16_);
#line 311 "File.c"
			}
			__finally0:
			{
				GHashTable* _tmp17_;
#line 112 "../libcore/File.vala"
				_tmp17_ = files_file_file_cache;
#line 112 "../libcore/File.vala"
				g_rec_mutex_unlock (&__lock_files_file_files_file_file_cache);
#line 320 "File.c"
			}
#line 112 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 112 "../libcore/File.vala"
				_g_object_unref0 (file);
#line 112 "../libcore/File.vala"
				_g_object_unref0 (parent);
#line 112 "../libcore/File.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 112 "../libcore/File.vala"
				g_clear_error (&_inner_error0_);
#line 112 "../libcore/File.vala"
				return NULL;
#line 334 "File.c"
			}
		}
	}
#line 117 "../libcore/File.vala"
	result = file;
#line 117 "../libcore/File.vala"
	_g_object_unref0 (parent);
#line 117 "../libcore/File.vala"
	return result;
#line 344 "File.c"
}

FilesFile*
files_file_get_by_uri (const gchar* uri)
{
	gchar* scheme = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	GFile* location = NULL;
	GFile* _tmp3_;
	GFile* _tmp4_;
	GFile* _tmp5_;
	FilesFile* _tmp6_;
	FilesFile* result;
#line 120 "../libcore/File.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 121 "../libcore/File.vala"
	_tmp0_ = g_uri_parse_scheme (uri);
#line 121 "../libcore/File.vala"
	scheme = _tmp0_;
#line 122 "../libcore/File.vala"
	_tmp1_ = scheme;
#line 122 "../libcore/File.vala"
	if (_tmp1_ == NULL) {
#line 369 "File.c"
		FilesFile* _tmp2_;
#line 123 "../libcore/File.vala"
		_tmp2_ = files_file_get_by_commandline_arg (uri);
#line 123 "../libcore/File.vala"
		result = _tmp2_;
#line 123 "../libcore/File.vala"
		_g_free0 (scheme);
#line 123 "../libcore/File.vala"
		return result;
#line 379 "File.c"
	}
#line 126 "../libcore/File.vala"
	_tmp3_ = g_file_new_for_uri (uri);
#line 126 "../libcore/File.vala"
	location = _tmp3_;
#line 127 "../libcore/File.vala"
	_tmp4_ = location;
#line 127 "../libcore/File.vala"
	if (_tmp4_ == NULL) {
#line 128 "../libcore/File.vala"
		result = NULL;
#line 128 "../libcore/File.vala"
		_g_object_unref0 (location);
#line 128 "../libcore/File.vala"
		_g_free0 (scheme);
#line 128 "../libcore/File.vala"
		return result;
#line 397 "File.c"
	}
#line 131 "../libcore/File.vala"
	_tmp5_ = location;
#line 131 "../libcore/File.vala"
	_tmp6_ = files_file_get (_tmp5_);
#line 131 "../libcore/File.vala"
	result = _tmp6_;
#line 131 "../libcore/File.vala"
	_g_object_unref0 (location);
#line 131 "../libcore/File.vala"
	_g_free0 (scheme);
#line 131 "../libcore/File.vala"
	return result;
#line 411 "File.c"
}

FilesFile*
files_file_get_by_commandline_arg (const gchar* arg)
{
	GFile* location = NULL;
	GFile* _tmp0_;
	FilesFile* _tmp1_;
	FilesFile* result;
#line 134 "../libcore/File.vala"
	g_return_val_if_fail (arg != NULL, NULL);
#line 135 "../libcore/File.vala"
	_tmp0_ = g_file_new_for_commandline_arg (arg);
#line 135 "../libcore/File.vala"
	location = _tmp0_;
#line 136 "../libcore/File.vala"
	_tmp1_ = files_file_get (location);
#line 136 "../libcore/File.vala"
	result = _tmp1_;
#line 136 "../libcore/File.vala"
	_g_object_unref0 (location);
#line 136 "../libcore/File.vala"
	return result;
#line 435 "File.c"
}

static guint
_g_file_hash_ghash_func (gconstpointer key)
{
	guint result;
	result = g_file_hash (key);
#line 142 "../libcore/File.vala"
	return result;
#line 445 "File.c"
}

static gboolean
_g_file_equal_gequal_func (gconstpointer a,
                           gconstpointer b)
{
	gboolean result;
	result = g_file_equal (a, (GFile*) b);
#line 142 "../libcore/File.vala"
	return result;
#line 456 "File.c"
}

static void
_g_object_unref0_ (gpointer var)
{
#line 142 "../libcore/File.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 464 "File.c"
}

FilesFile*
files_file_cache_lookup (GFile* file)
{
	GHashTable* _tmp4_;
	gconstpointer _tmp5_;
	FilesFile* _tmp6_;
	GError* _inner_error0_ = NULL;
	FilesFile* result;
#line 139 "../libcore/File.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 477 "File.c"
	{
		GHashTable* _tmp0_;
#line 140 "../libcore/File.vala"
		_tmp0_ = files_file_file_cache;
#line 140 "../libcore/File.vala"
		g_rec_mutex_lock (&__lock_files_file_files_file_file_cache);
#line 484 "File.c"
		{
			GHashTable* _tmp1_;
#line 141 "../libcore/File.vala"
			_tmp1_ = files_file_file_cache;
#line 141 "../libcore/File.vala"
			if (_tmp1_ == NULL) {
#line 491 "File.c"
				GHashTable* _tmp2_;
#line 142 "../libcore/File.vala"
				_tmp2_ = g_hash_table_new_full (_g_file_hash_ghash_func, _g_file_equal_gequal_func, _g_object_unref0_, _g_object_unref0_);
#line 142 "../libcore/File.vala"
				_g_hash_table_unref0 (files_file_file_cache);
#line 142 "../libcore/File.vala"
				files_file_file_cache = _tmp2_;
#line 499 "File.c"
			}
		}
		__finally0:
		{
			GHashTable* _tmp3_;
#line 140 "../libcore/File.vala"
			_tmp3_ = files_file_file_cache;
#line 140 "../libcore/File.vala"
			g_rec_mutex_unlock (&__lock_files_file_files_file_file_cache);
#line 509 "File.c"
		}
#line 140 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 140 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 140 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 140 "../libcore/File.vala"
			return NULL;
#line 519 "File.c"
		}
	}
#line 146 "../libcore/File.vala"
	_tmp4_ = files_file_file_cache;
#line 146 "../libcore/File.vala"
	_tmp5_ = g_hash_table_lookup (_tmp4_, file);
#line 146 "../libcore/File.vala"
	_tmp6_ = _g_object_ref0 ((FilesFile*) _tmp5_);
#line 146 "../libcore/File.vala"
	result = _tmp6_;
#line 146 "../libcore/File.vala"
	return result;
#line 532 "File.c"
}

static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 158 "../libcore/File.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 540 "File.c"
}

GMount*
files_file_get_mount_at (GFile* location)
{
	GVolumeMonitor* volume_monitor = NULL;
	GVolumeMonitor* _tmp0_;
	GVolumeMonitor* _tmp1_;
	GList* _tmp2_;
	GMount* result;
#line 149 "../libcore/File.vala"
	g_return_val_if_fail (location != NULL, NULL);
#line 150 "../libcore/File.vala"
	_tmp0_ = g_volume_monitor_get ();
#line 150 "../libcore/File.vala"
	volume_monitor = _tmp0_;
#line 151 "../libcore/File.vala"
	_tmp1_ = volume_monitor;
#line 151 "../libcore/File.vala"
	_tmp2_ = g_volume_monitor_get_mounts (_tmp1_);
#line 561 "File.c"
	{
		GList* mount_collection = NULL;
		GList* mount_it = NULL;
#line 151 "../libcore/File.vala"
		mount_collection = _tmp2_;
#line 151 "../libcore/File.vala"
		for (mount_it = mount_collection; mount_it != NULL; mount_it = mount_it->next) {
#line 569 "File.c"
			GMount* mount = NULL;
#line 151 "../libcore/File.vala"
			mount = (GMount*) mount_it->data;
#line 573 "File.c"
			{
				GMount* _tmp3_;
				GFile* root = NULL;
				GMount* _tmp4_;
				GFile* _tmp5_;
				GFile* _tmp6_;
#line 152 "../libcore/File.vala"
				_tmp3_ = mount;
#line 152 "../libcore/File.vala"
				if (g_mount_is_shadowed (_tmp3_)) {
#line 153 "../libcore/File.vala"
					continue;
#line 586 "File.c"
				}
#line 156 "../libcore/File.vala"
				_tmp4_ = mount;
#line 156 "../libcore/File.vala"
				_tmp5_ = g_mount_get_root (_tmp4_);
#line 156 "../libcore/File.vala"
				root = _tmp5_;
#line 157 "../libcore/File.vala"
				_tmp6_ = root;
#line 157 "../libcore/File.vala"
				if (g_file_equal (_tmp6_, location)) {
#line 598 "File.c"
					GMount* _tmp7_;
					GMount* _tmp8_;
#line 158 "../libcore/File.vala"
					_tmp7_ = mount;
#line 158 "../libcore/File.vala"
					_tmp8_ = _g_object_ref0 (_tmp7_);
#line 158 "../libcore/File.vala"
					result = _tmp8_;
#line 158 "../libcore/File.vala"
					_g_object_unref0 (root);
#line 158 "../libcore/File.vala"
					(mount_collection == NULL) ? NULL : (mount_collection = (_g_list_free__g_object_unref0_ (mount_collection), NULL));
#line 158 "../libcore/File.vala"
					_g_object_unref0 (volume_monitor);
#line 158 "../libcore/File.vala"
					return result;
#line 615 "File.c"
				}
#line 151 "../libcore/File.vala"
				_g_object_unref0 (root);
#line 619 "File.c"
			}
		}
#line 151 "../libcore/File.vala"
		(mount_collection == NULL) ? NULL : (mount_collection = (_g_list_free__g_object_unref0_ (mount_collection), NULL));
#line 624 "File.c"
	}
#line 162 "../libcore/File.vala"
	result = NULL;
#line 162 "../libcore/File.vala"
	_g_object_unref0 (volume_monitor);
#line 162 "../libcore/File.vala"
	return result;
#line 632 "File.c"
}

FilesFile*
files_file_construct (GType object_type,
                      GFile* location,
                      GFile* dir)
{
	FilesFile * self = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 165 "../libcore/File.vala"
	g_return_val_if_fail (location != NULL, NULL);
#line 166 "../libcore/File.vala"
	_tmp0_ = g_file_get_uri (location);
#line 166 "../libcore/File.vala"
	_tmp1_ = _tmp0_;
#line 166 "../libcore/File.vala"
	_tmp2_ = g_file_get_basename (location);
#line 166 "../libcore/File.vala"
	_tmp3_ = _tmp2_;
#line 166 "../libcore/File.vala"
	self = (FilesFile*) g_object_new (object_type, "location", location, "uri", _tmp1_, "basename", _tmp3_, "directory", dir, NULL);
#line 166 "../libcore/File.vala"
	_g_free0 (_tmp3_);
#line 166 "../libcore/File.vala"
	_g_free0 (_tmp1_);
#line 165 "../libcore/File.vala"
	return self;
#line 663 "File.c"
}

FilesFile*
files_file_new (GFile* location,
                GFile* dir)
{
#line 165 "../libcore/File.vala"
	return files_file_construct (FILES_TYPE_FILE, location, dir);
#line 672 "File.c"
}

void
files_file_remove_from_caches (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	GHashTable* _tmp1_;
#line 191 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 193 "../libcore/File.vala"
	_tmp1_ = files_file_file_cache;
#line 193 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 686 "File.c"
		GHashTable* _tmp2_;
		GFile* _tmp3_;
#line 193 "../libcore/File.vala"
		_tmp2_ = files_file_file_cache;
#line 193 "../libcore/File.vala"
		_tmp3_ = self->priv->_location;
#line 193 "../libcore/File.vala"
		_tmp0_ = g_hash_table_remove (_tmp2_, _tmp3_);
#line 695 "File.c"
	} else {
#line 193 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 699 "File.c"
	}
#line 193 "../libcore/File.vala"
	if (_tmp0_) {
#line 703 "File.c"
		const gchar* _tmp4_;
#line 194 "../libcore/File.vala"
		_tmp4_ = self->priv->_uri;
#line 194 "../libcore/File.vala"
		g_debug ("File.vala:194: remove from file_cache %s", _tmp4_);
#line 709 "File.c"
	}
#line 197 "../libcore/File.vala"
	self->is_gone = TRUE;
#line 713 "File.c"
}

void
files_file_set_expanded (FilesFile* self,
                         gboolean expanded)
{
#line 200 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 201 "../libcore/File.vala"
	g_return_if_fail (self->is_directory);
#line 202 "../libcore/File.vala"
	self->is_expanded = expanded;
#line 726 "File.c"
}

gboolean
files_file_is_folder (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	FilesFile* _tmp7_;
	gboolean result;
#line 205 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 207 "../libcore/File.vala"
	if (self->is_directory) {
#line 207 "../libcore/File.vala"
		_tmp0_ = !files_file_is_root_network_folder (self);
#line 745 "File.c"
	} else {
#line 207 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 749 "File.c"
	}
#line 207 "../libcore/File.vala"
	if (_tmp0_) {
#line 208 "../libcore/File.vala"
		result = TRUE;
#line 208 "../libcore/File.vala"
		return result;
#line 757 "File.c"
	}
#line 211 "../libcore/File.vala"
	if (files_file_is_smb_share (self)) {
#line 212 "../libcore/File.vala"
		result = TRUE;
#line 212 "../libcore/File.vala"
		return result;
#line 765 "File.c"
	}
#line 215 "../libcore/File.vala"
	if (self->file_type == G_FILE_TYPE_MOUNTABLE) {
#line 769 "File.c"
		GFileInfo* _tmp3_;
#line 216 "../libcore/File.vala"
		_tmp3_ = self->info;
#line 216 "../libcore/File.vala"
		_tmp2_ = _tmp3_ != NULL;
#line 775 "File.c"
	} else {
#line 215 "../libcore/File.vala"
		_tmp2_ = FALSE;
#line 779 "File.c"
	}
#line 215 "../libcore/File.vala"
	if (_tmp2_) {
#line 783 "File.c"
		GFileInfo* _tmp4_;
#line 216 "../libcore/File.vala"
		_tmp4_ = self->info;
#line 216 "../libcore/File.vala"
		_tmp1_ = g_file_info_get_attribute_boolean (_tmp4_, G_FILE_ATTRIBUTE_MOUNTABLE_CAN_MOUNT);
#line 789 "File.c"
	} else {
#line 215 "../libcore/File.vala"
		_tmp1_ = FALSE;
#line 793 "File.c"
	}
#line 215 "../libcore/File.vala"
	if (_tmp1_) {
#line 218 "../libcore/File.vala"
		result = TRUE;
#line 218 "../libcore/File.vala"
		return result;
#line 801 "File.c"
	}
#line 221 "../libcore/File.vala"
	_tmp7_ = self->target_gof;
#line 221 "../libcore/File.vala"
	if (_tmp7_ != NULL) {
#line 807 "File.c"
		FilesFile* _tmp8_;
#line 221 "../libcore/File.vala"
		_tmp8_ = self->target_gof;
#line 221 "../libcore/File.vala"
		_tmp6_ = _tmp8_->is_directory;
#line 813 "File.c"
	} else {
#line 221 "../libcore/File.vala"
		_tmp6_ = FALSE;
#line 817 "File.c"
	}
#line 221 "../libcore/File.vala"
	if (_tmp6_) {
#line 821 "File.c"
		FilesFile* _tmp9_;
#line 221 "../libcore/File.vala"
		_tmp9_ = self->target_gof;
#line 221 "../libcore/File.vala"
		_tmp5_ = files_file_is_network_uri_scheme (_tmp9_);
#line 827 "File.c"
	} else {
#line 221 "../libcore/File.vala"
		_tmp5_ = FALSE;
#line 831 "File.c"
	}
#line 221 "../libcore/File.vala"
	if (_tmp5_) {
#line 222 "../libcore/File.vala"
		result = TRUE;
#line 222 "../libcore/File.vala"
		return result;
#line 839 "File.c"
	}
#line 225 "../libcore/File.vala"
	result = FALSE;
#line 225 "../libcore/File.vala"
	return result;
#line 845 "File.c"
}

gboolean
files_file_is_symlink (FilesFile* self)
{
	GFileInfo* _tmp0_;
	GFileInfo* _tmp1_;
	gboolean result;
#line 228 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 229 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 229 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 230 "../libcore/File.vala"
		result = FALSE;
#line 230 "../libcore/File.vala"
		return result;
#line 864 "File.c"
	}
#line 233 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 233 "../libcore/File.vala"
	result = g_file_info_get_attribute_boolean (_tmp1_, G_FILE_ATTRIBUTE_STANDARD_IS_SYMLINK);
#line 233 "../libcore/File.vala"
	return result;
#line 872 "File.c"
}

gboolean
files_file_is_desktop_file (FilesFile* self)
{
	GFileInfo* _tmp0_;
	gboolean is_desktop_file = FALSE;
	const gchar* content_type = NULL;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean _tmp4_ = FALSE;
	gboolean result;
#line 236 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 237 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 237 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 238 "../libcore/File.vala"
		result = FALSE;
#line 238 "../libcore/File.vala"
		return result;
#line 895 "File.c"
	}
#line 241 "../libcore/File.vala"
	is_desktop_file = FALSE;
#line 242 "../libcore/File.vala"
	_tmp1_ = files_file_get_ftype (self);
#line 242 "../libcore/File.vala"
	content_type = _tmp1_;
#line 243 "../libcore/File.vala"
	_tmp2_ = content_type;
#line 243 "../libcore/File.vala"
	if (_tmp2_ != NULL) {
#line 907 "File.c"
		const gchar* _tmp3_;
#line 244 "../libcore/File.vala"
		_tmp3_ = content_type;
#line 244 "../libcore/File.vala"
		is_desktop_file = g_content_type_is_mime_type (_tmp3_, "application/x-desktop");
#line 913 "File.c"
	}
#line 247 "../libcore/File.vala"
	if (is_desktop_file) {
#line 917 "File.c"
		const gchar* _tmp5_;
#line 247 "../libcore/File.vala"
		_tmp5_ = self->priv->_basename;
#line 247 "../libcore/File.vala"
		_tmp4_ = !g_str_has_suffix (_tmp5_, ".directory");
#line 923 "File.c"
	} else {
#line 247 "../libcore/File.vala"
		_tmp4_ = FALSE;
#line 927 "File.c"
	}
#line 247 "../libcore/File.vala"
	result = _tmp4_;
#line 247 "../libcore/File.vala"
	return result;
#line 933 "File.c"
}

gboolean
files_file_is_image (FilesFile* self)
{
	GFileInfo* _tmp0_;
	gboolean is_image = FALSE;
	const gchar* content_type = NULL;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean result;
#line 250 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 251 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 251 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 252 "../libcore/File.vala"
		result = FALSE;
#line 252 "../libcore/File.vala"
		return result;
#line 955 "File.c"
	}
#line 255 "../libcore/File.vala"
	is_image = FALSE;
#line 256 "../libcore/File.vala"
	_tmp1_ = files_file_get_ftype (self);
#line 256 "../libcore/File.vala"
	content_type = _tmp1_;
#line 257 "../libcore/File.vala"
	_tmp2_ = content_type;
#line 257 "../libcore/File.vala"
	if (_tmp2_ != NULL) {
#line 967 "File.c"
		const gchar* _tmp3_;
#line 258 "../libcore/File.vala"
		_tmp3_ = content_type;
#line 258 "../libcore/File.vala"
		is_image = g_content_type_is_mime_type (_tmp3_, "image/*");
#line 973 "File.c"
	}
#line 261 "../libcore/File.vala"
	result = is_image;
#line 261 "../libcore/File.vala"
	return result;
#line 979 "File.c"
}

gboolean
files_file_is_trashed (FilesFile* self)
{
	GFile* _tmp0_;
	gboolean result;
#line 264 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 265 "../libcore/File.vala"
	_tmp0_ = files_file_get_target_location (self);
#line 265 "../libcore/File.vala"
	result = files_file_utils_location_is_in_trash (_tmp0_);
#line 265 "../libcore/File.vala"
	return result;
#line 995 "File.c"
}

gboolean
files_file_is_readable (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	FilesFile* _tmp1_;
	gboolean result;
#line 268 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 269 "../libcore/File.vala"
	_tmp1_ = self->target_gof;
#line 269 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 1010 "File.c"
		GFile* _tmp2_;
		FilesFile* _tmp3_;
		GFile* _tmp4_;
#line 269 "../libcore/File.vala"
		_tmp2_ = self->priv->_location;
#line 269 "../libcore/File.vala"
		_tmp3_ = self->target_gof;
#line 269 "../libcore/File.vala"
		_tmp4_ = _tmp3_->priv->_location;
#line 269 "../libcore/File.vala"
		_tmp0_ = !g_file_equal (_tmp2_, _tmp4_);
#line 1022 "File.c"
	} else {
#line 269 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 1026 "File.c"
	}
#line 269 "../libcore/File.vala"
	if (_tmp0_) {
#line 1030 "File.c"
		FilesFile* _tmp5_;
#line 270 "../libcore/File.vala"
		_tmp5_ = self->target_gof;
#line 270 "../libcore/File.vala"
		result = files_file_is_readable (_tmp5_);
#line 270 "../libcore/File.vala"
		return result;
#line 1038 "File.c"
	} else {
		gboolean _tmp6_ = FALSE;
		GFileInfo* _tmp7_;
#line 271 "../libcore/File.vala"
		_tmp7_ = self->info;
#line 271 "../libcore/File.vala"
		if (_tmp7_ != NULL) {
#line 1046 "File.c"
			GFileInfo* _tmp8_;
#line 271 "../libcore/File.vala"
			_tmp8_ = self->info;
#line 271 "../libcore/File.vala"
			_tmp6_ = g_file_info_has_attribute (_tmp8_, G_FILE_ATTRIBUTE_ACCESS_CAN_READ);
#line 1052 "File.c"
		} else {
#line 271 "../libcore/File.vala"
			_tmp6_ = FALSE;
#line 1056 "File.c"
		}
#line 271 "../libcore/File.vala"
		if (_tmp6_) {
#line 1060 "File.c"
			GFileInfo* _tmp9_;
#line 272 "../libcore/File.vala"
			_tmp9_ = self->info;
#line 272 "../libcore/File.vala"
			result = g_file_info_get_attribute_boolean (_tmp9_, G_FILE_ATTRIBUTE_ACCESS_CAN_READ);
#line 272 "../libcore/File.vala"
			return result;
#line 1068 "File.c"
		} else {
#line 273 "../libcore/File.vala"
			if (self->has_permissions) {
#line 1072 "File.c"
				gboolean _tmp10_ = FALSE;
				gboolean _tmp11_ = FALSE;
#line 274 "../libcore/File.vala"
				if ((self->permissions & S_IROTH) != ((guint32) 0)) {
#line 274 "../libcore/File.vala"
					_tmp11_ = TRUE;
#line 1079 "File.c"
				} else {
					gboolean _tmp12_ = FALSE;
#line 275 "../libcore/File.vala"
					if ((self->permissions & S_IRUSR) != ((guint32) 0)) {
#line 1084 "File.c"
						gboolean _tmp13_ = FALSE;
#line 275 "../libcore/File.vala"
						if (self->uid < ((guint32) 0)) {
#line 275 "../libcore/File.vala"
							_tmp13_ = TRUE;
#line 1090 "File.c"
						} else {
#line 275 "../libcore/File.vala"
							_tmp13_ = ((uid_t) self->uid) == geteuid ();
#line 1094 "File.c"
						}
#line 275 "../libcore/File.vala"
						_tmp12_ = _tmp13_;
#line 1098 "File.c"
					} else {
#line 275 "../libcore/File.vala"
						_tmp12_ = FALSE;
#line 1102 "File.c"
					}
#line 275 "../libcore/File.vala"
					_tmp11_ = _tmp12_;
#line 1106 "File.c"
				}
#line 274 "../libcore/File.vala"
				if (_tmp11_) {
#line 274 "../libcore/File.vala"
					_tmp10_ = TRUE;
#line 1112 "File.c"
				} else {
					gboolean _tmp14_ = FALSE;
#line 276 "../libcore/File.vala"
					if ((self->permissions & S_IRGRP) != ((guint32) 0)) {
#line 1117 "File.c"
						const gchar* _tmp15_;
#line 276 "../libcore/File.vala"
						_tmp15_ = self->group;
#line 276 "../libcore/File.vala"
						_tmp14_ = pf_user_utils_user_in_group (_tmp15_);
#line 1123 "File.c"
					} else {
#line 276 "../libcore/File.vala"
						_tmp14_ = FALSE;
#line 1127 "File.c"
					}
#line 276 "../libcore/File.vala"
					_tmp10_ = _tmp14_;
#line 1131 "File.c"
				}
#line 274 "../libcore/File.vala"
				result = _tmp10_;
#line 274 "../libcore/File.vala"
				return result;
#line 1137 "File.c"
			} else {
#line 278 "../libcore/File.vala"
				result = TRUE;
#line 278 "../libcore/File.vala"
				return result;
#line 1143 "File.c"
			}
		}
	}
}

gboolean
files_file_is_writable (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	FilesFile* _tmp1_;
	gboolean _tmp6_ = FALSE;
	GFileInfo* _tmp7_;
	gboolean result;
#line 282 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 283 "../libcore/File.vala"
	_tmp1_ = self->target_gof;
#line 283 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 1163 "File.c"
		GFile* _tmp2_;
		FilesFile* _tmp3_;
		GFile* _tmp4_;
#line 283 "../libcore/File.vala"
		_tmp2_ = self->priv->_location;
#line 283 "../libcore/File.vala"
		_tmp3_ = self->target_gof;
#line 283 "../libcore/File.vala"
		_tmp4_ = _tmp3_->priv->_location;
#line 283 "../libcore/File.vala"
		_tmp0_ = !g_file_equal (_tmp2_, _tmp4_);
#line 1175 "File.c"
	} else {
#line 283 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 1179 "File.c"
	}
#line 283 "../libcore/File.vala"
	if (_tmp0_) {
#line 1183 "File.c"
		FilesFile* _tmp5_;
#line 284 "../libcore/File.vala"
		_tmp5_ = self->target_gof;
#line 284 "../libcore/File.vala"
		result = files_file_is_writable (_tmp5_);
#line 284 "../libcore/File.vala"
		return result;
#line 1191 "File.c"
	}
#line 287 "../libcore/File.vala"
	_tmp7_ = self->info;
#line 287 "../libcore/File.vala"
	if (_tmp7_ != NULL) {
#line 1197 "File.c"
		GFileInfo* _tmp8_;
#line 287 "../libcore/File.vala"
		_tmp8_ = self->info;
#line 287 "../libcore/File.vala"
		_tmp6_ = g_file_info_has_attribute (_tmp8_, G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE);
#line 1203 "File.c"
	} else {
#line 287 "../libcore/File.vala"
		_tmp6_ = FALSE;
#line 1207 "File.c"
	}
#line 287 "../libcore/File.vala"
	if (_tmp6_) {
#line 1211 "File.c"
		GFileInfo* _tmp9_;
#line 288 "../libcore/File.vala"
		_tmp9_ = self->info;
#line 288 "../libcore/File.vala"
		result = g_file_info_get_attribute_boolean (_tmp9_, G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE);
#line 288 "../libcore/File.vala"
		return result;
#line 1219 "File.c"
	}
#line 291 "../libcore/File.vala"
	if (self->has_permissions) {
#line 1223 "File.c"
		gboolean _tmp10_ = FALSE;
		gboolean _tmp11_ = FALSE;
#line 292 "../libcore/File.vala"
		if ((self->permissions & S_IWOTH) > ((guint32) 0)) {
#line 292 "../libcore/File.vala"
			_tmp11_ = TRUE;
#line 1230 "File.c"
		} else {
			gboolean _tmp12_ = FALSE;
#line 293 "../libcore/File.vala"
			if ((self->permissions & S_IWUSR) > ((guint32) 0)) {
#line 1235 "File.c"
				gboolean _tmp13_ = FALSE;
#line 293 "../libcore/File.vala"
				if (self->uid < ((guint32) 0)) {
#line 293 "../libcore/File.vala"
					_tmp13_ = TRUE;
#line 1241 "File.c"
				} else {
#line 293 "../libcore/File.vala"
					_tmp13_ = ((uid_t) self->uid) == geteuid ();
#line 1245 "File.c"
				}
#line 293 "../libcore/File.vala"
				_tmp12_ = _tmp13_;
#line 1249 "File.c"
			} else {
#line 293 "../libcore/File.vala"
				_tmp12_ = FALSE;
#line 1253 "File.c"
			}
#line 293 "../libcore/File.vala"
			_tmp11_ = _tmp12_;
#line 1257 "File.c"
		}
#line 292 "../libcore/File.vala"
		if (_tmp11_) {
#line 292 "../libcore/File.vala"
			_tmp10_ = TRUE;
#line 1263 "File.c"
		} else {
			gboolean _tmp14_ = FALSE;
#line 294 "../libcore/File.vala"
			if ((self->permissions & S_IWGRP) > ((guint32) 0)) {
#line 1268 "File.c"
				const gchar* _tmp15_;
#line 294 "../libcore/File.vala"
				_tmp15_ = self->group;
#line 294 "../libcore/File.vala"
				_tmp14_ = pf_user_utils_user_in_group (_tmp15_);
#line 1274 "File.c"
			} else {
#line 294 "../libcore/File.vala"
				_tmp14_ = FALSE;
#line 1278 "File.c"
			}
#line 294 "../libcore/File.vala"
			_tmp10_ = _tmp14_;
#line 1282 "File.c"
		}
#line 292 "../libcore/File.vala"
		result = _tmp10_;
#line 292 "../libcore/File.vala"
		return result;
#line 1288 "File.c"
	} else {
#line 297 "../libcore/File.vala"
		result = TRUE;
#line 297 "../libcore/File.vala"
		return result;
#line 1294 "File.c"
	}
}

gboolean
files_file_is_executable (FilesFile* self)
{
	FilesFile* _tmp0_;
	GFileInfo* _tmp2_;
	GFileInfo* _tmp3_;
	gboolean result;
#line 301 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 302 "../libcore/File.vala"
	_tmp0_ = self->target_gof;
#line 302 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 1311 "File.c"
		FilesFile* _tmp1_;
#line 303 "../libcore/File.vala"
		_tmp1_ = self->target_gof;
#line 303 "../libcore/File.vala"
		result = files_file_is_executable (_tmp1_);
#line 303 "../libcore/File.vala"
		return result;
#line 1319 "File.c"
	}
#line 306 "../libcore/File.vala"
	_tmp2_ = self->info;
#line 306 "../libcore/File.vala"
	if (_tmp2_ == NULL) {
#line 307 "../libcore/File.vala"
		result = FALSE;
#line 307 "../libcore/File.vala"
		return result;
#line 1329 "File.c"
	}
#line 310 "../libcore/File.vala"
	_tmp3_ = self->info;
#line 310 "../libcore/File.vala"
	if (g_file_info_get_attribute_boolean (_tmp3_, G_FILE_ATTRIBUTE_ACCESS_CAN_EXECUTE)) {
#line 1335 "File.c"
		const gchar* content_type = NULL;
		const gchar* _tmp4_;
		gboolean _tmp5_ = FALSE;
		const gchar* _tmp6_;
#line 311 "../libcore/File.vala"
		_tmp4_ = files_file_get_ftype (self);
#line 311 "../libcore/File.vala"
		content_type = _tmp4_;
#line 312 "../libcore/File.vala"
		_tmp6_ = content_type;
#line 312 "../libcore/File.vala"
		if (_tmp6_ != NULL) {
#line 1348 "File.c"
			const gchar* _tmp7_;
#line 312 "../libcore/File.vala"
			_tmp7_ = content_type;
#line 312 "../libcore/File.vala"
			_tmp5_ = g_content_type_is_a (_tmp7_, "application/x-executable");
#line 1354 "File.c"
		} else {
#line 312 "../libcore/File.vala"
			_tmp5_ = FALSE;
#line 1358 "File.c"
		}
#line 312 "../libcore/File.vala"
		if (_tmp5_) {
#line 313 "../libcore/File.vala"
			result = TRUE;
#line 313 "../libcore/File.vala"
			return result;
#line 1366 "File.c"
		}
	}
#line 317 "../libcore/File.vala"
	result = FALSE;
#line 317 "../libcore/File.vala"
	return result;
#line 1373 "File.c"
}

gboolean
files_file_is_mountable (FilesFile* self)
{
	GFileInfo* _tmp0_;
	GFileInfo* _tmp1_;
	gboolean result;
#line 320 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 321 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 321 "../libcore/File.vala"
	g_return_val_if_fail (_tmp0_ != NULL, FALSE);
#line 322 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 322 "../libcore/File.vala"
	result = g_file_info_get_file_type (_tmp1_) == G_FILE_TYPE_MOUNTABLE;
#line 322 "../libcore/File.vala"
	return result;
#line 1394 "File.c"
}

gboolean
files_file_is_smb_share (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 326 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 327 "../libcore/File.vala"
	if (files_file_is_smb_uri_scheme (self)) {
#line 327 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 1408 "File.c"
	} else {
#line 327 "../libcore/File.vala"
		_tmp0_ = files_file_is_network_uri_scheme (self);
#line 1412 "File.c"
	}
#line 327 "../libcore/File.vala"
	if (_tmp0_) {
#line 328 "../libcore/File.vala"
		result = files_file_get_number_of_uri_parts (self) == ((guint) 3);
#line 328 "../libcore/File.vala"
		return result;
#line 1420 "File.c"
	}
#line 331 "../libcore/File.vala"
	result = FALSE;
#line 331 "../libcore/File.vala"
	return result;
#line 1426 "File.c"
}

gboolean
files_file_is_smb_server (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 334 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 335 "../libcore/File.vala"
	if (files_file_is_smb_uri_scheme (self)) {
#line 335 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 1440 "File.c"
	} else {
#line 335 "../libcore/File.vala"
		_tmp0_ = files_file_is_network_uri_scheme (self);
#line 1444 "File.c"
	}
#line 335 "../libcore/File.vala"
	if (_tmp0_) {
#line 336 "../libcore/File.vala"
		result = files_file_get_number_of_uri_parts (self) == ((guint) 2);
#line 336 "../libcore/File.vala"
		return result;
#line 1452 "File.c"
	}
#line 339 "../libcore/File.vala"
	result = FALSE;
#line 339 "../libcore/File.vala"
	return result;
#line 1458 "File.c"
}

const gchar*
files_file_get_display_name (FilesFile* self)
{
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_;
	const gchar* result;
#line 342 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 343 "../libcore/File.vala"
	_tmp1_ = self->custom_display_name;
#line 343 "../libcore/File.vala"
	_tmp0_ = _tmp1_;
#line 343 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 1475 "File.c"
		const gchar* _tmp2_;
#line 343 "../libcore/File.vala"
		_tmp2_ = self->priv->_basename;
#line 343 "../libcore/File.vala"
		_tmp0_ = _tmp2_;
#line 1481 "File.c"
	}
#line 343 "../libcore/File.vala"
	result = _tmp0_;
#line 343 "../libcore/File.vala"
	return result;
#line 1487 "File.c"
}

GFile*
files_file_get_target_location (FilesFile* self)
{
	GFile* _tmp0_;
	GFile* _tmp2_;
	GFile* result;
#line 346 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 347 "../libcore/File.vala"
	_tmp0_ = self->target_location;
#line 347 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 1502 "File.c"
		GFile* _tmp1_;
#line 348 "../libcore/File.vala"
		_tmp1_ = self->target_location;
#line 348 "../libcore/File.vala"
		result = _tmp1_;
#line 348 "../libcore/File.vala"
		return result;
#line 1510 "File.c"
	}
#line 351 "../libcore/File.vala"
	_tmp2_ = self->priv->_location;
#line 351 "../libcore/File.vala"
	result = _tmp2_;
#line 351 "../libcore/File.vala"
	return result;
#line 1518 "File.c"
}

const gchar*
files_file_get_symlink_target (FilesFile* self)
{
	GFileInfo* _tmp0_;
	GFileInfo* _tmp1_;
	const gchar* _tmp2_;
	const gchar* result;
#line 354 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 355 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 355 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 356 "../libcore/File.vala"
		result = NULL;
#line 356 "../libcore/File.vala"
		return result;
#line 1538 "File.c"
	}
#line 359 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 359 "../libcore/File.vala"
	_tmp2_ = g_file_info_get_attribute_byte_string (_tmp1_, G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 359 "../libcore/File.vala"
	result = _tmp2_;
#line 359 "../libcore/File.vala"
	return result;
#line 1548 "File.c"
}

const gchar*
files_file_get_ftype (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	GFileInfo* _tmp1_;
	GFileInfo* _tmp2_;
	const gchar* ftype = NULL;
	GFileInfo* _tmp5_;
	gboolean _tmp8_ = FALSE;
	const gchar* _tmp9_;
	const gchar* _tmp12_;
	const gchar* result;
#line 362 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 363 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 363 "../libcore/File.vala"
	if (_tmp1_ == NULL) {
#line 363 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 1571 "File.c"
	} else {
#line 363 "../libcore/File.vala"
		_tmp0_ = files_file_is_location_uri_default (self);
#line 1575 "File.c"
	}
#line 363 "../libcore/File.vala"
	if (_tmp0_) {
#line 364 "../libcore/File.vala"
		result = NULL;
#line 364 "../libcore/File.vala"
		return result;
#line 1583 "File.c"
	}
#line 367 "../libcore/File.vala"
	if (self->is_directory) {
#line 368 "../libcore/File.vala"
		result = "inode/directory";
#line 368 "../libcore/File.vala"
		return result;
#line 1591 "File.c"
	}
#line 371 "../libcore/File.vala"
	_tmp2_ = self->info;
#line 371 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp2_, G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE)) {
#line 1597 "File.c"
		GFileInfo* _tmp3_;
		const gchar* _tmp4_;
#line 372 "../libcore/File.vala"
		_tmp3_ = self->info;
#line 372 "../libcore/File.vala"
		_tmp4_ = g_file_info_get_attribute_string (_tmp3_, G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE);
#line 372 "../libcore/File.vala"
		result = _tmp4_;
#line 372 "../libcore/File.vala"
		return result;
#line 1608 "File.c"
	}
#line 375 "../libcore/File.vala"
	ftype = NULL;
#line 376 "../libcore/File.vala"
	_tmp5_ = self->info;
#line 376 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp5_, G_FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE)) {
#line 1616 "File.c"
		GFileInfo* _tmp6_;
		const gchar* _tmp7_;
#line 377 "../libcore/File.vala"
		_tmp6_ = self->info;
#line 377 "../libcore/File.vala"
		_tmp7_ = g_file_info_get_attribute_string (_tmp6_, G_FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE);
#line 377 "../libcore/File.vala"
		ftype = _tmp7_;
#line 1625 "File.c"
	}
#line 381 "../libcore/File.vala"
	_tmp9_ = ftype;
#line 381 "../libcore/File.vala"
	if (g_strcmp0 (_tmp9_, "application/octet-stream") == 0) {
#line 1631 "File.c"
		const gchar* _tmp10_;
#line 381 "../libcore/File.vala"
		_tmp10_ = self->tagstype;
#line 381 "../libcore/File.vala"
		_tmp8_ = _tmp10_ != NULL;
#line 1637 "File.c"
	} else {
#line 381 "../libcore/File.vala"
		_tmp8_ = FALSE;
#line 1641 "File.c"
	}
#line 381 "../libcore/File.vala"
	if (_tmp8_) {
#line 1645 "File.c"
		const gchar* _tmp11_;
#line 382 "../libcore/File.vala"
		_tmp11_ = self->tagstype;
#line 382 "../libcore/File.vala"
		result = _tmp11_;
#line 382 "../libcore/File.vala"
		return result;
#line 1653 "File.c"
	}
#line 385 "../libcore/File.vala"
	_tmp12_ = ftype;
#line 385 "../libcore/File.vala"
	result = _tmp12_;
#line 385 "../libcore/File.vala"
	return result;
#line 1661 "File.c"
}

gchar*
files_file_get_formated_time (FilesFile* self,
                              const gchar* attr)
{
	GFileInfo* _tmp0_;
	gchar* _tmp1_;
	gchar* result;
#line 388 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 388 "../libcore/File.vala"
	g_return_val_if_fail (attr != NULL, NULL);
#line 389 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 389 "../libcore/File.vala"
	_tmp1_ = files_file_utils_get_formatted_time_attribute_from_info (_tmp0_, attr);
#line 389 "../libcore/File.vala"
	result = _tmp1_;
#line 389 "../libcore/File.vala"
	return result;
#line 1683 "File.c"
}

GdkPixbuf*
files_file_get_icon_pixbuf (FilesFile* self,
                            gint size,
                            gint scale,
                            FilesFileIconFlags flags)
{
	FilesIconInfo* nicon = NULL;
	FilesIconInfo* _tmp0_;
	GdkPixbuf* _tmp1_ = NULL;
	FilesIconInfo* _tmp2_;
	GdkPixbuf* result;
#line 392 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 393 "../libcore/File.vala"
	g_return_val_if_fail (size >= 1, NULL);
#line 395 "../libcore/File.vala"
	_tmp0_ = files_file_get_icon (self, size, scale, flags);
#line 395 "../libcore/File.vala"
	nicon = _tmp0_;
#line 396 "../libcore/File.vala"
	_tmp2_ = nicon;
#line 396 "../libcore/File.vala"
	if (_tmp2_ != NULL) {
#line 1709 "File.c"
		FilesIconInfo* _tmp3_;
		GdkPixbuf* _tmp4_;
#line 396 "../libcore/File.vala"
		_tmp3_ = nicon;
#line 396 "../libcore/File.vala"
		_tmp4_ = files_icon_info_get_pixbuf_nodefault (_tmp3_);
#line 396 "../libcore/File.vala"
		_g_object_unref0 (_tmp1_);
#line 396 "../libcore/File.vala"
		_tmp1_ = _tmp4_;
#line 1720 "File.c"
	} else {
#line 396 "../libcore/File.vala"
		_g_object_unref0 (_tmp1_);
#line 396 "../libcore/File.vala"
		_tmp1_ = NULL;
#line 1726 "File.c"
	}
#line 396 "../libcore/File.vala"
	result = _tmp1_;
#line 396 "../libcore/File.vala"
	_g_object_unref0 (nicon);
#line 396 "../libcore/File.vala"
	return result;
#line 1734 "File.c"
}

void
files_file_get_folder_icon_from_uri_or_path (FilesFile* self)
{
	GIcon* _tmp0_;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_;
	gboolean _tmp10_ = FALSE;
	gboolean _tmp11_ = FALSE;
	GIcon* _tmp12_;
	GIcon* _tmp15_;
	GError* _inner_error0_ = NULL;
#line 399 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 400 "../libcore/File.vala"
	_tmp0_ = self->icon;
#line 400 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 401 "../libcore/File.vala"
		return;
#line 1756 "File.c"
	}
#line 404 "../libcore/File.vala"
	_tmp2_ = self->priv->_is_hidden;
#line 404 "../libcore/File.vala"
	if (!_tmp2_) {
#line 1762 "File.c"
		const gchar* _tmp3_;
#line 404 "../libcore/File.vala"
		_tmp3_ = self->priv->_uri;
#line 404 "../libcore/File.vala"
		_tmp1_ = _tmp3_ != NULL;
#line 1768 "File.c"
	} else {
#line 404 "../libcore/File.vala"
		_tmp1_ = FALSE;
#line 1772 "File.c"
	}
#line 404 "../libcore/File.vala"
	if (_tmp1_) {
#line 1776 "File.c"
		{
			gchar* path = NULL;
			const gchar* _tmp4_;
			gchar* _tmp5_;
			const gchar* _tmp6_;
			GIcon* _tmp7_;
#line 406 "../libcore/File.vala"
			_tmp4_ = self->priv->_uri;
#line 406 "../libcore/File.vala"
			_tmp5_ = g_filename_from_uri (_tmp4_, NULL, &_inner_error0_);
#line 406 "../libcore/File.vala"
			path = _tmp5_;
#line 406 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1791 "File.c"
				goto __catch0_g_error;
			}
#line 407 "../libcore/File.vala"
			_tmp6_ = path;
#line 407 "../libcore/File.vala"
			_tmp7_ = files_file_get_icon_user_special_dirs (self, _tmp6_);
#line 407 "../libcore/File.vala"
			_g_object_unref0 (self->icon);
#line 407 "../libcore/File.vala"
			self->icon = _tmp7_;
#line 405 "../libcore/File.vala"
			_g_free0 (path);
#line 1804 "File.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp8_;
			const gchar* _tmp9_;
#line 405 "../libcore/File.vala"
			e = _inner_error0_;
#line 405 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 409 "../libcore/File.vala"
			_tmp8_ = e;
#line 409 "../libcore/File.vala"
			_tmp9_ = _tmp8_->message;
#line 409 "../libcore/File.vala"
			g_debug ("File.vala:409: %s", _tmp9_);
#line 405 "../libcore/File.vala"
			_g_error_free0 (e);
#line 1824 "File.c"
		}
		__finally0:
#line 405 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 405 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 405 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 405 "../libcore/File.vala"
			return;
#line 1835 "File.c"
		}
	}
#line 413 "../libcore/File.vala"
	_tmp12_ = self->icon;
#line 413 "../libcore/File.vala"
	if (_tmp12_ == NULL) {
#line 1842 "File.c"
		GFile* _tmp13_;
#line 413 "../libcore/File.vala"
		_tmp13_ = self->priv->_location;
#line 413 "../libcore/File.vala"
		_tmp11_ = !g_file_is_native (_tmp13_);
#line 1848 "File.c"
	} else {
#line 413 "../libcore/File.vala"
		_tmp11_ = FALSE;
#line 1852 "File.c"
	}
#line 413 "../libcore/File.vala"
	if (_tmp11_) {
#line 413 "../libcore/File.vala"
		_tmp10_ = files_file_is_remote_uri_scheme (self);
#line 1858 "File.c"
	} else {
#line 413 "../libcore/File.vala"
		_tmp10_ = FALSE;
#line 1862 "File.c"
	}
#line 413 "../libcore/File.vala"
	if (_tmp10_) {
#line 1866 "File.c"
		GThemedIcon* _tmp14_;
#line 414 "../libcore/File.vala"
		_tmp14_ = (GThemedIcon*) g_themed_icon_new ("folder-remote");
#line 414 "../libcore/File.vala"
		_g_object_unref0 (self->icon);
#line 414 "../libcore/File.vala"
		self->icon = (GIcon*) _tmp14_;
#line 1874 "File.c"
	}
#line 417 "../libcore/File.vala"
	_tmp15_ = self->icon;
#line 417 "../libcore/File.vala"
	if (_tmp15_ == NULL) {
#line 1880 "File.c"
		GThemedIcon* _tmp16_;
#line 418 "../libcore/File.vala"
		_tmp16_ = (GThemedIcon*) g_themed_icon_new ("folder");
#line 418 "../libcore/File.vala"
		_g_object_unref0 (self->icon);
#line 418 "../libcore/File.vala"
		self->icon = (GIcon*) _tmp16_;
#line 1888 "File.c"
	}
}

FilesIconInfo*
files_file_get_icon (FilesFile* self,
                     gint size,
                     gint scale,
                     FilesFileIconFlags flags)
{
	FilesIconInfo* icon = NULL;
	FilesIconInfo* _tmp0_;
	gboolean _tmp1_ = FALSE;
	FilesIconInfo* _tmp2_;
	GIcon* gicon = NULL;
	gboolean _tmp4_ = FALSE;
	GIcon* _tmp8_;
	FilesIconInfo* result;
#line 422 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 423 "../libcore/File.vala"
	g_return_val_if_fail (size >= 1, NULL);
#line 425 "../libcore/File.vala"
	_tmp0_ = files_file_get_special_icon (self, size, scale, flags);
#line 425 "../libcore/File.vala"
	icon = _tmp0_;
#line 426 "../libcore/File.vala"
	_tmp2_ = icon;
#line 426 "../libcore/File.vala"
	if (_tmp2_ != NULL) {
#line 1918 "File.c"
		FilesIconInfo* _tmp3_;
#line 426 "../libcore/File.vala"
		_tmp3_ = icon;
#line 426 "../libcore/File.vala"
		_tmp1_ = !files_icon_info_is_fallback (_tmp3_);
#line 1924 "File.c"
	} else {
#line 426 "../libcore/File.vala"
		_tmp1_ = FALSE;
#line 1928 "File.c"
	}
#line 426 "../libcore/File.vala"
	if (_tmp1_) {
#line 427 "../libcore/File.vala"
		result = icon;
#line 427 "../libcore/File.vala"
		return result;
#line 1936 "File.c"
	}
#line 430 "../libcore/File.vala"
	gicon = NULL;
#line 431 "../libcore/File.vala"
	if ((flags & FILES_FILE_ICON_FLAGS_USE_THUMBNAILS) == FILES_FILE_ICON_FLAGS_USE_THUMBNAILS) {
#line 431 "../libcore/File.vala"
		_tmp4_ = self->thumbstate == ((guint) FILES_FILE_THUMB_STATE_LOADING);
#line 1944 "File.c"
	} else {
#line 431 "../libcore/File.vala"
		_tmp4_ = FALSE;
#line 1948 "File.c"
	}
#line 431 "../libcore/File.vala"
	if (_tmp4_) {
#line 1952 "File.c"
		GThemedIcon* _tmp5_;
#line 432 "../libcore/File.vala"
		_tmp5_ = (GThemedIcon*) g_themed_icon_new ("image-loading");
#line 432 "../libcore/File.vala"
		_g_object_unref0 (gicon);
#line 432 "../libcore/File.vala"
		gicon = (GIcon*) _tmp5_;
#line 1960 "File.c"
	} else {
		GIcon* _tmp6_;
		GIcon* _tmp7_;
#line 434 "../libcore/File.vala"
		_tmp6_ = self->icon;
#line 434 "../libcore/File.vala"
		_tmp7_ = _g_object_ref0 (_tmp6_);
#line 434 "../libcore/File.vala"
		_g_object_unref0 (gicon);
#line 434 "../libcore/File.vala"
		gicon = _tmp7_;
#line 1972 "File.c"
	}
#line 437 "../libcore/File.vala"
	_tmp8_ = gicon;
#line 437 "../libcore/File.vala"
	if (_tmp8_ != NULL) {
#line 1978 "File.c"
		GIcon* _tmp9_;
		FilesIconInfo* _tmp10_;
		gboolean _tmp11_ = FALSE;
		FilesIconInfo* _tmp12_;
#line 438 "../libcore/File.vala"
		_tmp9_ = gicon;
#line 438 "../libcore/File.vala"
		_tmp10_ = files_icon_info_lookup (_tmp9_, size, scale);
#line 438 "../libcore/File.vala"
		_g_object_unref0 (icon);
#line 438 "../libcore/File.vala"
		icon = _tmp10_;
#line 439 "../libcore/File.vala"
		_tmp12_ = icon;
#line 439 "../libcore/File.vala"
		if (_tmp12_ == NULL) {
#line 439 "../libcore/File.vala"
			_tmp11_ = TRUE;
#line 1997 "File.c"
		} else {
			FilesIconInfo* _tmp13_;
#line 439 "../libcore/File.vala"
			_tmp13_ = icon;
#line 439 "../libcore/File.vala"
			_tmp11_ = files_icon_info_is_fallback (_tmp13_);
#line 2004 "File.c"
		}
#line 439 "../libcore/File.vala"
		if (_tmp11_) {
#line 2008 "File.c"
			FilesIconInfo* _tmp14_;
#line 440 "../libcore/File.vala"
			_tmp14_ = files_icon_info_get_generic_icon (size, scale);
#line 440 "../libcore/File.vala"
			_g_object_unref0 (icon);
#line 440 "../libcore/File.vala"
			icon = _tmp14_;
#line 2016 "File.c"
		}
	} else {
		FilesIconInfo* _tmp15_;
#line 443 "../libcore/File.vala"
		_tmp15_ = files_icon_info_get_generic_icon (size, scale);
#line 443 "../libcore/File.vala"
		_g_object_unref0 (icon);
#line 443 "../libcore/File.vala"
		icon = _tmp15_;
#line 2026 "File.c"
	}
#line 446 "../libcore/File.vala"
	result = icon;
#line 446 "../libcore/File.vala"
	_g_object_unref0 (gicon);
#line 446 "../libcore/File.vala"
	return result;
#line 2034 "File.c"
}

static gchar*
string_to_utf8 (const gchar* self,
                gint* result_length1)
{
	gint string_length = 0;
	gint _tmp0_;
	gint _tmp1_;
	gchar* _result_ = NULL;
	gchar* _tmp2_;
	gint _result__length1;
	gint __result__size_;
	gint _tmp3_;
	gchar* _tmp4_;
	gint _tmp4__length1;
	gchar* result;
#line 1573 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1574 "glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1574 "glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1574 "glib-2.0.vapi"
	string_length = _tmp1_;
#line 1575 "glib-2.0.vapi"
	_tmp2_ = g_new0 (gchar, string_length + 1);
#line 1575 "glib-2.0.vapi"
	_result_ = _tmp2_;
#line 1575 "glib-2.0.vapi"
	_result__length1 = string_length + 1;
#line 1575 "glib-2.0.vapi"
	__result__size_ = _result__length1;
#line 1576 "glib-2.0.vapi"
	_tmp3_ = _result__length1;
#line 1576 "glib-2.0.vapi"
	_result__length1 = _tmp3_ - 1;
#line 1577 "glib-2.0.vapi"
	memcpy (_result_, self, (gsize) string_length);
#line 1578 "glib-2.0.vapi"
	_tmp4_ = _result_;
#line 1578 "glib-2.0.vapi"
	_tmp4__length1 = _result__length1;
#line 1578 "glib-2.0.vapi"
	if (result_length1) {
#line 1578 "glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 2082 "File.c"
	}
#line 1578 "glib-2.0.vapi"
	result = _tmp4_;
#line 1578 "glib-2.0.vapi"
	return result;
#line 2088 "File.c"
}

void
files_file_update (FilesFile* self)
{
	GFileInfo* _tmp0_;
	GFileInfo* _tmp1_;
	GFileInfo* _tmp2_;
	GFileInfo* _tmp3_;
	GFileInfo* _tmp4_;
	GFileInfo* _tmp12_;
	const gchar* target_uri = NULL;
	GFileInfo* _tmp16_;
	const gchar* _tmp17_;
	const gchar* _tmp18_;
	gboolean _tmp70_ = FALSE;
	const gchar* _tmp71_;
	GFileInfo* _tmp95_;
	const gchar* _tmp106_;
	gchar* _tmp107_;
	const gchar* _tmp108_;
	GFileInfo* _tmp109_;
	GFileInfo* _tmp110_;
	GFileInfo* _tmp111_;
	const gchar* _tmp112_;
	gchar* _tmp113_;
	GFileInfo* _tmp114_;
	const gchar* _tmp115_;
	gchar* _tmp116_;
	GFileInfo* _tmp117_;
	GFileInfo* _tmp123_;
	GFileInfo* _tmp129_;
	GError* _inner_error0_ = NULL;
#line 449 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 450 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 450 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 451 "../libcore/File.vala"
		return;
#line 2130 "File.c"
	}
#line 455 "../libcore/File.vala"
	files_file_clear_info (self);
#line 456 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 456 "../libcore/File.vala"
	self->size = g_file_info_get_attribute_uint64 (_tmp1_, G_FILE_ATTRIBUTE_STANDARD_SIZE);
#line 457 "../libcore/File.vala"
	_tmp2_ = self->info;
#line 457 "../libcore/File.vala"
	self->file_type = g_file_info_get_file_type (_tmp2_);
#line 458 "../libcore/File.vala"
	self->is_directory = self->file_type == G_FILE_TYPE_DIRECTORY;
#line 459 "../libcore/File.vala"
	_tmp3_ = self->info;
#line 459 "../libcore/File.vala"
	self->modified = g_file_info_get_attribute_uint64 (_tmp3_, G_FILE_ATTRIBUTE_TIME_MODIFIED);
#line 460 "../libcore/File.vala"
	_tmp4_ = self->info;
#line 460 "../libcore/File.vala"
	self->created = g_file_info_get_attribute_uint64 (_tmp4_, G_FILE_ATTRIBUTE_TIME_CREATED);
#line 463 "../libcore/File.vala"
	if (self->is_directory) {
#line 2154 "File.c"
		GFileInfo* _tmp5_;
		GFileInfo* _tmp8_;
#line 464 "../libcore/File.vala"
		_tmp5_ = self->info;
#line 464 "../libcore/File.vala"
		if (g_file_info_has_attribute (_tmp5_, "metadata::marlin-sort-column-id")) {
#line 2161 "File.c"
			GFileInfo* _tmp6_;
			const gchar* _tmp7_;
#line 465 "../libcore/File.vala"
			_tmp6_ = self->info;
#line 465 "../libcore/File.vala"
			_tmp7_ = g_file_info_get_attribute_string (_tmp6_, "metadata::marlin-sort-column-id");
#line 465 "../libcore/File.vala"
			self->sort_column_id = (gint) files_list_model_column_id_from_string (_tmp7_);
#line 2170 "File.c"
		}
#line 470 "../libcore/File.vala"
		_tmp8_ = self->info;
#line 470 "../libcore/File.vala"
		if (g_file_info_has_attribute (_tmp8_, "metadata::marlin-sort-reversed")) {
#line 2176 "File.c"
			GtkSortType _tmp9_ = 0;
			GFileInfo* _tmp10_;
			const gchar* _tmp11_;
#line 471 "../libcore/File.vala"
			_tmp10_ = self->info;
#line 471 "../libcore/File.vala"
			_tmp11_ = g_file_info_get_attribute_string (_tmp10_, "metadata::marlin-sort-reversed");
#line 471 "../libcore/File.vala"
			if (g_strcmp0 (_tmp11_, "true") == 0) {
#line 472 "../libcore/File.vala"
				_tmp9_ = GTK_SORT_DESCENDING;
#line 2188 "File.c"
			} else {
#line 472 "../libcore/File.vala"
				_tmp9_ = GTK_SORT_ASCENDING;
#line 2192 "File.c"
			}
#line 471 "../libcore/File.vala"
			self->sort_order = _tmp9_;
#line 2196 "File.c"
		}
	}
#line 476 "../libcore/File.vala"
	_tmp12_ = self->info;
#line 476 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp12_, G_FILE_ATTRIBUTE_STANDARD_ICON)) {
#line 2203 "File.c"
		GFileInfo* _tmp13_;
		GObject* _tmp14_;
		GIcon* _tmp15_;
#line 477 "../libcore/File.vala"
		_tmp13_ = self->info;
#line 477 "../libcore/File.vala"
		_tmp14_ = g_file_info_get_attribute_object (_tmp13_, G_FILE_ATTRIBUTE_STANDARD_ICON);
#line 477 "../libcore/File.vala"
		_tmp15_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, g_icon_get_type ()) ? ((GIcon*) _tmp14_) : NULL);
#line 477 "../libcore/File.vala"
		_g_object_unref0 (self->icon);
#line 477 "../libcore/File.vala"
		self->icon = _tmp15_;
#line 2217 "File.c"
	}
#line 480 "../libcore/File.vala"
	_tmp16_ = self->info;
#line 480 "../libcore/File.vala"
	_tmp17_ = g_file_info_get_attribute_string (_tmp16_, G_FILE_ATTRIBUTE_STANDARD_TARGET_URI);
#line 480 "../libcore/File.vala"
	target_uri = _tmp17_;
#line 481 "../libcore/File.vala"
	_tmp18_ = target_uri;
#line 481 "../libcore/File.vala"
	if (_tmp18_ != NULL) {
#line 2229 "File.c"
		const gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gboolean _tmp22_;
#line 482 "../libcore/File.vala"
		_tmp19_ = target_uri;
#line 482 "../libcore/File.vala"
		_tmp20_ = g_uri_parse_scheme (_tmp19_);
#line 482 "../libcore/File.vala"
		_tmp21_ = _tmp20_;
#line 482 "../libcore/File.vala"
		_tmp22_ = g_strcmp0 (_tmp21_, "afp") == 0;
#line 482 "../libcore/File.vala"
		_g_free0 (_tmp21_);
#line 482 "../libcore/File.vala"
		if (_tmp22_) {
#line 2246 "File.c"
			const gchar* _tmp23_;
			const gchar* _tmp24_;
			gchar* _tmp25_;
			gchar* _tmp26_;
			GFile* _tmp27_;
#line 483 "../libcore/File.vala"
			_tmp23_ = target_uri;
#line 483 "../libcore/File.vala"
			_tmp24_ = self->priv->_uri;
#line 483 "../libcore/File.vala"
			_tmp25_ = files_file_utils_get_afp_target_uri (_tmp23_, _tmp24_);
#line 483 "../libcore/File.vala"
			_tmp26_ = _tmp25_;
#line 483 "../libcore/File.vala"
			_tmp27_ = g_file_new_for_uri (_tmp26_);
#line 483 "../libcore/File.vala"
			_g_object_unref0 (self->target_location);
#line 483 "../libcore/File.vala"
			self->target_location = _tmp27_;
#line 483 "../libcore/File.vala"
			_g_free0 (_tmp26_);
#line 2268 "File.c"
		} else {
			const gchar* _tmp28_;
			GFile* _tmp29_;
#line 485 "../libcore/File.vala"
			_tmp28_ = target_uri;
#line 485 "../libcore/File.vala"
			_tmp29_ = g_file_new_for_uri (_tmp28_);
#line 485 "../libcore/File.vala"
			_g_object_unref0 (self->target_location);
#line 485 "../libcore/File.vala"
			self->target_location = _tmp29_;
#line 2280 "File.c"
		}
#line 488 "../libcore/File.vala"
		files_file_target_location_update (self);
#line 2284 "File.c"
		{
			GMount* _tmp30_ = NULL;
			GFile* _tmp31_;
			GMount* _tmp32_;
			GMount* _tmp33_;
			GMount* _tmp34_;
#line 491 "../libcore/File.vala"
			_tmp31_ = self->target_location;
#line 491 "../libcore/File.vala"
			_tmp32_ = g_file_find_enclosing_mount (_tmp31_, NULL, &_inner_error0_);
#line 491 "../libcore/File.vala"
			_tmp30_ = _tmp32_;
#line 491 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2299 "File.c"
				goto __catch0_g_error;
			}
#line 491 "../libcore/File.vala"
			_tmp33_ = _tmp30_;
#line 491 "../libcore/File.vala"
			_tmp30_ = NULL;
#line 491 "../libcore/File.vala"
			_g_object_unref0 (self->mount);
#line 491 "../libcore/File.vala"
			self->mount = _tmp33_;
#line 492 "../libcore/File.vala"
			_tmp34_ = self->mount;
#line 492 "../libcore/File.vala"
			self->is_mounted = _tmp34_ != NULL;
#line 490 "../libcore/File.vala"
			_g_object_unref0 (_tmp30_);
#line 2316 "File.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp35_;
			const gchar* _tmp36_;
#line 490 "../libcore/File.vala"
			e = _inner_error0_;
#line 490 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 494 "../libcore/File.vala"
			self->is_mounted = FALSE;
#line 495 "../libcore/File.vala"
			_tmp35_ = e;
#line 495 "../libcore/File.vala"
			_tmp36_ = _tmp35_->message;
#line 495 "../libcore/File.vala"
			g_debug ("File.vala:495: %s", _tmp36_);
#line 490 "../libcore/File.vala"
			_g_error_free0 (e);
#line 2338 "File.c"
		}
		__finally0:
#line 490 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 490 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 490 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 490 "../libcore/File.vala"
			return;
#line 2349 "File.c"
		}
	} else {
		{
			GMount* _tmp37_ = NULL;
			GFile* _tmp38_;
			GMount* _tmp39_;
			GMount* _tmp40_;
			GMount* _tmp41_;
#line 499 "../libcore/File.vala"
			_tmp38_ = self->priv->_location;
#line 499 "../libcore/File.vala"
			_tmp39_ = g_file_find_enclosing_mount (_tmp38_, NULL, &_inner_error0_);
#line 499 "../libcore/File.vala"
			_tmp37_ = _tmp39_;
#line 499 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2366 "File.c"
				goto __catch1_g_error;
			}
#line 499 "../libcore/File.vala"
			_tmp40_ = _tmp37_;
#line 499 "../libcore/File.vala"
			_tmp37_ = NULL;
#line 499 "../libcore/File.vala"
			_g_object_unref0 (self->mount);
#line 499 "../libcore/File.vala"
			self->mount = _tmp40_;
#line 500 "../libcore/File.vala"
			_tmp41_ = self->mount;
#line 500 "../libcore/File.vala"
			self->is_mounted = _tmp41_ != NULL;
#line 498 "../libcore/File.vala"
			_g_object_unref0 (_tmp37_);
#line 2383 "File.c"
		}
		goto __finally1;
		__catch1_g_error:
		{
			GError* e = NULL;
			GError* _tmp42_;
			const gchar* _tmp43_;
#line 498 "../libcore/File.vala"
			e = _inner_error0_;
#line 498 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 502 "../libcore/File.vala"
			self->is_mounted = FALSE;
#line 503 "../libcore/File.vala"
			_tmp42_ = e;
#line 503 "../libcore/File.vala"
			_tmp43_ = _tmp42_->message;
#line 503 "../libcore/File.vala"
			g_debug ("File.vala:503: %s", _tmp43_);
#line 498 "../libcore/File.vala"
			_g_error_free0 (e);
#line 2405 "File.c"
		}
		__finally1:
#line 498 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 498 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 498 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 498 "../libcore/File.vala"
			return;
#line 2416 "File.c"
		}
	}
#line 509 "../libcore/File.vala"
	self->is_desktop = files_file_is_desktop_file (self);
#line 510 "../libcore/File.vala"
	if (self->is_desktop) {
#line 2423 "File.c"
		{
			GKeyFile* key_file = NULL;
			GFile* _tmp44_;
			GKeyFile* _tmp45_;
			gchar* _tmp46_ = NULL;
			GKeyFile* _tmp47_;
			gchar* _tmp48_;
			gchar* _tmp49_;
			const gchar* _tmp50_;
#line 512 "../libcore/File.vala"
			_tmp44_ = self->priv->_location;
#line 512 "../libcore/File.vala"
			_tmp45_ = files_file_utils_key_file_from_file (_tmp44_, NULL, &_inner_error0_);
#line 512 "../libcore/File.vala"
			key_file = _tmp45_;
#line 512 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2441 "File.c"
				goto __catch2_g_error;
			}
#line 513 "../libcore/File.vala"
			_tmp47_ = key_file;
#line 513 "../libcore/File.vala"
			_tmp48_ = g_key_file_get_string (_tmp47_, G_KEY_FILE_DESKTOP_GROUP, G_KEY_FILE_DESKTOP_KEY_ICON, &_inner_error0_);
#line 513 "../libcore/File.vala"
			_tmp46_ = _tmp48_;
#line 513 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 513 "../libcore/File.vala"
				_g_key_file_unref0 (key_file);
#line 2454 "File.c"
				goto __catch2_g_error;
			}
#line 513 "../libcore/File.vala"
			_tmp49_ = _tmp46_;
#line 513 "../libcore/File.vala"
			_tmp46_ = NULL;
#line 513 "../libcore/File.vala"
			_g_free0 (self->custom_icon_name);
#line 513 "../libcore/File.vala"
			self->custom_icon_name = _tmp49_;
#line 515 "../libcore/File.vala"
			_tmp50_ = self->custom_icon_name;
#line 515 "../libcore/File.vala"
			if (!g_path_is_absolute (_tmp50_)) {
#line 2469 "File.c"
				const gchar* _tmp51_;
				gchar** _tmp52_;
				gchar** _tmp53_;
				gchar** _tmp54_;
				gint _tmp54__length1;
				const gchar* _tmp55_;
				gchar* _tmp56_;
#line 516 "../libcore/File.vala"
				_tmp51_ = self->custom_icon_name;
#line 516 "../libcore/File.vala"
				_tmp53_ = _tmp52_ = g_strsplit (_tmp51_, ".", 2);
#line 516 "../libcore/File.vala"
				_tmp54_ = _tmp53_;
#line 516 "../libcore/File.vala"
				_tmp54__length1 = _vala_array_length (_tmp52_);
#line 516 "../libcore/File.vala"
				_tmp55_ = _tmp54_[0];
#line 516 "../libcore/File.vala"
				_tmp56_ = g_strdup (_tmp55_);
#line 516 "../libcore/File.vala"
				_g_free0 (self->custom_icon_name);
#line 516 "../libcore/File.vala"
				self->custom_icon_name = _tmp56_;
#line 516 "../libcore/File.vala"
				_tmp54_ = (_vala_array_free (_tmp54_, _tmp54__length1, (GDestroyNotify) g_free), NULL);
#line 2495 "File.c"
			}
#line 511 "../libcore/File.vala"
			_g_free0 (_tmp46_);
#line 511 "../libcore/File.vala"
			_g_key_file_unref0 (key_file);
#line 2501 "File.c"
		}
		goto __finally2;
		__catch2_g_error:
		{
			GError* e = NULL;
			GError* _tmp57_;
			const gchar* _tmp58_;
#line 511 "../libcore/File.vala"
			e = _inner_error0_;
#line 511 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 519 "../libcore/File.vala"
			_tmp57_ = e;
#line 519 "../libcore/File.vala"
			_tmp58_ = _tmp57_->message;
#line 519 "../libcore/File.vala"
			g_debug ("File.vala:519: %s", _tmp58_);
#line 511 "../libcore/File.vala"
			_g_error_free0 (e);
#line 2521 "File.c"
		}
		__finally2:
#line 511 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 511 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 511 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 511 "../libcore/File.vala"
			return;
#line 2532 "File.c"
		}
		{
			GKeyFile* key_file = NULL;
			GFile* _tmp59_;
			GKeyFile* _tmp60_;
			gchar* type = NULL;
			GKeyFile* _tmp61_;
			gchar* _tmp62_;
			const gchar* _tmp63_;
#line 524 "../libcore/File.vala"
			_tmp59_ = self->priv->_location;
#line 524 "../libcore/File.vala"
			_tmp60_ = files_file_utils_key_file_from_file (_tmp59_, NULL, &_inner_error0_);
#line 524 "../libcore/File.vala"
			key_file = _tmp60_;
#line 524 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2550 "File.c"
				goto __catch3_g_error;
			}
#line 525 "../libcore/File.vala"
			_tmp61_ = key_file;
#line 525 "../libcore/File.vala"
			_tmp62_ = g_key_file_get_string (_tmp61_, G_KEY_FILE_DESKTOP_GROUP, G_KEY_FILE_DESKTOP_KEY_TYPE, &_inner_error0_);
#line 525 "../libcore/File.vala"
			type = _tmp62_;
#line 525 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 525 "../libcore/File.vala"
				_g_key_file_unref0 (key_file);
#line 2563 "File.c"
				goto __catch3_g_error;
			}
#line 526 "../libcore/File.vala"
			_tmp63_ = type;
#line 526 "../libcore/File.vala"
			if (g_strcmp0 (_tmp63_, G_KEY_FILE_DESKTOP_TYPE_LINK) == 0) {
#line 2570 "File.c"
				gchar* url = NULL;
				GKeyFile* _tmp64_;
				gchar* _tmp65_;
				const gchar* _tmp66_;
				GFile* _tmp67_;
#line 527 "../libcore/File.vala"
				_tmp64_ = key_file;
#line 527 "../libcore/File.vala"
				_tmp65_ = g_key_file_get_string (_tmp64_, G_KEY_FILE_DESKTOP_GROUP, G_KEY_FILE_DESKTOP_KEY_URL, &_inner_error0_);
#line 527 "../libcore/File.vala"
				url = _tmp65_;
#line 527 "../libcore/File.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 527 "../libcore/File.vala"
					_g_free0 (type);
#line 527 "../libcore/File.vala"
					_g_key_file_unref0 (key_file);
#line 2588 "File.c"
					goto __catch3_g_error;
				}
#line 528 "../libcore/File.vala"
				_tmp66_ = url;
#line 528 "../libcore/File.vala"
				_tmp67_ = g_file_new_for_uri (_tmp66_);
#line 528 "../libcore/File.vala"
				_g_object_unref0 (self->target_location);
#line 528 "../libcore/File.vala"
				self->target_location = _tmp67_;
#line 529 "../libcore/File.vala"
				files_file_target_location_update (self);
#line 526 "../libcore/File.vala"
				_g_free0 (url);
#line 2603 "File.c"
			}
#line 523 "../libcore/File.vala"
			_g_free0 (type);
#line 523 "../libcore/File.vala"
			_g_key_file_unref0 (key_file);
#line 2609 "File.c"
		}
		goto __finally3;
		__catch3_g_error:
		{
			GError* e = NULL;
			GError* _tmp68_;
			const gchar* _tmp69_;
#line 523 "../libcore/File.vala"
			e = _inner_error0_;
#line 523 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 532 "../libcore/File.vala"
			_tmp68_ = e;
#line 532 "../libcore/File.vala"
			_tmp69_ = _tmp68_->message;
#line 532 "../libcore/File.vala"
			g_debug ("File.vala:532: %s", _tmp69_);
#line 523 "../libcore/File.vala"
			_g_error_free0 (e);
#line 2629 "File.c"
		}
		__finally3:
#line 523 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 523 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 523 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 523 "../libcore/File.vala"
			return;
#line 2640 "File.c"
		}
	}
#line 537 "../libcore/File.vala"
	_tmp71_ = self->custom_display_name;
#line 537 "../libcore/File.vala"
	if (_tmp71_ == NULL) {
#line 2647 "File.c"
		GFileInfo* _tmp72_;
#line 537 "../libcore/File.vala"
		_tmp72_ = self->info;
#line 537 "../libcore/File.vala"
		_tmp70_ = _tmp72_ != NULL;
#line 2653 "File.c"
	} else {
#line 537 "../libcore/File.vala"
		_tmp70_ = FALSE;
#line 2657 "File.c"
	}
#line 537 "../libcore/File.vala"
	if (_tmp70_) {
#line 2661 "File.c"
		const gchar* disp_name = NULL;
		GFileInfo* _tmp73_;
		const gchar* _tmp74_;
		gchar* _tmp75_ = NULL;
		GFile* _tmp76_;
		gchar* target_uri_scheme = NULL;
		gchar* _tmp79_;
		gboolean _tmp80_ = FALSE;
		gboolean _tmp81_ = FALSE;
		GFile* _tmp82_;
#line 538 "../libcore/File.vala"
		_tmp73_ = self->info;
#line 538 "../libcore/File.vala"
		_tmp74_ = g_file_info_get_display_name (_tmp73_);
#line 538 "../libcore/File.vala"
		disp_name = _tmp74_;
#line 539 "../libcore/File.vala"
		_tmp76_ = self->target_location;
#line 539 "../libcore/File.vala"
		if (_tmp76_ != NULL) {
#line 2682 "File.c"
			GFile* _tmp77_;
			gchar* _tmp78_;
#line 539 "../libcore/File.vala"
			_tmp77_ = self->target_location;
#line 539 "../libcore/File.vala"
			_tmp78_ = g_file_get_uri_scheme (_tmp77_);
#line 539 "../libcore/File.vala"
			_g_free0 (_tmp75_);
#line 539 "../libcore/File.vala"
			_tmp75_ = _tmp78_;
#line 2693 "File.c"
		} else {
#line 539 "../libcore/File.vala"
			_g_free0 (_tmp75_);
#line 539 "../libcore/File.vala"
			_tmp75_ = NULL;
#line 2699 "File.c"
		}
#line 539 "../libcore/File.vala"
		_tmp79_ = g_strdup (_tmp75_);
#line 539 "../libcore/File.vala"
		target_uri_scheme = _tmp79_;
#line 540 "../libcore/File.vala"
		_tmp82_ = self->priv->_directory;
#line 540 "../libcore/File.vala"
		if (_tmp82_ != NULL) {
#line 2709 "File.c"
			GFile* _tmp83_;
			gchar* _tmp84_;
			gchar* _tmp85_;
#line 540 "../libcore/File.vala"
			_tmp83_ = self->priv->_directory;
#line 540 "../libcore/File.vala"
			_tmp84_ = g_file_get_uri_scheme (_tmp83_);
#line 540 "../libcore/File.vala"
			_tmp85_ = _tmp84_;
#line 540 "../libcore/File.vala"
			_tmp81_ = g_strcmp0 (_tmp85_, "network") == 0;
#line 540 "../libcore/File.vala"
			_g_free0 (_tmp85_);
#line 2723 "File.c"
		} else {
#line 540 "../libcore/File.vala"
			_tmp81_ = FALSE;
#line 2727 "File.c"
		}
#line 540 "../libcore/File.vala"
		if (_tmp81_) {
#line 2731 "File.c"
			const gchar* _tmp86_;
#line 540 "../libcore/File.vala"
			_tmp86_ = target_uri_scheme;
#line 540 "../libcore/File.vala"
			_tmp80_ = g_strcmp0 (_tmp86_, "smb") != 0;
#line 2737 "File.c"
		} else {
#line 540 "../libcore/File.vala"
			_tmp80_ = FALSE;
#line 2741 "File.c"
		}
#line 540 "../libcore/File.vala"
		if (_tmp80_) {
#line 2745 "File.c"
			const gchar* _tmp87_;
			const gchar* _tmp88_;
			gint _tmp89_ = 0;
			gchar* _tmp90_;
			gchar* _tmp91_;
			gchar* _tmp92_;
#line 542 "../libcore/File.vala"
			_tmp87_ = disp_name;
#line 542 "../libcore/File.vala"
			_tmp88_ = target_uri_scheme;
#line 542 "../libcore/File.vala"
			_tmp90_ = string_to_utf8 (_tmp88_, &_tmp89_);
#line 542 "../libcore/File.vala"
			_tmp91_ = (gchar*) _tmp90_;
#line 542 "../libcore/File.vala"
			_tmp92_ = g_strdup_printf ("%s (%s)", _tmp87_, _tmp91_);
#line 542 "../libcore/File.vala"
			_g_free0 (self->custom_display_name);
#line 542 "../libcore/File.vala"
			self->custom_display_name = _tmp92_;
#line 542 "../libcore/File.vala"
			_g_free0 (_tmp91_);
#line 2768 "File.c"
		} else {
			const gchar* _tmp93_;
			gchar* _tmp94_;
#line 544 "../libcore/File.vala"
			_tmp93_ = disp_name;
#line 544 "../libcore/File.vala"
			_tmp94_ = g_strdup (_tmp93_);
#line 544 "../libcore/File.vala"
			_g_free0 (self->custom_display_name);
#line 544 "../libcore/File.vala"
			self->custom_display_name = _tmp94_;
#line 2780 "File.c"
		}
#line 537 "../libcore/File.vala"
		_g_free0 (target_uri_scheme);
#line 537 "../libcore/File.vala"
		_g_free0 (_tmp75_);
#line 2786 "File.c"
	}
#line 549 "../libcore/File.vala"
	files_file_ensure_size (self);
#line 551 "../libcore/File.vala"
	_tmp95_ = self->info;
#line 551 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp95_, G_FILE_ATTRIBUTE_TIME_MODIFIED)) {
#line 2794 "File.c"
		gchar* _tmp96_;
#line 552 "../libcore/File.vala"
		_tmp96_ = files_file_get_formated_time (self, G_FILE_ATTRIBUTE_TIME_MODIFIED);
#line 552 "../libcore/File.vala"
		_g_free0 (self->formated_modified);
#line 552 "../libcore/File.vala"
		self->formated_modified = _tmp96_;
#line 2802 "File.c"
	} else {
		gchar* _tmp97_;
#line 554 "../libcore/File.vala"
		_tmp97_ = g_strdup (_ ("Inaccessible"));
#line 554 "../libcore/File.vala"
		_g_free0 (self->formated_modified);
#line 554 "../libcore/File.vala"
		self->formated_modified = _tmp97_;
#line 2811 "File.c"
	}
#line 558 "../libcore/File.vala"
	if (self->is_directory) {
#line 559 "../libcore/File.vala"
		files_file_get_folder_icon_from_uri_or_path (self);
#line 2817 "File.c"
	} else {
		GFileInfo* _tmp98_;
#line 560 "../libcore/File.vala"
		_tmp98_ = self->info;
#line 560 "../libcore/File.vala"
		if (g_file_info_get_file_type (_tmp98_) == G_FILE_TYPE_MOUNTABLE) {
#line 2824 "File.c"
			GThemedIcon* _tmp99_;
#line 561 "../libcore/File.vala"
			_tmp99_ = (GThemedIcon*) g_themed_icon_new_with_default_fallbacks ("folder-remote");
#line 561 "../libcore/File.vala"
			_g_object_unref0 (self->icon);
#line 561 "../libcore/File.vala"
			self->icon = (GIcon*) _tmp99_;
#line 2832 "File.c"
		} else {
			const gchar* ftype = NULL;
			const gchar* _tmp100_;
			gboolean _tmp101_ = FALSE;
			const gchar* _tmp102_;
#line 563 "../libcore/File.vala"
			_tmp100_ = files_file_get_ftype (self);
#line 563 "../libcore/File.vala"
			ftype = _tmp100_;
#line 564 "../libcore/File.vala"
			_tmp102_ = ftype;
#line 564 "../libcore/File.vala"
			if (_tmp102_ != NULL) {
#line 2846 "File.c"
				GIcon* _tmp103_;
#line 564 "../libcore/File.vala"
				_tmp103_ = self->icon;
#line 564 "../libcore/File.vala"
				_tmp101_ = _tmp103_ == NULL;
#line 2852 "File.c"
			} else {
#line 564 "../libcore/File.vala"
				_tmp101_ = FALSE;
#line 2856 "File.c"
			}
#line 564 "../libcore/File.vala"
			if (_tmp101_) {
#line 2860 "File.c"
				const gchar* _tmp104_;
				GIcon* _tmp105_;
#line 565 "../libcore/File.vala"
				_tmp104_ = ftype;
#line 565 "../libcore/File.vala"
				_tmp105_ = g_content_type_get_icon (_tmp104_);
#line 565 "../libcore/File.vala"
				_g_object_unref0 (self->icon);
#line 565 "../libcore/File.vala"
				self->icon = _tmp105_;
#line 2871 "File.c"
			}
		}
	}
#line 569 "../libcore/File.vala"
	_tmp106_ = files_file_get_display_name (self);
#line 569 "../libcore/File.vala"
	_tmp107_ = g_utf8_collate_key_for_filename (_tmp106_, (gssize) -1);
#line 569 "../libcore/File.vala"
	_g_free0 (self->utf8_collation_key);
#line 569 "../libcore/File.vala"
	self->utf8_collation_key = _tmp107_;
#line 572 "../libcore/File.vala"
	_tmp108_ = files_file_get_thumbnail_path (self);
#line 572 "../libcore/File.vala"
	if (_tmp108_ != NULL) {
#line 573 "../libcore/File.vala"
		self->thumbstate = (guint) FILES_FILE_THUMB_STATE_UNKNOWN;
#line 2889 "File.c"
	}
#line 577 "../libcore/File.vala"
	files_file_update_formated_type (self);
#line 580 "../libcore/File.vala"
	_tmp109_ = self->info;
#line 580 "../libcore/File.vala"
	self->has_permissions = g_file_info_has_attribute (_tmp109_, G_FILE_ATTRIBUTE_UNIX_MODE);
#line 581 "../libcore/File.vala"
	_tmp110_ = self->info;
#line 581 "../libcore/File.vala"
	self->permissions = g_file_info_get_attribute_uint32 (_tmp110_, G_FILE_ATTRIBUTE_UNIX_MODE);
#line 582 "../libcore/File.vala"
	_tmp111_ = self->info;
#line 582 "../libcore/File.vala"
	_tmp112_ = g_file_info_get_attribute_string (_tmp111_, G_FILE_ATTRIBUTE_OWNER_USER);
#line 582 "../libcore/File.vala"
	_tmp113_ = g_strdup (_tmp112_);
#line 582 "../libcore/File.vala"
	_g_free0 (self->owner);
#line 582 "../libcore/File.vala"
	self->owner = _tmp113_;
#line 583 "../libcore/File.vala"
	_tmp114_ = self->info;
#line 583 "../libcore/File.vala"
	_tmp115_ = g_file_info_get_attribute_string (_tmp114_, G_FILE_ATTRIBUTE_OWNER_GROUP);
#line 583 "../libcore/File.vala"
	_tmp116_ = g_strdup (_tmp115_);
#line 583 "../libcore/File.vala"
	_g_free0 (self->group);
#line 583 "../libcore/File.vala"
	self->group = _tmp116_;
#line 584 "../libcore/File.vala"
	_tmp117_ = self->info;
#line 584 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp117_, G_FILE_ATTRIBUTE_UNIX_UID)) {
#line 2925 "File.c"
		GFileInfo* _tmp118_;
		const gchar* _tmp119_;
#line 585 "../libcore/File.vala"
		_tmp118_ = self->info;
#line 585 "../libcore/File.vala"
		self->uid = g_file_info_get_attribute_uint32 (_tmp118_, G_FILE_ATTRIBUTE_UNIX_UID);
#line 586 "../libcore/File.vala"
		_tmp119_ = self->owner;
#line 586 "../libcore/File.vala"
		if (_tmp119_ == NULL) {
#line 2936 "File.c"
			gchar* _tmp120_;
#line 587 "../libcore/File.vala"
			_tmp120_ = g_strdup_printf ("%u", self->uid);
#line 587 "../libcore/File.vala"
			_g_free0 (self->owner);
#line 587 "../libcore/File.vala"
			self->owner = _tmp120_;
#line 2944 "File.c"
		}
	} else {
		const gchar* _tmp121_;
#line 589 "../libcore/File.vala"
		_tmp121_ = self->owner;
#line 589 "../libcore/File.vala"
		if (_tmp121_ != NULL) {
#line 2952 "File.c"
			const gchar* _tmp122_;
#line 590 "../libcore/File.vala"
			_tmp122_ = self->owner;
#line 590 "../libcore/File.vala"
			self->uid = (guint32) atoi (_tmp122_);
#line 2958 "File.c"
		} else {
#line 592 "../libcore/File.vala"
			_g_free0 (self->owner);
#line 592 "../libcore/File.vala"
			self->owner = NULL;
#line 2964 "File.c"
		}
	}
#line 595 "../libcore/File.vala"
	_tmp123_ = self->info;
#line 595 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp123_, G_FILE_ATTRIBUTE_UNIX_GID)) {
#line 2971 "File.c"
		GFileInfo* _tmp124_;
		const gchar* _tmp125_;
#line 596 "../libcore/File.vala"
		_tmp124_ = self->info;
#line 596 "../libcore/File.vala"
		self->gid = g_file_info_get_attribute_uint32 (_tmp124_, G_FILE_ATTRIBUTE_UNIX_GID);
#line 597 "../libcore/File.vala"
		_tmp125_ = self->group;
#line 597 "../libcore/File.vala"
		if (_tmp125_ == NULL) {
#line 2982 "File.c"
			gchar* _tmp126_;
#line 598 "../libcore/File.vala"
			_tmp126_ = g_strdup_printf ("%u", self->gid);
#line 598 "../libcore/File.vala"
			_g_free0 (self->group);
#line 598 "../libcore/File.vala"
			self->group = _tmp126_;
#line 2990 "File.c"
		}
	} else {
		const gchar* _tmp127_;
#line 600 "../libcore/File.vala"
		_tmp127_ = self->group;
#line 600 "../libcore/File.vala"
		if (_tmp127_ != NULL) {
#line 2998 "File.c"
			const gchar* _tmp128_;
#line 601 "../libcore/File.vala"
			_tmp128_ = self->group;
#line 601 "../libcore/File.vala"
			self->gid = (guint32) atoi (_tmp128_);
#line 3004 "File.c"
		} else {
#line 603 "../libcore/File.vala"
			_g_free0 (self->group);
#line 603 "../libcore/File.vala"
			self->group = NULL;
#line 3010 "File.c"
		}
	}
#line 606 "../libcore/File.vala"
	_tmp129_ = self->info;
#line 606 "../libcore/File.vala"
	if (g_file_info_has_attribute (_tmp129_, G_FILE_ATTRIBUTE_MOUNTABLE_CAN_UNMOUNT)) {
#line 3017 "File.c"
		GFileInfo* _tmp130_;
#line 607 "../libcore/File.vala"
		_tmp130_ = self->info;
#line 607 "../libcore/File.vala"
		self->can_unmount = g_file_info_get_attribute_boolean (_tmp130_, G_FILE_ATTRIBUTE_MOUNTABLE_CAN_UNMOUNT);
#line 3023 "File.c"
	}
#line 610 "../libcore/File.vala"
	files_file_update_emblem (self);
#line 3027 "File.c"
}

void
files_file_update_type (FilesFile* self)
{
	const gchar* ftype = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gboolean _tmp4_ = FALSE;
#line 613 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 614 "../libcore/File.vala"
	files_file_update_formated_type (self);
#line 616 "../libcore/File.vala"
	_tmp0_ = files_file_get_ftype (self);
#line 616 "../libcore/File.vala"
	ftype = _tmp0_;
#line 617 "../libcore/File.vala"
	_tmp1_ = ftype;
#line 617 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 3049 "File.c"
		const gchar* _tmp2_;
		GIcon* _tmp3_;
#line 618 "../libcore/File.vala"
		_tmp2_ = ftype;
#line 618 "../libcore/File.vala"
		_tmp3_ = g_content_type_get_icon (_tmp2_);
#line 618 "../libcore/File.vala"
		_g_object_unref0 (self->icon);
#line 618 "../libcore/File.vala"
		self->icon = _tmp3_;
#line 3060 "File.c"
	}
#line 621 "../libcore/File.vala"
	if (self->pix_size > 1) {
#line 621 "../libcore/File.vala"
		_tmp4_ = self->pix_scale > 0;
#line 3066 "File.c"
	} else {
#line 621 "../libcore/File.vala"
		_tmp4_ = FALSE;
#line 3070 "File.c"
	}
#line 621 "../libcore/File.vala"
	if (_tmp4_) {
#line 622 "../libcore/File.vala"
		files_file_update_icon (self, self->pix_size, self->pix_scale);
#line 623 "../libcore/File.vala"
		g_signal_emit (self, files_file_signals[FILES_FILE_ICON_CHANGED_SIGNAL], 0);
#line 3078 "File.c"
	}
}

void
files_file_update_icon (FilesFile* self,
                        gint size,
                        gint scale)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GdkPixbuf* _tmp2_;
#line 627 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 628 "../libcore/File.vala"
	if (size <= 1) {
#line 629 "../libcore/File.vala"
		return;
#line 3096 "File.c"
	}
#line 632 "../libcore/File.vala"
	_tmp2_ = self->pix;
#line 632 "../libcore/File.vala"
	if (_tmp2_ != NULL) {
#line 632 "../libcore/File.vala"
		_tmp1_ = self->pix_size == size;
#line 3104 "File.c"
	} else {
#line 632 "../libcore/File.vala"
		_tmp1_ = FALSE;
#line 3108 "File.c"
	}
#line 632 "../libcore/File.vala"
	if (_tmp1_) {
#line 632 "../libcore/File.vala"
		_tmp0_ = self->pix_scale == scale;
#line 3114 "File.c"
	} else {
#line 632 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 3118 "File.c"
	}
#line 632 "../libcore/File.vala"
	if (_tmp0_) {
#line 633 "../libcore/File.vala"
		return;
#line 3124 "File.c"
	}
#line 636 "../libcore/File.vala"
	files_file_update_icon_internal (self, size, scale);
#line 3128 "File.c"
}

void
files_file_update_desktop_file (FilesFile* self)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 639 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 640 "../libcore/File.vala"
	_tmp0_ = files_file_get_display_name (self);
#line 640 "../libcore/File.vala"
	_tmp1_ = g_utf8_collate_key_for_filename (_tmp0_, (gssize) -1);
#line 640 "../libcore/File.vala"
	_g_free0 (self->utf8_collation_key);
#line 640 "../libcore/File.vala"
	self->utf8_collation_key = _tmp1_;
#line 641 "../libcore/File.vala"
	files_file_update_formated_type (self);
#line 642 "../libcore/File.vala"
	files_file_ensure_size (self);
#line 643 "../libcore/File.vala"
	g_signal_emit (self, files_file_signals[FILES_FILE_ICON_CHANGED_SIGNAL], 0);
#line 3152 "File.c"
}

void
files_file_query_update (FilesFile* self)
{
	GFileInfo* _info = NULL;
	GFileInfo* _tmp0_;
	GFileInfo* _tmp1_;
#line 646 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 647 "../libcore/File.vala"
	_tmp0_ = files_file_query_info (self);
#line 647 "../libcore/File.vala"
	_info = _tmp0_;
#line 648 "../libcore/File.vala"
	_tmp1_ = _info;
#line 648 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 3171 "File.c"
		GFileInfo* _tmp2_;
		GFileInfo* _tmp3_;
#line 649 "../libcore/File.vala"
		_tmp2_ = _info;
#line 649 "../libcore/File.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 649 "../libcore/File.vala"
		_g_object_unref0 (self->info);
#line 649 "../libcore/File.vala"
		self->info = _tmp3_;
#line 650 "../libcore/File.vala"
		files_file_update (self);
#line 3184 "File.c"
	}
#line 646 "../libcore/File.vala"
	_g_object_unref0 (_info);
#line 3188 "File.c"
}

void
files_file_query_thumbnail_update (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
#line 654 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 656 "../libcore/File.vala"
	if (self->pix_size <= 1) {
#line 656 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3203 "File.c"
	} else {
#line 656 "../libcore/File.vala"
		_tmp0_ = self->pix_scale <= 0;
#line 3207 "File.c"
	}
#line 656 "../libcore/File.vala"
	if (_tmp0_) {
#line 657 "../libcore/File.vala"
		return;
#line 3213 "File.c"
	}
#line 659 "../libcore/File.vala"
	_tmp2_ = files_file_get_thumbnail_path (self);
#line 659 "../libcore/File.vala"
	if (_tmp2_ == NULL) {
#line 659 "../libcore/File.vala"
		_tmp1_ = self->thumbstate == ((guint) FILES_FILE_THUMB_STATE_READY);
#line 3221 "File.c"
	} else {
#line 659 "../libcore/File.vala"
		_tmp1_ = FALSE;
#line 3225 "File.c"
	}
#line 659 "../libcore/File.vala"
	if (_tmp1_) {
#line 3229 "File.c"
		gchar* md5_hash = NULL;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* base_name = NULL;
		const gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* folder_size = NULL;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
#line 660 "../libcore/File.vala"
		_tmp3_ = self->priv->_uri;
#line 660 "../libcore/File.vala"
		_tmp4_ = g_compute_checksum_for_string (G_CHECKSUM_MD5, _tmp3_, (gsize) -1);
#line 660 "../libcore/File.vala"
		md5_hash = _tmp4_;
#line 661 "../libcore/File.vala"
		_tmp5_ = md5_hash;
#line 661 "../libcore/File.vala"
		_tmp6_ = g_strdup_printf ("%s.png", _tmp5_);
#line 661 "../libcore/File.vala"
		base_name = _tmp6_;
#line 664 "../libcore/File.vala"
		folder_size = "normal";
#line 665 "../libcore/File.vala"
		if ((self->pix_size * self->pix_scale) > 128) {
#line 666 "../libcore/File.vala"
			folder_size = "large";
#line 3259 "File.c"
		}
#line 669 "../libcore/File.vala"
		_tmp7_ = g_get_user_cache_dir ();
#line 669 "../libcore/File.vala"
		_tmp8_ = folder_size;
#line 669 "../libcore/File.vala"
		_tmp9_ = base_name;
#line 669 "../libcore/File.vala"
		_tmp10_ = g_build_filename (_tmp7_, "thumbnails", _tmp8_, _tmp9_, NULL);
#line 669 "../libcore/File.vala"
		_g_free0 (self->thumbnail_path);
#line 669 "../libcore/File.vala"
		self->thumbnail_path = _tmp10_;
#line 659 "../libcore/File.vala"
		_g_free0 (base_name);
#line 659 "../libcore/File.vala"
		_g_free0 (md5_hash);
#line 3277 "File.c"
	}
#line 677 "../libcore/File.vala"
	files_file_update_icon_internal (self, self->pix_size, self->pix_scale);
#line 3281 "File.c"
}

gboolean
files_file_ensure_query_info (FilesFile* self)
{
	GFileInfo* _tmp0_;
	GFileInfo* _tmp1_;
	gboolean result;
#line 680 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 681 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 681 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 682 "../libcore/File.vala"
		files_file_query_update (self);
#line 3298 "File.c"
	}
#line 685 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 685 "../libcore/File.vala"
	result = _tmp1_ != NULL;
#line 685 "../libcore/File.vala"
	return result;
#line 3306 "File.c"
}

const gchar*
files_file_get_thumbnail_path (FilesFile* self)
{
	const gchar* path = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp7_;
	const gchar* result;
#line 688 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 689 "../libcore/File.vala"
	path = NULL;
#line 690 "../libcore/File.vala"
	_tmp0_ = self->thumbnail_path;
#line 690 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 3324 "File.c"
		const gchar* _tmp1_;
#line 691 "../libcore/File.vala"
		_tmp1_ = self->thumbnail_path;
#line 691 "../libcore/File.vala"
		path = _tmp1_;
#line 3330 "File.c"
	} else {
		gboolean _tmp2_ = FALSE;
		GFileInfo* _tmp3_;
#line 692 "../libcore/File.vala"
		_tmp3_ = self->info;
#line 692 "../libcore/File.vala"
		if (_tmp3_ != NULL) {
#line 3338 "File.c"
			GFileInfo* _tmp4_;
#line 692 "../libcore/File.vala"
			_tmp4_ = self->info;
#line 692 "../libcore/File.vala"
			_tmp2_ = g_file_info_has_attribute (_tmp4_, G_FILE_ATTRIBUTE_THUMBNAIL_PATH);
#line 3344 "File.c"
		} else {
#line 692 "../libcore/File.vala"
			_tmp2_ = FALSE;
#line 3348 "File.c"
		}
#line 692 "../libcore/File.vala"
		if (_tmp2_) {
#line 3352 "File.c"
			GFileInfo* _tmp5_;
			const gchar* _tmp6_;
#line 693 "../libcore/File.vala"
			_tmp5_ = self->info;
#line 693 "../libcore/File.vala"
			_tmp6_ = g_file_info_get_attribute_byte_string (_tmp5_, G_FILE_ATTRIBUTE_THUMBNAIL_PATH);
#line 693 "../libcore/File.vala"
			path = _tmp6_;
#line 3361 "File.c"
		}
	}
#line 696 "../libcore/File.vala"
	_tmp7_ = path;
#line 696 "../libcore/File.vala"
	result = _tmp7_;
#line 696 "../libcore/File.vala"
	return result;
#line 3370 "File.c"
}

static guint
uint_parse (const gchar* str,
            guint _base)
{
	guint result;
#line 213 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0U);
#line 214 "glib-2.0.vapi"
	result = (guint) strtoul (str, NULL, (gint) _base);
#line 214 "glib-2.0.vapi"
	return result;
#line 3384 "File.c"
}

gboolean
files_file_can_set_owner (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean result;
#line 699 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 701 "../libcore/File.vala"
	if (self->uid == ((guint32) -1)) {
#line 701 "../libcore/File.vala"
		_tmp2_ = TRUE;
#line 3400 "File.c"
	} else {
		const gchar* _tmp3_;
#line 702 "../libcore/File.vala"
		_tmp3_ = self->owner;
#line 702 "../libcore/File.vala"
		_tmp2_ = _tmp3_ == NULL;
#line 3407 "File.c"
	}
#line 701 "../libcore/File.vala"
	if (_tmp2_) {
#line 701 "../libcore/File.vala"
		_tmp1_ = TRUE;
#line 3413 "File.c"
	} else {
		const gchar* _tmp4_;
#line 703 "../libcore/File.vala"
		_tmp4_ = self->owner;
#line 703 "../libcore/File.vala"
		_tmp1_ = self->uid == ((guint32) uint_parse (_tmp4_, (guint) 0));
#line 3420 "File.c"
	}
#line 701 "../libcore/File.vala"
	if (_tmp1_) {
#line 701 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3426 "File.c"
	} else {
#line 704 "../libcore/File.vala"
		_tmp0_ = files_file_is_trashed (self);
#line 3430 "File.c"
	}
#line 701 "../libcore/File.vala"
	if (_tmp0_) {
#line 706 "../libcore/File.vala"
		result = FALSE;
#line 706 "../libcore/File.vala"
		return result;
#line 3438 "File.c"
	}
#line 709 "../libcore/File.vala"
	result = geteuid () == ((uid_t) 0);
#line 709 "../libcore/File.vala"
	return result;
#line 3444 "File.c"
}

gboolean
files_file_can_set_group (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	uid_t user_id = {0};
	gboolean result;
#line 712 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 713 "../libcore/File.vala"
	if (self->gid == ((guint32) -1)) {
#line 713 "../libcore/File.vala"
		_tmp2_ = TRUE;
#line 3461 "File.c"
	} else {
		const gchar* _tmp3_;
#line 714 "../libcore/File.vala"
		_tmp3_ = self->group;
#line 714 "../libcore/File.vala"
		_tmp2_ = _tmp3_ == NULL;
#line 3468 "File.c"
	}
#line 713 "../libcore/File.vala"
	if (_tmp2_) {
#line 713 "../libcore/File.vala"
		_tmp1_ = TRUE;
#line 3474 "File.c"
	} else {
		const gchar* _tmp4_;
#line 715 "../libcore/File.vala"
		_tmp4_ = self->group;
#line 715 "../libcore/File.vala"
		_tmp1_ = self->gid == ((guint32) uint_parse (_tmp4_, (guint) 0));
#line 3481 "File.c"
	}
#line 713 "../libcore/File.vala"
	if (_tmp1_) {
#line 713 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3487 "File.c"
	} else {
#line 716 "../libcore/File.vala"
		_tmp0_ = files_file_is_trashed (self);
#line 3491 "File.c"
	}
#line 713 "../libcore/File.vala"
	if (_tmp0_) {
#line 718 "../libcore/File.vala"
		result = FALSE;
#line 718 "../libcore/File.vala"
		return result;
#line 3499 "File.c"
	}
#line 721 "../libcore/File.vala"
	user_id = geteuid ();
#line 723 "../libcore/File.vala"
	if (user_id == ((uid_t) self->uid)) {
#line 724 "../libcore/File.vala"
		result = TRUE;
#line 724 "../libcore/File.vala"
		return result;
#line 3509 "File.c"
	}
#line 728 "../libcore/File.vala"
	if (user_id == ((uid_t) 0)) {
#line 729 "../libcore/File.vala"
		result = TRUE;
#line 729 "../libcore/File.vala"
		return result;
#line 3517 "File.c"
	}
#line 731 "../libcore/File.vala"
	result = FALSE;
#line 731 "../libcore/File.vala"
	return result;
#line 3523 "File.c"
}

gboolean
files_file_can_set_permissions (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	GFile* _tmp5_;
	gboolean result;
#line 734 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 735 "../libcore/File.vala"
	if (self->uid == ((guint32) -1)) {
#line 735 "../libcore/File.vala"
		_tmp2_ = TRUE;
#line 3540 "File.c"
	} else {
		const gchar* _tmp3_;
#line 736 "../libcore/File.vala"
		_tmp3_ = self->owner;
#line 736 "../libcore/File.vala"
		_tmp2_ = _tmp3_ == NULL;
#line 3547 "File.c"
	}
#line 735 "../libcore/File.vala"
	if (_tmp2_) {
#line 735 "../libcore/File.vala"
		_tmp1_ = TRUE;
#line 3553 "File.c"
	} else {
		const gchar* _tmp4_;
#line 737 "../libcore/File.vala"
		_tmp4_ = self->owner;
#line 737 "../libcore/File.vala"
		_tmp1_ = self->uid == ((guint32) uint_parse (_tmp4_, (guint) 0));
#line 3560 "File.c"
	}
#line 735 "../libcore/File.vala"
	if (_tmp1_) {
#line 735 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3566 "File.c"
	} else {
#line 738 "../libcore/File.vala"
		_tmp0_ = files_file_is_trashed (self);
#line 3570 "File.c"
	}
#line 735 "../libcore/File.vala"
	if (_tmp0_) {
#line 740 "../libcore/File.vala"
		result = FALSE;
#line 740 "../libcore/File.vala"
		return result;
#line 3578 "File.c"
	}
#line 743 "../libcore/File.vala"
	_tmp5_ = self->priv->_location;
#line 743 "../libcore/File.vala"
	if (g_file_is_native (_tmp5_)) {
#line 3584 "File.c"
		uid_t user_id = {0};
#line 745 "../libcore/File.vala"
		user_id = geteuid ();
#line 747 "../libcore/File.vala"
		if (user_id == ((uid_t) self->uid)) {
#line 748 "../libcore/File.vala"
			result = TRUE;
#line 748 "../libcore/File.vala"
			return result;
#line 3594 "File.c"
		}
#line 752 "../libcore/File.vala"
		if (user_id == ((uid_t) 0)) {
#line 753 "../libcore/File.vala"
			result = TRUE;
#line 753 "../libcore/File.vala"
			return result;
#line 3602 "File.c"
		}
#line 757 "../libcore/File.vala"
		result = FALSE;
#line 757 "../libcore/File.vala"
		return result;
#line 3608 "File.c"
	}
#line 762 "../libcore/File.vala"
	result = TRUE;
#line 762 "../libcore/File.vala"
	return result;
#line 3614 "File.c"
}

gboolean
files_file_can_unmount (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 765 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 766 "../libcore/File.vala"
	if (self->can_unmount) {
#line 766 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3628 "File.c"
	} else {
		gboolean _tmp1_ = FALSE;
		GMount* _tmp2_;
#line 766 "../libcore/File.vala"
		_tmp2_ = self->mount;
#line 766 "../libcore/File.vala"
		if (_tmp2_ != NULL) {
#line 3636 "File.c"
			GMount* _tmp3_;
#line 766 "../libcore/File.vala"
			_tmp3_ = self->mount;
#line 766 "../libcore/File.vala"
			_tmp1_ = g_mount_can_unmount (_tmp3_);
#line 3642 "File.c"
		} else {
#line 766 "../libcore/File.vala"
			_tmp1_ = FALSE;
#line 3646 "File.c"
		}
#line 766 "../libcore/File.vala"
		_tmp0_ = _tmp1_;
#line 3650 "File.c"
	}
#line 766 "../libcore/File.vala"
	result = _tmp0_;
#line 766 "../libcore/File.vala"
	return result;
#line 3656 "File.c"
}

gchar*
files_file_get_permissions_as_string (FilesFile* self)
{
	gboolean is_link = FALSE;
	gboolean suid = FALSE;
	gboolean sgid = FALSE;
	gboolean sticky = FALSE;
	gchar _tmp0_ = '\0';
	gchar _tmp2_ = '\0';
	gchar _tmp3_ = '\0';
	gchar _tmp4_ = '\0';
	gchar _tmp7_ = '\0';
	gchar _tmp8_ = '\0';
	gchar _tmp9_ = '\0';
	gchar _tmp12_ = '\0';
	gchar _tmp13_ = '\0';
	gchar _tmp14_ = '\0';
	gchar* _tmp17_;
	gchar* result;
#line 769 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 770 "../libcore/File.vala"
	is_link = files_file_is_symlink (self);
#line 773 "../libcore/File.vala"
	suid = (self->permissions & S_ISUID) != ((guint32) 0);
#line 774 "../libcore/File.vala"
	sgid = (self->permissions & S_ISGID) != ((guint32) 0);
#line 775 "../libcore/File.vala"
	sticky = (self->permissions & S_ISVTX) != ((guint32) 0);
#line 778 "../libcore/File.vala"
	if (is_link) {
#line 778 "../libcore/File.vala"
		_tmp0_ = 'l';
#line 3692 "File.c"
	} else {
		gchar _tmp1_ = '\0';
#line 778 "../libcore/File.vala"
		if (self->is_directory) {
#line 778 "../libcore/File.vala"
			_tmp1_ = 'd';
#line 3699 "File.c"
		} else {
#line 778 "../libcore/File.vala"
			_tmp1_ = '-';
#line 3703 "File.c"
		}
#line 778 "../libcore/File.vala"
		_tmp0_ = _tmp1_;
#line 3707 "File.c"
	}
#line 779 "../libcore/File.vala"
	if ((self->permissions & S_IRUSR) != ((guint32) 0)) {
#line 779 "../libcore/File.vala"
		_tmp2_ = 'r';
#line 3713 "File.c"
	} else {
#line 779 "../libcore/File.vala"
		_tmp2_ = '-';
#line 3717 "File.c"
	}
#line 780 "../libcore/File.vala"
	if ((self->permissions & S_IWUSR) != ((guint32) 0)) {
#line 780 "../libcore/File.vala"
		_tmp3_ = 'w';
#line 3723 "File.c"
	} else {
#line 780 "../libcore/File.vala"
		_tmp3_ = '-';
#line 3727 "File.c"
	}
#line 781 "../libcore/File.vala"
	if ((self->permissions & S_IXUSR) != ((guint32) 0)) {
#line 3731 "File.c"
		gchar _tmp5_ = '\0';
#line 781 "../libcore/File.vala"
		if (suid) {
#line 781 "../libcore/File.vala"
			_tmp5_ = 's';
#line 3737 "File.c"
		} else {
#line 781 "../libcore/File.vala"
			_tmp5_ = 'x';
#line 3741 "File.c"
		}
#line 781 "../libcore/File.vala"
		_tmp4_ = _tmp5_;
#line 3745 "File.c"
	} else {
		gchar _tmp6_ = '\0';
#line 781 "../libcore/File.vala"
		if (suid) {
#line 781 "../libcore/File.vala"
			_tmp6_ = 'S';
#line 3752 "File.c"
		} else {
#line 781 "../libcore/File.vala"
			_tmp6_ = '-';
#line 3756 "File.c"
		}
#line 781 "../libcore/File.vala"
		_tmp4_ = _tmp6_;
#line 3760 "File.c"
	}
#line 782 "../libcore/File.vala"
	if ((self->permissions & S_IRGRP) != ((guint32) 0)) {
#line 782 "../libcore/File.vala"
		_tmp7_ = 'r';
#line 3766 "File.c"
	} else {
#line 782 "../libcore/File.vala"
		_tmp7_ = '-';
#line 3770 "File.c"
	}
#line 783 "../libcore/File.vala"
	if ((self->permissions & S_IWGRP) != ((guint32) 0)) {
#line 783 "../libcore/File.vala"
		_tmp8_ = 'w';
#line 3776 "File.c"
	} else {
#line 783 "../libcore/File.vala"
		_tmp8_ = '-';
#line 3780 "File.c"
	}
#line 784 "../libcore/File.vala"
	if ((self->permissions & S_IXGRP) != ((guint32) 0)) {
#line 3784 "File.c"
		gchar _tmp10_ = '\0';
#line 784 "../libcore/File.vala"
		if (sgid) {
#line 784 "../libcore/File.vala"
			_tmp10_ = 's';
#line 3790 "File.c"
		} else {
#line 784 "../libcore/File.vala"
			_tmp10_ = 'x';
#line 3794 "File.c"
		}
#line 784 "../libcore/File.vala"
		_tmp9_ = _tmp10_;
#line 3798 "File.c"
	} else {
		gchar _tmp11_ = '\0';
#line 784 "../libcore/File.vala"
		if (sgid) {
#line 784 "../libcore/File.vala"
			_tmp11_ = 'S';
#line 3805 "File.c"
		} else {
#line 784 "../libcore/File.vala"
			_tmp11_ = '-';
#line 3809 "File.c"
		}
#line 784 "../libcore/File.vala"
		_tmp9_ = _tmp11_;
#line 3813 "File.c"
	}
#line 785 "../libcore/File.vala"
	if ((self->permissions & S_IROTH) != ((guint32) 0)) {
#line 785 "../libcore/File.vala"
		_tmp12_ = 'r';
#line 3819 "File.c"
	} else {
#line 785 "../libcore/File.vala"
		_tmp12_ = '-';
#line 3823 "File.c"
	}
#line 786 "../libcore/File.vala"
	if ((self->permissions & S_IWOTH) != ((guint32) 0)) {
#line 786 "../libcore/File.vala"
		_tmp13_ = 'w';
#line 3829 "File.c"
	} else {
#line 786 "../libcore/File.vala"
		_tmp13_ = '-';
#line 3833 "File.c"
	}
#line 787 "../libcore/File.vala"
	if ((self->permissions & S_IXOTH) != ((guint32) 0)) {
#line 3837 "File.c"
		gchar _tmp15_ = '\0';
#line 787 "../libcore/File.vala"
		if (sticky) {
#line 787 "../libcore/File.vala"
			_tmp15_ = 't';
#line 3843 "File.c"
		} else {
#line 787 "../libcore/File.vala"
			_tmp15_ = 'x';
#line 3847 "File.c"
		}
#line 787 "../libcore/File.vala"
		_tmp14_ = _tmp15_;
#line 3851 "File.c"
	} else {
		gchar _tmp16_ = '\0';
#line 787 "../libcore/File.vala"
		if (sticky) {
#line 787 "../libcore/File.vala"
			_tmp16_ = 'T';
#line 3858 "File.c"
		} else {
#line 787 "../libcore/File.vala"
			_tmp16_ = '-';
#line 3862 "File.c"
		}
#line 787 "../libcore/File.vala"
		_tmp14_ = _tmp16_;
#line 3866 "File.c"
	}
#line 777 "../libcore/File.vala"
	_tmp17_ = g_strdup_printf ("%c%c%c%c%c%c%c%c%c%c", (gint) _tmp0_, (gint) _tmp2_, (gint) _tmp3_, (gint) _tmp4_, (gint) _tmp7_, (gint) _tmp8_, (gint) _tmp9_, (gint) _tmp12_, (gint) _tmp13_, (gint) _tmp14_);
#line 777 "../libcore/File.vala"
	result = _tmp17_;
#line 777 "../libcore/File.vala"
	return result;
#line 3874 "File.c"
}

GList*
files_file_get_settable_group_names (FilesFile* self)
{
	uid_t user_id = {0};
	GList* result;
#line 791 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 792 "../libcore/File.vala"
	if (!files_file_can_set_group (self)) {
#line 793 "../libcore/File.vala"
		result = NULL;
#line 793 "../libcore/File.vala"
		return result;
#line 3890 "File.c"
	}
#line 796 "../libcore/File.vala"
	user_id = geteuid ();
#line 797 "../libcore/File.vala"
	if (user_id == ((uid_t) 0)) {
#line 3896 "File.c"
		GList* _tmp0_;
#line 798 "../libcore/File.vala"
		_tmp0_ = pf_user_utils_get_all_group_names ();
#line 798 "../libcore/File.vala"
		result = _tmp0_;
#line 798 "../libcore/File.vala"
		return result;
#line 3904 "File.c"
	} else {
#line 799 "../libcore/File.vala"
		if (user_id == ((uid_t) self->uid)) {
#line 3908 "File.c"
			GList* _tmp1_;
#line 800 "../libcore/File.vala"
			_tmp1_ = pf_user_utils_get_group_names_for_user ();
#line 800 "../libcore/File.vala"
			result = _tmp1_;
#line 800 "../libcore/File.vala"
			return result;
#line 3916 "File.c"
		} else {
#line 802 "../libcore/File.vala"
			g_warning ("File.vala:802: unhandled case");
#line 3920 "File.c"
		}
	}
#line 805 "../libcore/File.vala"
	result = NULL;
#line 805 "../libcore/File.vala"
	return result;
#line 3927 "File.c"
}

gboolean
files_file_is_remote_uri_scheme (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 808 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 809 "../libcore/File.vala"
	if (files_file_is_root_network_folder (self)) {
#line 809 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3941 "File.c"
	} else {
#line 809 "../libcore/File.vala"
		_tmp0_ = files_file_is_other_uri_scheme (self);
#line 3945 "File.c"
	}
#line 809 "../libcore/File.vala"
	result = _tmp0_;
#line 809 "../libcore/File.vala"
	return result;
#line 3951 "File.c"
}

gboolean
files_file_is_root_network_folder (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 812 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 813 "../libcore/File.vala"
	if (files_file_is_network_uri_scheme (self)) {
#line 813 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 3965 "File.c"
	} else {
#line 813 "../libcore/File.vala"
		_tmp0_ = files_file_is_smb_server (self);
#line 3969 "File.c"
	}
#line 813 "../libcore/File.vala"
	result = _tmp0_;
#line 813 "../libcore/File.vala"
	return result;
#line 3975 "File.c"
}

gboolean
files_file_is_network_uri_scheme (FilesFile* self)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
	gboolean result;
#line 816 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 817 "../libcore/File.vala"
	_tmp0_ = self->priv->_location;
#line 817 "../libcore/File.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, g_file_get_type ())) {
#line 818 "../libcore/File.vala"
		result = TRUE;
#line 818 "../libcore/File.vala"
		return result;
#line 3994 "File.c"
	}
#line 821 "../libcore/File.vala"
	_tmp1_ = self->priv->_location;
#line 821 "../libcore/File.vala"
	result = g_file_has_uri_scheme (_tmp1_, "network");
#line 821 "../libcore/File.vala"
	return result;
#line 4002 "File.c"
}

gboolean
files_file_is_smb_uri_scheme (FilesFile* self)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
	gboolean result;
#line 824 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 825 "../libcore/File.vala"
	_tmp0_ = self->priv->_location;
#line 825 "../libcore/File.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, g_file_get_type ())) {
#line 826 "../libcore/File.vala"
		result = TRUE;
#line 826 "../libcore/File.vala"
		return result;
#line 4021 "File.c"
	}
#line 829 "../libcore/File.vala"
	_tmp1_ = self->priv->_location;
#line 829 "../libcore/File.vala"
	result = g_file_has_uri_scheme (_tmp1_, "smb");
#line 829 "../libcore/File.vala"
	return result;
#line 4029 "File.c"
}

gboolean
files_file_is_recent_uri_scheme (FilesFile* self)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
	gboolean result;
#line 832 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 833 "../libcore/File.vala"
	_tmp0_ = self->priv->_location;
#line 833 "../libcore/File.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, g_file_get_type ())) {
#line 834 "../libcore/File.vala"
		result = TRUE;
#line 834 "../libcore/File.vala"
		return result;
#line 4048 "File.c"
	}
#line 837 "../libcore/File.vala"
	_tmp1_ = self->priv->_location;
#line 837 "../libcore/File.vala"
	result = g_file_has_uri_scheme (_tmp1_, "recent");
#line 837 "../libcore/File.vala"
	return result;
#line 4056 "File.c"
}

gboolean
files_file_is_other_uri_scheme (FilesFile* self)
{
	GFile* _tmp0_;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	GFile* _tmp5_;
	gboolean result;
#line 840 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 841 "../libcore/File.vala"
	_tmp0_ = self->priv->_location;
#line 841 "../libcore/File.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, g_file_get_type ())) {
#line 842 "../libcore/File.vala"
		result = TRUE;
#line 842 "../libcore/File.vala"
		return result;
#line 4079 "File.c"
	}
#line 845 "../libcore/File.vala"
	_tmp5_ = self->priv->_location;
#line 845 "../libcore/File.vala"
	if (g_file_has_uri_scheme (_tmp5_, "ftp")) {
#line 845 "../libcore/File.vala"
		_tmp4_ = TRUE;
#line 4087 "File.c"
	} else {
		GFile* _tmp6_;
#line 846 "../libcore/File.vala"
		_tmp6_ = self->priv->_location;
#line 846 "../libcore/File.vala"
		_tmp4_ = g_file_has_uri_scheme (_tmp6_, "sftp");
#line 4094 "File.c"
	}
#line 845 "../libcore/File.vala"
	if (_tmp4_) {
#line 845 "../libcore/File.vala"
		_tmp3_ = TRUE;
#line 4100 "File.c"
	} else {
		GFile* _tmp7_;
#line 847 "../libcore/File.vala"
		_tmp7_ = self->priv->_location;
#line 847 "../libcore/File.vala"
		_tmp3_ = g_file_has_uri_scheme (_tmp7_, "afp");
#line 4107 "File.c"
	}
#line 845 "../libcore/File.vala"
	if (_tmp3_) {
#line 845 "../libcore/File.vala"
		_tmp2_ = TRUE;
#line 4113 "File.c"
	} else {
		GFile* _tmp8_;
#line 848 "../libcore/File.vala"
		_tmp8_ = self->priv->_location;
#line 848 "../libcore/File.vala"
		_tmp2_ = g_file_has_uri_scheme (_tmp8_, "dav");
#line 4120 "File.c"
	}
#line 845 "../libcore/File.vala"
	if (_tmp2_) {
#line 845 "../libcore/File.vala"
		_tmp1_ = TRUE;
#line 4126 "File.c"
	} else {
		GFile* _tmp9_;
#line 849 "../libcore/File.vala"
		_tmp9_ = self->priv->_location;
#line 849 "../libcore/File.vala"
		_tmp1_ = g_file_has_uri_scheme (_tmp9_, "davs");
#line 4133 "File.c"
	}
#line 845 "../libcore/File.vala"
	result = _tmp1_;
#line 845 "../libcore/File.vala"
	return result;
#line 4139 "File.c"
}

gchar*
files_file_get_display_target_uri (FilesFile* self)
{
	gchar* targ_uri = NULL;
	GFileInfo* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* result;
#line 852 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 853 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 853 "../libcore/File.vala"
	_tmp1_ = g_file_info_get_attribute_as_string (_tmp0_, G_FILE_ATTRIBUTE_STANDARD_TARGET_URI);
#line 853 "../libcore/File.vala"
	targ_uri = _tmp1_;
#line 854 "../libcore/File.vala"
	_tmp2_ = targ_uri;
#line 854 "../libcore/File.vala"
	if (_tmp2_ != NULL) {
#line 855 "../libcore/File.vala"
		result = targ_uri;
#line 855 "../libcore/File.vala"
		return result;
#line 4168 "File.c"
	}
#line 858 "../libcore/File.vala"
	_tmp3_ = self->priv->_uri;
#line 858 "../libcore/File.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 858 "../libcore/File.vala"
	result = _tmp4_;
#line 858 "../libcore/File.vala"
	_g_free0 (targ_uri);
#line 858 "../libcore/File.vala"
	return result;
#line 4180 "File.c"
}

GAppInfo*
files_file_get_default_handler (FilesFile* self)
{
	const gchar* content_type = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GFile* _tmp8_;
	GError* _inner_error0_ = NULL;
	GAppInfo* result;
#line 861 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 862 "../libcore/File.vala"
	_tmp0_ = files_file_get_ftype (self);
#line 862 "../libcore/File.vala"
	content_type = _tmp0_;
#line 863 "../libcore/File.vala"
	_tmp1_ = content_type;
#line 863 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 4202 "File.c"
		const gchar* _tmp2_;
		GFile* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		GAppInfo* _tmp6_;
		GAppInfo* _tmp7_;
#line 864 "../libcore/File.vala"
		_tmp2_ = content_type;
#line 864 "../libcore/File.vala"
		_tmp3_ = self->priv->_location;
#line 864 "../libcore/File.vala"
		_tmp4_ = g_file_get_path (_tmp3_);
#line 864 "../libcore/File.vala"
		_tmp5_ = _tmp4_;
#line 864 "../libcore/File.vala"
		_tmp6_ = g_app_info_get_default_for_type (_tmp2_, _tmp5_ == NULL);
#line 864 "../libcore/File.vala"
		_tmp7_ = _tmp6_;
#line 864 "../libcore/File.vala"
		_g_free0 (_tmp5_);
#line 864 "../libcore/File.vala"
		result = _tmp7_;
#line 864 "../libcore/File.vala"
		return result;
#line 4227 "File.c"
	}
#line 867 "../libcore/File.vala"
	_tmp8_ = self->target_location;
#line 867 "../libcore/File.vala"
	if (_tmp8_ != NULL) {
#line 4233 "File.c"
		{
			GAppInfo* _tmp9_ = NULL;
			GFile* _tmp10_;
			GAppInfo* _tmp11_;
			GAppInfo* _tmp12_;
#line 869 "../libcore/File.vala"
			_tmp10_ = self->target_location;
#line 869 "../libcore/File.vala"
			_tmp11_ = g_file_query_default_handler (_tmp10_, NULL, &_inner_error0_);
#line 869 "../libcore/File.vala"
			_tmp9_ = _tmp11_;
#line 869 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4247 "File.c"
				goto __catch0_g_error;
			}
#line 869 "../libcore/File.vala"
			_tmp12_ = _tmp9_;
#line 869 "../libcore/File.vala"
			_tmp9_ = NULL;
#line 869 "../libcore/File.vala"
			result = _tmp12_;
#line 869 "../libcore/File.vala"
			_g_object_unref0 (_tmp9_);
#line 869 "../libcore/File.vala"
			return result;
#line 4260 "File.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp13_;
			const gchar* _tmp14_;
#line 868 "../libcore/File.vala"
			e = _inner_error0_;
#line 868 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 871 "../libcore/File.vala"
			_tmp13_ = e;
#line 871 "../libcore/File.vala"
			_tmp14_ = _tmp13_->message;
#line 871 "../libcore/File.vala"
			g_critical ("File.vala:871: %s", _tmp14_);
#line 872 "../libcore/File.vala"
			result = NULL;
#line 872 "../libcore/File.vala"
			_g_error_free0 (e);
#line 872 "../libcore/File.vala"
			return result;
#line 4284 "File.c"
		}
		__finally0:
#line 868 "../libcore/File.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 868 "../libcore/File.vala"
		g_clear_error (&_inner_error0_);
#line 868 "../libcore/File.vala"
		return NULL;
#line 4293 "File.c"
	}
	{
		GAppInfo* _tmp15_ = NULL;
		GFile* _tmp16_;
		GAppInfo* _tmp17_;
		GAppInfo* _tmp18_;
#line 877 "../libcore/File.vala"
		_tmp16_ = self->priv->_location;
#line 877 "../libcore/File.vala"
		_tmp17_ = g_file_query_default_handler (_tmp16_, NULL, &_inner_error0_);
#line 877 "../libcore/File.vala"
		_tmp15_ = _tmp17_;
#line 877 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4308 "File.c"
			goto __catch1_g_error;
		}
#line 877 "../libcore/File.vala"
		_tmp18_ = _tmp15_;
#line 877 "../libcore/File.vala"
		_tmp15_ = NULL;
#line 877 "../libcore/File.vala"
		result = _tmp18_;
#line 877 "../libcore/File.vala"
		_g_object_unref0 (_tmp15_);
#line 877 "../libcore/File.vala"
		return result;
#line 4321 "File.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp19_;
		const gchar* _tmp20_;
#line 876 "../libcore/File.vala"
		e = _inner_error0_;
#line 876 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 879 "../libcore/File.vala"
		_tmp19_ = e;
#line 879 "../libcore/File.vala"
		_tmp20_ = _tmp19_->message;
#line 879 "../libcore/File.vala"
		g_critical ("File.vala:879: %s", _tmp20_);
#line 880 "../libcore/File.vala"
		result = NULL;
#line 880 "../libcore/File.vala"
		_g_error_free0 (e);
#line 880 "../libcore/File.vala"
		return result;
#line 4345 "File.c"
	}
	__finally1:
#line 876 "../libcore/File.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 876 "../libcore/File.vala"
	g_clear_error (&_inner_error0_);
#line 876 "../libcore/File.vala"
	return NULL;
#line 4354 "File.c"
}

static gpointer
_g_error_copy0 (gpointer self)
{
#line 899 "../libcore/File.vala"
	return self ? g_error_copy (self) : NULL;
#line 4362 "File.c"
}

gboolean
files_file_execute (FilesFile* self,
                    GList* files,
                    GError** error)
{
	GFile* _tmp0_;
	GAppInfo* app_info = NULL;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 884 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 885 "../libcore/File.vala"
	_tmp0_ = self->priv->_location;
#line 885 "../libcore/File.vala"
	if (!g_file_is_native (_tmp0_)) {
#line 886 "../libcore/File.vala"
		result = FALSE;
#line 886 "../libcore/File.vala"
		return result;
#line 4384 "File.c"
	}
#line 889 "../libcore/File.vala"
	app_info = NULL;
#line 890 "../libcore/File.vala"
	if (files_file_is_desktop_file (self)) {
#line 4390 "File.c"
		{
			GKeyFile* key_file = NULL;
			GFile* _tmp1_;
			GKeyFile* _tmp2_;
			GKeyFile* _tmp3_;
			GDesktopAppInfo* _tmp4_;
			GAppInfo* _tmp5_;
#line 892 "../libcore/File.vala"
			_tmp1_ = self->priv->_location;
#line 892 "../libcore/File.vala"
			_tmp2_ = files_file_utils_key_file_from_file (_tmp1_, NULL, &_inner_error0_);
#line 892 "../libcore/File.vala"
			key_file = _tmp2_;
#line 892 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4406 "File.c"
				goto __catch0_g_error;
			}
#line 893 "../libcore/File.vala"
			_tmp3_ = key_file;
#line 893 "../libcore/File.vala"
			_tmp4_ = g_desktop_app_info_new_from_keyfile (_tmp3_);
#line 893 "../libcore/File.vala"
			_g_object_unref0 (app_info);
#line 893 "../libcore/File.vala"
			app_info = (GAppInfo*) _tmp4_;
#line 894 "../libcore/File.vala"
			_tmp5_ = app_info;
#line 894 "../libcore/File.vala"
			if (_tmp5_ == NULL) {
#line 4421 "File.c"
				GError* _tmp6_;
#line 895 "../libcore/File.vala"
				_tmp6_ = g_error_new_literal (G_FILE_ERROR, G_FILE_ERROR_INVAL, _ ("Failed to parse the desktop file"));
#line 895 "../libcore/File.vala"
				_inner_error0_ = _tmp6_;
#line 895 "../libcore/File.vala"
				_g_key_file_unref0 (key_file);
#line 4429 "File.c"
				goto __catch0_g_error;
			}
#line 891 "../libcore/File.vala"
			_g_key_file_unref0 (key_file);
#line 4434 "File.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* prefixed_error = NULL;
			GError* _tmp7_;
			GError* _tmp8_;
			GError* _tmp9_ = NULL;
			GError* _tmp10_;
			GError* _tmp11_;
#line 891 "../libcore/File.vala"
			e = _inner_error0_;
#line 891 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 899 "../libcore/File.vala"
			_tmp7_ = e;
#line 899 "../libcore/File.vala"
			_tmp8_ = _g_error_copy0 (_tmp7_);
#line 899 "../libcore/File.vala"
			g_propagate_prefixed_error (&_tmp9_, _tmp8_, _ ("Failed to parse the desktop file: "), NULL);
#line 899 "../libcore/File.vala"
			_g_error_free0 (prefixed_error);
#line 899 "../libcore/File.vala"
			prefixed_error = _tmp9_;
#line 900 "../libcore/File.vala"
			_tmp10_ = prefixed_error;
#line 900 "../libcore/File.vala"
			_tmp11_ = _g_error_copy0 (_tmp10_);
#line 900 "../libcore/File.vala"
			_inner_error0_ = _tmp11_;
#line 900 "../libcore/File.vala"
			_g_error_free0 (prefixed_error);
#line 900 "../libcore/File.vala"
			_g_error_free0 (e);
#line 4470 "File.c"
			goto __finally0;
		}
		__finally0:
#line 891 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4476 "File.c"
			gboolean _tmp12_ = FALSE;
#line 891 "../libcore/File.vala"
			g_propagate_error (error, _inner_error0_);
#line 891 "../libcore/File.vala"
			_g_object_unref0 (app_info);
#line 891 "../libcore/File.vala"
			return _tmp12_;
#line 4484 "File.c"
		}
	} else {
		{
			gchar* path = NULL;
			GFile* _tmp13_;
			gchar* _tmp14_;
			GAppInfo* _tmp15_ = NULL;
			const gchar* _tmp16_;
			gchar* _tmp17_;
			gchar* _tmp18_;
			GAppInfo* _tmp19_;
			GAppInfo* _tmp20_;
			GAppInfo* _tmp21_;
#line 904 "../libcore/File.vala"
			_tmp13_ = self->priv->_location;
#line 904 "../libcore/File.vala"
			_tmp14_ = g_file_get_path (_tmp13_);
#line 904 "../libcore/File.vala"
			path = _tmp14_;
#line 905 "../libcore/File.vala"
			_tmp16_ = path;
#line 905 "../libcore/File.vala"
			_tmp17_ = g_shell_quote (_tmp16_);
#line 905 "../libcore/File.vala"
			_tmp18_ = _tmp17_;
#line 905 "../libcore/File.vala"
			_tmp19_ = g_app_info_create_from_commandline (_tmp18_, NULL, G_APP_INFO_CREATE_NONE, &_inner_error0_);
#line 905 "../libcore/File.vala"
			_tmp20_ = _tmp19_;
#line 905 "../libcore/File.vala"
			_g_free0 (_tmp18_);
#line 905 "../libcore/File.vala"
			_tmp15_ = _tmp20_;
#line 905 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 905 "../libcore/File.vala"
				_g_free0 (path);
#line 4522 "File.c"
				goto __catch1_g_error;
			}
#line 905 "../libcore/File.vala"
			_tmp21_ = _tmp15_;
#line 905 "../libcore/File.vala"
			_tmp15_ = NULL;
#line 905 "../libcore/File.vala"
			_g_object_unref0 (app_info);
#line 905 "../libcore/File.vala"
			app_info = _tmp21_;
#line 903 "../libcore/File.vala"
			_g_object_unref0 (_tmp15_);
#line 903 "../libcore/File.vala"
			_g_free0 (path);
#line 4537 "File.c"
		}
		goto __finally1;
		__catch1_g_error:
		{
			GError* e = NULL;
			GError* prefixed_error = NULL;
			GError* _tmp22_;
			GError* _tmp23_;
			GError* _tmp24_ = NULL;
			GError* _tmp25_;
			GError* _tmp26_;
#line 903 "../libcore/File.vala"
			e = _inner_error0_;
#line 903 "../libcore/File.vala"
			_inner_error0_ = NULL;
#line 911 "../libcore/File.vala"
			_tmp22_ = e;
#line 911 "../libcore/File.vala"
			_tmp23_ = _g_error_copy0 (_tmp22_);
#line 911 "../libcore/File.vala"
			g_propagate_prefixed_error (&_tmp24_, _tmp23_, _ ("Failed to create command from file: "), NULL);
#line 911 "../libcore/File.vala"
			_g_error_free0 (prefixed_error);
#line 911 "../libcore/File.vala"
			prefixed_error = _tmp24_;
#line 912 "../libcore/File.vala"
			_tmp25_ = prefixed_error;
#line 912 "../libcore/File.vala"
			_tmp26_ = _g_error_copy0 (_tmp25_);
#line 912 "../libcore/File.vala"
			_inner_error0_ = _tmp26_;
#line 912 "../libcore/File.vala"
			_g_error_free0 (prefixed_error);
#line 912 "../libcore/File.vala"
			_g_error_free0 (e);
#line 4573 "File.c"
			goto __finally1;
		}
		__finally1:
#line 903 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4579 "File.c"
			gboolean _tmp27_ = FALSE;
#line 903 "../libcore/File.vala"
			g_propagate_error (error, _inner_error0_);
#line 903 "../libcore/File.vala"
			_g_object_unref0 (app_info);
#line 903 "../libcore/File.vala"
			return _tmp27_;
#line 4587 "File.c"
		}
	}
	{
		GAppInfo* _tmp28_;
#line 917 "../libcore/File.vala"
		_tmp28_ = app_info;
#line 917 "../libcore/File.vala"
		g_app_info_launch (_tmp28_, files, NULL, &_inner_error0_);
#line 917 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4598 "File.c"
			goto __catch2_g_error;
		}
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		GError* prefixed_error = NULL;
		GError* _tmp29_;
		GError* _tmp30_;
		GError* _tmp31_ = NULL;
		GError* _tmp32_;
		GError* _tmp33_;
#line 916 "../libcore/File.vala"
		e = _inner_error0_;
#line 916 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 920 "../libcore/File.vala"
		_tmp29_ = e;
#line 920 "../libcore/File.vala"
		_tmp30_ = _g_error_copy0 (_tmp29_);
#line 920 "../libcore/File.vala"
		g_propagate_prefixed_error (&_tmp31_, _tmp30_, _ ("Unable to Launch Desktop File: "), NULL);
#line 920 "../libcore/File.vala"
		_g_error_free0 (prefixed_error);
#line 920 "../libcore/File.vala"
		prefixed_error = _tmp31_;
#line 921 "../libcore/File.vala"
		_tmp32_ = prefixed_error;
#line 921 "../libcore/File.vala"
		_tmp33_ = _g_error_copy0 (_tmp32_);
#line 921 "../libcore/File.vala"
		_inner_error0_ = _tmp33_;
#line 921 "../libcore/File.vala"
		_g_error_free0 (prefixed_error);
#line 921 "../libcore/File.vala"
		_g_error_free0 (e);
#line 4636 "File.c"
		goto __finally2;
	}
	__finally2:
#line 916 "../libcore/File.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4642 "File.c"
		gboolean _tmp34_ = FALSE;
#line 916 "../libcore/File.vala"
		g_propagate_error (error, _inner_error0_);
#line 916 "../libcore/File.vala"
		_g_object_unref0 (app_info);
#line 916 "../libcore/File.vala"
		return _tmp34_;
#line 4650 "File.c"
	}
#line 924 "../libcore/File.vala"
	result = TRUE;
#line 924 "../libcore/File.vala"
	_g_object_unref0 (app_info);
#line 924 "../libcore/File.vala"
	return result;
#line 4658 "File.c"
}

gint
files_file_compare_for_sort (FilesFile* self,
                             FilesFile* other,
                             gint sort_type,
                             gboolean directories_first,
                             gboolean reversed)
{
	gint _result_ = 0;
	gint result;
#line 927 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 927 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 928 "../libcore/File.vala"
	if (other == self) {
#line 929 "../libcore/File.vala"
		result = 0;
#line 929 "../libcore/File.vala"
		return result;
#line 4680 "File.c"
	}
#line 932 "../libcore/File.vala"
	if (directories_first) {
#line 4684 "File.c"
		gboolean _tmp0_ = FALSE;
#line 935 "../libcore/File.vala"
		if (files_file_is_folder (self)) {
#line 935 "../libcore/File.vala"
			_tmp0_ = !files_file_is_folder (other);
#line 4690 "File.c"
		} else {
#line 935 "../libcore/File.vala"
			_tmp0_ = FALSE;
#line 4694 "File.c"
		}
#line 935 "../libcore/File.vala"
		if (_tmp0_) {
#line 4698 "File.c"
			gint _tmp1_ = 0;
#line 936 "../libcore/File.vala"
			if (reversed) {
#line 936 "../libcore/File.vala"
				_tmp1_ = 1;
#line 4704 "File.c"
			} else {
#line 936 "../libcore/File.vala"
				_tmp1_ = -1;
#line 4708 "File.c"
			}
#line 936 "../libcore/File.vala"
			result = _tmp1_;
#line 936 "../libcore/File.vala"
			return result;
#line 4714 "File.c"
		} else {
			gboolean _tmp2_ = FALSE;
#line 937 "../libcore/File.vala"
			if (files_file_is_folder (other)) {
#line 937 "../libcore/File.vala"
				_tmp2_ = !files_file_is_folder (self);
#line 4721 "File.c"
			} else {
#line 937 "../libcore/File.vala"
				_tmp2_ = FALSE;
#line 4725 "File.c"
			}
#line 937 "../libcore/File.vala"
			if (_tmp2_) {
#line 4729 "File.c"
				gint _tmp3_ = 0;
#line 938 "../libcore/File.vala"
				if (reversed) {
#line 938 "../libcore/File.vala"
					_tmp3_ = -1;
#line 4735 "File.c"
				} else {
#line 938 "../libcore/File.vala"
					_tmp3_ = 1;
#line 4739 "File.c"
				}
#line 938 "../libcore/File.vala"
				result = _tmp3_;
#line 938 "../libcore/File.vala"
				return result;
#line 4745 "File.c"
			}
		}
	}
#line 943 "../libcore/File.vala"
	_result_ = 0;
#line 944 "../libcore/File.vala"
	switch (sort_type) {
#line 944 "../libcore/File.vala"
		case FILES_LIST_MODEL_COLUMN_ID_FILENAME:
#line 4755 "File.c"
		{
#line 946 "../libcore/File.vala"
			_result_ = files_file_compare_by_display_name (self, other);
#line 947 "../libcore/File.vala"
			break;
#line 4761 "File.c"
		}
#line 944 "../libcore/File.vala"
		case FILES_LIST_MODEL_COLUMN_ID_SIZE:
#line 4765 "File.c"
		{
#line 949 "../libcore/File.vala"
			_result_ = files_file_compare_by_size (self, other);
#line 950 "../libcore/File.vala"
			if (_result_ == 0) {
#line 951 "../libcore/File.vala"
				_result_ = files_file_compare_by_display_name (self, other);
#line 4773 "File.c"
			}
#line 954 "../libcore/File.vala"
			break;
#line 4777 "File.c"
		}
#line 944 "../libcore/File.vala"
		case FILES_LIST_MODEL_COLUMN_ID_TYPE:
#line 4781 "File.c"
		{
#line 956 "../libcore/File.vala"
			_result_ = files_file_compare_by_type (self, other);
#line 957 "../libcore/File.vala"
			if (_result_ == 0) {
#line 958 "../libcore/File.vala"
				_result_ = files_file_compare_by_display_name (self, other);
#line 4789 "File.c"
			}
#line 961 "../libcore/File.vala"
			break;
#line 4793 "File.c"
		}
#line 944 "../libcore/File.vala"
		case FILES_LIST_MODEL_COLUMN_ID_MODIFIED:
#line 4797 "File.c"
		{
#line 963 "../libcore/File.vala"
			_result_ = files_file_compare_files_by_time (self, other);
#line 964 "../libcore/File.vala"
			if (_result_ == 0) {
#line 965 "../libcore/File.vala"
				_result_ = files_file_compare_by_display_name (self, other);
#line 4805 "File.c"
			}
#line 968 "../libcore/File.vala"
			break;
#line 4809 "File.c"
		}
		default:
		{
#line 970 "../libcore/File.vala"
			g_assert_not_reached ();
#line 4815 "File.c"
		}
	}
#line 973 "../libcore/File.vala"
	result = _result_;
#line 973 "../libcore/File.vala"
	return result;
#line 4822 "File.c"
}

static gchar
string_get (const gchar* self,
            glong index)
{
	gchar _tmp0_;
	gchar result;
#line 1240 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, '\0');
#line 1241 "glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1241 "glib-2.0.vapi"
	result = _tmp0_;
#line 1241 "glib-2.0.vapi"
	return result;
#line 4839 "File.c"
}

gint
files_file_compare_by_display_name (FilesFile* self,
                                    FilesFile* other)
{
#line 978 "../libcore/File.vala"
	static const gchar SORT_LAST_CHAR1 = '.';
#line 979 "../libcore/File.vala"
	static const gchar SORT_LAST_CHAR2 = '#';
#line 4850 "File.c"
	const gchar* name1 = NULL;
	const gchar* _tmp0_;
	const gchar* name2 = NULL;
	const gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_;
	gboolean sort_last1 = FALSE;
	gboolean _tmp5_ = FALSE;
	const gchar* _tmp6_;
	gboolean sort_last2 = FALSE;
	gboolean _tmp8_ = FALSE;
	gint result;
#line 976 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 976 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 981 "../libcore/File.vala"
	_tmp0_ = files_file_get_display_name (self);
#line 981 "../libcore/File.vala"
	name1 = _tmp0_;
#line 982 "../libcore/File.vala"
	_tmp1_ = files_file_get_display_name (other);
#line 982 "../libcore/File.vala"
	name2 = _tmp1_;
#line 984 "../libcore/File.vala"
	_tmp3_ = name1;
#line 984 "../libcore/File.vala"
	if (string_get (_tmp3_, (glong) 0) == SORT_LAST_CHAR1) {
#line 984 "../libcore/File.vala"
		_tmp2_ = TRUE;
#line 4881 "File.c"
	} else {
		const gchar* _tmp4_;
#line 984 "../libcore/File.vala"
		_tmp4_ = name1;
#line 984 "../libcore/File.vala"
		_tmp2_ = string_get (_tmp4_, (glong) 0) == SORT_LAST_CHAR2;
#line 4888 "File.c"
	}
#line 984 "../libcore/File.vala"
	sort_last1 = _tmp2_;
#line 985 "../libcore/File.vala"
	_tmp6_ = name2;
#line 985 "../libcore/File.vala"
	if (string_get (_tmp6_, (glong) 0) == SORT_LAST_CHAR1) {
#line 985 "../libcore/File.vala"
		_tmp5_ = TRUE;
#line 4898 "File.c"
	} else {
		const gchar* _tmp7_;
#line 985 "../libcore/File.vala"
		_tmp7_ = name2;
#line 985 "../libcore/File.vala"
		_tmp5_ = string_get (_tmp7_, (glong) 0) == SORT_LAST_CHAR2;
#line 4905 "File.c"
	}
#line 985 "../libcore/File.vala"
	sort_last2 = _tmp5_;
#line 988 "../libcore/File.vala"
	if (sort_last1) {
#line 988 "../libcore/File.vala"
		_tmp8_ = !sort_last2;
#line 4913 "File.c"
	} else {
#line 988 "../libcore/File.vala"
		_tmp8_ = FALSE;
#line 4917 "File.c"
	}
#line 988 "../libcore/File.vala"
	if (_tmp8_) {
#line 989 "../libcore/File.vala"
		result = 1;
#line 989 "../libcore/File.vala"
		return result;
#line 4925 "File.c"
	} else {
		gboolean _tmp9_ = FALSE;
#line 990 "../libcore/File.vala"
		if (!sort_last1) {
#line 990 "../libcore/File.vala"
			_tmp9_ = sort_last2;
#line 4932 "File.c"
		} else {
#line 990 "../libcore/File.vala"
			_tmp9_ = FALSE;
#line 4936 "File.c"
		}
#line 990 "../libcore/File.vala"
		if (_tmp9_) {
#line 991 "../libcore/File.vala"
			result = -1;
#line 991 "../libcore/File.vala"
			return result;
#line 4944 "File.c"
		} else {
			GCompareFunc _tmp10_;
			const gchar* _tmp11_;
			const gchar* _tmp12_;
#line 993 "../libcore/File.vala"
			_tmp10_ = ((GCompareFunc) g_strcmp0);
#line 993 "../libcore/File.vala"
			_tmp11_ = self->utf8_collation_key;
#line 993 "../libcore/File.vala"
			_tmp12_ = other->utf8_collation_key;
#line 993 "../libcore/File.vala"
			result = _tmp10_ (_tmp11_, _tmp12_);
#line 993 "../libcore/File.vala"
			return result;
#line 4959 "File.c"
		}
	}
}

void
files_file_update_emblem (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	GList* _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp5_ = FALSE;
#line 997 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1000 "../libcore/File.vala"
	if (files_file_is_other_uri_scheme (self)) {
#line 1000 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 4977 "File.c"
	} else {
#line 1000 "../libcore/File.vala"
		_tmp0_ = files_file_is_network_uri_scheme (self);
#line 4981 "File.c"
	}
#line 1000 "../libcore/File.vala"
	if (_tmp0_) {
#line 1001 "../libcore/File.vala"
		return;
#line 4987 "File.c"
	}
#line 1005 "../libcore/File.vala"
	if (files_file_is_smb_share (self)) {
#line 1006 "../libcore/File.vala"
		return;
#line 4993 "File.c"
	}
#line 1010 "../libcore/File.vala"
	_tmp1_ = self->emblems_list;
#line 1010 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 1011 "../libcore/File.vala"
		(self->emblems_list == NULL) ? NULL : (self->emblems_list = (_g_list_free__g_free0_ (self->emblems_list), NULL));
#line 1011 "../libcore/File.vala"
		self->emblems_list = NULL;
#line 1012 "../libcore/File.vala"
		self->n_emblems = (guint) 0;
#line 5005 "File.c"
	}
#line 1015 "../libcore/File.vala"
	if (files_file_is_symlink (self)) {
#line 1015 "../libcore/File.vala"
		_tmp2_ = TRUE;
#line 5011 "File.c"
	} else {
		gboolean _tmp3_ = FALSE;
#line 1015 "../libcore/File.vala"
		if (self->is_desktop) {
#line 5016 "File.c"
			FilesFile* _tmp4_;
#line 1015 "../libcore/File.vala"
			_tmp4_ = self->target_gof;
#line 1015 "../libcore/File.vala"
			_tmp3_ = _tmp4_ != NULL;
#line 5022 "File.c"
		} else {
#line 1015 "../libcore/File.vala"
			_tmp3_ = FALSE;
#line 5026 "File.c"
		}
#line 1015 "../libcore/File.vala"
		_tmp2_ = _tmp3_;
#line 5030 "File.c"
	}
#line 1015 "../libcore/File.vala"
	if (_tmp2_) {
#line 1016 "../libcore/File.vala"
		files_file_add_emblem (self, "emblem-symbolic-link");
#line 5036 "File.c"
	}
#line 1021 "../libcore/File.vala"
	if (!files_file_is_writable (self)) {
#line 1021 "../libcore/File.vala"
		_tmp5_ = !files_file_is_recent_uri_scheme (self);
#line 5042 "File.c"
	} else {
#line 1021 "../libcore/File.vala"
		_tmp5_ = FALSE;
#line 5046 "File.c"
	}
#line 1021 "../libcore/File.vala"
	if (_tmp5_) {
#line 1022 "../libcore/File.vala"
		if (files_file_is_readable (self)) {
#line 1023 "../libcore/File.vala"
			files_file_add_emblem (self, "emblem-readonly");
#line 5054 "File.c"
		} else {
#line 1025 "../libcore/File.vala"
			files_file_add_emblem (self, "emblem-unreadable");
#line 5058 "File.c"
		}
	}
}

void
files_file_add_emblem (FilesFile* self,
                       const gchar* emblem)
{
	GList* _tmp0_;
	gchar* _tmp3_;
	guint _tmp4_;
#line 1030 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1030 "../libcore/File.vala"
	g_return_if_fail (emblem != NULL);
#line 1031 "../libcore/File.vala"
	_tmp0_ = self->emblems_list;
#line 1031 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 5078 "File.c"
		GList* _tmp1_;
#line 1032 "../libcore/File.vala"
		_tmp1_ = self->emblems_list;
#line 5082 "File.c"
		{
			GList* emblem_item_collection = NULL;
			GList* emblem_item_it = NULL;
#line 1032 "../libcore/File.vala"
			emblem_item_collection = _tmp1_;
#line 1032 "../libcore/File.vala"
			for (emblem_item_it = emblem_item_collection; emblem_item_it != NULL; emblem_item_it = emblem_item_it->next) {
#line 5090 "File.c"
				const gchar* emblem_item = NULL;
#line 1032 "../libcore/File.vala"
				emblem_item = (const gchar*) emblem_item_it->data;
#line 5094 "File.c"
				{
					const gchar* _tmp2_;
#line 1033 "../libcore/File.vala"
					_tmp2_ = emblem_item;
#line 1033 "../libcore/File.vala"
					if (g_strcmp0 (_tmp2_, emblem) == 0) {
#line 1034 "../libcore/File.vala"
						return;
#line 5103 "File.c"
					}
				}
			}
		}
	} else {
#line 1038 "../libcore/File.vala"
		(self->emblems_list == NULL) ? NULL : (self->emblems_list = (_g_list_free__g_free0_ (self->emblems_list), NULL));
#line 1038 "../libcore/File.vala"
		self->emblems_list = NULL;
#line 5113 "File.c"
	}
#line 1041 "../libcore/File.vala"
	_tmp3_ = g_strdup (emblem);
#line 1041 "../libcore/File.vala"
	self->emblems_list = g_list_append (self->emblems_list, _tmp3_);
#line 1042 "../libcore/File.vala"
	_tmp4_ = self->n_emblems;
#line 1042 "../libcore/File.vala"
	self->n_emblems = _tmp4_ + 1;
#line 1043 "../libcore/File.vala"
	g_signal_emit (self, files_file_signals[FILES_FILE_ICON_CHANGED_SIGNAL], 0);
#line 5125 "File.c"
}

static void
files_file_target_location_update (FilesFile* self)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
	FilesFile* _tmp2_;
	FilesFile* _tmp3_;
#line 1046 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1047 "../libcore/File.vala"
	_tmp0_ = self->target_location;
#line 1047 "../libcore/File.vala"
	if (_tmp0_ == NULL) {
#line 1048 "../libcore/File.vala"
		return;
#line 5143 "File.c"
	}
#line 1051 "../libcore/File.vala"
	_tmp1_ = self->target_location;
#line 1051 "../libcore/File.vala"
	_tmp2_ = files_file_get (_tmp1_);
#line 1051 "../libcore/File.vala"
	_g_object_unref0 (self->target_gof);
#line 1051 "../libcore/File.vala"
	self->target_gof = _tmp2_;
#line 1052 "../libcore/File.vala"
	_tmp3_ = self->target_gof;
#line 1052 "../libcore/File.vala"
	files_file_query_update (_tmp3_);
#line 5157 "File.c"
}

static void
files_file_clear_info (FilesFile* self)
{
#line 1055 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1056 "../libcore/File.vala"
	_g_object_unref0 (self->target_location);
#line 1056 "../libcore/File.vala"
	self->target_location = NULL;
#line 1057 "../libcore/File.vala"
	_g_object_unref0 (self->mount);
#line 1057 "../libcore/File.vala"
	self->mount = NULL;
#line 1058 "../libcore/File.vala"
	_g_free0 (self->utf8_collation_key);
#line 1058 "../libcore/File.vala"
	self->utf8_collation_key = NULL;
#line 1059 "../libcore/File.vala"
	_g_free0 (self->formated_type);
#line 1059 "../libcore/File.vala"
	self->formated_type = NULL;
#line 1060 "../libcore/File.vala"
	_g_free0 (self->format_size);
#line 1060 "../libcore/File.vala"
	self->format_size = NULL;
#line 1061 "../libcore/File.vala"
	_g_free0 (self->formated_modified);
#line 1061 "../libcore/File.vala"
	self->formated_modified = NULL;
#line 1062 "../libcore/File.vala"
	_g_object_unref0 (self->icon);
#line 1062 "../libcore/File.vala"
	self->icon = NULL;
#line 1063 "../libcore/File.vala"
	_g_free0 (self->custom_display_name);
#line 1063 "../libcore/File.vala"
	self->custom_display_name = NULL;
#line 1064 "../libcore/File.vala"
	_g_free0 (self->custom_icon_name);
#line 1064 "../libcore/File.vala"
	self->custom_icon_name = NULL;
#line 1066 "../libcore/File.vala"
	self->uid = (guint32) -1;
#line 1067 "../libcore/File.vala"
	self->gid = (guint32) -1;
#line 1068 "../libcore/File.vala"
	self->has_permissions = FALSE;
#line 1069 "../libcore/File.vala"
	self->permissions = (guint32) 0;
#line 1070 "../libcore/File.vala"
	_g_free0 (self->owner);
#line 1070 "../libcore/File.vala"
	self->owner = NULL;
#line 1071 "../libcore/File.vala"
	_g_free0 (self->group);
#line 1071 "../libcore/File.vala"
	self->group = NULL;
#line 1072 "../libcore/File.vala"
	self->can_unmount = FALSE;
#line 5219 "File.c"
}

static GFileInfo*
files_file_query_info (FilesFile* self)
{
	gboolean _tmp0_ = FALSE;
	GFile* _tmp1_;
	GError* _inner_error0_ = NULL;
	GFileInfo* result;
#line 1075 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1076 "../libcore/File.vala"
	_tmp1_ = self->priv->_location;
#line 1076 "../libcore/File.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp1_, g_file_get_type ())) {
#line 1076 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 5237 "File.c"
	} else {
		GFile* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
#line 1076 "../libcore/File.vala"
		_tmp2_ = self->priv->_location;
#line 1076 "../libcore/File.vala"
		_tmp3_ = g_file_get_uri (_tmp2_);
#line 1076 "../libcore/File.vala"
		_tmp4_ = _tmp3_;
#line 1076 "../libcore/File.vala"
		_tmp0_ = g_str_has_prefix (_tmp4_, FILES_NETWORK_URI);
#line 1076 "../libcore/File.vala"
		_g_free0 (_tmp4_);
#line 5252 "File.c"
	}
#line 1076 "../libcore/File.vala"
	if (_tmp0_) {
#line 1077 "../libcore/File.vala"
		result = NULL;
#line 1077 "../libcore/File.vala"
		return result;
#line 5260 "File.c"
	}
#line 1080 "../libcore/File.vala"
	self->is_mounted = TRUE;
#line 1081 "../libcore/File.vala"
	self->exists = TRUE;
#line 1082 "../libcore/File.vala"
	self->is_connected = TRUE;
#line 5268 "File.c"
	{
		GFileInfo* _tmp5_ = NULL;
		GFile* _tmp6_;
		GFileInfo* _tmp7_;
		GFileInfo* _tmp8_;
#line 1084 "../libcore/File.vala"
		_tmp6_ = self->priv->_location;
#line 1084 "../libcore/File.vala"
		_tmp7_ = g_file_query_info (_tmp6_, "*", G_FILE_QUERY_INFO_NONE, NULL, &_inner_error0_);
#line 1084 "../libcore/File.vala"
		_tmp5_ = _tmp7_;
#line 1084 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1084 "../libcore/File.vala"
			if (g_error_matches (_inner_error0_, G_IO_ERROR, G_IO_ERROR_NOT_MOUNTED)) {
#line 5284 "File.c"
				goto __catch0_g_io_error_not_mounted;
			}
#line 1084 "../libcore/File.vala"
			if (g_error_matches (_inner_error0_, G_IO_ERROR, G_IO_ERROR_NOT_FOUND)) {
#line 5289 "File.c"
				goto __catch0_g_io_error_not_found;
			}
#line 1084 "../libcore/File.vala"
			if (g_error_matches (_inner_error0_, G_IO_ERROR, G_IO_ERROR_NOT_DIRECTORY)) {
#line 5294 "File.c"
				goto __catch0_g_io_error_not_directory;
			}
#line 1084 "../libcore/File.vala"
			if (g_error_matches (_inner_error0_, G_IO_ERROR, G_IO_ERROR_TIMED_OUT)) {
#line 5299 "File.c"
				goto __catch0_g_io_error_timed_out;
			}
			goto __catch0_g_error;
		}
#line 1084 "../libcore/File.vala"
		_tmp8_ = _tmp5_;
#line 1084 "../libcore/File.vala"
		_tmp5_ = NULL;
#line 1084 "../libcore/File.vala"
		result = _tmp8_;
#line 1084 "../libcore/File.vala"
		_g_object_unref0 (_tmp5_);
#line 1084 "../libcore/File.vala"
		return result;
#line 5314 "File.c"
	}
	goto __finally0;
	__catch0_g_io_error_not_mounted:
	{
		GError* e = NULL;
		GError* _tmp9_;
		const gchar* _tmp10_;
#line 1083 "../libcore/File.vala"
		e = _inner_error0_;
#line 1083 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 1086 "../libcore/File.vala"
		self->is_mounted = FALSE;
#line 1087 "../libcore/File.vala"
		_tmp9_ = e;
#line 1087 "../libcore/File.vala"
		_tmp10_ = _tmp9_->message;
#line 1087 "../libcore/File.vala"
		g_debug ("File.vala:1087: %s", _tmp10_);
#line 1083 "../libcore/File.vala"
		_g_error_free0 (e);
#line 5336 "File.c"
	}
	goto __finally0;
	__catch0_g_io_error_not_found:
	{
		GError* e = NULL;
		GError* _tmp11_;
		const gchar* _tmp12_;
#line 1083 "../libcore/File.vala"
		e = _inner_error0_;
#line 1083 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 1089 "../libcore/File.vala"
		self->exists = FALSE;
#line 1090 "../libcore/File.vala"
		_tmp11_ = e;
#line 1090 "../libcore/File.vala"
		_tmp12_ = _tmp11_->message;
#line 1090 "../libcore/File.vala"
		g_debug ("File.vala:1090: %s", _tmp12_);
#line 1083 "../libcore/File.vala"
		_g_error_free0 (e);
#line 5358 "File.c"
	}
	goto __finally0;
	__catch0_g_io_error_not_directory:
	{
		GError* e = NULL;
		GError* _tmp13_;
		const gchar* _tmp14_;
#line 1083 "../libcore/File.vala"
		e = _inner_error0_;
#line 1083 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 1092 "../libcore/File.vala"
		self->exists = FALSE;
#line 1093 "../libcore/File.vala"
		_tmp13_ = e;
#line 1093 "../libcore/File.vala"
		_tmp14_ = _tmp13_->message;
#line 1093 "../libcore/File.vala"
		g_debug ("File.vala:1093: %s", _tmp14_);
#line 1083 "../libcore/File.vala"
		_g_error_free0 (e);
#line 5380 "File.c"
	}
	goto __finally0;
	__catch0_g_io_error_timed_out:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 1083 "../libcore/File.vala"
		e = _inner_error0_;
#line 1083 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 1095 "../libcore/File.vala"
		self->is_connected = FALSE;
#line 1096 "../libcore/File.vala"
		_tmp15_ = e;
#line 1096 "../libcore/File.vala"
		_tmp16_ = _tmp15_->message;
#line 1096 "../libcore/File.vala"
		g_debug ("File.vala:1096: %s", _tmp16_);
#line 1083 "../libcore/File.vala"
		_g_error_free0 (e);
#line 5402 "File.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_;
		const gchar* _tmp18_;
#line 1083 "../libcore/File.vala"
		e = _inner_error0_;
#line 1083 "../libcore/File.vala"
		_inner_error0_ = NULL;
#line 1098 "../libcore/File.vala"
		_tmp17_ = e;
#line 1098 "../libcore/File.vala"
		_tmp18_ = _tmp17_->message;
#line 1098 "../libcore/File.vala"
		g_debug ("File.vala:1098: %s", _tmp18_);
#line 1083 "../libcore/File.vala"
		_g_error_free0 (e);
#line 5422 "File.c"
	}
	__finally0:
#line 1083 "../libcore/File.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1083 "../libcore/File.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1083 "../libcore/File.vala"
		g_clear_error (&_inner_error0_);
#line 1083 "../libcore/File.vala"
		return NULL;
#line 5433 "File.c"
	}
#line 1101 "../libcore/File.vala"
	result = NULL;
#line 1101 "../libcore/File.vala"
	return result;
#line 5439 "File.c"
}

void
files_file_ensure_size (FilesFile* self)
{
#line 1104 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1105 "../libcore/File.vala"
	files_file_ensure_item_count (self, TRUE);
#line 1106 "../libcore/File.vala"
	if (self->count >= 0) {
#line 1107 "../libcore/File.vala"
		if (self->count < 0) {
#line 5453 "File.c"
			gchar* _tmp0_;
#line 1108 "../libcore/File.vala"
			_tmp0_ = g_strdup ("—");
#line 1108 "../libcore/File.vala"
			_g_free0 (self->format_size);
#line 1108 "../libcore/File.vala"
			self->format_size = _tmp0_;
#line 5461 "File.c"
		} else {
#line 1109 "../libcore/File.vala"
			if (self->count == 0) {
#line 5465 "File.c"
				gchar* _tmp1_;
#line 1110 "../libcore/File.vala"
				_tmp1_ = g_strdup (_ ("Empty"));
#line 1110 "../libcore/File.vala"
				_g_free0 (self->format_size);
#line 1110 "../libcore/File.vala"
				self->format_size = _tmp1_;
#line 5473 "File.c"
			} else {
				gchar* _tmp2_;
#line 1112 "../libcore/File.vala"
				_tmp2_ = g_strdup_printf (ngettext ("%'d item", "%'d items", (gulong) self->count), self->count);
#line 1112 "../libcore/File.vala"
				_g_free0 (self->format_size);
#line 1112 "../libcore/File.vala"
				self->format_size = _tmp2_;
#line 5482 "File.c"
			}
		}
	} else {
		GFileInfo* _tmp3_;
#line 1114 "../libcore/File.vala"
		_tmp3_ = self->info;
#line 1114 "../libcore/File.vala"
		if (g_file_info_has_attribute (_tmp3_, G_FILE_ATTRIBUTE_STANDARD_SIZE)) {
#line 5491 "File.c"
			gchar* _tmp4_;
#line 1115 "../libcore/File.vala"
			_tmp4_ = g_format_size_full (self->size, G_FORMAT_SIZE_DEFAULT);
#line 1115 "../libcore/File.vala"
			_g_free0 (self->format_size);
#line 1115 "../libcore/File.vala"
			self->format_size = _tmp4_;
#line 5499 "File.c"
		} else {
			gchar* _tmp5_;
#line 1117 "../libcore/File.vala"
			_tmp5_ = g_strdup (_ ("Inaccessible"));
#line 1117 "../libcore/File.vala"
			_g_free0 (self->format_size);
#line 1117 "../libcore/File.vala"
			self->format_size = _tmp5_;
#line 5508 "File.c"
		}
	}
}

static void
files_file_ensure_item_count (FilesFile* self,
                              gboolean recount)
{
	gboolean _tmp0_ = FALSE;
	gboolean pref_show_hidden = FALSE;
	FilesPreferences* _tmp1_;
	FilesPreferences* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
	gboolean _tmp5_;
	gboolean _tmp6_ = FALSE;
	GFile* _tmp7_;
	GError* _inner_error0_ = NULL;
#line 1121 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1122 "../libcore/File.vala"
	if (self->count >= 0) {
#line 1122 "../libcore/File.vala"
		_tmp0_ = !recount;
#line 5533 "File.c"
	} else {
#line 1122 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 5537 "File.c"
	}
#line 1122 "../libcore/File.vala"
	if (_tmp0_) {
#line 1123 "../libcore/File.vala"
		return;
#line 5543 "File.c"
	}
#line 1126 "../libcore/File.vala"
	_tmp1_ = files_preferences_get_default ();
#line 1126 "../libcore/File.vala"
	_tmp2_ = _tmp1_;
#line 1126 "../libcore/File.vala"
	_tmp3_ = files_preferences_get_show_hidden_files (_tmp2_);
#line 1126 "../libcore/File.vala"
	_tmp4_ = _tmp3_;
#line 1126 "../libcore/File.vala"
	_tmp5_ = _tmp4_;
#line 1126 "../libcore/File.vala"
	_g_object_unref0 (_tmp2_);
#line 1126 "../libcore/File.vala"
	pref_show_hidden = _tmp5_;
#line 1127 "../libcore/File.vala"
	_tmp7_ = self->priv->_location;
#line 1127 "../libcore/File.vala"
	if (g_file_has_uri_scheme (_tmp7_, "file")) {
#line 1127 "../libcore/File.vala"
		_tmp6_ = TRUE;
#line 5565 "File.c"
	} else {
		gboolean _tmp8_ = FALSE;
#line 1128 "../libcore/File.vala"
		if (self->is_mounted) {
#line 5570 "File.c"
			GFile* _tmp9_;
#line 1128 "../libcore/File.vala"
			_tmp9_ = self->priv->_location;
#line 1128 "../libcore/File.vala"
			_tmp8_ = g_file_is_native (_tmp9_);
#line 5576 "File.c"
		} else {
#line 1128 "../libcore/File.vala"
			_tmp8_ = FALSE;
#line 5580 "File.c"
		}
#line 1128 "../libcore/File.vala"
		_tmp6_ = _tmp8_;
#line 5584 "File.c"
	}
#line 1127 "../libcore/File.vala"
	if (_tmp6_) {
#line 5588 "File.c"
		{
			GFileEnumerator* f_enum = NULL;
			GFile* _tmp10_;
			GFileEnumerator* _tmp11_;
			GFileInfo* info = NULL;
#line 1131 "../libcore/File.vala"
			_tmp10_ = self->priv->_location;
#line 1131 "../libcore/File.vala"
			_tmp11_ = g_file_enumerate_children (_tmp10_, G_FILE_ATTRIBUTE_STANDARD_IS_HIDDEN, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error0_);
#line 1131 "../libcore/File.vala"
			f_enum = _tmp11_;
#line 1131 "../libcore/File.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 5602 "File.c"
				goto __catch0_g_error;
			}
#line 1136 "../libcore/File.vala"
			self->count = 0;
#line 1139 "../libcore/File.vala"
			while (TRUE) {
#line 5609 "File.c"
				GFileInfo* _tmp12_ = NULL;
				GFileEnumerator* _tmp13_;
				GFileInfo* _tmp14_;
				GFileInfo* _tmp15_;
				GFileInfo* _tmp16_;
				gboolean _tmp17_ = FALSE;
#line 1139 "../libcore/File.vala"
				_tmp13_ = f_enum;
#line 1139 "../libcore/File.vala"
				_tmp14_ = g_file_enumerator_next_file (_tmp13_, NULL, &_inner_error0_);
#line 1139 "../libcore/File.vala"
				_tmp12_ = _tmp14_;
#line 1139 "../libcore/File.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1139 "../libcore/File.vala"
					_g_object_unref0 (info);
#line 1139 "../libcore/File.vala"
					_g_object_unref0 (f_enum);
#line 5628 "File.c"
					goto __catch0_g_error;
				}
#line 1139 "../libcore/File.vala"
				_tmp15_ = _tmp12_;
#line 1139 "../libcore/File.vala"
				_tmp12_ = NULL;
#line 1139 "../libcore/File.vala"
				_g_object_unref0 (info);
#line 1139 "../libcore/File.vala"
				info = _tmp15_;
#line 1139 "../libcore/File.vala"
				_tmp16_ = info;
#line 1139 "../libcore/File.vala"
				if (!(_tmp16_ != NULL)) {
#line 1139 "../libcore/File.vala"
					_g_object_unref0 (_tmp12_);
#line 1139 "../libcore/File.vala"
					break;
#line 5647 "File.c"
				}
#line 1140 "../libcore/File.vala"
				if (pref_show_hidden) {
#line 1140 "../libcore/File.vala"
					_tmp17_ = TRUE;
#line 5653 "File.c"
				} else {
					GFileInfo* _tmp18_;
#line 1141 "../libcore/File.vala"
					_tmp18_ = info;
#line 1141 "../libcore/File.vala"
					_tmp17_ = !g_file_info_get_attribute_boolean (_tmp18_, G_FILE_ATTRIBUTE_STANDARD_IS_HIDDEN);
#line 5660 "File.c"
				}
#line 1140 "../libcore/File.vala"
				if (_tmp17_) {
#line 5664 "File.c"
					gint _tmp19_;
#line 1143 "../libcore/File.vala"
					_tmp19_ = self->count;
#line 1143 "../libcore/File.vala"
					self->count = _tmp19_ + 1;
#line 5670 "File.c"
				}
#line 1139 "../libcore/File.vala"
				_g_object_unref0 (_tmp12_);
#line 5674 "File.c"
			}
#line 1130 "../libcore/File.vala"
			_g_object_unref0 (info);
#line 1130 "../libcore/File.vala"
			_g_object_unref0 (f_enum);
#line 5680 "File.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
#line 1130 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 1147 "../libcore/File.vala"
			self->count = -1;
#line 5689 "File.c"
		}
		__finally0:
#line 1130 "../libcore/File.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1130 "../libcore/File.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1130 "../libcore/File.vala"
			g_clear_error (&_inner_error0_);
#line 1130 "../libcore/File.vala"
			return;
#line 5700 "File.c"
		}
	}
}

static void
files_file_update_formated_type (FilesFile* self)
{
	const gchar* ftype = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1153 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1154 "../libcore/File.vala"
	_tmp0_ = files_file_get_ftype (self);
#line 1154 "../libcore/File.vala"
	ftype = _tmp0_;
#line 1155 "../libcore/File.vala"
	_tmp1_ = ftype;
#line 1155 "../libcore/File.vala"
	if (_tmp1_ != NULL) {
#line 1156 "../libcore/File.vala"
		if (files_file_is_symlink (self)) {
#line 5723 "File.c"
			const gchar* _tmp2_;
			gchar* _tmp3_;
			gchar* _tmp4_;
			gchar* _tmp5_;
#line 1157 "../libcore/File.vala"
			_tmp2_ = ftype;
#line 1157 "../libcore/File.vala"
			_tmp3_ = g_content_type_get_description (_tmp2_);
#line 1157 "../libcore/File.vala"
			_tmp4_ = _tmp3_;
#line 1157 "../libcore/File.vala"
			_tmp5_ = g_strdup_printf (_ ("link to %s"), _tmp4_);
#line 1157 "../libcore/File.vala"
			_g_free0 (self->formated_type);
#line 1157 "../libcore/File.vala"
			self->formated_type = _tmp5_;
#line 1157 "../libcore/File.vala"
			_g_free0 (_tmp4_);
#line 5742 "File.c"
		} else {
			const gchar* _tmp6_;
			gchar* _tmp7_;
#line 1159 "../libcore/File.vala"
			_tmp6_ = ftype;
#line 1159 "../libcore/File.vala"
			_tmp7_ = g_content_type_get_description (_tmp6_);
#line 1159 "../libcore/File.vala"
			_g_free0 (self->formated_type);
#line 1159 "../libcore/File.vala"
			self->formated_type = _tmp7_;
#line 5754 "File.c"
		}
	} else {
		gchar* _tmp8_;
#line 1162 "../libcore/File.vala"
		_tmp8_ = g_strdup ("");
#line 1162 "../libcore/File.vala"
		_g_free0 (self->formated_type);
#line 1162 "../libcore/File.vala"
		self->formated_type = _tmp8_;
#line 5764 "File.c"
	}
}

GIcon*
files_file_get_icon_user_special_dirs (FilesFile* self,
                                       const gchar* path)
{
	const gchar* _tmp0_;
	GIcon* result;
#line 1166 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1166 "../libcore/File.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 1167 "../libcore/File.vala"
	_tmp0_ = g_get_home_dir ();
#line 1167 "../libcore/File.vala"
	if (g_strcmp0 (path, _tmp0_) == 0) {
#line 5782 "File.c"
		GThemedIcon* _tmp1_;
#line 1168 "../libcore/File.vala"
		_tmp1_ = (GThemedIcon*) g_themed_icon_new ("user-home");
#line 1168 "../libcore/File.vala"
		result = (GIcon*) _tmp1_;
#line 1168 "../libcore/File.vala"
		return result;
#line 5790 "File.c"
	} else {
		const gchar* _tmp2_;
#line 1169 "../libcore/File.vala"
		_tmp2_ = g_get_user_special_dir (G_USER_DIRECTORY_DESKTOP);
#line 1169 "../libcore/File.vala"
		if (g_strcmp0 (path, _tmp2_) == 0) {
#line 5797 "File.c"
			GThemedIcon* _tmp3_;
#line 1170 "../libcore/File.vala"
			_tmp3_ = (GThemedIcon*) g_themed_icon_new ("user-desktop");
#line 1170 "../libcore/File.vala"
			result = (GIcon*) _tmp3_;
#line 1170 "../libcore/File.vala"
			return result;
#line 5805 "File.c"
		} else {
			const gchar* _tmp4_;
#line 1171 "../libcore/File.vala"
			_tmp4_ = g_get_user_special_dir (G_USER_DIRECTORY_DOCUMENTS);
#line 1171 "../libcore/File.vala"
			if (g_strcmp0 (path, _tmp4_) == 0) {
#line 5812 "File.c"
				GThemedIcon* _tmp5_;
#line 1172 "../libcore/File.vala"
				_tmp5_ = (GThemedIcon*) g_themed_icon_new ("folder-documents");
#line 1172 "../libcore/File.vala"
				result = (GIcon*) _tmp5_;
#line 1172 "../libcore/File.vala"
				return result;
#line 5820 "File.c"
			} else {
				const gchar* _tmp6_;
#line 1173 "../libcore/File.vala"
				_tmp6_ = g_get_user_special_dir (G_USER_DIRECTORY_DOWNLOAD);
#line 1173 "../libcore/File.vala"
				if (g_strcmp0 (path, _tmp6_) == 0) {
#line 5827 "File.c"
					GThemedIcon* _tmp7_;
#line 1174 "../libcore/File.vala"
					_tmp7_ = (GThemedIcon*) g_themed_icon_new ("folder-download");
#line 1174 "../libcore/File.vala"
					result = (GIcon*) _tmp7_;
#line 1174 "../libcore/File.vala"
					return result;
#line 5835 "File.c"
				} else {
					const gchar* _tmp8_;
#line 1175 "../libcore/File.vala"
					_tmp8_ = g_get_user_special_dir (G_USER_DIRECTORY_MUSIC);
#line 1175 "../libcore/File.vala"
					if (g_strcmp0 (path, _tmp8_) == 0) {
#line 5842 "File.c"
						GThemedIcon* _tmp9_;
#line 1176 "../libcore/File.vala"
						_tmp9_ = (GThemedIcon*) g_themed_icon_new ("folder-music");
#line 1176 "../libcore/File.vala"
						result = (GIcon*) _tmp9_;
#line 1176 "../libcore/File.vala"
						return result;
#line 5850 "File.c"
					} else {
						const gchar* _tmp10_;
#line 1177 "../libcore/File.vala"
						_tmp10_ = g_get_user_special_dir (G_USER_DIRECTORY_PICTURES);
#line 1177 "../libcore/File.vala"
						if (g_strcmp0 (path, _tmp10_) == 0) {
#line 5857 "File.c"
							GThemedIcon* _tmp11_;
#line 1178 "../libcore/File.vala"
							_tmp11_ = (GThemedIcon*) g_themed_icon_new ("folder-pictures");
#line 1178 "../libcore/File.vala"
							result = (GIcon*) _tmp11_;
#line 1178 "../libcore/File.vala"
							return result;
#line 5865 "File.c"
						} else {
							const gchar* _tmp12_;
#line 1179 "../libcore/File.vala"
							_tmp12_ = g_get_user_special_dir (G_USER_DIRECTORY_PUBLIC_SHARE);
#line 1179 "../libcore/File.vala"
							if (g_strcmp0 (path, _tmp12_) == 0) {
#line 5872 "File.c"
								GThemedIcon* _tmp13_;
#line 1180 "../libcore/File.vala"
								_tmp13_ = (GThemedIcon*) g_themed_icon_new ("folder-publicshare");
#line 1180 "../libcore/File.vala"
								result = (GIcon*) _tmp13_;
#line 1180 "../libcore/File.vala"
								return result;
#line 5880 "File.c"
							} else {
								const gchar* _tmp14_;
#line 1181 "../libcore/File.vala"
								_tmp14_ = g_get_user_special_dir (G_USER_DIRECTORY_TEMPLATES);
#line 1181 "../libcore/File.vala"
								if (g_strcmp0 (path, _tmp14_) == 0) {
#line 5887 "File.c"
									GThemedIcon* _tmp15_;
#line 1182 "../libcore/File.vala"
									_tmp15_ = (GThemedIcon*) g_themed_icon_new ("folder-templates");
#line 1182 "../libcore/File.vala"
									result = (GIcon*) _tmp15_;
#line 1182 "../libcore/File.vala"
									return result;
#line 5895 "File.c"
								} else {
									const gchar* _tmp16_;
#line 1183 "../libcore/File.vala"
									_tmp16_ = g_get_user_special_dir (G_USER_DIRECTORY_VIDEOS);
#line 1183 "../libcore/File.vala"
									if (g_strcmp0 (path, _tmp16_) == 0) {
#line 5902 "File.c"
										GThemedIcon* _tmp17_;
#line 1184 "../libcore/File.vala"
										_tmp17_ = (GThemedIcon*) g_themed_icon_new ("folder-videos");
#line 1184 "../libcore/File.vala"
										result = (GIcon*) _tmp17_;
#line 1184 "../libcore/File.vala"
										return result;
#line 5910 "File.c"
									}
								}
							}
						}
					}
				}
			}
		}
	}
#line 1187 "../libcore/File.vala"
	result = NULL;
#line 1187 "../libcore/File.vala"
	return result;
#line 5924 "File.c"
}

static guint
files_file_get_number_of_uri_parts (FilesFile* self)
{
	const gchar* target_uri = NULL;
	GFileInfo* _tmp0_;
	const gchar* _tmp3_;
	const gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gchar** _tmp8_;
	gint _tmp8__length1;
	guint _tmp9_;
	guint result;
#line 1190 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 1191 "../libcore/File.vala"
	target_uri = NULL;
#line 1192 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 1192 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 5948 "File.c"
		GFileInfo* _tmp1_;
		const gchar* _tmp2_;
#line 1193 "../libcore/File.vala"
		_tmp1_ = self->info;
#line 1193 "../libcore/File.vala"
		_tmp2_ = g_file_info_get_attribute_string (_tmp1_, G_FILE_ATTRIBUTE_STANDARD_TARGET_URI);
#line 1193 "../libcore/File.vala"
		target_uri = _tmp2_;
#line 5957 "File.c"
	}
#line 1196 "../libcore/File.vala"
	_tmp3_ = target_uri;
#line 1196 "../libcore/File.vala"
	if (_tmp3_ == NULL) {
#line 5963 "File.c"
		const gchar* _tmp4_;
#line 1197 "../libcore/File.vala"
		_tmp4_ = self->priv->_uri;
#line 1197 "../libcore/File.vala"
		target_uri = _tmp4_;
#line 5969 "File.c"
	}
#line 1200 "../libcore/File.vala"
	_tmp5_ = target_uri;
#line 1200 "../libcore/File.vala"
	_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "/", 6);
#line 1200 "../libcore/File.vala"
	_tmp8_ = _tmp7_;
#line 1200 "../libcore/File.vala"
	_tmp8__length1 = _vala_array_length (_tmp6_);
#line 1200 "../libcore/File.vala"
	_tmp9_ = (guint) _vala_array_length (_tmp6_);
#line 1200 "../libcore/File.vala"
	_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 1200 "../libcore/File.vala"
	result = _tmp9_;
#line 1200 "../libcore/File.vala"
	return result;
#line 5987 "File.c"
}

static gboolean
files_file_is_location_uri_default (FilesFile* self)
{
	GFileInfo* _tmp0_;
	const gchar* target_uri = NULL;
	GFileInfo* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar** split = NULL;
	const gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint split_length1;
	gint _split_size_;
	gboolean _tmp8_ = FALSE;
	gchar** _tmp9_;
	gint _tmp9__length1;
	const gchar* _tmp10_;
	gboolean result;
#line 1203 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1204 "../libcore/File.vala"
	_tmp0_ = self->info;
#line 1204 "../libcore/File.vala"
	g_return_val_if_fail (_tmp0_ != NULL, FALSE);
#line 1205 "../libcore/File.vala"
	_tmp1_ = self->info;
#line 1205 "../libcore/File.vala"
	_tmp2_ = g_file_info_get_attribute_string (_tmp1_, G_FILE_ATTRIBUTE_STANDARD_TARGET_URI);
#line 1205 "../libcore/File.vala"
	target_uri = _tmp2_;
#line 1206 "../libcore/File.vala"
	_tmp3_ = target_uri;
#line 1206 "../libcore/File.vala"
	if (_tmp3_ == NULL) {
#line 6025 "File.c"
		const gchar* _tmp4_;
#line 1207 "../libcore/File.vala"
		_tmp4_ = self->priv->_uri;
#line 1207 "../libcore/File.vala"
		target_uri = _tmp4_;
#line 6031 "File.c"
	}
#line 1210 "../libcore/File.vala"
	_tmp5_ = target_uri;
#line 1210 "../libcore/File.vala"
	_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "/", 4);
#line 1210 "../libcore/File.vala"
	split = _tmp7_;
#line 1210 "../libcore/File.vala"
	split_length1 = _vala_array_length (_tmp6_);
#line 1210 "../libcore/File.vala"
	_split_size_ = split_length1;
#line 1211 "../libcore/File.vala"
	_tmp9_ = split;
#line 1211 "../libcore/File.vala"
	_tmp9__length1 = split_length1;
#line 1211 "../libcore/File.vala"
	_tmp10_ = _tmp9_[3];
#line 1211 "../libcore/File.vala"
	if (_tmp10_ == NULL) {
#line 1211 "../libcore/File.vala"
		_tmp8_ = TRUE;
#line 6053 "File.c"
	} else {
		gchar** _tmp11_;
		gint _tmp11__length1;
		const gchar* _tmp12_;
#line 1211 "../libcore/File.vala"
		_tmp11_ = split;
#line 1211 "../libcore/File.vala"
		_tmp11__length1 = split_length1;
#line 1211 "../libcore/File.vala"
		_tmp12_ = _tmp11_[3];
#line 1211 "../libcore/File.vala"
		_tmp8_ = g_strcmp0 (_tmp12_, "") == 0;
#line 6066 "File.c"
	}
#line 1211 "../libcore/File.vala"
	result = _tmp8_;
#line 1211 "../libcore/File.vala"
	split = (_vala_array_free (split, split_length1, (GDestroyNotify) g_free), NULL);
#line 1211 "../libcore/File.vala"
	return result;
#line 6074 "File.c"
}

gint
files_file_compare_files_by_time (FilesFile* self,
                                  FilesFile* other)
{
	gint result;
#line 1215 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1215 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 1216 "../libcore/File.vala"
	if (self->modified < other->modified) {
#line 1217 "../libcore/File.vala"
		result = 1;
#line 1217 "../libcore/File.vala"
		return result;
#line 6092 "File.c"
	} else {
#line 1218 "../libcore/File.vala"
		if (self->modified > other->modified) {
#line 1219 "../libcore/File.vala"
			result = -1;
#line 1219 "../libcore/File.vala"
			return result;
#line 6100 "File.c"
		}
	}
#line 1221 "../libcore/File.vala"
	result = 0;
#line 1221 "../libcore/File.vala"
	return result;
#line 6107 "File.c"
}

gint
files_file_compare_files_by_created (FilesFile* self,
                                     FilesFile* other)
{
	gint result;
#line 1224 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1224 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 1225 "../libcore/File.vala"
	if (self->created < other->created) {
#line 1226 "../libcore/File.vala"
		result = 1;
#line 1226 "../libcore/File.vala"
		return result;
#line 6125 "File.c"
	} else {
#line 1227 "../libcore/File.vala"
		if (self->created > other->created) {
#line 1228 "../libcore/File.vala"
			result = -1;
#line 1228 "../libcore/File.vala"
			return result;
#line 6133 "File.c"
		}
	}
#line 1230 "../libcore/File.vala"
	result = 0;
#line 1230 "../libcore/File.vala"
	return result;
#line 6140 "File.c"
}

gint
files_file_compare_by_type (FilesFile* self,
                            FilesFile* other)
{
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gint result;
#line 1233 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1233 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 1239 "../libcore/File.vala"
	if (files_file_is_folder (self)) {
#line 1239 "../libcore/File.vala"
		_tmp0_ = files_file_is_folder (other);
#line 6159 "File.c"
	} else {
#line 1239 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 6163 "File.c"
	}
#line 1239 "../libcore/File.vala"
	if (_tmp0_) {
#line 1240 "../libcore/File.vala"
		result = 0;
#line 1240 "../libcore/File.vala"
		return result;
#line 6171 "File.c"
	} else {
#line 1241 "../libcore/File.vala"
		if (files_file_is_folder (self)) {
#line 1242 "../libcore/File.vala"
			result = -1;
#line 1242 "../libcore/File.vala"
			return result;
#line 6179 "File.c"
		} else {
#line 1243 "../libcore/File.vala"
			if (files_file_is_folder (other)) {
#line 1244 "../libcore/File.vala"
				result = 1;
#line 1244 "../libcore/File.vala"
				return result;
#line 6187 "File.c"
			}
		}
	}
#line 1247 "../libcore/File.vala"
	_tmp1_ = self->formated_type;
#line 1247 "../libcore/File.vala"
	_tmp2_ = other->formated_type;
#line 1247 "../libcore/File.vala"
	result = g_utf8_collate (_tmp1_, _tmp2_);
#line 1247 "../libcore/File.vala"
	return result;
#line 6199 "File.c"
}

gint
files_file_compare_files_by_size (FilesFile* self,
                                  FilesFile* other)
{
	gint result;
#line 1250 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1250 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 1251 "../libcore/File.vala"
	if (self->size < other->size) {
#line 1252 "../libcore/File.vala"
		result = -1;
#line 1252 "../libcore/File.vala"
		return result;
#line 6217 "File.c"
	} else {
#line 1253 "../libcore/File.vala"
		if (self->size > other->size) {
#line 1254 "../libcore/File.vala"
			result = 1;
#line 1254 "../libcore/File.vala"
			return result;
#line 6225 "File.c"
		}
	}
#line 1257 "../libcore/File.vala"
	result = 0;
#line 1257 "../libcore/File.vala"
	return result;
#line 6232 "File.c"
}

gint
files_file_compare_by_size (FilesFile* self,
                            FilesFile* other)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gint result;
#line 1260 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1260 "../libcore/File.vala"
	g_return_val_if_fail (other != NULL, 0);
#line 1264 "../libcore/File.vala"
	if (files_file_is_folder (self)) {
#line 1264 "../libcore/File.vala"
		_tmp0_ = !files_file_is_folder (other);
#line 6251 "File.c"
	} else {
#line 1264 "../libcore/File.vala"
		_tmp0_ = FALSE;
#line 6255 "File.c"
	}
#line 1264 "../libcore/File.vala"
	if (_tmp0_) {
#line 1265 "../libcore/File.vala"
		result = -1;
#line 1265 "../libcore/File.vala"
		return result;
#line 6263 "File.c"
	}
#line 1268 "../libcore/File.vala"
	if (files_file_is_folder (other)) {
#line 1268 "../libcore/File.vala"
		_tmp1_ = !files_file_is_folder (self);
#line 6269 "File.c"
	} else {
#line 1268 "../libcore/File.vala"
		_tmp1_ = FALSE;
#line 6273 "File.c"
	}
#line 1268 "../libcore/File.vala"
	if (_tmp1_) {
#line 1269 "../libcore/File.vala"
		result = 1;
#line 1269 "../libcore/File.vala"
		return result;
#line 6281 "File.c"
	}
#line 1272 "../libcore/File.vala"
	if (files_file_is_folder (self)) {
#line 1272 "../libcore/File.vala"
		_tmp2_ = files_file_is_folder (other);
#line 6287 "File.c"
	} else {
#line 1272 "../libcore/File.vala"
		_tmp2_ = FALSE;
#line 6291 "File.c"
	}
#line 1272 "../libcore/File.vala"
	if (_tmp2_) {
#line 1275 "../libcore/File.vala"
		files_file_ensure_item_count (self, FALSE);
#line 1276 "../libcore/File.vala"
		files_file_ensure_item_count (other, FALSE);
#line 1278 "../libcore/File.vala"
		if (self->count < other->count) {
#line 1279 "../libcore/File.vala"
			result = -1;
#line 1279 "../libcore/File.vala"
			return result;
#line 6305 "File.c"
		} else {
#line 1280 "../libcore/File.vala"
			if (self->count > other->count) {
#line 1281 "../libcore/File.vala"
				result = 1;
#line 1281 "../libcore/File.vala"
				return result;
#line 6313 "File.c"
			}
		}
	} else {
#line 1285 "../libcore/File.vala"
		if (self->size < other->size) {
#line 1286 "../libcore/File.vala"
			result = -1;
#line 1286 "../libcore/File.vala"
			return result;
#line 6323 "File.c"
		} else {
#line 1287 "../libcore/File.vala"
			if (self->size > other->size) {
#line 1288 "../libcore/File.vala"
				result = 1;
#line 1288 "../libcore/File.vala"
				return result;
#line 6331 "File.c"
			}
		}
	}
#line 1292 "../libcore/File.vala"
	result = 0;
#line 1292 "../libcore/File.vala"
	return result;
#line 6339 "File.c"
}

static void
files_file_update_icon_internal (FilesFile* self,
                                 gint size,
                                 gint scale)
{
	GdkPixbuf* _tmp0_;
#line 1295 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 1296 "../libcore/File.vala"
	g_return_if_fail (size >= 1);
#line 1297 "../libcore/File.vala"
	_tmp0_ = files_file_get_icon_pixbuf (self, size, scale, FILES_FILE_ICON_FLAGS_USE_THUMBNAILS);
#line 1297 "../libcore/File.vala"
	_g_object_unref0 (self->pix);
#line 1297 "../libcore/File.vala"
	self->pix = _tmp0_;
#line 1298 "../libcore/File.vala"
	self->pix_size = size;
#line 1299 "../libcore/File.vala"
	self->pix_scale = scale;
#line 6362 "File.c"
}

static FilesIconInfo*
files_file_get_special_icon (FilesFile* self,
                             gint size,
                             gint scale,
                             FilesFileIconFlags flags)
{
	const gchar* _tmp0_;
	gboolean _tmp6_ = FALSE;
	FilesIconInfo* result;
#line 1302 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1303 "../libcore/File.vala"
	g_return_val_if_fail (size >= 1, NULL);
#line 1305 "../libcore/File.vala"
	_tmp0_ = self->custom_icon_name;
#line 1305 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 6382 "File.c"
		const gchar* _tmp1_;
#line 1306 "../libcore/File.vala"
		_tmp1_ = self->custom_icon_name;
#line 1306 "../libcore/File.vala"
		if (g_path_is_absolute (_tmp1_)) {
#line 6388 "File.c"
			const gchar* _tmp2_;
			FilesIconInfo* _tmp3_;
#line 1307 "../libcore/File.vala"
			_tmp2_ = self->custom_icon_name;
#line 1307 "../libcore/File.vala"
			_tmp3_ = files_icon_info_lookup_from_path (_tmp2_, size, scale);
#line 1307 "../libcore/File.vala"
			result = _tmp3_;
#line 1307 "../libcore/File.vala"
			return result;
#line 6399 "File.c"
		} else {
			const gchar* _tmp4_;
			FilesIconInfo* _tmp5_;
#line 1309 "../libcore/File.vala"
			_tmp4_ = self->custom_icon_name;
#line 1309 "../libcore/File.vala"
			_tmp5_ = files_icon_info_lookup_from_name (_tmp4_, size, scale);
#line 1309 "../libcore/File.vala"
			result = _tmp5_;
#line 1309 "../libcore/File.vala"
			return result;
#line 6411 "File.c"
		}
	}
#line 1313 "../libcore/File.vala"
	if ((flags & FILES_FILE_ICON_FLAGS_USE_THUMBNAILS) == FILES_FILE_ICON_FLAGS_USE_THUMBNAILS) {
#line 1313 "../libcore/File.vala"
		_tmp6_ = self->thumbstate == ((guint) FILES_FILE_THUMB_STATE_READY);
#line 6418 "File.c"
	} else {
#line 1313 "../libcore/File.vala"
		_tmp6_ = FALSE;
#line 6422 "File.c"
	}
#line 1313 "../libcore/File.vala"
	if (_tmp6_) {
#line 6426 "File.c"
		const gchar* thumb_path = NULL;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
#line 1314 "../libcore/File.vala"
		_tmp7_ = files_file_get_thumbnail_path (self);
#line 1314 "../libcore/File.vala"
		thumb_path = _tmp7_;
#line 1315 "../libcore/File.vala"
		_tmp8_ = thumb_path;
#line 1315 "../libcore/File.vala"
		if (_tmp8_ != NULL) {
#line 6438 "File.c"
			const gchar* _tmp9_;
			FilesIconInfo* _tmp10_;
#line 1316 "../libcore/File.vala"
			_tmp9_ = thumb_path;
#line 1316 "../libcore/File.vala"
			_tmp10_ = files_icon_info_lookup_from_path (_tmp9_, size, scale);
#line 1316 "../libcore/File.vala"
			result = _tmp10_;
#line 1316 "../libcore/File.vala"
			return result;
#line 6449 "File.c"
		}
	}
#line 1320 "../libcore/File.vala"
	result = NULL;
#line 1320 "../libcore/File.vala"
	return result;
#line 6456 "File.c"
}

GFile*
files_file_get_location (FilesFile* self)
{
	GFile* result;
	GFile* _tmp0_;
#line 46 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 46 "../libcore/File.vala"
	_tmp0_ = self->priv->_location;
#line 46 "../libcore/File.vala"
	result = _tmp0_;
#line 46 "../libcore/File.vala"
	return result;
#line 6472 "File.c"
}

static void
files_file_set_location (FilesFile* self,
                         GFile* value)
{
	GFile* old_value;
#line 46 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 46 "../libcore/File.vala"
	old_value = files_file_get_location (self);
#line 46 "../libcore/File.vala"
	if (old_value != value) {
#line 6486 "File.c"
		GFile* _tmp0_;
#line 46 "../libcore/File.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 46 "../libcore/File.vala"
		_g_object_unref0 (self->priv->_location);
#line 46 "../libcore/File.vala"
		self->priv->_location = _tmp0_;
#line 46 "../libcore/File.vala"
		g_object_notify_by_pspec ((GObject *) self, files_file_properties[FILES_FILE_LOCATION_PROPERTY]);
#line 6496 "File.c"
	}
}

GFile*
files_file_get_directory (FilesFile* self)
{
	GFile* result;
	GFile* _tmp0_;
#line 47 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 47 "../libcore/File.vala"
	_tmp0_ = self->priv->_directory;
#line 47 "../libcore/File.vala"
	result = _tmp0_;
#line 47 "../libcore/File.vala"
	return result;
#line 6513 "File.c"
}

static void
files_file_set_directory (FilesFile* self,
                          GFile* value)
{
	GFile* old_value;
#line 47 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 47 "../libcore/File.vala"
	old_value = files_file_get_directory (self);
#line 47 "../libcore/File.vala"
	if (old_value != value) {
#line 6527 "File.c"
		GFile* _tmp0_;
#line 47 "../libcore/File.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 47 "../libcore/File.vala"
		_g_object_unref0 (self->priv->_directory);
#line 47 "../libcore/File.vala"
		self->priv->_directory = _tmp0_;
#line 47 "../libcore/File.vala"
		g_object_notify_by_pspec ((GObject *) self, files_file_properties[FILES_FILE_DIRECTORY_PROPERTY]);
#line 6537 "File.c"
	}
}

const gchar*
files_file_get_basename (FilesFile* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 56 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 56 "../libcore/File.vala"
	_tmp0_ = self->priv->_basename;
#line 56 "../libcore/File.vala"
	result = _tmp0_;
#line 56 "../libcore/File.vala"
	return result;
#line 6554 "File.c"
}

static void
files_file_set_basename (FilesFile* self,
                         const gchar* value)
{
	gchar* old_value;
#line 56 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 56 "../libcore/File.vala"
	old_value = files_file_get_basename (self);
#line 56 "../libcore/File.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 6568 "File.c"
		gchar* _tmp0_;
#line 56 "../libcore/File.vala"
		_tmp0_ = g_strdup (value);
#line 56 "../libcore/File.vala"
		_g_free0 (self->priv->_basename);
#line 56 "../libcore/File.vala"
		self->priv->_basename = _tmp0_;
#line 56 "../libcore/File.vala"
		g_object_notify_by_pspec ((GObject *) self, files_file_properties[FILES_FILE_BASENAME_PROPERTY]);
#line 6578 "File.c"
	}
}

const gchar*
files_file_get_uri (FilesFile* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 58 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 58 "../libcore/File.vala"
	_tmp0_ = self->priv->_uri;
#line 58 "../libcore/File.vala"
	result = _tmp0_;
#line 58 "../libcore/File.vala"
	return result;
#line 6595 "File.c"
}

static void
files_file_set_uri (FilesFile* self,
                    const gchar* value)
{
	gchar* old_value;
#line 58 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 58 "../libcore/File.vala"
	old_value = files_file_get_uri (self);
#line 58 "../libcore/File.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 6609 "File.c"
		gchar* _tmp0_;
#line 58 "../libcore/File.vala"
		_tmp0_ = g_strdup (value);
#line 58 "../libcore/File.vala"
		_g_free0 (self->priv->_uri);
#line 58 "../libcore/File.vala"
		self->priv->_uri = _tmp0_;
#line 58 "../libcore/File.vala"
		g_object_notify_by_pspec ((GObject *) self, files_file_properties[FILES_FILE_URI_PROPERTY]);
#line 6619 "File.c"
	}
}

gint
files_file_get_color (FilesFile* self)
{
	gint result;
#line 62 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 62 "../libcore/File.vala"
	result = self->priv->_color;
#line 62 "../libcore/File.vala"
	return result;
#line 6633 "File.c"
}

void
files_file_set_color (FilesFile* self,
                      gint value)
{
	gint old_value;
#line 62 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 62 "../libcore/File.vala"
	old_value = files_file_get_color (self);
#line 62 "../libcore/File.vala"
	if (old_value != value) {
#line 62 "../libcore/File.vala"
		self->priv->_color = value;
#line 62 "../libcore/File.vala"
		g_object_notify_by_pspec ((GObject *) self, files_file_properties[FILES_FILE_COLOR_PROPERTY]);
#line 6651 "File.c"
	}
}

gboolean
files_file_get_is_hidden (FilesFile* self)
{
	gboolean result;
#line 77 "../libcore/File.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 77 "../libcore/File.vala"
	result = self->priv->_is_hidden;
#line 77 "../libcore/File.vala"
	return result;
#line 6665 "File.c"
}

static void
files_file_set_is_hidden (FilesFile* self,
                          gboolean value)
{
	gboolean old_value;
#line 77 "../libcore/File.vala"
	g_return_if_fail (self != NULL);
#line 77 "../libcore/File.vala"
	old_value = files_file_get_is_hidden (self);
#line 77 "../libcore/File.vala"
	if (old_value != value) {
#line 77 "../libcore/File.vala"
		self->priv->_is_hidden = value;
#line 77 "../libcore/File.vala"
		g_object_notify_by_pspec ((GObject *) self, files_file_properties[FILES_FILE_IS_HIDDEN_PROPERTY]);
#line 6683 "File.c"
	}
}

static void
_files_file___lambda9_ (FilesFile* self)
{
	GFile* _tmp0_;
#line 176 "../libcore/File.vala"
	_tmp0_ = self->priv->_directory;
#line 176 "../libcore/File.vala"
	if (_tmp0_ != NULL) {
#line 6695 "File.c"
		FilesDirectory* dir = NULL;
		GFile* _tmp1_;
		FilesDirectory* _tmp2_;
		gboolean _tmp3_ = FALSE;
		FilesDirectory* _tmp4_;
#line 177 "../libcore/File.vala"
		_tmp1_ = self->priv->_directory;
#line 177 "../libcore/File.vala"
		_tmp2_ = files_directory_cache_lookup (_tmp1_);
#line 177 "../libcore/File.vala"
		dir = _tmp2_;
#line 178 "../libcore/File.vala"
		_tmp4_ = dir;
#line 178 "../libcore/File.vala"
		if (_tmp4_ != NULL) {
#line 6711 "File.c"
			gboolean _tmp5_ = FALSE;
			gboolean _tmp6_;
#line 178 "../libcore/File.vala"
			_tmp6_ = self->priv->_is_hidden;
#line 178 "../libcore/File.vala"
			if (!_tmp6_) {
#line 178 "../libcore/File.vala"
				_tmp5_ = TRUE;
#line 6720 "File.c"
			} else {
				FilesPreferences* _tmp7_;
				FilesPreferences* _tmp8_;
				gboolean _tmp9_;
				gboolean _tmp10_;
#line 178 "../libcore/File.vala"
				_tmp7_ = files_preferences_get_default ();
#line 178 "../libcore/File.vala"
				_tmp8_ = _tmp7_;
#line 178 "../libcore/File.vala"
				_tmp9_ = files_preferences_get_show_hidden_files (_tmp8_);
#line 178 "../libcore/File.vala"
				_tmp10_ = _tmp9_;
#line 178 "../libcore/File.vala"
				_tmp5_ = _tmp10_;
#line 178 "../libcore/File.vala"
				_g_object_unref0 (_tmp8_);
#line 6738 "File.c"
			}
#line 178 "../libcore/File.vala"
			_tmp3_ = _tmp5_;
#line 6742 "File.c"
		} else {
#line 178 "../libcore/File.vala"
			_tmp3_ = FALSE;
#line 6746 "File.c"
		}
#line 178 "../libcore/File.vala"
		if (_tmp3_) {
#line 6750 "File.c"
			FilesDirectory* _tmp11_;
#line 179 "../libcore/File.vala"
			_tmp11_ = dir;
#line 179 "../libcore/File.vala"
			g_signal_emit_by_name (_tmp11_, "icon-changed", self);
#line 6756 "File.c"
		}
#line 176 "../libcore/File.vala"
		_g_object_unref0 (dir);
#line 6760 "File.c"
	}
}

static void
__files_file___lambda9__files_file_icon_changed (FilesFile* _sender,
                                                 gpointer self)
{
#line 175 "../libcore/File.vala"
	_files_file___lambda9_ ((FilesFile*) self);
#line 6770 "File.c"
}

static GObject *
files_file_constructor (GType type,
                        guint n_construct_properties,
                        GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	FilesFile * self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
#line 174 "../libcore/File.vala"
	parent_class = G_OBJECT_CLASS (files_file_parent_class);
#line 174 "../libcore/File.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 174 "../libcore/File.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, FILES_TYPE_FILE, FilesFile);
#line 175 "../libcore/File.vala"
	g_signal_connect_object (self, "icon-changed", (GCallback) __files_file___lambda9__files_file_icon_changed, self, 0);
#line 186 "../libcore/File.vala"
	_tmp2_ = self->priv->_basename;
#line 186 "../libcore/File.vala"
	if (g_str_has_prefix (_tmp2_, ".")) {
#line 186 "../libcore/File.vala"
		_tmp1_ = TRUE;
#line 6798 "File.c"
	} else {
		const gchar* _tmp3_;
#line 187 "../libcore/File.vala"
		_tmp3_ = self->priv->_basename;
#line 187 "../libcore/File.vala"
		_tmp1_ = g_str_has_prefix (_tmp3_, "~");
#line 6805 "File.c"
	}
#line 186 "../libcore/File.vala"
	if (_tmp1_) {
#line 186 "../libcore/File.vala"
		_tmp0_ = TRUE;
#line 6811 "File.c"
	} else {
		const gchar* _tmp4_;
#line 188 "../libcore/File.vala"
		_tmp4_ = self->priv->_basename;
#line 188 "../libcore/File.vala"
		_tmp0_ = g_str_has_suffix (_tmp4_, "~");
#line 6818 "File.c"
	}
#line 186 "../libcore/File.vala"
	files_file_set_is_hidden (self, _tmp0_);
#line 174 "../libcore/File.vala"
	return obj;
#line 6824 "File.c"
}

static void
files_file_class_init (FilesFileClass * klass,
                       gpointer klass_data)
{
#line 19 "../libcore/File.vala"
	files_file_parent_class = g_type_class_peek_parent (klass);
#line 19 "../libcore/File.vala"
	g_type_class_adjust_private_offset (klass, &FilesFile_private_offset);
#line 19 "../libcore/File.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_files_file_get_property;
#line 19 "../libcore/File.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_files_file_set_property;
#line 19 "../libcore/File.vala"
	G_OBJECT_CLASS (klass)->constructor = files_file_constructor;
#line 19 "../libcore/File.vala"
	G_OBJECT_CLASS (klass)->finalize = files_file_finalize;
#line 19 "../libcore/File.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_FILE_LOCATION_PROPERTY, files_file_properties[FILES_FILE_LOCATION_PROPERTY] = g_param_spec_object ("location", "location", "location", g_file_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 19 "../libcore/File.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_FILE_DIRECTORY_PROPERTY, files_file_properties[FILES_FILE_DIRECTORY_PROPERTY] = g_param_spec_object ("directory", "directory", "directory", g_file_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 19 "../libcore/File.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_FILE_BASENAME_PROPERTY, files_file_properties[FILES_FILE_BASENAME_PROPERTY] = g_param_spec_string ("basename", "basename", "basename", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 19 "../libcore/File.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_FILE_URI_PROPERTY, files_file_properties[FILES_FILE_URI_PROPERTY] = g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 19 "../libcore/File.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_FILE_COLOR_PROPERTY, files_file_properties[FILES_FILE_COLOR_PROPERTY] = g_param_spec_int ("color", "color", "color", G_MININT, G_MAXINT, -1, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../libcore/File.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), FILES_FILE_IS_HIDDEN_PROPERTY, files_file_properties[FILES_FILE_IS_HIDDEN_PROPERTY] = g_param_spec_boolean ("is-hidden", "is-hidden", "is-hidden", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 19 "../libcore/File.vala"
	files_file_signals[FILES_FILE_CHANGED_SIGNAL] = g_signal_new ("changed", FILES_TYPE_FILE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 19 "../libcore/File.vala"
	files_file_signals[FILES_FILE_ICON_CHANGED_SIGNAL] = g_signal_new ("icon-changed", FILES_TYPE_FILE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 19 "../libcore/File.vala"
	files_file_signals[FILES_FILE_DESTROY_SIGNAL] = g_signal_new ("destroy", FILES_TYPE_FILE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 20 "../libcore/File.vala"
	g_rec_mutex_init (&__lock_files_file_files_file_file_cache);
#line 6863 "File.c"
}

static void
files_file_instance_init (FilesFile * self,
                          gpointer klass)
{
#line 19 "../libcore/File.vala"
	self->priv = files_file_get_instance_private (self);
#line 49 "../libcore/File.vala"
	self->target_location = NULL;
#line 50 "../libcore/File.vala"
	self->target_gof = NULL;
#line 52 "../libcore/File.vala"
	self->icon = NULL;
#line 53 "../libcore/File.vala"
	self->emblems_list = NULL;
#line 54 "../libcore/File.vala"
	self->n_emblems = (guint) 0;
#line 55 "../libcore/File.vala"
	self->info = NULL;
#line 57 "../libcore/File.vala"
	self->custom_display_name = NULL;
#line 59 "../libcore/File.vala"
	self->size = (guint64) 0;
#line 60 "../libcore/File.vala"
	self->count = -1;
#line 61 "../libcore/File.vala"
	self->format_size = NULL;
#line 62 "../libcore/File.vala"
	self->priv->_color = -1;
#line 65 "../libcore/File.vala"
	self->formated_modified = NULL;
#line 66 "../libcore/File.vala"
	self->formated_type = NULL;
#line 67 "../libcore/File.vala"
	self->tagstype = NULL;
#line 68 "../libcore/File.vala"
	self->pix = NULL;
#line 69 "../libcore/File.vala"
	self->custom_icon_name = NULL;
#line 70 "../libcore/File.vala"
	self->pix_size = -1;
#line 71 "../libcore/File.vala"
	self->pix_scale = -1;
#line 72 "../libcore/File.vala"
	self->width = 0;
#line 73 "../libcore/File.vala"
	self->height = 0;
#line 74 "../libcore/File.vala"
	self->sort_column_id = (gint) FILES_LIST_MODEL_COLUMN_ID_FILENAME;
#line 75 "../libcore/File.vala"
	self->sort_order = GTK_SORT_ASCENDING;
#line 78 "../libcore/File.vala"
	self->is_directory = FALSE;
#line 79 "../libcore/File.vala"
	self->is_desktop = FALSE;
#line 80 "../libcore/File.vala"
	self->is_expanded = FALSE;
#line 83 "../libcore/File.vala"
	self->thumbstate = (guint) FILES_FILE_THUMB_STATE_UNKNOWN;
#line 84 "../libcore/File.vala"
	self->thumbnail_path = NULL;
#line 85 "../libcore/File.vala"
	self->is_mounted = TRUE;
#line 86 "../libcore/File.vala"
	self->exists = TRUE;
#line 89 "../libcore/File.vala"
	self->owner = NULL;
#line 90 "../libcore/File.vala"
	self->group = NULL;
#line 93 "../libcore/File.vala"
	self->mount = NULL;
#line 94 "../libcore/File.vala"
	self->is_connected = TRUE;
#line 95 "../libcore/File.vala"
	self->utf8_collation_key = NULL;
#line 6940 "File.c"
}

static void
files_file_finalize (GObject * obj)
{
	FilesFile * self;
#line 19 "../libcore/File.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, FILES_TYPE_FILE, FilesFile);
#line 46 "../libcore/File.vala"
	_g_object_unref0 (self->priv->_location);
#line 47 "../libcore/File.vala"
	_g_object_unref0 (self->priv->_directory);
#line 49 "../libcore/File.vala"
	_g_object_unref0 (self->target_location);
#line 50 "../libcore/File.vala"
	_g_object_unref0 (self->target_gof);
#line 52 "../libcore/File.vala"
	_g_object_unref0 (self->icon);
#line 53 "../libcore/File.vala"
	(self->emblems_list == NULL) ? NULL : (self->emblems_list = (_g_list_free__g_free0_ (self->emblems_list), NULL));
#line 55 "../libcore/File.vala"
	_g_object_unref0 (self->info);
#line 56 "../libcore/File.vala"
	_g_free0 (self->priv->_basename);
#line 57 "../libcore/File.vala"
	_g_free0 (self->custom_display_name);
#line 58 "../libcore/File.vala"
	_g_free0 (self->priv->_uri);
#line 61 "../libcore/File.vala"
	_g_free0 (self->format_size);
#line 65 "../libcore/File.vala"
	_g_free0 (self->formated_modified);
#line 66 "../libcore/File.vala"
	_g_free0 (self->formated_type);
#line 67 "../libcore/File.vala"
	_g_free0 (self->tagstype);
#line 68 "../libcore/File.vala"
	_g_object_unref0 (self->pix);
#line 69 "../libcore/File.vala"
	_g_free0 (self->custom_icon_name);
#line 84 "../libcore/File.vala"
	_g_free0 (self->thumbnail_path);
#line 89 "../libcore/File.vala"
	_g_free0 (self->owner);
#line 90 "../libcore/File.vala"
	_g_free0 (self->group);
#line 93 "../libcore/File.vala"
	_g_object_unref0 (self->mount);
#line 95 "../libcore/File.vala"
	_g_free0 (self->utf8_collation_key);
#line 19 "../libcore/File.vala"
	G_OBJECT_CLASS (files_file_parent_class)->finalize (obj);
#line 6993 "File.c"
}

 G_GNUC_NO_INLINE static GType
files_file_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (FilesFileClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) files_file_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (FilesFile), 0, (GInstanceInitFunc) files_file_instance_init, NULL };
	GType files_file_type_id;
	files_file_type_id = g_type_register_static (G_TYPE_OBJECT, "FilesFile", &g_define_type_info, 0);
	FilesFile_private_offset = g_type_add_instance_private (files_file_type_id, sizeof (FilesFilePrivate));
	return files_file_type_id;
}

GType
files_file_get_type (void)
{
	static volatile gsize files_file_type_id__once = 0;
	if (g_once_init_enter (&files_file_type_id__once)) {
		GType files_file_type_id;
		files_file_type_id = files_file_get_type_once ();
		g_once_init_leave (&files_file_type_id__once, files_file_type_id);
	}
	return files_file_type_id__once;
}

static void
_vala_files_file_get_property (GObject * object,
                               guint property_id,
                               GValue * value,
                               GParamSpec * pspec)
{
	FilesFile * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, FILES_TYPE_FILE, FilesFile);
#line 19 "../libcore/File.vala"
	switch (property_id) {
#line 19 "../libcore/File.vala"
		case FILES_FILE_LOCATION_PROPERTY:
#line 19 "../libcore/File.vala"
		g_value_set_object (value, files_file_get_location (self));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_DIRECTORY_PROPERTY:
#line 19 "../libcore/File.vala"
		g_value_set_object (value, files_file_get_directory (self));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_BASENAME_PROPERTY:
#line 19 "../libcore/File.vala"
		g_value_set_string (value, files_file_get_basename (self));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_URI_PROPERTY:
#line 19 "../libcore/File.vala"
		g_value_set_string (value, files_file_get_uri (self));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_COLOR_PROPERTY:
#line 19 "../libcore/File.vala"
		g_value_set_int (value, files_file_get_color (self));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_IS_HIDDEN_PROPERTY:
#line 19 "../libcore/File.vala"
		g_value_set_boolean (value, files_file_get_is_hidden (self));
#line 19 "../libcore/File.vala"
		break;
#line 7064 "File.c"
		default:
#line 19 "../libcore/File.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "../libcore/File.vala"
		break;
#line 7070 "File.c"
	}
}

static void
_vala_files_file_set_property (GObject * object,
                               guint property_id,
                               const GValue * value,
                               GParamSpec * pspec)
{
	FilesFile * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, FILES_TYPE_FILE, FilesFile);
#line 19 "../libcore/File.vala"
	switch (property_id) {
#line 19 "../libcore/File.vala"
		case FILES_FILE_LOCATION_PROPERTY:
#line 19 "../libcore/File.vala"
		files_file_set_location (self, g_value_get_object (value));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_DIRECTORY_PROPERTY:
#line 19 "../libcore/File.vala"
		files_file_set_directory (self, g_value_get_object (value));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_BASENAME_PROPERTY:
#line 19 "../libcore/File.vala"
		files_file_set_basename (self, g_value_get_string (value));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_URI_PROPERTY:
#line 19 "../libcore/File.vala"
		files_file_set_uri (self, g_value_get_string (value));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_COLOR_PROPERTY:
#line 19 "../libcore/File.vala"
		files_file_set_color (self, g_value_get_int (value));
#line 19 "../libcore/File.vala"
		break;
#line 19 "../libcore/File.vala"
		case FILES_FILE_IS_HIDDEN_PROPERTY:
#line 19 "../libcore/File.vala"
		files_file_set_is_hidden (self, g_value_get_boolean (value));
#line 19 "../libcore/File.vala"
		break;
#line 7120 "File.c"
		default:
#line 19 "../libcore/File.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "../libcore/File.vala"
		break;
#line 7126 "File.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

